//
// File: Cego.cc
// This code was produced by the dragon parser generator
//
#include "Cego.h"
#include <lfcbase/Exception.h>
#include <lfcbase/StackT.h>

Cego::ScannerStateEntry::ScannerStateEntry()
{
}

Cego::ScannerStateEntry::ScannerStateEntry(int state, ScannerStateType type)
{
   _state = state;
   _type = type;
}

Cego::ScannerStateEntry& Cego::ScannerStateEntry::operator = (const Cego::ScannerStateEntry& s)
{
   _state = s._state;
   _type = s._type;
   return(*this);
}

bool Cego::ScannerStateEntry::operator == (const Cego::ScannerStateEntry& s)
{
   if ( _state == s._state )
      return true;
   return false;
}

Cego::ScannerStateType Cego::ScannerStateEntry::getType()
{
   return _type;
}
int Cego::ScannerStateEntry::getState()
{
   return _state;
}


Cego::ScannerTransEntry::ScannerTransEntry()
{
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c)
{
   _state = state;
   _c = c;
}

Cego::ScannerTransEntry::ScannerTransEntry(int state, char c, int fstate)
{
   _state = state;
   _c = c;
   _fstate = fstate;
}

Cego::ScannerTransEntry& Cego::ScannerTransEntry::operator = (const Cego::ScannerTransEntry& s)
{
   _state = s._state;
   _c = s._c;
   _fstate = s._fstate;
   return(*this);
}

bool Cego::ScannerTransEntry::operator == (const Cego::ScannerTransEntry& s)
{
   if ( _state == s._state && _c == s._c)
      return true;
   return false;
}

int Cego::ScannerTransEntry::getFState()
{
   return _fstate;
}


Cego::Scanner::Scanner()
{
}


Cego::Scanner::Scanner(Token t)
{
   _token = t;
}

Cego::Token Cego::Scanner::getToken()
{
   return _token;
}

void Cego::Scanner::addState(ScannerStateEntry s)
{
   _stateList.Insert(s);
}

void Cego::Scanner::addTransition(ScannerTransEntry t)
{
   _transList.Insert(t);
}

bool Cego::Scanner::checkPattern(const Chain& p)
{
   unsigned long state = 0;
   ScannerStateEntry* pS = _stateList.First();
   while (pS)
   {
      if (pS->getType() == START || pS->getType() == ANY)
      {
         state = pS->getState();
         pS = 0;
      }
      else
      {
         pS = _stateList.Next();
      }
   }
   unsigned long i = 0;
   ScannerTransEntry* pT = 
   _transList.Find(ScannerTransEntry(state, p[i]));
   while (pT)
   {
      ScannerStateEntry* pS = _stateList.Find(ScannerStateEntry(pT->getFState())); 
      if (pS)
      {
         if ( ( i == p.length()-2 ) && ( pS->getType() == FINAL || pS->getType() == ANY))
         {
            return true;
         }
         else
         {
            state = pT->getFState();
         }
      }
      else
      {
         return false;
      }
      i++;
      pT = _transList.Find(ScannerTransEntry(state, p[i]));
   }
   return false;
}
Cego::StackEntry::StackEntry()
{
   _symbol = NONE;
}

Cego::StackEntry::StackEntry(Symbol symbol, int num, int state, Chain tval)
{
   _symbol=symbol;
   _num=num;
   _state=state;
   _tval=tval;
}

Cego::StackEntry& Cego::StackEntry::operator = (const Cego::StackEntry& se)
{
   _symbol=se._symbol;
   _num=se._num;
   _state=se._state;
   _tval=se._tval;
   return(*this);
}

int Cego::StackEntry::getState()
{
   return _state;
}
Cego::Symbol Cego::StackEntry::getSymbol()
{
   return _symbol;
}
Chain& Cego::StackEntry::getTval()
{
   return _tval;
}

Cego::ActionEntry::ActionEntry()
{
   _action=NULLACTION;
}

Cego::ActionEntry::ActionEntry(Action action , int num)
{
   _action=action;
   _num=num;
}

bool Cego::ActionEntry::operator == (const Cego::ActionEntry& ae)
{
   if (_action == ae._action && _num == ae._num)
      return true;
   return false;
}

Cego::ActionEntry& Cego::ActionEntry::operator = (const Cego::ActionEntry& ae)
{
   _action=ae._action;
   _num=ae._num;
   return(*this);
}

Cego::Action Cego::ActionEntry::getAction()
{
   return _action;
}

int Cego::ActionEntry::getNum()
{
   return _num;
}

Cego::ProdEntry::ProdEntry()
{
}

Cego::ProdEntry::ProdEntry(int id)
{
   _id = id;
}

Cego::ProdEntry::ProdEntry(int id, Production prod, int numSymbol)
{
   _id = id;
   _prod = prod;
   _numSymbol = numSymbol;
}

bool Cego::ProdEntry::operator == (const Cego::ProdEntry& pe)
{
   if (_id == pe._id)
      return true;
   return false;
}

Cego::ProdEntry& Cego::ProdEntry::operator = (const Cego::ProdEntry& pe)
{
   _id = pe._id;
   _prod = pe._prod;
   _numSymbol = pe._numSymbol;
   return(*this);
}


int Cego::ProdEntry::getId()
{
   return _id;
}

Cego::Production Cego::ProdEntry::getProd()
{
   return _prod;
}

int Cego::ProdEntry::getNumSymbol()
{
   return _numSymbol;
}
void Cego::loadScanner()
{
   Scanner s0(ADD);
   s0.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s0.addState(ScannerStateEntry(2 ,START));
   s0.addState(ScannerStateEntry(3 ,FINAL));
   s0.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s0.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s0.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s0.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s0.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s0.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s0);

   Scanner s1(AFTER);
   s1.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(2 ,START));
   s1.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s1.addState(ScannerStateEntry(5 ,FINAL));
   s1.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s1.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s1.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s1.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s1.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s1.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s1.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s1.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s1.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s1.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s1);

   Scanner s2(ALIAS);
   s2.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(2 ,START));
   s2.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s2.addState(ScannerStateEntry(5 ,FINAL));
   s2.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s2.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s2.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s2.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s2.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s2.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s2.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s2.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s2.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s2.addTransition(ScannerTransEntry(4 ,'s' ,5));
   _scannerList.Insert(s2);

   Scanner s3(AND);
   s3.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s3.addState(ScannerStateEntry(2 ,START));
   s3.addState(ScannerStateEntry(3 ,FINAL));
   s3.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s3.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s3.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s3.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s3.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s3.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s3);

   Scanner s4(ALL);
   s4.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s4.addState(ScannerStateEntry(2 ,START));
   s4.addState(ScannerStateEntry(3 ,FINAL));
   s4.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s4.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s4.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s4.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s4.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s4.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s4);

   Scanner s5(ALTER);
   s5.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(2 ,START));
   s5.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s5.addState(ScannerStateEntry(5 ,FINAL));
   s5.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s5.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s5.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s5.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s5.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s5.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s5.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s5.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s5.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s5.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s5);

   Scanner s6(APPEND);
   s6.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(2 ,START));
   s6.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s6.addState(ScannerStateEntry(6 ,FINAL));
   s6.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s6.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s6.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s6.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s6.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s6.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s6.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s6.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s6.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s6.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s6.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s6.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s6);

   Scanner s7(AS);
   s7.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s7.addState(ScannerStateEntry(1 ,FINAL));
   s7.addState(ScannerStateEntry(2 ,START));
   s7.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s7.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s7.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s7.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s7);

   Scanner s8(ASC);
   s8.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s8.addState(ScannerStateEntry(2 ,START));
   s8.addState(ScannerStateEntry(3 ,FINAL));
   s8.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s8.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s8.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s8.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s8.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s8.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s8);

   Scanner s9(ASC2INT);
   s9.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(2 ,START));
   s9.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s9.addState(ScannerStateEntry(7 ,FINAL));
   s9.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s9.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s9.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s9.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s9.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s9.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s9.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s9.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s9.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s9.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s9.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s9.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s9.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s9);

   Scanner s10(AUTHORIZE);
   s10.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(2 ,START));
   s10.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s10.addState(ScannerStateEntry(9 ,FINAL));
   s10.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s10.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s10.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s10.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s10.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s10.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s10.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s10.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s10.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s10.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s10.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s10.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s10.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s10.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s10.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s10.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s10.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s10.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s10);

   Scanner s11(AUTOCOMMIT);
   s11.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(2 ,START));
   s11.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s11.addState(ScannerStateEntry(10 ,FINAL));
   s11.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s11.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s11.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s11.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s11.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s11.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s11.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s11.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s11.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s11.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s11.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s11.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s11.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s11.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s11.addTransition(ScannerTransEntry(7 ,'M' ,8));
   s11.addTransition(ScannerTransEntry(7 ,'m' ,8));
   s11.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s11.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s11.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s11.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s11);

   Scanner s12(AVG);
   s12.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s12.addState(ScannerStateEntry(2 ,START));
   s12.addState(ScannerStateEntry(3 ,FINAL));
   s12.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s12.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s12.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s12.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s12.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s12.addTransition(ScannerTransEntry(2 ,'a' ,0));
   _scannerList.Insert(s12);

   Scanner s13(AVLTREE);
   s13.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(2 ,START));
   s13.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s13.addState(ScannerStateEntry(7 ,FINAL));
   s13.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s13.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s13.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s13.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s13.addTransition(ScannerTransEntry(2 ,'A' ,0));
   s13.addTransition(ScannerTransEntry(2 ,'a' ,0));
   s13.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s13.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s13.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s13.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s13.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s13.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s13.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s13.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s13);

   Scanner s14(BEFORE);
   s14.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(2 ,START));
   s14.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s14.addState(ScannerStateEntry(6 ,FINAL));
   s14.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s14.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s14.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s14.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s14.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s14.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s14.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s14.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s14.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s14.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s14.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s14.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s14);

   Scanner s15(BEGIN);
   s15.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(2 ,START));
   s15.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s15.addState(ScannerStateEntry(5 ,FINAL));
   s15.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s15.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s15.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s15.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s15.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s15.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s15.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s15.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s15.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s15.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s15);

   Scanner s16(BETWEEN);
   s16.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(2 ,START));
   s16.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s16.addState(ScannerStateEntry(7 ,FINAL));
   s16.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s16.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s16.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s16.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s16.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s16.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s16.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s16.addTransition(ScannerTransEntry(3 ,'w' ,4));
   s16.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s16.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s16.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s16.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s16.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s16.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s16);

   Scanner s17(BIGINT);
   s17.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(2 ,START));
   s17.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s17.addState(ScannerStateEntry(6 ,FINAL));
   s17.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s17.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s17.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s17.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s17.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s17.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s17.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s17.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s17.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s17.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s17.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s17.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s17);

   Scanner s18(BITAND);
   s18.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(2 ,START));
   s18.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s18.addState(ScannerStateEntry(6 ,FINAL));
   s18.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s18.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s18.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s18.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s18.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s18.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s18.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s18.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s18.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s18.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s18.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s18.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s18);

   Scanner s19(BITOR);
   s19.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(2 ,START));
   s19.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s19.addState(ScannerStateEntry(5 ,FINAL));
   s19.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s19.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s19.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s19.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s19.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s19.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s19.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s19.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s19.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s19.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s19);

   Scanner s20(BITXOR);
   s20.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(2 ,START));
   s20.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s20.addState(ScannerStateEntry(6 ,FINAL));
   s20.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s20.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s20.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s20.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s20.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s20.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s20.addTransition(ScannerTransEntry(3 ,'X' ,4));
   s20.addTransition(ScannerTransEntry(3 ,'x' ,4));
   s20.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s20.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s20.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s20.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s20);

   Scanner s21(BLOB);
   s21.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(2 ,START));
   s21.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s21.addState(ScannerStateEntry(4 ,FINAL));
   s21.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s21.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s21.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s21.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s21.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s21.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s21.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s21.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s21);

   Scanner s22(BLOBSIZE);
   s22.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(2 ,START));
   s22.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s22.addState(ScannerStateEntry(8 ,FINAL));
   s22.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s22.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s22.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s22.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s22.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s22.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s22.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s22.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s22.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s22.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s22.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s22.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s22.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s22.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s22.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s22.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s22);

   Scanner s23(BLOBREF);
   s23.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(2 ,START));
   s23.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s23.addState(ScannerStateEntry(7 ,FINAL));
   s23.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s23.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s23.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s23.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s23.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s23.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s23.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s23.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s23.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s23.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s23.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s23.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s23.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s23.addTransition(ScannerTransEntry(6 ,'f' ,7));
   _scannerList.Insert(s23);

   Scanner s24(BOOL);
   s24.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(2 ,START));
   s24.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s24.addState(ScannerStateEntry(4 ,FINAL));
   s24.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s24.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s24.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s24.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s24.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s24.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s24.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s24.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s24);

   Scanner s25(BTREE);
   s25.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(2 ,START));
   s25.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s25.addState(ScannerStateEntry(5 ,FINAL));
   s25.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s25.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s25.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s25.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s25.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s25.addTransition(ScannerTransEntry(2 ,'b' ,0));
   s25.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s25.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s25.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s25.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s25);

   Scanner s26(BY);
   s26.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s26.addState(ScannerStateEntry(1 ,FINAL));
   s26.addState(ScannerStateEntry(2 ,START));
   s26.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s26.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s26.addTransition(ScannerTransEntry(2 ,'B' ,0));
   s26.addTransition(ScannerTransEntry(2 ,'b' ,0));
   _scannerList.Insert(s26);

   Scanner s27(CACHED);
   s27.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(2 ,START));
   s27.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s27.addState(ScannerStateEntry(6 ,FINAL));
   s27.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s27.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s27.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s27.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s27.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s27.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s27.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s27.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s27.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s27.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s27.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s27.addTransition(ScannerTransEntry(5 ,'d' ,6));
   _scannerList.Insert(s27);

   Scanner s28(CALL);
   s28.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(2 ,START));
   s28.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s28.addState(ScannerStateEntry(4 ,FINAL));
   s28.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s28.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s28.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s28.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s28.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s28.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s28.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s28.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s28);

   Scanner s29(CASE);
   s29.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(2 ,START));
   s29.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s29.addState(ScannerStateEntry(4 ,FINAL));
   s29.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s29.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s29.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s29.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s29.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s29.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s29.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s29.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s29);

   Scanner s30(CHECK);
   s30.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(2 ,START));
   s30.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s30.addState(ScannerStateEntry(5 ,FINAL));
   s30.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s30.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s30.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s30.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s30.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s30.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s30.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s30.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s30.addTransition(ScannerTransEntry(4 ,'K' ,5));
   s30.addTransition(ScannerTransEntry(4 ,'k' ,5));
   _scannerList.Insert(s30);

   Scanner s31(CLOB);
   s31.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(2 ,START));
   s31.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s31.addState(ScannerStateEntry(4 ,FINAL));
   s31.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s31.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s31.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s31.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s31.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s31.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s31.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s31.addTransition(ScannerTransEntry(3 ,'b' ,4));
   _scannerList.Insert(s31);

   Scanner s32(CLOBSIZE);
   s32.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(2 ,START));
   s32.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s32.addState(ScannerStateEntry(8 ,FINAL));
   s32.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s32.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s32.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s32.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s32.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s32.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s32.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s32.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s32.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s32.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s32.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s32.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s32.addTransition(ScannerTransEntry(6 ,'Z' ,7));
   s32.addTransition(ScannerTransEntry(6 ,'z' ,7));
   s32.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s32.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s32);

   Scanner s33(CLOBREF);
   s33.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(2 ,START));
   s33.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s33.addState(ScannerStateEntry(7 ,FINAL));
   s33.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s33.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s33.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s33.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s33.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s33.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s33.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s33.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s33.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s33.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s33.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s33.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s33.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s33.addTransition(ScannerTransEntry(6 ,'f' ,7));
   _scannerList.Insert(s33);

   Scanner s34(CLOB2STR);
   s34.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(2 ,START));
   s34.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s34.addState(ScannerStateEntry(8 ,FINAL));
   s34.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s34.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s34.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s34.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s34.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s34.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s34.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s34.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s34.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s34.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s34.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s34.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s34.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s34.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s34.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s34);

   Scanner s35(CLOSE);
   s35.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(2 ,START));
   s35.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s35.addState(ScannerStateEntry(5 ,FINAL));
   s35.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s35.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s35.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s35.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s35.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s35.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s35.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s35.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s35.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s35.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s35);

   Scanner s36(COMMIT);
   s36.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(2 ,START));
   s36.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s36.addState(ScannerStateEntry(6 ,FINAL));
   s36.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s36.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s36.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s36.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s36.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s36.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s36.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s36.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s36.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s36.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s36.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s36.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s36);

   Scanner s37(COLUMN);
   s37.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(2 ,START));
   s37.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s37.addState(ScannerStateEntry(6 ,FINAL));
   s37.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s37.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s37.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s37.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s37.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s37.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s37.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s37.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s37.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s37.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s37.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s37.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s37);

   Scanner s38(CONSTRAINT);
   s38.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(2 ,START));
   s38.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s38.addState(ScannerStateEntry(10 ,FINAL));
   s38.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s38.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s38.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s38.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s38.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s38.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s38.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s38.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s38.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s38.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s38.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s38.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s38.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s38.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s38.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s38.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s38.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s38.addTransition(ScannerTransEntry(8 ,'n' ,9));
   s38.addTransition(ScannerTransEntry(9 ,'T' ,10));
   s38.addTransition(ScannerTransEntry(9 ,'t' ,10));
   _scannerList.Insert(s38);

   Scanner s39(COUNT);
   s39.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(2 ,START));
   s39.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s39.addState(ScannerStateEntry(5 ,FINAL));
   s39.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s39.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s39.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s39.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s39.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s39.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s39.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s39.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s39.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s39.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s39);

   Scanner s40(COUNTER);
   s40.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(2 ,START));
   s40.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s40.addState(ScannerStateEntry(7 ,FINAL));
   s40.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s40.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s40.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s40.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s40.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s40.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s40.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s40.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s40.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s40.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s40.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s40.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s40.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s40.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s40);

   Scanner s41(CREATE);
   s41.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(2 ,START));
   s41.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s41.addState(ScannerStateEntry(6 ,FINAL));
   s41.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s41.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s41.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s41.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s41.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s41.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s41.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s41.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s41.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s41.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s41.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s41.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s41);

   Scanner s42(CURSOR);
   s42.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(2 ,START));
   s42.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s42.addState(ScannerStateEntry(6 ,FINAL));
   s42.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s42.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s42.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s42.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s42.addTransition(ScannerTransEntry(2 ,'C' ,0));
   s42.addTransition(ScannerTransEntry(2 ,'c' ,0));
   s42.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s42.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s42.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s42.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s42.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s42.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s42);

   Scanner s43(DATE);
   s43.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(2 ,START));
   s43.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s43.addState(ScannerStateEntry(4 ,FINAL));
   s43.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s43.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s43.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s43.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s43.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s43.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s43.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s43.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s43);

   Scanner s44(DATE2STR);
   s44.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(2 ,START));
   s44.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s44.addState(ScannerStateEntry(8 ,FINAL));
   s44.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s44.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s44.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s44.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s44.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s44.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s44.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s44.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s44.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s44.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s44.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s44.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s44.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s44.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s44.addTransition(ScannerTransEntry(7 ,'r' ,8));
   _scannerList.Insert(s44);

   Scanner s45(DATE2LONG);
   s45.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(2 ,START));
   s45.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s45.addState(ScannerStateEntry(9 ,FINAL));
   s45.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s45.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s45.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s45.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s45.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s45.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s45.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s45.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s45.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s45.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s45.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s45.addTransition(ScannerTransEntry(6 ,'O' ,7));
   s45.addTransition(ScannerTransEntry(6 ,'o' ,7));
   s45.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s45.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s45.addTransition(ScannerTransEntry(8 ,'G' ,9));
   s45.addTransition(ScannerTransEntry(8 ,'g' ,9));
   _scannerList.Insert(s45);

   Scanner s46(DATETIME);
   s46.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(2 ,START));
   s46.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s46.addState(ScannerStateEntry(8 ,FINAL));
   s46.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s46.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s46.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s46.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s46.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s46.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s46.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s46.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s46.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s46.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s46.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s46.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s46.addTransition(ScannerTransEntry(6 ,'M' ,7));
   s46.addTransition(ScannerTransEntry(6 ,'m' ,7));
   s46.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s46.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s46);

   Scanner s47(DECIMAL);
   s47.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(2 ,START));
   s47.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s47.addState(ScannerStateEntry(7 ,FINAL));
   s47.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s47.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s47.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s47.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s47.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s47.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s47.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s47.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s47.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s47.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s47.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s47.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s47.addTransition(ScannerTransEntry(6 ,'L' ,7));
   s47.addTransition(ScannerTransEntry(6 ,'l' ,7));
   _scannerList.Insert(s47);

   Scanner s48(DEFAULT);
   s48.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(2 ,START));
   s48.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s48.addState(ScannerStateEntry(7 ,FINAL));
   s48.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s48.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s48.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s48.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s48.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s48.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s48.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s48.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s48.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s48.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s48.addTransition(ScannerTransEntry(5 ,'L' ,6));
   s48.addTransition(ScannerTransEntry(5 ,'l' ,6));
   s48.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s48.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s48);

   Scanner s49(DELETETOK);
   s49.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(2 ,START));
   s49.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s49.addState(ScannerStateEntry(6 ,FINAL));
   s49.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s49.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s49.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s49.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s49.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s49.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s49.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s49.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s49.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s49.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s49.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s49.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s49);

   Scanner s50(DESC);
   s50.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(2 ,START));
   s50.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s50.addState(ScannerStateEntry(4 ,FINAL));
   s50.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s50.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s50.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s50.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s50.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s50.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s50.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s50.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s50);

   Scanner s51(DISTINCT);
   s51.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(2 ,START));
   s51.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s51.addState(ScannerStateEntry(8 ,FINAL));
   s51.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s51.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s51.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s51.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s51.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s51.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s51.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s51.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s51.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s51.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s51.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s51.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s51.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s51.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s51.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s51.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s51);

   Scanner s52(DIV);
   s52.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s52.addState(ScannerStateEntry(2 ,START));
   s52.addState(ScannerStateEntry(3 ,FINAL));
   s52.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s52.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s52.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s52.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s52.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s52.addTransition(ScannerTransEntry(2 ,'d' ,0));
   _scannerList.Insert(s52);

   Scanner s53(DOUBLE);
   s53.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(2 ,START));
   s53.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s53.addState(ScannerStateEntry(6 ,FINAL));
   s53.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s53.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s53.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s53.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s53.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s53.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s53.addTransition(ScannerTransEntry(3 ,'B' ,4));
   s53.addTransition(ScannerTransEntry(3 ,'b' ,4));
   s53.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s53.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s53.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s53.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s53);

   Scanner s54(DROP);
   s54.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(2 ,START));
   s54.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s54.addState(ScannerStateEntry(4 ,FINAL));
   s54.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s54.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s54.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s54.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s54.addTransition(ScannerTransEntry(2 ,'D' ,0));
   s54.addTransition(ScannerTransEntry(2 ,'d' ,0));
   s54.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s54.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s54);

   Scanner s55(ELSE);
   s55.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(2 ,START));
   s55.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s55.addState(ScannerStateEntry(4 ,FINAL));
   s55.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s55.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s55.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s55.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s55.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s55.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s55.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s55.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s55);

   Scanner s56(ELSIF);
   s56.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(2 ,START));
   s56.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s56.addState(ScannerStateEntry(5 ,FINAL));
   s56.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s56.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s56.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s56.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s56.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s56.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s56.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s56.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s56.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s56.addTransition(ScannerTransEntry(4 ,'f' ,5));
   _scannerList.Insert(s56);

   Scanner s57(END_TOKEN);
   s57.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s57.addState(ScannerStateEntry(2 ,START));
   s57.addState(ScannerStateEntry(3 ,FINAL));
   s57.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s57.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s57.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s57.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s57.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s57.addTransition(ScannerTransEntry(2 ,'e' ,0));
   _scannerList.Insert(s57);

   Scanner s58(EXCEPTION);
   s58.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(2 ,START));
   s58.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s58.addState(ScannerStateEntry(9 ,FINAL));
   s58.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s58.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s58.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s58.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s58.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s58.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s58.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s58.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s58.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s58.addTransition(ScannerTransEntry(4 ,'p' ,5));
   s58.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s58.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s58.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s58.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s58.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s58.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s58.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s58.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s58);

   Scanner s59(EXISTS);
   s59.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(2 ,START));
   s59.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s59.addState(ScannerStateEntry(6 ,FINAL));
   s59.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s59.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s59.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s59.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s59.addTransition(ScannerTransEntry(2 ,'E' ,0));
   s59.addTransition(ScannerTransEntry(2 ,'e' ,0));
   s59.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s59.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s59.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s59.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s59.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s59.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s59);

   Scanner s60(FALSEVAL);
   s60.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(2 ,START));
   s60.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s60.addState(ScannerStateEntry(5 ,FINAL));
   s60.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s60.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s60.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s60.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s60.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s60.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s60.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s60.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s60.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s60.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s60);

   Scanner s61(FETCH);
   s61.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(2 ,START));
   s61.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s61.addState(ScannerStateEntry(5 ,FINAL));
   s61.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s61.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s61.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s61.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s61.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s61.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s61.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s61.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s61.addTransition(ScannerTransEntry(4 ,'H' ,5));
   s61.addTransition(ScannerTransEntry(4 ,'h' ,5));
   _scannerList.Insert(s61);

   Scanner s62(FIRST);
   s62.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(2 ,START));
   s62.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s62.addState(ScannerStateEntry(5 ,FINAL));
   s62.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s62.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s62.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s62.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s62.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s62.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s62.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s62.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s62.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s62.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s62);

   Scanner s63(FIXED);
   s63.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(2 ,START));
   s63.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s63.addState(ScannerStateEntry(5 ,FINAL));
   s63.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s63.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s63.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s63.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s63.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s63.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s63.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s63.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s63.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s63.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s63);

   Scanner s64(FLOAT);
   s64.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(2 ,START));
   s64.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s64.addState(ScannerStateEntry(5 ,FINAL));
   s64.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s64.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s64.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s64.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s64.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s64.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s64.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s64.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s64.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s64.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s64);

   Scanner s65(FOR);
   s65.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s65.addState(ScannerStateEntry(2 ,START));
   s65.addState(ScannerStateEntry(3 ,FINAL));
   s65.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s65.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s65.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s65.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s65.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s65.addTransition(ScannerTransEntry(2 ,'f' ,0));
   _scannerList.Insert(s65);

   Scanner s66(FOREIGN);
   s66.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(2 ,START));
   s66.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s66.addState(ScannerStateEntry(7 ,FINAL));
   s66.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s66.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s66.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s66.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s66.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s66.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s66.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s66.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s66.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s66.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s66.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s66.addTransition(ScannerTransEntry(5 ,'g' ,6));
   s66.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s66.addTransition(ScannerTransEntry(6 ,'n' ,7));
   _scannerList.Insert(s66);

   Scanner s67(FROM);
   s67.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(2 ,START));
   s67.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s67.addState(ScannerStateEntry(4 ,FINAL));
   s67.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s67.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s67.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s67.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s67.addTransition(ScannerTransEntry(2 ,'F' ,0));
   s67.addTransition(ScannerTransEntry(2 ,'f' ,0));
   s67.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s67.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s67);

   Scanner s68(GETCOUNT);
   s68.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(2 ,START));
   s68.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s68.addState(ScannerStateEntry(8 ,FINAL));
   s68.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s68.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s68.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s68.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s68.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s68.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s68.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s68.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s68.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s68.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s68.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s68.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s68.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s68.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s68.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s68.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s68);

   Scanner s69(GETPOS);
   s69.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(2 ,START));
   s69.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s69.addState(ScannerStateEntry(6 ,FINAL));
   s69.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s69.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s69.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s69.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s69.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s69.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s69.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s69.addTransition(ScannerTransEntry(3 ,'p' ,4));
   s69.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s69.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s69.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s69.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s69);

   Scanner s70(GROUP);
   s70.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(2 ,START));
   s70.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s70.addState(ScannerStateEntry(5 ,FINAL));
   s70.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s70.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s70.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s70.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s70.addTransition(ScannerTransEntry(2 ,'G' ,0));
   s70.addTransition(ScannerTransEntry(2 ,'g' ,0));
   s70.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s70.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s70.addTransition(ScannerTransEntry(4 ,'P' ,5));
   s70.addTransition(ScannerTransEntry(4 ,'p' ,5));
   _scannerList.Insert(s70);

   Scanner s71(HAVING);
   s71.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(2 ,START));
   s71.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s71.addState(ScannerStateEntry(6 ,FINAL));
   s71.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s71.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s71.addTransition(ScannerTransEntry(1 ,'V' ,3));
   s71.addTransition(ScannerTransEntry(1 ,'v' ,3));
   s71.addTransition(ScannerTransEntry(2 ,'H' ,0));
   s71.addTransition(ScannerTransEntry(2 ,'h' ,0));
   s71.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s71.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s71.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s71.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s71.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s71.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s71);

   Scanner s72(IDENTIFIED);
   s72.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(2 ,START));
   s72.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s72.addState(ScannerStateEntry(10 ,FINAL));
   s72.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s72.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s72.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s72.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s72.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s72.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s72.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s72.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s72.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s72.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s72.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s72.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s72.addTransition(ScannerTransEntry(6 ,'F' ,7));
   s72.addTransition(ScannerTransEntry(6 ,'f' ,7));
   s72.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s72.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s72.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s72.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s72.addTransition(ScannerTransEntry(9 ,'D' ,10));
   s72.addTransition(ScannerTransEntry(9 ,'d' ,10));
   _scannerList.Insert(s72);

   Scanner s73(IF);
   s73.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s73.addState(ScannerStateEntry(1 ,FINAL));
   s73.addState(ScannerStateEntry(2 ,START));
   s73.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s73.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s73.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s73.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s73);

   Scanner s74(INDEX);
   s74.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(2 ,START));
   s74.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s74.addState(ScannerStateEntry(5 ,FINAL));
   s74.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s74.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s74.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s74.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s74.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s74.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s74.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s74.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s74.addTransition(ScannerTransEntry(4 ,'X' ,5));
   s74.addTransition(ScannerTransEntry(4 ,'x' ,5));
   _scannerList.Insert(s74);

   Scanner s75(INTOK);
   s75.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s75.addState(ScannerStateEntry(1 ,FINAL));
   s75.addState(ScannerStateEntry(2 ,START));
   s75.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s75.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s75.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s75.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s75);

   Scanner s76(INNER);
   s76.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(2 ,START));
   s76.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s76.addState(ScannerStateEntry(5 ,FINAL));
   s76.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s76.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s76.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s76.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s76.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s76.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s76.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s76.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s76.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s76.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s76);

   Scanner s77(INT);
   s77.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s77.addState(ScannerStateEntry(2 ,START));
   s77.addState(ScannerStateEntry(3 ,FINAL));
   s77.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s77.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s77.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s77.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s77.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s77.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s77);

   Scanner s78(INTO);
   s78.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(2 ,START));
   s78.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s78.addState(ScannerStateEntry(4 ,FINAL));
   s78.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s78.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s78.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s78.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s78.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s78.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s78.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s78.addTransition(ScannerTransEntry(3 ,'o' ,4));
   _scannerList.Insert(s78);

   Scanner s79(LONG2DATE);
   s79.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(2 ,START));
   s79.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s79.addState(ScannerStateEntry(9 ,FINAL));
   s79.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s79.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s79.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s79.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s79.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s79.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s79.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s79.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s79.addTransition(ScannerTransEntry(4 ,'2' ,5));
   s79.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s79.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s79.addTransition(ScannerTransEntry(6 ,'A' ,7));
   s79.addTransition(ScannerTransEntry(6 ,'a' ,7));
   s79.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s79.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s79.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s79.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s79);

   Scanner s80(NEWDATE);
   s80.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(2 ,START));
   s80.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s80.addState(ScannerStateEntry(7 ,FINAL));
   s80.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s80.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s80.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s80.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s80.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s80.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s80.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s80.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s80.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s80.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s80.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s80.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s80.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s80.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s80);

   Scanner s81(INSERT);
   s81.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(2 ,START));
   s81.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s81.addState(ScannerStateEntry(6 ,FINAL));
   s81.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s81.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s81.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s81.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s81.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s81.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s81.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s81.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s81.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s81.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s81.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s81.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s81);

   Scanner s82(INT2ASC);
   s82.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(2 ,START));
   s82.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s82.addState(ScannerStateEntry(7 ,FINAL));
   s82.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s82.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s82.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s82.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s82.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s82.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s82.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s82.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s82.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s82.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s82.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s82.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s82.addTransition(ScannerTransEntry(6 ,'c' ,7));
   _scannerList.Insert(s82);

   Scanner s83(IS);
   s83.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s83.addState(ScannerStateEntry(1 ,FINAL));
   s83.addState(ScannerStateEntry(2 ,START));
   s83.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s83.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s83.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s83.addTransition(ScannerTransEntry(2 ,'i' ,0));
   _scannerList.Insert(s83);

   Scanner s84(ISOLATION);
   s84.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(2 ,START));
   s84.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s84.addState(ScannerStateEntry(9 ,FINAL));
   s84.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s84.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s84.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s84.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s84.addTransition(ScannerTransEntry(2 ,'I' ,0));
   s84.addTransition(ScannerTransEntry(2 ,'i' ,0));
   s84.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s84.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s84.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s84.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s84.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s84.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s84.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s84.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s84.addTransition(ScannerTransEntry(7 ,'O' ,8));
   s84.addTransition(ScannerTransEntry(7 ,'o' ,8));
   s84.addTransition(ScannerTransEntry(8 ,'N' ,9));
   s84.addTransition(ScannerTransEntry(8 ,'n' ,9));
   _scannerList.Insert(s84);

   Scanner s85(JDBC);
   s85.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(2 ,START));
   s85.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s85.addState(ScannerStateEntry(4 ,FINAL));
   s85.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s85.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s85.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s85.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s85.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s85.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s85.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s85.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s85);

   Scanner s86(JOIN);
   s86.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(2 ,START));
   s86.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s86.addState(ScannerStateEntry(4 ,FINAL));
   s86.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s86.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s86.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s86.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s86.addTransition(ScannerTransEntry(2 ,'J' ,0));
   s86.addTransition(ScannerTransEntry(2 ,'j' ,0));
   s86.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s86.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s86);

   Scanner s87(KEY);
   s87.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s87.addState(ScannerStateEntry(2 ,START));
   s87.addState(ScannerStateEntry(3 ,FINAL));
   s87.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s87.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s87.addTransition(ScannerTransEntry(1 ,'Y' ,3));
   s87.addTransition(ScannerTransEntry(1 ,'y' ,3));
   s87.addTransition(ScannerTransEntry(2 ,'K' ,0));
   s87.addTransition(ScannerTransEntry(2 ,'k' ,0));
   _scannerList.Insert(s87);

   Scanner s88(LEFT);
   s88.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(2 ,START));
   s88.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s88.addState(ScannerStateEntry(4 ,FINAL));
   s88.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s88.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s88.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s88.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s88.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s88.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s88.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s88.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s88);

   Scanner s89(LENGTH);
   s89.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(2 ,START));
   s89.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s89.addState(ScannerStateEntry(6 ,FINAL));
   s89.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s89.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s89.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s89.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s89.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s89.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s89.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s89.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s89.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s89.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s89.addTransition(ScannerTransEntry(5 ,'H' ,6));
   s89.addTransition(ScannerTransEntry(5 ,'h' ,6));
   _scannerList.Insert(s89);

   Scanner s90(LIKE);
   s90.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(2 ,START));
   s90.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s90.addState(ScannerStateEntry(4 ,FINAL));
   s90.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s90.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s90.addTransition(ScannerTransEntry(1 ,'K' ,3));
   s90.addTransition(ScannerTransEntry(1 ,'k' ,3));
   s90.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s90.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s90.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s90.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s90);

   Scanner s91(LIST);
   s91.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(2 ,START));
   s91.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s91.addState(ScannerStateEntry(4 ,FINAL));
   s91.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s91.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s91.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s91.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s91.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s91.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s91.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s91.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s91);

   Scanner s92(LDIV);
   s92.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(2 ,START));
   s92.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s92.addState(ScannerStateEntry(4 ,FINAL));
   s92.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s92.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s92.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s92.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s92.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s92.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s92.addTransition(ScannerTransEntry(3 ,'V' ,4));
   s92.addTransition(ScannerTransEntry(3 ,'v' ,4));
   _scannerList.Insert(s92);

   Scanner s93(LMOD);
   s93.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(2 ,START));
   s93.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s93.addState(ScannerStateEntry(4 ,FINAL));
   s93.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s93.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s93.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s93.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s93.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s93.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s93.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s93.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s93);

   Scanner s94(LOAD);
   s94.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(2 ,START));
   s94.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s94.addState(ScannerStateEntry(4 ,FINAL));
   s94.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s94.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s94.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s94.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s94.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s94.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s94.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s94.addTransition(ScannerTransEntry(3 ,'d' ,4));
   _scannerList.Insert(s94);

   Scanner s95(LOCK);
   s95.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(2 ,START));
   s95.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s95.addState(ScannerStateEntry(4 ,FINAL));
   s95.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s95.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s95.addTransition(ScannerTransEntry(1 ,'C' ,3));
   s95.addTransition(ScannerTransEntry(1 ,'c' ,3));
   s95.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s95.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s95.addTransition(ScannerTransEntry(3 ,'K' ,4));
   s95.addTransition(ScannerTransEntry(3 ,'k' ,4));
   _scannerList.Insert(s95);

   Scanner s96(UNLOCK);
   s96.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(2 ,START));
   s96.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s96.addState(ScannerStateEntry(6 ,FINAL));
   s96.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s96.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s96.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s96.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s96.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s96.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s96.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s96.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s96.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s96.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s96.addTransition(ScannerTransEntry(5 ,'K' ,6));
   s96.addTransition(ScannerTransEntry(5 ,'k' ,6));
   _scannerList.Insert(s96);

   Scanner s97(LONG);
   s97.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(2 ,START));
   s97.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s97.addState(ScannerStateEntry(4 ,FINAL));
   s97.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s97.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s97.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s97.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s97.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s97.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s97.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s97.addTransition(ScannerTransEntry(3 ,'g' ,4));
   _scannerList.Insert(s97);

   Scanner s98(LOWER);
   s98.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(2 ,START));
   s98.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s98.addState(ScannerStateEntry(5 ,FINAL));
   s98.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s98.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s98.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s98.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s98.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s98.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s98.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s98.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s98.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s98.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s98);

   Scanner s99(LTRIM);
   s99.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(2 ,START));
   s99.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s99.addState(ScannerStateEntry(5 ,FINAL));
   s99.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s99.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s99.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s99.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s99.addTransition(ScannerTransEntry(2 ,'L' ,0));
   s99.addTransition(ScannerTransEntry(2 ,'l' ,0));
   s99.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s99.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s99.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s99.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s99);

   Scanner s100(MIN);
   s100.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s100.addState(ScannerStateEntry(2 ,START));
   s100.addState(ScannerStateEntry(3 ,FINAL));
   s100.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s100.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s100.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s100.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s100.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s100.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s100);

   Scanner s101(MAX);
   s101.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s101.addState(ScannerStateEntry(2 ,START));
   s101.addState(ScannerStateEntry(3 ,FINAL));
   s101.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s101.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s101.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s101.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s101.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s101.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s101);

   Scanner s102(MOD);
   s102.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s102.addState(ScannerStateEntry(2 ,START));
   s102.addState(ScannerStateEntry(3 ,FINAL));
   s102.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s102.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s102.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s102.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s102.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s102.addTransition(ScannerTransEntry(2 ,'m' ,0));
   _scannerList.Insert(s102);

   Scanner s103(MODIFY);
   s103.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(2 ,START));
   s103.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s103.addState(ScannerStateEntry(6 ,FINAL));
   s103.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s103.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s103.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s103.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s103.addTransition(ScannerTransEntry(2 ,'M' ,0));
   s103.addTransition(ScannerTransEntry(2 ,'m' ,0));
   s103.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s103.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s103.addTransition(ScannerTransEntry(4 ,'F' ,5));
   s103.addTransition(ScannerTransEntry(4 ,'f' ,5));
   s103.addTransition(ScannerTransEntry(5 ,'Y' ,6));
   s103.addTransition(ScannerTransEntry(5 ,'y' ,6));
   _scannerList.Insert(s103);

   Scanner s104(NEXTCOUNT);
   s104.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(2 ,START));
   s104.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s104.addState(ScannerStateEntry(9 ,FINAL));
   s104.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s104.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s104.addTransition(ScannerTransEntry(1 ,'X' ,3));
   s104.addTransition(ScannerTransEntry(1 ,'x' ,3));
   s104.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s104.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s104.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s104.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s104.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s104.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s104.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s104.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s104.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s104.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s104.addTransition(ScannerTransEntry(7 ,'N' ,8));
   s104.addTransition(ScannerTransEntry(7 ,'n' ,8));
   s104.addTransition(ScannerTransEntry(8 ,'T' ,9));
   s104.addTransition(ScannerTransEntry(8 ,'t' ,9));
   _scannerList.Insert(s104);

   Scanner s105(NOOP);
   s105.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(2 ,START));
   s105.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s105.addState(ScannerStateEntry(4 ,FINAL));
   s105.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s105.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s105.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s105.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s105.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s105.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s105.addTransition(ScannerTransEntry(3 ,'P' ,4));
   s105.addTransition(ScannerTransEntry(3 ,'p' ,4));
   _scannerList.Insert(s105);

   Scanner s106(NOT);
   s106.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s106.addState(ScannerStateEntry(2 ,START));
   s106.addState(ScannerStateEntry(3 ,FINAL));
   s106.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s106.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s106.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s106.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s106.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s106.addTransition(ScannerTransEntry(2 ,'n' ,0));
   _scannerList.Insert(s106);

   Scanner s107(NULLTOKEN);
   s107.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(2 ,START));
   s107.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s107.addState(ScannerStateEntry(4 ,FINAL));
   s107.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s107.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s107.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s107.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s107.addTransition(ScannerTransEntry(2 ,'N' ,0));
   s107.addTransition(ScannerTransEntry(2 ,'n' ,0));
   s107.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s107.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s107);

   Scanner s108(OFF);
   s108.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s108.addState(ScannerStateEntry(2 ,START));
   s108.addState(ScannerStateEntry(3 ,FINAL));
   s108.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s108.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s108.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s108.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s108.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s108.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s108);

   Scanner s109(ON);
   s109.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s109.addState(ScannerStateEntry(1 ,FINAL));
   s109.addState(ScannerStateEntry(2 ,START));
   s109.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s109.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s109.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s109.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s109);

   Scanner s110(OUTTOK);
   s110.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s110.addState(ScannerStateEntry(2 ,START));
   s110.addState(ScannerStateEntry(3 ,FINAL));
   s110.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s110.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s110.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s110.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s110.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s110.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s110);

   Scanner s111(OUTER);
   s111.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(2 ,START));
   s111.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s111.addState(ScannerStateEntry(5 ,FINAL));
   s111.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s111.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s111.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s111.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s111.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s111.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s111.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s111.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s111.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s111.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s111);

   Scanner s112(OR);
   s112.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s112.addState(ScannerStateEntry(1 ,FINAL));
   s112.addState(ScannerStateEntry(2 ,START));
   s112.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s112.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s112.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s112.addTransition(ScannerTransEntry(2 ,'o' ,0));
   _scannerList.Insert(s112);

   Scanner s113(ORDER);
   s113.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(2 ,START));
   s113.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s113.addState(ScannerStateEntry(5 ,FINAL));
   s113.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s113.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s113.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s113.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s113.addTransition(ScannerTransEntry(2 ,'O' ,0));
   s113.addTransition(ScannerTransEntry(2 ,'o' ,0));
   s113.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s113.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s113.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s113.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s113);

   Scanner s114(PLAN);
   s114.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(2 ,START));
   s114.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s114.addState(ScannerStateEntry(4 ,FINAL));
   s114.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s114.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s114.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s114.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s114.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s114.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s114.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s114.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s114);

   Scanner s115(POOL);
   s115.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(2 ,START));
   s115.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s115.addState(ScannerStateEntry(4 ,FINAL));
   s115.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s115.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s115.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s115.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s115.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s115.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s115.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s115.addTransition(ScannerTransEntry(3 ,'l' ,4));
   _scannerList.Insert(s115);

   Scanner s116(POWER);
   s116.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(2 ,START));
   s116.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s116.addState(ScannerStateEntry(5 ,FINAL));
   s116.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s116.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s116.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s116.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s116.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s116.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s116.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s116.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s116.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s116.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s116);

   Scanner s117(PRIMARY);
   s117.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(2 ,START));
   s117.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s117.addState(ScannerStateEntry(7 ,FINAL));
   s117.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s117.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s117.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s117.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s117.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s117.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s117.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s117.addTransition(ScannerTransEntry(3 ,'m' ,4));
   s117.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s117.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s117.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s117.addTransition(ScannerTransEntry(5 ,'r' ,6));
   s117.addTransition(ScannerTransEntry(6 ,'Y' ,7));
   s117.addTransition(ScannerTransEntry(6 ,'y' ,7));
   _scannerList.Insert(s117);

   Scanner s118(PRINT);
   s118.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(2 ,START));
   s118.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s118.addState(ScannerStateEntry(5 ,FINAL));
   s118.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s118.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s118.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s118.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s118.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s118.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s118.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s118.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s118.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s118.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s118);

   Scanner s119(PROCEDURE);
   s119.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(2 ,START));
   s119.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s119.addState(ScannerStateEntry(9 ,FINAL));
   s119.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s119.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s119.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s119.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s119.addTransition(ScannerTransEntry(2 ,'P' ,0));
   s119.addTransition(ScannerTransEntry(2 ,'p' ,0));
   s119.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s119.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s119.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s119.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s119.addTransition(ScannerTransEntry(5 ,'D' ,6));
   s119.addTransition(ScannerTransEntry(5 ,'d' ,6));
   s119.addTransition(ScannerTransEntry(6 ,'U' ,7));
   s119.addTransition(ScannerTransEntry(6 ,'u' ,7));
   s119.addTransition(ScannerTransEntry(7 ,'R' ,8));
   s119.addTransition(ScannerTransEntry(7 ,'r' ,8));
   s119.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s119.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s119);

   Scanner s120(QUIT);
   s120.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(2 ,START));
   s120.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s120.addState(ScannerStateEntry(4 ,FINAL));
   s120.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s120.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s120.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s120.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s120.addTransition(ScannerTransEntry(2 ,'Q' ,0));
   s120.addTransition(ScannerTransEntry(2 ,'q' ,0));
   s120.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s120.addTransition(ScannerTransEntry(3 ,'t' ,4));
   _scannerList.Insert(s120);

   Scanner s121(RANDSTR);
   s121.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(2 ,START));
   s121.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s121.addState(ScannerStateEntry(7 ,FINAL));
   s121.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s121.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s121.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s121.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s121.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s121.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s121.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s121.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s121.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s121.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s121.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s121.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s121.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s121.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s121);

   Scanner s122(RANDINT);
   s122.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(2 ,START));
   s122.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s122.addState(ScannerStateEntry(7 ,FINAL));
   s122.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s122.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s122.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s122.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s122.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s122.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s122.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s122.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s122.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s122.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s122.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s122.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s122.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s122.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s122);

   Scanner s123(RBSEG);
   s123.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(2 ,START));
   s123.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s123.addState(ScannerStateEntry(5 ,FINAL));
   s123.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s123.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s123.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s123.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s123.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s123.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s123.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s123.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s123.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s123.addTransition(ScannerTransEntry(4 ,'g' ,5));
   _scannerList.Insert(s123);

   Scanner s124(REFERENCES);
   s124.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(2 ,START));
   s124.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s124.addState(ScannerStateEntry(10 ,FINAL));
   s124.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s124.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s124.addTransition(ScannerTransEntry(1 ,'F' ,3));
   s124.addTransition(ScannerTransEntry(1 ,'f' ,3));
   s124.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s124.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s124.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s124.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s124.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s124.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s124.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s124.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s124.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s124.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s124.addTransition(ScannerTransEntry(7 ,'C' ,8));
   s124.addTransition(ScannerTransEntry(7 ,'c' ,8));
   s124.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s124.addTransition(ScannerTransEntry(8 ,'e' ,9));
   s124.addTransition(ScannerTransEntry(9 ,'S' ,10));
   s124.addTransition(ScannerTransEntry(9 ,'s' ,10));
   _scannerList.Insert(s124);

   Scanner s125(RENAME);
   s125.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(2 ,START));
   s125.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s125.addState(ScannerStateEntry(6 ,FINAL));
   s125.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s125.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s125.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s125.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s125.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s125.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s125.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s125.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s125.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s125.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s125.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s125.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s125);

   Scanner s126(REORGANIZE);
   s126.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(2 ,START));
   s126.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s126.addState(ScannerStateEntry(10 ,FINAL));
   s126.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s126.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s126.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s126.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s126.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s126.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s126.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s126.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s126.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s126.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s126.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s126.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s126.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s126.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s126.addTransition(ScannerTransEntry(7 ,'I' ,8));
   s126.addTransition(ScannerTransEntry(7 ,'i' ,8));
   s126.addTransition(ScannerTransEntry(8 ,'Z' ,9));
   s126.addTransition(ScannerTransEntry(8 ,'z' ,9));
   s126.addTransition(ScannerTransEntry(9 ,'E' ,10));
   s126.addTransition(ScannerTransEntry(9 ,'e' ,10));
   _scannerList.Insert(s126);

   Scanner s127(RETURNTOKEN);
   s127.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(2 ,START));
   s127.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s127.addState(ScannerStateEntry(6 ,FINAL));
   s127.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s127.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s127.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s127.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s127.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s127.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s127.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s127.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s127.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s127.addTransition(ScannerTransEntry(4 ,'r' ,5));
   s127.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s127.addTransition(ScannerTransEntry(5 ,'n' ,6));
   _scannerList.Insert(s127);

   Scanner s128(REMOVE);
   s128.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(2 ,START));
   s128.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s128.addState(ScannerStateEntry(6 ,FINAL));
   s128.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s128.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s128.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s128.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s128.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s128.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s128.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s128.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s128.addTransition(ScannerTransEntry(4 ,'V' ,5));
   s128.addTransition(ScannerTransEntry(4 ,'v' ,5));
   s128.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s128.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s128);

   Scanner s129(REPLACE);
   s129.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(2 ,START));
   s129.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s129.addState(ScannerStateEntry(7 ,FINAL));
   s129.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s129.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s129.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s129.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s129.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s129.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s129.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s129.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s129.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s129.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s129.addTransition(ScannerTransEntry(5 ,'C' ,6));
   s129.addTransition(ScannerTransEntry(5 ,'c' ,6));
   s129.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s129.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s129);

   Scanner s130(RIGHT);
   s130.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(2 ,START));
   s130.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s130.addState(ScannerStateEntry(5 ,FINAL));
   s130.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s130.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s130.addTransition(ScannerTransEntry(1 ,'G' ,3));
   s130.addTransition(ScannerTransEntry(1 ,'g' ,3));
   s130.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s130.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s130.addTransition(ScannerTransEntry(3 ,'H' ,4));
   s130.addTransition(ScannerTransEntry(3 ,'h' ,4));
   s130.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s130.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s130);

   Scanner s131(ROLLBACK);
   s131.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(2 ,START));
   s131.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s131.addState(ScannerStateEntry(8 ,FINAL));
   s131.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s131.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s131.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s131.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s131.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s131.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s131.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s131.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s131.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s131.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s131.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s131.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s131.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s131.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s131.addTransition(ScannerTransEntry(7 ,'K' ,8));
   s131.addTransition(ScannerTransEntry(7 ,'k' ,8));
   _scannerList.Insert(s131);

   Scanner s132(ROUND);
   s132.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(2 ,START));
   s132.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s132.addState(ScannerStateEntry(5 ,FINAL));
   s132.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s132.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s132.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s132.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s132.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s132.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s132.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s132.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s132.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s132.addTransition(ScannerTransEntry(4 ,'d' ,5));
   _scannerList.Insert(s132);

   Scanner s133(ROWLIMIT);
   s133.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(2 ,START));
   s133.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s133.addState(ScannerStateEntry(8 ,FINAL));
   s133.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s133.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s133.addTransition(ScannerTransEntry(1 ,'W' ,3));
   s133.addTransition(ScannerTransEntry(1 ,'w' ,3));
   s133.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s133.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s133.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s133.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s133.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s133.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s133.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s133.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s133.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s133.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s133.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s133.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s133);

   Scanner s134(RTRIM);
   s134.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(2 ,START));
   s134.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s134.addState(ScannerStateEntry(5 ,FINAL));
   s134.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s134.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s134.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s134.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s134.addTransition(ScannerTransEntry(2 ,'R' ,0));
   s134.addTransition(ScannerTransEntry(2 ,'r' ,0));
   s134.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s134.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s134.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s134.addTransition(ScannerTransEntry(4 ,'m' ,5));
   _scannerList.Insert(s134);

   Scanner s135(SELECT);
   s135.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(2 ,START));
   s135.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s135.addState(ScannerStateEntry(6 ,FINAL));
   s135.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s135.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s135.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s135.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s135.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s135.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s135.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s135.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s135.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s135.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s135.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s135.addTransition(ScannerTransEntry(5 ,'t' ,6));
   _scannerList.Insert(s135);

   Scanner s136(SET);
   s136.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s136.addState(ScannerStateEntry(2 ,START));
   s136.addState(ScannerStateEntry(3 ,FINAL));
   s136.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s136.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s136.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s136.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s136.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s136.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s136);

   Scanner s137(SETCOUNT);
   s137.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(2 ,START));
   s137.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s137.addState(ScannerStateEntry(8 ,FINAL));
   s137.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s137.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s137.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s137.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s137.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s137.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s137.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s137.addTransition(ScannerTransEntry(3 ,'c' ,4));
   s137.addTransition(ScannerTransEntry(4 ,'O' ,5));
   s137.addTransition(ScannerTransEntry(4 ,'o' ,5));
   s137.addTransition(ScannerTransEntry(5 ,'U' ,6));
   s137.addTransition(ScannerTransEntry(5 ,'u' ,6));
   s137.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s137.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s137.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s137.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s137);

   Scanner s138(SHOW);
   s138.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(2 ,START));
   s138.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s138.addState(ScannerStateEntry(4 ,FINAL));
   s138.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s138.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s138.addTransition(ScannerTransEntry(1 ,'O' ,3));
   s138.addTransition(ScannerTransEntry(1 ,'o' ,3));
   s138.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s138.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s138.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s138.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s138);

   Scanner s139(SMALLINT);
   s139.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(2 ,START));
   s139.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s139.addState(ScannerStateEntry(8 ,FINAL));
   s139.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s139.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s139.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s139.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s139.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s139.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s139.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s139.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s139.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s139.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s139.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s139.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s139.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s139.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s139.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s139.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s139);

   Scanner s140(START_TOKEN);
   s140.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(2 ,START));
   s140.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s140.addState(ScannerStateEntry(5 ,FINAL));
   s140.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s140.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s140.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s140.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s140.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s140.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s140.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s140.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s140.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s140.addTransition(ScannerTransEntry(4 ,'t' ,5));
   _scannerList.Insert(s140);

   Scanner s141(STRING);
   s141.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(2 ,START));
   s141.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s141.addState(ScannerStateEntry(6 ,FINAL));
   s141.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s141.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s141.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s141.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s141.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s141.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s141.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s141.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s141.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s141.addTransition(ScannerTransEntry(4 ,'n' ,5));
   s141.addTransition(ScannerTransEntry(5 ,'G' ,6));
   s141.addTransition(ScannerTransEntry(5 ,'g' ,6));
   _scannerList.Insert(s141);

   Scanner s142(SUBSTR);
   s142.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(2 ,START));
   s142.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s142.addState(ScannerStateEntry(6 ,FINAL));
   s142.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s142.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s142.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s142.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s142.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s142.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s142.addTransition(ScannerTransEntry(3 ,'S' ,4));
   s142.addTransition(ScannerTransEntry(3 ,'s' ,4));
   s142.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s142.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s142.addTransition(ScannerTransEntry(5 ,'R' ,6));
   s142.addTransition(ScannerTransEntry(5 ,'r' ,6));
   _scannerList.Insert(s142);

   Scanner s143(SUM);
   s143.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s143.addState(ScannerStateEntry(2 ,START));
   s143.addState(ScannerStateEntry(3 ,FINAL));
   s143.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s143.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s143.addTransition(ScannerTransEntry(1 ,'M' ,3));
   s143.addTransition(ScannerTransEntry(1 ,'m' ,3));
   s143.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s143.addTransition(ScannerTransEntry(2 ,'s' ,0));
   _scannerList.Insert(s143);

   Scanner s144(SYNC);
   s144.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(2 ,START));
   s144.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s144.addState(ScannerStateEntry(4 ,FINAL));
   s144.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s144.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s144.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s144.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s144.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s144.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s144.addTransition(ScannerTransEntry(3 ,'C' ,4));
   s144.addTransition(ScannerTransEntry(3 ,'c' ,4));
   _scannerList.Insert(s144);

   Scanner s145(SYSDATE);
   s145.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(2 ,START));
   s145.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s145.addState(ScannerStateEntry(7 ,FINAL));
   s145.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s145.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s145.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s145.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s145.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s145.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s145.addTransition(ScannerTransEntry(3 ,'D' ,4));
   s145.addTransition(ScannerTransEntry(3 ,'d' ,4));
   s145.addTransition(ScannerTransEntry(4 ,'A' ,5));
   s145.addTransition(ScannerTransEntry(4 ,'a' ,5));
   s145.addTransition(ScannerTransEntry(5 ,'T' ,6));
   s145.addTransition(ScannerTransEntry(5 ,'t' ,6));
   s145.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s145.addTransition(ScannerTransEntry(6 ,'e' ,7));
   _scannerList.Insert(s145);

   Scanner s146(SYSTEMSPACE);
   s146.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(2 ,START));
   s146.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s146.addState(ScannerStateEntry(11 ,FINAL));
   s146.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s146.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s146.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s146.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s146.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s146.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s146.addTransition(ScannerTransEntry(3 ,'T' ,4));
   s146.addTransition(ScannerTransEntry(3 ,'t' ,4));
   s146.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s146.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s146.addTransition(ScannerTransEntry(5 ,'M' ,6));
   s146.addTransition(ScannerTransEntry(5 ,'m' ,6));
   s146.addTransition(ScannerTransEntry(6 ,'S' ,7));
   s146.addTransition(ScannerTransEntry(6 ,'s' ,7));
   s146.addTransition(ScannerTransEntry(7 ,'P' ,8));
   s146.addTransition(ScannerTransEntry(7 ,'p' ,8));
   s146.addTransition(ScannerTransEntry(8 ,'A' ,9));
   s146.addTransition(ScannerTransEntry(8 ,'a' ,9));
   s146.addTransition(ScannerTransEntry(9 ,'C' ,10));
   s146.addTransition(ScannerTransEntry(9 ,'c' ,10));
   s146.addTransition(ScannerTransEntry(10 ,'E' ,11));
   s146.addTransition(ScannerTransEntry(10 ,'e' ,11));
   _scannerList.Insert(s146);

   Scanner s147(SYSOBJ);
   s147.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(2 ,START));
   s147.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s147.addState(ScannerStateEntry(6 ,FINAL));
   s147.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s147.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s147.addTransition(ScannerTransEntry(1 ,'S' ,3));
   s147.addTransition(ScannerTransEntry(1 ,'s' ,3));
   s147.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s147.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s147.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s147.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s147.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s147.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s147.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s147.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s147);

   Scanner s148(TABLEINFO);
   s148.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(2 ,START));
   s148.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s148.addState(ScannerStateEntry(9 ,FINAL));
   s148.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s148.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s148.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s148.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s148.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s148.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s148.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s148.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s148.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s148.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s148.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s148.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s148.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s148.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s148.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s148.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s148.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s148.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s148);

   Scanner s149(TABLESIZE);
   s149.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(2 ,START));
   s149.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s149.addState(ScannerStateEntry(9 ,FINAL));
   s149.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s149.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s149.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s149.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s149.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s149.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s149.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s149.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s149.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s149.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s149.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s149.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s149.addTransition(ScannerTransEntry(6 ,'I' ,7));
   s149.addTransition(ScannerTransEntry(6 ,'i' ,7));
   s149.addTransition(ScannerTransEntry(7 ,'Z' ,8));
   s149.addTransition(ScannerTransEntry(7 ,'z' ,8));
   s149.addTransition(ScannerTransEntry(8 ,'E' ,9));
   s149.addTransition(ScannerTransEntry(8 ,'e' ,9));
   _scannerList.Insert(s149);

   Scanner s150(TABLE);
   s150.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(2 ,START));
   s150.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s150.addState(ScannerStateEntry(5 ,FINAL));
   s150.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s150.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s150.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s150.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s150.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s150.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s150.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s150.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s150.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s150.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s150);

   Scanner s151(TABLESET);
   s151.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(2 ,START));
   s151.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s151.addState(ScannerStateEntry(8 ,FINAL));
   s151.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s151.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s151.addTransition(ScannerTransEntry(1 ,'B' ,3));
   s151.addTransition(ScannerTransEntry(1 ,'b' ,3));
   s151.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s151.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s151.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s151.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s151.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s151.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s151.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s151.addTransition(ScannerTransEntry(5 ,'s' ,6));
   s151.addTransition(ScannerTransEntry(6 ,'E' ,7));
   s151.addTransition(ScannerTransEntry(6 ,'e' ,7));
   s151.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s151.addTransition(ScannerTransEntry(7 ,'t' ,8));
   _scannerList.Insert(s151);

   Scanner s152(THEN);
   s152.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(2 ,START));
   s152.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s152.addState(ScannerStateEntry(4 ,FINAL));
   s152.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s152.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s152.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s152.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s152.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s152.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s152.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s152.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s152);

   Scanner s153(THROW);
   s153.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(2 ,START));
   s153.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s153.addState(ScannerStateEntry(5 ,FINAL));
   s153.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s153.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s153.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s153.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s153.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s153.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s153.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s153.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s153.addTransition(ScannerTransEntry(4 ,'W' ,5));
   s153.addTransition(ScannerTransEntry(4 ,'w' ,5));
   _scannerList.Insert(s153);

   Scanner s154(TINYINT);
   s154.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(2 ,START));
   s154.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s154.addState(ScannerStateEntry(7 ,FINAL));
   s154.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s154.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s154.addTransition(ScannerTransEntry(1 ,'N' ,3));
   s154.addTransition(ScannerTransEntry(1 ,'n' ,3));
   s154.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s154.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s154.addTransition(ScannerTransEntry(3 ,'Y' ,4));
   s154.addTransition(ScannerTransEntry(3 ,'y' ,4));
   s154.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s154.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s154.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s154.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s154.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s154.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s154);

   Scanner s155(TMPOBJ);
   s155.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(2 ,START));
   s155.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s155.addState(ScannerStateEntry(6 ,FINAL));
   s155.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s155.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s155.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s155.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s155.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s155.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s155.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s155.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s155.addTransition(ScannerTransEntry(4 ,'B' ,5));
   s155.addTransition(ScannerTransEntry(4 ,'b' ,5));
   s155.addTransition(ScannerTransEntry(5 ,'J' ,6));
   s155.addTransition(ScannerTransEntry(5 ,'j' ,6));
   _scannerList.Insert(s155);

   Scanner s156(TRANSACTION);
   s156.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(2 ,START));
   s156.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(9 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(10 ,INTERMEDIATE));
   s156.addState(ScannerStateEntry(11 ,FINAL));
   s156.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s156.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s156.addTransition(ScannerTransEntry(1 ,'A' ,3));
   s156.addTransition(ScannerTransEntry(1 ,'a' ,3));
   s156.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s156.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s156.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s156.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s156.addTransition(ScannerTransEntry(4 ,'S' ,5));
   s156.addTransition(ScannerTransEntry(4 ,'s' ,5));
   s156.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s156.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s156.addTransition(ScannerTransEntry(6 ,'C' ,7));
   s156.addTransition(ScannerTransEntry(6 ,'c' ,7));
   s156.addTransition(ScannerTransEntry(7 ,'T' ,8));
   s156.addTransition(ScannerTransEntry(7 ,'t' ,8));
   s156.addTransition(ScannerTransEntry(8 ,'I' ,9));
   s156.addTransition(ScannerTransEntry(8 ,'i' ,9));
   s156.addTransition(ScannerTransEntry(9 ,'O' ,10));
   s156.addTransition(ScannerTransEntry(9 ,'o' ,10));
   s156.addTransition(ScannerTransEntry(10 ,'N' ,11));
   s156.addTransition(ScannerTransEntry(10 ,'n' ,11));
   _scannerList.Insert(s156);

   Scanner s157(TRIGGER);
   s157.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(2 ,START));
   s157.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s157.addState(ScannerStateEntry(7 ,FINAL));
   s157.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s157.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s157.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s157.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s157.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s157.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s157.addTransition(ScannerTransEntry(3 ,'G' ,4));
   s157.addTransition(ScannerTransEntry(3 ,'g' ,4));
   s157.addTransition(ScannerTransEntry(4 ,'G' ,5));
   s157.addTransition(ScannerTransEntry(4 ,'g' ,5));
   s157.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s157.addTransition(ScannerTransEntry(5 ,'e' ,6));
   s157.addTransition(ScannerTransEntry(6 ,'R' ,7));
   s157.addTransition(ScannerTransEntry(6 ,'r' ,7));
   _scannerList.Insert(s157);

   Scanner s158(TUPLEINFO);
   s158.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(2 ,START));
   s158.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(8 ,INTERMEDIATE));
   s158.addState(ScannerStateEntry(9 ,FINAL));
   s158.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s158.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s158.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s158.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s158.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s158.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s158.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s158.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s158.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s158.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s158.addTransition(ScannerTransEntry(5 ,'I' ,6));
   s158.addTransition(ScannerTransEntry(5 ,'i' ,6));
   s158.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s158.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s158.addTransition(ScannerTransEntry(7 ,'F' ,8));
   s158.addTransition(ScannerTransEntry(7 ,'f' ,8));
   s158.addTransition(ScannerTransEntry(8 ,'O' ,9));
   s158.addTransition(ScannerTransEntry(8 ,'o' ,9));
   _scannerList.Insert(s158);

   Scanner s159(STR2INT);
   s159.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(2 ,START));
   s159.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s159.addState(ScannerStateEntry(7 ,FINAL));
   s159.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s159.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s159.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s159.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s159.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s159.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s159.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s159.addTransition(ScannerTransEntry(4 ,'I' ,5));
   s159.addTransition(ScannerTransEntry(4 ,'i' ,5));
   s159.addTransition(ScannerTransEntry(5 ,'N' ,6));
   s159.addTransition(ScannerTransEntry(5 ,'n' ,6));
   s159.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s159.addTransition(ScannerTransEntry(6 ,'t' ,7));
   _scannerList.Insert(s159);

   Scanner s160(STR2LONG);
   s160.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(2 ,START));
   s160.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s160.addState(ScannerStateEntry(8 ,FINAL));
   s160.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s160.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s160.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s160.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s160.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s160.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s160.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s160.addTransition(ScannerTransEntry(4 ,'L' ,5));
   s160.addTransition(ScannerTransEntry(4 ,'l' ,5));
   s160.addTransition(ScannerTransEntry(5 ,'O' ,6));
   s160.addTransition(ScannerTransEntry(5 ,'o' ,6));
   s160.addTransition(ScannerTransEntry(6 ,'N' ,7));
   s160.addTransition(ScannerTransEntry(6 ,'n' ,7));
   s160.addTransition(ScannerTransEntry(7 ,'G' ,8));
   s160.addTransition(ScannerTransEntry(7 ,'g' ,8));
   _scannerList.Insert(s160);

   Scanner s161(STR2DATE);
   s161.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(2 ,START));
   s161.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s161.addState(ScannerStateEntry(8 ,FINAL));
   s161.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s161.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s161.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s161.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s161.addTransition(ScannerTransEntry(2 ,'S' ,0));
   s161.addTransition(ScannerTransEntry(2 ,'s' ,0));
   s161.addTransition(ScannerTransEntry(3 ,'2' ,4));
   s161.addTransition(ScannerTransEntry(4 ,'D' ,5));
   s161.addTransition(ScannerTransEntry(4 ,'d' ,5));
   s161.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s161.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s161.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s161.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s161.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s161.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s161);

   Scanner s162(TO);
   s162.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s162.addState(ScannerStateEntry(1 ,FINAL));
   s162.addState(ScannerStateEntry(2 ,START));
   s162.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s162.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s162.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s162.addTransition(ScannerTransEntry(2 ,'t' ,0));
   _scannerList.Insert(s162);

   Scanner s163(TRIM);
   s163.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(2 ,START));
   s163.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s163.addState(ScannerStateEntry(4 ,FINAL));
   s163.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s163.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s163.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s163.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s163.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s163.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s163.addTransition(ScannerTransEntry(3 ,'M' ,4));
   s163.addTransition(ScannerTransEntry(3 ,'m' ,4));
   _scannerList.Insert(s163);

   Scanner s164(TRUEVAL);
   s164.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(2 ,START));
   s164.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s164.addState(ScannerStateEntry(4 ,FINAL));
   s164.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s164.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s164.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s164.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s164.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s164.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s164.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s164.addTransition(ScannerTransEntry(3 ,'e' ,4));
   _scannerList.Insert(s164);

   Scanner s165(TRUNC);
   s165.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(2 ,START));
   s165.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s165.addState(ScannerStateEntry(5 ,FINAL));
   s165.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s165.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s165.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s165.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s165.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s165.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s165.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s165.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s165.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s165.addTransition(ScannerTransEntry(4 ,'c' ,5));
   _scannerList.Insert(s165);

   Scanner s166(TRUNCATE);
   s166.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(2 ,START));
   s166.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(6 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(7 ,INTERMEDIATE));
   s166.addState(ScannerStateEntry(8 ,FINAL));
   s166.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s166.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s166.addTransition(ScannerTransEntry(1 ,'U' ,3));
   s166.addTransition(ScannerTransEntry(1 ,'u' ,3));
   s166.addTransition(ScannerTransEntry(2 ,'T' ,0));
   s166.addTransition(ScannerTransEntry(2 ,'t' ,0));
   s166.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s166.addTransition(ScannerTransEntry(3 ,'n' ,4));
   s166.addTransition(ScannerTransEntry(4 ,'C' ,5));
   s166.addTransition(ScannerTransEntry(4 ,'c' ,5));
   s166.addTransition(ScannerTransEntry(5 ,'A' ,6));
   s166.addTransition(ScannerTransEntry(5 ,'a' ,6));
   s166.addTransition(ScannerTransEntry(6 ,'T' ,7));
   s166.addTransition(ScannerTransEntry(6 ,'t' ,7));
   s166.addTransition(ScannerTransEntry(7 ,'E' ,8));
   s166.addTransition(ScannerTransEntry(7 ,'e' ,8));
   _scannerList.Insert(s166);

   Scanner s167(UNION);
   s167.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(2 ,START));
   s167.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s167.addState(ScannerStateEntry(5 ,FINAL));
   s167.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s167.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s167.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s167.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s167.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s167.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s167.addTransition(ScannerTransEntry(3 ,'O' ,4));
   s167.addTransition(ScannerTransEntry(3 ,'o' ,4));
   s167.addTransition(ScannerTransEntry(4 ,'N' ,5));
   s167.addTransition(ScannerTransEntry(4 ,'n' ,5));
   _scannerList.Insert(s167);

   Scanner s168(UNIQUE);
   s168.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(2 ,START));
   s168.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s168.addState(ScannerStateEntry(6 ,FINAL));
   s168.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s168.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s168.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s168.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s168.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s168.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s168.addTransition(ScannerTransEntry(3 ,'Q' ,4));
   s168.addTransition(ScannerTransEntry(3 ,'q' ,4));
   s168.addTransition(ScannerTransEntry(4 ,'U' ,5));
   s168.addTransition(ScannerTransEntry(4 ,'u' ,5));
   s168.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s168.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s168);

   Scanner s169(UPDATE);
   s169.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(2 ,START));
   s169.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s169.addState(ScannerStateEntry(6 ,FINAL));
   s169.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s169.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s169.addTransition(ScannerTransEntry(1 ,'D' ,3));
   s169.addTransition(ScannerTransEntry(1 ,'d' ,3));
   s169.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s169.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s169.addTransition(ScannerTransEntry(3 ,'A' ,4));
   s169.addTransition(ScannerTransEntry(3 ,'a' ,4));
   s169.addTransition(ScannerTransEntry(4 ,'T' ,5));
   s169.addTransition(ScannerTransEntry(4 ,'t' ,5));
   s169.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s169.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s169);

   Scanner s170(UPTIME);
   s170.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(2 ,START));
   s170.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s170.addState(ScannerStateEntry(6 ,FINAL));
   s170.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s170.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s170.addTransition(ScannerTransEntry(1 ,'T' ,3));
   s170.addTransition(ScannerTransEntry(1 ,'t' ,3));
   s170.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s170.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s170.addTransition(ScannerTransEntry(3 ,'I' ,4));
   s170.addTransition(ScannerTransEntry(3 ,'i' ,4));
   s170.addTransition(ScannerTransEntry(4 ,'M' ,5));
   s170.addTransition(ScannerTransEntry(4 ,'m' ,5));
   s170.addTransition(ScannerTransEntry(5 ,'E' ,6));
   s170.addTransition(ScannerTransEntry(5 ,'e' ,6));
   _scannerList.Insert(s170);

   Scanner s171(UPPER);
   s171.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(2 ,START));
   s171.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s171.addState(ScannerStateEntry(5 ,FINAL));
   s171.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s171.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s171.addTransition(ScannerTransEntry(1 ,'P' ,3));
   s171.addTransition(ScannerTransEntry(1 ,'p' ,3));
   s171.addTransition(ScannerTransEntry(2 ,'U' ,0));
   s171.addTransition(ScannerTransEntry(2 ,'u' ,0));
   s171.addTransition(ScannerTransEntry(3 ,'E' ,4));
   s171.addTransition(ScannerTransEntry(3 ,'e' ,4));
   s171.addTransition(ScannerTransEntry(4 ,'R' ,5));
   s171.addTransition(ScannerTransEntry(4 ,'r' ,5));
   _scannerList.Insert(s171);

   Scanner s172(VAR);
   s172.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s172.addState(ScannerStateEntry(2 ,START));
   s172.addState(ScannerStateEntry(3 ,FINAL));
   s172.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s172.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s172.addTransition(ScannerTransEntry(1 ,'R' ,3));
   s172.addTransition(ScannerTransEntry(1 ,'r' ,3));
   s172.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s172.addTransition(ScannerTransEntry(2 ,'v' ,0));
   _scannerList.Insert(s172);

   Scanner s173(VALUES);
   s173.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(2 ,START));
   s173.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(5 ,INTERMEDIATE));
   s173.addState(ScannerStateEntry(6 ,FINAL));
   s173.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s173.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s173.addTransition(ScannerTransEntry(1 ,'L' ,3));
   s173.addTransition(ScannerTransEntry(1 ,'l' ,3));
   s173.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s173.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s173.addTransition(ScannerTransEntry(3 ,'U' ,4));
   s173.addTransition(ScannerTransEntry(3 ,'u' ,4));
   s173.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s173.addTransition(ScannerTransEntry(4 ,'e' ,5));
   s173.addTransition(ScannerTransEntry(5 ,'S' ,6));
   s173.addTransition(ScannerTransEntry(5 ,'s' ,6));
   _scannerList.Insert(s173);

   Scanner s174(VIEW);
   s174.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(2 ,START));
   s174.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s174.addState(ScannerStateEntry(4 ,FINAL));
   s174.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s174.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s174.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s174.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s174.addTransition(ScannerTransEntry(2 ,'V' ,0));
   s174.addTransition(ScannerTransEntry(2 ,'v' ,0));
   s174.addTransition(ScannerTransEntry(3 ,'W' ,4));
   s174.addTransition(ScannerTransEntry(3 ,'w' ,4));
   _scannerList.Insert(s174);

   Scanner s175(WHEN);
   s175.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(2 ,START));
   s175.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s175.addState(ScannerStateEntry(4 ,FINAL));
   s175.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s175.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s175.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s175.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s175.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s175.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s175.addTransition(ScannerTransEntry(3 ,'N' ,4));
   s175.addTransition(ScannerTransEntry(3 ,'n' ,4));
   _scannerList.Insert(s175);

   Scanner s176(WHERE);
   s176.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(2 ,START));
   s176.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s176.addState(ScannerStateEntry(5 ,FINAL));
   s176.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s176.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s176.addTransition(ScannerTransEntry(1 ,'E' ,3));
   s176.addTransition(ScannerTransEntry(1 ,'e' ,3));
   s176.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s176.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s176.addTransition(ScannerTransEntry(3 ,'R' ,4));
   s176.addTransition(ScannerTransEntry(3 ,'r' ,4));
   s176.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s176.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s176);

   Scanner s177(WHILE);
   s177.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(2 ,START));
   s177.addState(ScannerStateEntry(3 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(4 ,INTERMEDIATE));
   s177.addState(ScannerStateEntry(5 ,FINAL));
   s177.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s177.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s177.addTransition(ScannerTransEntry(1 ,'I' ,3));
   s177.addTransition(ScannerTransEntry(1 ,'i' ,3));
   s177.addTransition(ScannerTransEntry(2 ,'W' ,0));
   s177.addTransition(ScannerTransEntry(2 ,'w' ,0));
   s177.addTransition(ScannerTransEntry(3 ,'L' ,4));
   s177.addTransition(ScannerTransEntry(3 ,'l' ,4));
   s177.addTransition(ScannerTransEntry(4 ,'E' ,5));
   s177.addTransition(ScannerTransEntry(4 ,'e' ,5));
   _scannerList.Insert(s177);

   Scanner s178(CONCAT);
   s178.addState(ScannerStateEntry(0 ,START));
   s178.addState(ScannerStateEntry(1 ,FINAL));
   s178.addTransition(ScannerTransEntry(0 ,'|' ,1));
   _scannerList.Insert(s178);

   Scanner s179(EQU);
   s179.addState(ScannerStateEntry(0 ,START));
   s179.addState(ScannerStateEntry(1 ,FINAL));
   s179.addTransition(ScannerTransEntry(0 ,'=' ,1));
   _scannerList.Insert(s179);

   Scanner s180(KSEP);
   s180.addState(ScannerStateEntry(0 ,START));
   s180.addState(ScannerStateEntry(1 ,FINAL));
   s180.addTransition(ScannerTransEntry(0 ,',' ,1));
   _scannerList.Insert(s180);

   Scanner s181(LB);
   s181.addState(ScannerStateEntry(0 ,START));
   s181.addState(ScannerStateEntry(1 ,FINAL));
   s181.addTransition(ScannerTransEntry(0 ,'(' ,1));
   _scannerList.Insert(s181);

   Scanner s182(LT);
   s182.addState(ScannerStateEntry(0 ,START));
   s182.addState(ScannerStateEntry(1 ,FINAL));
   s182.addTransition(ScannerTransEntry(0 ,'<' ,1));
   _scannerList.Insert(s182);

   Scanner s183(MT);
   s183.addState(ScannerStateEntry(0 ,START));
   s183.addState(ScannerStateEntry(1 ,FINAL));
   s183.addTransition(ScannerTransEntry(0 ,'>' ,1));
   _scannerList.Insert(s183);

   Scanner s184(NEGATION);
   s184.addState(ScannerStateEntry(0 ,START));
   s184.addState(ScannerStateEntry(1 ,FINAL));
   s184.addTransition(ScannerTransEntry(0 ,'!' ,1));
   _scannerList.Insert(s184);

   Scanner s185(RB);
   s185.addState(ScannerStateEntry(0 ,START));
   s185.addState(ScannerStateEntry(1 ,FINAL));
   s185.addTransition(ScannerTransEntry(0 ,')' ,1));
   _scannerList.Insert(s185);

   Scanner s186(LAB);
   s186.addState(ScannerStateEntry(0 ,START));
   s186.addState(ScannerStateEntry(1 ,FINAL));
   s186.addTransition(ScannerTransEntry(0 ,'[' ,1));
   _scannerList.Insert(s186);

   Scanner s187(RAB);
   s187.addState(ScannerStateEntry(0 ,START));
   s187.addState(ScannerStateEntry(1 ,FINAL));
   s187.addTransition(ScannerTransEntry(0 ,']' ,1));
   _scannerList.Insert(s187);

   Scanner s188(SEMICOLON);
   s188.addState(ScannerStateEntry(0 ,START));
   s188.addState(ScannerStateEntry(1 ,FINAL));
   s188.addTransition(ScannerTransEntry(0 ,';' ,1));
   _scannerList.Insert(s188);

   Scanner s189(STAR);
   s189.addState(ScannerStateEntry(0 ,START));
   s189.addState(ScannerStateEntry(1 ,FINAL));
   s189.addTransition(ScannerTransEntry(0 ,'*' ,1));
   _scannerList.Insert(s189);

   Scanner s190(DIVISION);
   s190.addState(ScannerStateEntry(0 ,START));
   s190.addState(ScannerStateEntry(1 ,FINAL));
   s190.addTransition(ScannerTransEntry(0 ,'/' ,1));
   _scannerList.Insert(s190);

   Scanner s191(MINUS);
   s191.addState(ScannerStateEntry(0 ,START));
   s191.addState(ScannerStateEntry(1 ,FINAL));
   s191.addTransition(ScannerTransEntry(0 ,'-' ,1));
   _scannerList.Insert(s191);

   Scanner s192(PLUS);
   s192.addState(ScannerStateEntry(0 ,START));
   s192.addState(ScannerStateEntry(1 ,FINAL));
   s192.addTransition(ScannerTransEntry(0 ,'+' ,1));
   _scannerList.Insert(s192);

   Scanner s193(INTVAL);
   s193.addState(ScannerStateEntry(0 ,START));
   s193.addState(ScannerStateEntry(1 ,FINAL));
   s193.addState(ScannerStateEntry(2 ,FINAL));
   s193.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s193.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s193.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s193.addTransition(ScannerTransEntry(1 ,'9' ,1));
   _scannerList.Insert(s193);

   Scanner s194(FLOATVAL);
   s194.addState(ScannerStateEntry(0 ,START));
   s194.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s194.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s194.addState(ScannerStateEntry(3 ,FINAL));
   s194.addTransition(ScannerTransEntry(0 ,'1' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'2' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'3' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'4' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'5' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'6' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'7' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'8' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'9' ,1));
   s194.addTransition(ScannerTransEntry(0 ,'0' ,2));
   s194.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s194.addTransition(ScannerTransEntry(1 ,'.' ,3));
   s194.addTransition(ScannerTransEntry(2 ,'.' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s194.addTransition(ScannerTransEntry(3 ,'9' ,3));
   _scannerList.Insert(s194);

   Scanner s195(IDENTIFIER);
   s195.addState(ScannerStateEntry(0 ,START));
   s195.addState(ScannerStateEntry(1 ,FINAL));
   s195.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s195.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s195.addTransition(ScannerTransEntry(1 ,'z' ,1));
   _scannerList.Insert(s195);

   Scanner s196(VARREF);
   s196.addState(ScannerStateEntry(0 ,INTERMEDIATE));
   s196.addState(ScannerStateEntry(1 ,FINAL));
   s196.addState(ScannerStateEntry(2 ,START));
   s196.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s196.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s196.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s196.addTransition(ScannerTransEntry(2 ,':' ,0));
   _scannerList.Insert(s196);

   Scanner s197(QUALIFIEDOBJ);
   s197.addState(ScannerStateEntry(0 ,START));
   s197.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s197.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s197.addState(ScannerStateEntry(3 ,FINAL));
   s197.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s197.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s197.addTransition(ScannerTransEntry(1 ,'.' ,2));
   s197.addTransition(ScannerTransEntry(2 ,'$' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s197.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s197.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s197);

   Scanner s198(QUALIFIEDPRE);
   s198.addState(ScannerStateEntry(0 ,START));
   s198.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s198.addState(ScannerStateEntry(2 ,FINAL));
   s198.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s198.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s198.addTransition(ScannerTransEntry(1 ,'.' ,2));
   _scannerList.Insert(s198);

   Scanner s199(QUALIFIEDTS);
   s199.addState(ScannerStateEntry(0 ,START));
   s199.addState(ScannerStateEntry(1 ,INTERMEDIATE));
   s199.addState(ScannerStateEntry(2 ,INTERMEDIATE));
   s199.addState(ScannerStateEntry(3 ,FINAL));
   s199.addTransition(ScannerTransEntry(0 ,'$' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'A' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'B' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'C' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'D' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'E' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'F' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'G' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'H' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'I' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'J' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'K' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'L' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'M' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'N' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'O' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'P' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'Q' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'R' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'S' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'T' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'U' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'V' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'W' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'X' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'Y' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'Z' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'a' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'b' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'c' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'d' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'e' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'f' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'g' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'h' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'i' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'j' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'k' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'l' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'m' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'n' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'o' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'p' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'q' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'r' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'s' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'t' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'u' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'v' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'w' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'x' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'y' ,1));
   s199.addTransition(ScannerTransEntry(0 ,'z' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'0' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'1' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'2' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'3' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'4' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'5' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'6' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'7' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'8' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'9' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'A' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'B' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'C' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'D' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'E' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'F' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'G' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'H' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'I' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'J' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'K' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'L' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'M' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'N' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'O' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'P' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'Q' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'R' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'S' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'T' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'U' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'V' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'W' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'X' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'Y' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'Z' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'_' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'a' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'b' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'c' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'d' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'e' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'f' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'g' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'h' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'i' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'j' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'k' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'l' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'m' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'n' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'o' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'p' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'q' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'r' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'s' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'t' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'u' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'v' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'w' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'x' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'y' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'z' ,1));
   s199.addTransition(ScannerTransEntry(1 ,'@' ,2));
   s199.addTransition(ScannerTransEntry(2 ,'A' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'B' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'C' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'D' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'E' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'F' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'G' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'H' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'I' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'J' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'K' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'L' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'M' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'N' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'O' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'P' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'Q' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'R' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'S' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'T' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'U' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'V' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'W' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'X' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'Y' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'Z' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'a' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'b' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'c' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'d' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'e' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'f' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'g' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'h' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'i' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'j' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'k' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'l' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'m' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'n' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'o' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'p' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'q' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'r' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'s' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'t' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'u' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'v' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'w' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'x' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'y' ,3));
   s199.addTransition(ScannerTransEntry(2 ,'z' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'0' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'1' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'2' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'3' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'4' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'5' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'6' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'7' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'8' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'9' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'A' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'B' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'C' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'D' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'E' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'F' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'G' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'H' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'I' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'J' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'K' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'L' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'M' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'N' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'O' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'P' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'Q' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'R' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'S' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'T' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'U' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'V' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'W' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'X' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'Y' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'Z' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'_' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'a' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'b' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'c' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'d' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'e' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'f' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'g' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'h' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'i' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'j' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'k' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'l' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'m' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'n' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'o' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'p' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'q' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'r' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'s' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'t' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'u' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'v' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'w' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'x' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'y' ,3));
   s199.addTransition(ScannerTransEntry(3 ,'z' ,3));
   _scannerList.Insert(s199);

}
void Cego::loadParser0()
{
   _actionMap[969][SEMICOLON] = ActionEntry(REDUCE, 85);
   _actionMap[968][RB] = ActionEntry(SHIFT, 969);
   _actionMap[967][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[967][SimpleAttr] = 830;
   _jumpMap[967][SimpleAttrList] = 968;
   _actionMap[964][LB] = ActionEntry(SHIFT, 967);
   _actionMap[965][ROWLIMIT] = ActionEntry(REDUCE, 276);
   _actionMap[965][UNION] = ActionEntry(REDUCE, 276);
   _actionMap[965][ENDTOKEN] = ActionEntry(REDUCE, 276);
   _actionMap[965][RB] = ActionEntry(REDUCE, 276);
   _actionMap[965][SEMICOLON] = ActionEntry(REDUCE, 276);
   _actionMap[965][KSEP] = ActionEntry(REDUCE, 276);
   _actionMap[966][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[966][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[966][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[966][ORDER] = ActionEntry(REDUCE, 270);
   _actionMap[966][ROWLIMIT] = ActionEntry(REDUCE, 270);
   _actionMap[966][UNION] = ActionEntry(REDUCE, 270);
   _actionMap[966][ENDTOKEN] = ActionEntry(REDUCE, 270);
   _actionMap[966][RB] = ActionEntry(REDUCE, 270);
   _actionMap[966][SEMICOLON] = ActionEntry(REDUCE, 270);
   _actionMap[960][IDENTIFIER] = ActionEntry(SHIFT, 964);
   _actionMap[961][SEMICOLON] = ActionEntry(REDUCE, 97);
   _actionMap[961][RB] = ActionEntry(REDUCE, 97);
   _actionMap[962][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[962][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[962][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[962][ASC] = ActionEntry(SHIFT, 953);
   _actionMap[962][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[962][DESC] = ActionEntry(SHIFT, 954);
   _actionMap[962][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[962][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[962][RB] = ActionEntry(REDUCE, 281);
   _actionMap[962][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[962][KSEP] = ActionEntry(REDUCE, 281);
   _jumpMap[962][DefaultOrderOpt] = 952;
   _jumpMap[962][OrderingOpt] = 965;
   _actionMap[963][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[963][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[963][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[963][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[963][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[963][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[963][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[963][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[963][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[963][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[963][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[963][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[963][NEWDATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser1()
{
   _actionMap[963][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[963][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[963][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[963][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[963][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[963][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[963][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[963][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[963][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[963][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[963][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[963][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[963][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[963][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[963][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[963][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[963][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[963][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[963][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[963][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[963][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[963][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[963][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[963][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[963][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[963][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[963][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[963][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[963][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[963][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[963][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[963][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[963][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[963][LB] = ActionEntry(SHIFT, 177);
   _actionMap[963][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[963][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[963][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[963][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[963][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[963][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[963][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[963][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[963][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[963][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[963][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[963][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[963][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[963][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[963][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[963][MIN] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser2()
{
   _actionMap[963][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[963][ObjSpec] = 121;
   _jumpMap[963][Constant] = 120;
   _jumpMap[963][SignedFloat] = 119;
   _jumpMap[963][SignedInt] = 118;
   _jumpMap[963][Attribute] = 117;
   _jumpMap[963][Function] = 116;
   _jumpMap[963][CasePrepare] = 115;
   _jumpMap[963][CaseClause] = 114;
   _jumpMap[963][Factor] = 113;
   _jumpMap[963][Term] = 112;
   _jumpMap[963][Expr] = 966;
   _actionMap[946][REFERENCES] = ActionEntry(SHIFT, 960);
   _actionMap[947][ELSE] = ActionEntry(REDUCE, 145);
   _actionMap[947][ELSIF] = ActionEntry(REDUCE, 145);
   _actionMap[947][EXCEPTION] = ActionEntry(REDUCE, 145);
   _actionMap[947][END_TOKEN] = ActionEntry(REDUCE, 145);
   _actionMap[947][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[947][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[947][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[947][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[947][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[947][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[947][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[947][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[947][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[947][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[947][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[947][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[947][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[947][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[947][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[947][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[947][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[947][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[947][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[947][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[947][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[947][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[947][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[947][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[947][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[947][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[947][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[947][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[947][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[947][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[947][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[947][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[947][BITAND] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser3()
{
   _actionMap[947][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[947][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[947][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[947][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[947][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[947][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[947][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[947][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[947][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[947][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[947][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[947][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[947][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[947][LB] = ActionEntry(SHIFT, 177);
   _actionMap[947][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[947][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[947][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[947][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[947][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[947][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[947][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[947][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[947][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[947][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[947][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[947][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[947][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[947][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[947][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[947][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[947][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[947][IF] = ActionEntry(SHIFT, 406);
   _actionMap[947][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[947][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[947][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[947][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[947][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[947][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[947][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[947][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[947][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[947][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[947][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[947][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[947][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[947][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[947][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[947][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[947][ObjSpec] = 121;
   _jumpMap[947][Constant] = 120;
}
void Cego::loadParser4()
{
   _jumpMap[947][SignedFloat] = 119;
   _jumpMap[947][SignedInt] = 118;
   _jumpMap[947][Attribute] = 117;
   _jumpMap[947][Function] = 116;
   _jumpMap[947][DeleteStatement] = 402;
   _jumpMap[947][UpdateStatement] = 401;
   _jumpMap[947][InsertStatement] = 400;
   _jumpMap[947][UnlockStatement] = 399;
   _jumpMap[947][LockStatement] = 398;
   _jumpMap[947][RollbackStatement] = 397;
   _jumpMap[947][CommitStatement] = 396;
   _jumpMap[947][StartStatement] = 395;
   _jumpMap[947][CasePrepare] = 115;
   _jumpMap[947][CaseClause] = 114;
   _jumpMap[947][Factor] = 113;
   _jumpMap[947][Term] = 112;
   _jumpMap[947][Expr] = 394;
   _jumpMap[947][ProcStatement] = 545;
   _jumpMap[947][ProcIfPart] = 392;
   _jumpMap[947][ProcBlockStart] = 391;
   _actionMap[948][RB] = ActionEntry(REDUCE, 396);
   _actionMap[949][SEMICOLON] = ActionEntry(REDUCE, 64);
   _actionMap[950][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[950][SelectStatement] = 961;
   _actionMap[951][ROWLIMIT] = ActionEntry(REDUCE, 277);
   _actionMap[951][UNION] = ActionEntry(REDUCE, 277);
   _actionMap[951][ENDTOKEN] = ActionEntry(REDUCE, 277);
   _actionMap[951][RB] = ActionEntry(REDUCE, 277);
   _actionMap[951][SEMICOLON] = ActionEntry(REDUCE, 277);
   _actionMap[951][KSEP] = ActionEntry(REDUCE, 277);
   _actionMap[952][ROWLIMIT] = ActionEntry(REDUCE, 278);
   _actionMap[952][UNION] = ActionEntry(REDUCE, 278);
   _actionMap[952][ENDTOKEN] = ActionEntry(REDUCE, 278);
   _actionMap[952][RB] = ActionEntry(REDUCE, 278);
   _actionMap[952][SEMICOLON] = ActionEntry(REDUCE, 278);
   _actionMap[952][KSEP] = ActionEntry(REDUCE, 278);
   _actionMap[953][ROWLIMIT] = ActionEntry(REDUCE, 280);
   _actionMap[953][UNION] = ActionEntry(REDUCE, 280);
   _actionMap[953][ENDTOKEN] = ActionEntry(REDUCE, 280);
   _actionMap[953][RB] = ActionEntry(REDUCE, 280);
   _actionMap[953][SEMICOLON] = ActionEntry(REDUCE, 280);
   _actionMap[953][KSEP] = ActionEntry(REDUCE, 280);
   _actionMap[954][ROWLIMIT] = ActionEntry(REDUCE, 279);
   _actionMap[954][UNION] = ActionEntry(REDUCE, 279);
   _actionMap[954][ENDTOKEN] = ActionEntry(REDUCE, 279);
   _actionMap[954][RB] = ActionEntry(REDUCE, 279);
   _actionMap[954][SEMICOLON] = ActionEntry(REDUCE, 279);
   _actionMap[954][KSEP] = ActionEntry(REDUCE, 279);
   _actionMap[955][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[955][MINUS] = ActionEntry(SHIFT, 178);
}
void Cego::loadParser5()
{
   _actionMap[955][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[955][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[955][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[955][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[955][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[955][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[955][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[955][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[955][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[955][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[955][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[955][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[955][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[955][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[955][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[955][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[955][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[955][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[955][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[955][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[955][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[955][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[955][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[955][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[955][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[955][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[955][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[955][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[955][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[955][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[955][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[955][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[955][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[955][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[955][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[955][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[955][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[955][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[955][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[955][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[955][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[955][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[955][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[955][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[955][LB] = ActionEntry(SHIFT, 177);
   _actionMap[955][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[955][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[955][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[955][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[955][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser6()
{
   _actionMap[955][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[955][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[955][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[955][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[955][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[955][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[955][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[955][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[955][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[955][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[955][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[955][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[955][ObjSpec] = 121;
   _jumpMap[955][Constant] = 120;
   _jumpMap[955][SignedFloat] = 119;
   _jumpMap[955][SignedInt] = 118;
   _jumpMap[955][Attribute] = 117;
   _jumpMap[955][Function] = 116;
   _jumpMap[955][CasePrepare] = 115;
   _jumpMap[955][CaseClause] = 114;
   _jumpMap[955][Factor] = 113;
   _jumpMap[955][Term] = 112;
   _jumpMap[955][Expr] = 962;
   _actionMap[956][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[956][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[956][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[956][EQU] = ActionEntry(SHIFT, 598);
   _actionMap[956][NEGATION] = ActionEntry(SHIFT, 601);
   _actionMap[956][LT] = ActionEntry(SHIFT, 599);
   _actionMap[956][MT] = ActionEntry(SHIFT, 600);
   _jumpMap[956][Comparison] = 963;
   _actionMap[957][KSEP] = ActionEntry(REDUCE, 268);
   _actionMap[957][HAVING] = ActionEntry(REDUCE, 268);
   _actionMap[957][ORDER] = ActionEntry(REDUCE, 268);
   _actionMap[957][ROWLIMIT] = ActionEntry(REDUCE, 268);
   _actionMap[957][UNION] = ActionEntry(REDUCE, 268);
   _actionMap[957][ENDTOKEN] = ActionEntry(REDUCE, 268);
   _actionMap[957][RB] = ActionEntry(REDUCE, 268);
   _actionMap[957][SEMICOLON] = ActionEntry(REDUCE, 268);
   _actionMap[958][AND] = ActionEntry(SHIFT, 602);
   _actionMap[958][OR] = ActionEntry(SHIFT, 603);
   _actionMap[958][LEFT] = ActionEntry(REDUCE, 252);
   _actionMap[958][RIGHT] = ActionEntry(REDUCE, 252);
   _actionMap[958][INNER] = ActionEntry(REDUCE, 252);
   _actionMap[958][JOIN] = ActionEntry(REDUCE, 252);
   _actionMap[958][RETURNTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[958][SEMICOLON] = ActionEntry(REDUCE, 252);
   _actionMap[958][RB] = ActionEntry(REDUCE, 252);
   _actionMap[958][ENDTOKEN] = ActionEntry(REDUCE, 252);
   _actionMap[958][UNION] = ActionEntry(REDUCE, 252);
}
void Cego::loadParser7()
{
   _actionMap[958][ROWLIMIT] = ActionEntry(REDUCE, 252);
   _actionMap[958][ORDER] = ActionEntry(REDUCE, 252);
   _actionMap[958][GROUP] = ActionEntry(REDUCE, 252);
   _actionMap[958][WHERE] = ActionEntry(REDUCE, 252);
   _actionMap[959][AND] = ActionEntry(SHIFT, 602);
   _actionMap[959][OR] = ActionEntry(SHIFT, 603);
   _actionMap[959][LEFT] = ActionEntry(REDUCE, 254);
   _actionMap[959][RIGHT] = ActionEntry(REDUCE, 254);
   _actionMap[959][INNER] = ActionEntry(REDUCE, 254);
   _actionMap[959][JOIN] = ActionEntry(REDUCE, 254);
   _actionMap[959][RETURNTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[959][SEMICOLON] = ActionEntry(REDUCE, 254);
   _actionMap[959][RB] = ActionEntry(REDUCE, 254);
   _actionMap[959][ENDTOKEN] = ActionEntry(REDUCE, 254);
   _actionMap[959][UNION] = ActionEntry(REDUCE, 254);
   _actionMap[959][ROWLIMIT] = ActionEntry(REDUCE, 254);
   _actionMap[959][ORDER] = ActionEntry(REDUCE, 254);
   _actionMap[959][GROUP] = ActionEntry(REDUCE, 254);
   _actionMap[959][WHERE] = ActionEntry(REDUCE, 254);
   _actionMap[916][RB] = ActionEntry(SHIFT, 946);
   _actionMap[917][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[917][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[917][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[917][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[917][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[917][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[917][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[917][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[917][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[917][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[917][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[917][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[917][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[917][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[917][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[917][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[917][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[917][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[917][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[917][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[917][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[917][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[917][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[917][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[917][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[917][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[917][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[917][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[917][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[917][LMOD] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser8()
{
   _actionMap[917][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[917][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[917][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[917][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[917][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[917][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[917][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[917][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[917][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[917][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[917][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[917][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[917][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[917][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[917][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[917][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[917][LB] = ActionEntry(SHIFT, 177);
   _actionMap[917][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[917][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[917][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[917][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[917][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[917][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[917][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[917][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[917][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[917][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[917][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[917][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[917][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[917][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[917][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[917][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[917][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[917][IF] = ActionEntry(SHIFT, 406);
   _actionMap[917][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[917][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[917][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[917][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[917][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[917][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[917][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[917][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[917][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[917][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[917][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[917][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[917][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[917][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[917][RETURNTOKEN] = ActionEntry(SHIFT, 408);
}
void Cego::loadParser9()
{
   _actionMap[917][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[917][ObjSpec] = 121;
   _jumpMap[917][Constant] = 120;
   _jumpMap[917][SignedFloat] = 119;
   _jumpMap[917][SignedInt] = 118;
   _jumpMap[917][Attribute] = 117;
   _jumpMap[917][Function] = 116;
   _jumpMap[917][DeleteStatement] = 402;
   _jumpMap[917][UpdateStatement] = 401;
   _jumpMap[917][InsertStatement] = 400;
   _jumpMap[917][UnlockStatement] = 399;
   _jumpMap[917][LockStatement] = 398;
   _jumpMap[917][RollbackStatement] = 397;
   _jumpMap[917][CommitStatement] = 396;
   _jumpMap[917][StartStatement] = 395;
   _jumpMap[917][CasePrepare] = 115;
   _jumpMap[917][CaseClause] = 114;
   _jumpMap[917][Factor] = 113;
   _jumpMap[917][Term] = 112;
   _jumpMap[917][Expr] = 394;
   _jumpMap[917][ProcStatement] = 393;
   _jumpMap[917][ProcIfPart] = 392;
   _jumpMap[917][ProcBlockStart] = 391;
   _jumpMap[917][ProcStatementList] = 947;
   _actionMap[918][BEGIN] = ActionEntry(REDUCE, 386);
   _actionMap[918][EQU] = ActionEntry(REDUCE, 386);
   _actionMap[918][DEFAULT] = ActionEntry(REDUCE, 386);
   _actionMap[918][NULLTOKEN] = ActionEntry(REDUCE, 386);
   _actionMap[918][NOT] = ActionEntry(REDUCE, 386);
   _actionMap[918][KSEP] = ActionEntry(REDUCE, 386);
   _actionMap[918][SEMICOLON] = ActionEntry(REDUCE, 386);
   _actionMap[918][RB] = ActionEntry(REDUCE, 386);
   _actionMap[919][BEGIN] = ActionEntry(REDUCE, 391);
   _actionMap[919][EQU] = ActionEntry(REDUCE, 391);
   _actionMap[919][DEFAULT] = ActionEntry(REDUCE, 391);
   _actionMap[919][NULLTOKEN] = ActionEntry(REDUCE, 391);
   _actionMap[919][NOT] = ActionEntry(REDUCE, 391);
   _actionMap[919][KSEP] = ActionEntry(REDUCE, 391);
   _actionMap[919][SEMICOLON] = ActionEntry(REDUCE, 391);
   _actionMap[919][RB] = ActionEntry(REDUCE, 391);
   _actionMap[920][BEGIN] = ActionEntry(REDUCE, 392);
   _actionMap[920][EQU] = ActionEntry(REDUCE, 392);
   _actionMap[920][DEFAULT] = ActionEntry(REDUCE, 392);
   _actionMap[920][NULLTOKEN] = ActionEntry(REDUCE, 392);
   _actionMap[920][NOT] = ActionEntry(REDUCE, 392);
   _actionMap[920][KSEP] = ActionEntry(REDUCE, 392);
   _actionMap[920][SEMICOLON] = ActionEntry(REDUCE, 392);
   _actionMap[920][RB] = ActionEntry(REDUCE, 392);
   _actionMap[921][INTVAL] = ActionEntry(SHIFT, 948);
   _actionMap[922][BEGIN] = ActionEntry(REDUCE, 383);
}
void Cego::loadParser10()
{
   _actionMap[922][EQU] = ActionEntry(REDUCE, 383);
   _actionMap[922][DEFAULT] = ActionEntry(REDUCE, 383);
   _actionMap[922][NULLTOKEN] = ActionEntry(REDUCE, 383);
   _actionMap[922][NOT] = ActionEntry(REDUCE, 383);
   _actionMap[922][KSEP] = ActionEntry(REDUCE, 383);
   _actionMap[922][SEMICOLON] = ActionEntry(REDUCE, 383);
   _actionMap[922][RB] = ActionEntry(REDUCE, 383);
   _actionMap[923][CACHED] = ActionEntry(SHIFT, 927);
   _actionMap[923][SEMICOLON] = ActionEntry(REDUCE, 66);
   _jumpMap[923][CachedOpt] = 949;
   _actionMap[924][KSEP] = ActionEntry(REDUCE, 68);
   _actionMap[924][RB] = ActionEntry(REDUCE, 68);
   _actionMap[925][KSEP] = ActionEntry(REDUCE, 70);
   _actionMap[925][RB] = ActionEntry(REDUCE, 70);
   _actionMap[926][SEMICOLON] = ActionEntry(REDUCE, 63);
   _actionMap[927][SEMICOLON] = ActionEntry(REDUCE, 65);
   _actionMap[928][RB] = ActionEntry(REDUCE, 210);
   _actionMap[929][SEMICOLON] = ActionEntry(REDUCE, 204);
   _actionMap[929][KSEP] = ActionEntry(REDUCE, 204);
   _actionMap[929][RB] = ActionEntry(REDUCE, 204);
   _actionMap[930][LEFT] = ActionEntry(REDUCE, 372);
   _actionMap[930][RIGHT] = ActionEntry(REDUCE, 372);
   _actionMap[930][INNER] = ActionEntry(REDUCE, 372);
   _actionMap[930][JOIN] = ActionEntry(REDUCE, 372);
   _actionMap[930][RETURNTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[930][SEMICOLON] = ActionEntry(REDUCE, 372);
   _actionMap[930][ENDTOKEN] = ActionEntry(REDUCE, 372);
   _actionMap[930][UNION] = ActionEntry(REDUCE, 372);
   _actionMap[930][ROWLIMIT] = ActionEntry(REDUCE, 372);
   _actionMap[930][ORDER] = ActionEntry(REDUCE, 372);
   _actionMap[930][GROUP] = ActionEntry(REDUCE, 372);
   _actionMap[930][WHERE] = ActionEntry(REDUCE, 372);
   _actionMap[930][THEN] = ActionEntry(REDUCE, 372);
   _actionMap[930][AND] = ActionEntry(REDUCE, 372);
   _actionMap[930][OR] = ActionEntry(REDUCE, 372);
   _actionMap[930][RB] = ActionEntry(REDUCE, 372);
   _actionMap[931][LEFT] = ActionEntry(REDUCE, 370);
   _actionMap[931][RIGHT] = ActionEntry(REDUCE, 370);
   _actionMap[931][INNER] = ActionEntry(REDUCE, 370);
   _actionMap[931][JOIN] = ActionEntry(REDUCE, 370);
   _actionMap[931][RETURNTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[931][SEMICOLON] = ActionEntry(REDUCE, 370);
   _actionMap[931][ENDTOKEN] = ActionEntry(REDUCE, 370);
   _actionMap[931][UNION] = ActionEntry(REDUCE, 370);
   _actionMap[931][ROWLIMIT] = ActionEntry(REDUCE, 370);
   _actionMap[931][ORDER] = ActionEntry(REDUCE, 370);
   _actionMap[931][GROUP] = ActionEntry(REDUCE, 370);
   _actionMap[931][WHERE] = ActionEntry(REDUCE, 370);
   _actionMap[931][THEN] = ActionEntry(REDUCE, 370);
   _actionMap[931][AND] = ActionEntry(REDUCE, 370);
}
void Cego::loadParser11()
{
   _actionMap[931][OR] = ActionEntry(REDUCE, 370);
   _actionMap[931][RB] = ActionEntry(REDUCE, 370);
   _actionMap[932][SEMICOLON] = ActionEntry(REDUCE, 237);
   _actionMap[932][RB] = ActionEntry(REDUCE, 237);
   _actionMap[933][ALL] = ActionEntry(SHIFT, 950);
   _actionMap[934][UNION] = ActionEntry(REDUCE, 285);
   _actionMap[934][ENDTOKEN] = ActionEntry(REDUCE, 285);
   _actionMap[934][RB] = ActionEntry(REDUCE, 285);
   _actionMap[934][SEMICOLON] = ActionEntry(REDUCE, 285);
   _actionMap[935][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[935][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[935][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[935][ASC] = ActionEntry(SHIFT, 953);
   _actionMap[935][ROWLIMIT] = ActionEntry(REDUCE, 281);
   _actionMap[935][DESC] = ActionEntry(SHIFT, 954);
   _actionMap[935][UNION] = ActionEntry(REDUCE, 281);
   _actionMap[935][ENDTOKEN] = ActionEntry(REDUCE, 281);
   _actionMap[935][RB] = ActionEntry(REDUCE, 281);
   _actionMap[935][SEMICOLON] = ActionEntry(REDUCE, 281);
   _actionMap[935][KSEP] = ActionEntry(REDUCE, 281);
   _jumpMap[935][DefaultOrderOpt] = 952;
   _jumpMap[935][OrderingOpt] = 951;
   _actionMap[936][KSEP] = ActionEntry(SHIFT, 955);
   _actionMap[936][ROWLIMIT] = ActionEntry(REDUCE, 273);
   _actionMap[936][UNION] = ActionEntry(REDUCE, 273);
   _actionMap[936][ENDTOKEN] = ActionEntry(REDUCE, 273);
   _actionMap[936][RB] = ActionEntry(REDUCE, 273);
   _actionMap[936][SEMICOLON] = ActionEntry(REDUCE, 273);
   _actionMap[937][ORDER] = ActionEntry(REDUCE, 265);
   _actionMap[937][ROWLIMIT] = ActionEntry(REDUCE, 265);
   _actionMap[937][UNION] = ActionEntry(REDUCE, 265);
   _actionMap[937][ENDTOKEN] = ActionEntry(REDUCE, 265);
   _actionMap[937][RB] = ActionEntry(REDUCE, 265);
   _actionMap[937][SEMICOLON] = ActionEntry(REDUCE, 265);
   _actionMap[938][ORDER] = ActionEntry(REDUCE, 271);
   _actionMap[938][ROWLIMIT] = ActionEntry(REDUCE, 271);
   _actionMap[938][UNION] = ActionEntry(REDUCE, 271);
   _actionMap[938][ENDTOKEN] = ActionEntry(REDUCE, 271);
   _actionMap[938][RB] = ActionEntry(REDUCE, 271);
   _actionMap[938][SEMICOLON] = ActionEntry(REDUCE, 271);
   _actionMap[939][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[939][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[939][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[939][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[939][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[939][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[939][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[939][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[939][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[939][DATE2STR] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser12()
{
   _actionMap[939][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[939][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[939][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[939][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[939][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[939][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[939][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[939][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[939][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[939][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[939][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[939][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[939][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[939][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[939][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[939][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[939][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[939][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[939][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[939][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[939][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[939][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[939][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[939][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[939][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[939][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[939][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[939][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[939][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[939][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[939][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[939][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[939][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[939][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[939][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[939][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[939][LB] = ActionEntry(SHIFT, 177);
   _actionMap[939][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[939][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[939][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[939][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[939][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[939][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[939][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[939][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[939][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[939][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[939][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[939][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[939][COUNT] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser13()
{
   _actionMap[939][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[939][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[939][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[939][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[939][ObjSpec] = 121;
   _jumpMap[939][Constant] = 120;
   _jumpMap[939][SignedFloat] = 119;
   _jumpMap[939][SignedInt] = 118;
   _jumpMap[939][Attribute] = 117;
   _jumpMap[939][Function] = 116;
   _jumpMap[939][CasePrepare] = 115;
   _jumpMap[939][CaseClause] = 114;
   _jumpMap[939][Factor] = 113;
   _jumpMap[939][Term] = 112;
   _jumpMap[939][Expr] = 956;
   _actionMap[940][IDENTIFIER] = ActionEntry(SHIFT, 908);
   _actionMap[940][QUALIFIEDOBJ] = ActionEntry(SHIFT, 909);
   _actionMap[940][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _jumpMap[940][Attribute] = 957;
   _actionMap[941][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[941][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[941][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[941][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[941][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[941][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[941][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[941][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[941][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[941][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[941][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[941][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[941][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[941][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[941][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[941][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[941][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[941][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[941][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[941][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[941][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[941][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[941][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[941][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[941][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[941][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[941][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[941][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[941][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[941][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[941][LDIV] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser14()
{
   _actionMap[941][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[941][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[941][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[941][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[941][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[941][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[941][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[941][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[941][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[941][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[941][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[941][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[941][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[941][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[941][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[941][LB] = ActionEntry(SHIFT, 447);
   _actionMap[941][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[941][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[941][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[941][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[941][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[941][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[941][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[941][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[941][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[941][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[941][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[941][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[941][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[941][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[941][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[941][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[941][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[941][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[941][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[941][ObjSpec] = 121;
   _jumpMap[941][Constant] = 120;
   _jumpMap[941][SignedFloat] = 119;
   _jumpMap[941][SignedInt] = 118;
   _jumpMap[941][Attribute] = 117;
   _jumpMap[941][QueryPredicate] = 444;
   _jumpMap[941][QueryCondition] = 958;
   _jumpMap[941][Function] = 116;
   _jumpMap[941][CasePrepare] = 115;
   _jumpMap[941][CaseClause] = 114;
   _jumpMap[941][Factor] = 113;
   _jumpMap[941][Term] = 112;
   _jumpMap[941][Expr] = 442;
   _actionMap[942][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[942][MINUS] = ActionEntry(SHIFT, 178);
}
void Cego::loadParser15()
{
   _actionMap[942][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[942][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[942][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[942][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[942][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[942][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[942][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[942][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[942][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[942][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[942][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[942][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[942][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[942][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[942][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[942][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[942][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[942][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[942][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[942][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[942][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[942][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[942][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[942][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[942][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[942][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[942][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[942][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[942][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[942][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[942][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[942][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[942][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[942][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[942][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[942][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[942][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[942][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[942][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[942][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[942][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[942][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[942][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[942][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[942][LB] = ActionEntry(SHIFT, 447);
   _actionMap[942][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[942][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[942][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[942][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[942][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser16()
{
   _actionMap[942][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[942][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[942][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[942][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[942][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[942][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[942][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[942][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[942][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[942][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[942][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[942][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[942][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[942][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[942][ObjSpec] = 121;
   _jumpMap[942][Constant] = 120;
   _jumpMap[942][SignedFloat] = 119;
   _jumpMap[942][SignedInt] = 118;
   _jumpMap[942][Attribute] = 117;
   _jumpMap[942][QueryPredicate] = 444;
   _jumpMap[942][QueryCondition] = 959;
   _jumpMap[942][Function] = 116;
   _jumpMap[942][CasePrepare] = 115;
   _jumpMap[942][CaseClause] = 114;
   _jumpMap[942][Factor] = 113;
   _jumpMap[942][Term] = 112;
   _jumpMap[942][Expr] = 442;
   _actionMap[943][SEMICOLON] = ActionEntry(REDUCE, 296);
   _actionMap[943][KSEP] = ActionEntry(REDUCE, 296);
   _actionMap[944][KSEP] = ActionEntry(SHIFT, 913);
   _actionMap[944][SEMICOLON] = ActionEntry(REDUCE, 292);
   _actionMap[945][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[945][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[945][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[945][SEMICOLON] = ActionEntry(REDUCE, 298);
   _actionMap[945][KSEP] = ActionEntry(REDUCE, 298);
   _actionMap[868][AND] = ActionEntry(SHIFT, 602);
   _actionMap[868][OR] = ActionEntry(SHIFT, 603);
   _actionMap[868][SEMICOLON] = ActionEntry(REDUCE, 86);
   _actionMap[869][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[869][SimpleAttr] = 830;
   _jumpMap[869][SimpleAttrList] = 916;
   _actionMap[870][SEMICOLON] = ActionEntry(REDUCE, 308);
   _actionMap[870][KSEP] = ActionEntry(REDUCE, 308);
   _actionMap[871][LONG] = ActionEntry(SHIFT, 338);
   _actionMap[871][BIGINT] = ActionEntry(SHIFT, 334);
   _actionMap[871][SMALLINT] = ActionEntry(SHIFT, 339);
   _actionMap[871][TINYINT] = ActionEntry(SHIFT, 340);
   _actionMap[871][DOUBLE] = ActionEntry(SHIFT, 336);
   _actionMap[871][DECIMAL] = ActionEntry(SHIFT, 335);
}
void Cego::loadParser17()
{
   _actionMap[871][FIXED] = ActionEntry(SHIFT, 337);
   _actionMap[872][SEMICOLON] = ActionEntry(REDUCE, 309);
   _actionMap[872][KSEP] = ActionEntry(REDUCE, 309);
   _actionMap[873][THEN] = ActionEntry(SHIFT, 917);
   _actionMap[874][THEN] = ActionEntry(REDUCE, 150);
   _actionMap[875][END_TOKEN] = ActionEntry(REDUCE, 155);
   _actionMap[875][ELSE] = ActionEntry(REDUCE, 155);
   _actionMap[875][ELSIF] = ActionEntry(REDUCE, 155);
   _actionMap[876][BEGIN] = ActionEntry(REDUCE, 169);
   _actionMap[876][THEN] = ActionEntry(REDUCE, 169);
   _actionMap[876][OR] = ActionEntry(REDUCE, 169);
   _actionMap[876][AND] = ActionEntry(REDUCE, 169);
   _actionMap[876][RB] = ActionEntry(REDUCE, 169);
   _actionMap[877][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[877][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[877][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[877][SEMICOLON] = ActionEntry(REDUCE, 127);
   _actionMap[878][RB] = ActionEntry(SHIFT, 918);
   _actionMap[879][RB] = ActionEntry(SHIFT, 919);
   _actionMap[880][RB] = ActionEntry(SHIFT, 920);
   _actionMap[881][RB] = ActionEntry(REDUCE, 395);
   _actionMap[881][KSEP] = ActionEntry(SHIFT, 921);
   _actionMap[882][RB] = ActionEntry(SHIFT, 922);
   _actionMap[883][SEMICOLON] = ActionEntry(REDUCE, 161);
   _actionMap[884][RB] = ActionEntry(SHIFT, 923);
   _actionMap[885][IDENTIFIER] = ActionEntry(SHIFT, 828);
   _jumpMap[885][AliasAttr] = 924;
   _actionMap[886][SEMICOLON] = ActionEntry(REDUCE, 67);
   _actionMap[887][IDENTIFIER] = ActionEntry(SHIFT, 925);
   _actionMap[888][CACHED] = ActionEntry(SHIFT, 927);
   _actionMap[888][SEMICOLON] = ActionEntry(REDUCE, 66);
   _jumpMap[888][CachedOpt] = 926;
   _actionMap[889][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[889][SimpleAttr] = 830;
   _jumpMap[889][SimpleAttrList] = 928;
   _actionMap[890][SEMICOLON] = ActionEntry(REDUCE, 202);
   _actionMap[890][KSEP] = ActionEntry(REDUCE, 202);
   _actionMap[890][RB] = ActionEntry(REDUCE, 202);
   _actionMap[891][SEMICOLON] = ActionEntry(REDUCE, 205);
   _actionMap[891][KSEP] = ActionEntry(REDUCE, 205);
   _actionMap[891][RB] = ActionEntry(REDUCE, 205);
   _actionMap[892][NULLTOKEN] = ActionEntry(SHIFT, 929);
   _actionMap[893][SEMICOLON] = ActionEntry(REDUCE, 203);
   _actionMap[893][KSEP] = ActionEntry(REDUCE, 203);
   _actionMap[893][RB] = ActionEntry(REDUCE, 203);
   _actionMap[894][NULLTOKEN] = ActionEntry(REDUCE, 207);
   _actionMap[894][NOT] = ActionEntry(REDUCE, 207);
   _actionMap[894][KSEP] = ActionEntry(REDUCE, 207);
   _actionMap[894][SEMICOLON] = ActionEntry(REDUCE, 207);
   _actionMap[894][RB] = ActionEntry(REDUCE, 207);
}
void Cego::loadParser18()
{
   _actionMap[895][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[895][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[895][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[895][KSEP] = ActionEntry(REDUCE, 234);
   _actionMap[895][RB] = ActionEntry(REDUCE, 234);
   _actionMap[896][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[896][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[896][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[896][LEFT] = ActionEntry(REDUCE, 374);
   _actionMap[896][RIGHT] = ActionEntry(REDUCE, 374);
   _actionMap[896][INNER] = ActionEntry(REDUCE, 374);
   _actionMap[896][JOIN] = ActionEntry(REDUCE, 374);
   _actionMap[896][RETURNTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[896][SEMICOLON] = ActionEntry(REDUCE, 374);
   _actionMap[896][ENDTOKEN] = ActionEntry(REDUCE, 374);
   _actionMap[896][UNION] = ActionEntry(REDUCE, 374);
   _actionMap[896][ROWLIMIT] = ActionEntry(REDUCE, 374);
   _actionMap[896][ORDER] = ActionEntry(REDUCE, 374);
   _actionMap[896][GROUP] = ActionEntry(REDUCE, 374);
   _actionMap[896][WHERE] = ActionEntry(REDUCE, 374);
   _actionMap[896][THEN] = ActionEntry(REDUCE, 374);
   _actionMap[896][AND] = ActionEntry(REDUCE, 374);
   _actionMap[896][OR] = ActionEntry(REDUCE, 374);
   _actionMap[896][RB] = ActionEntry(REDUCE, 374);
   _actionMap[897][LEFT] = ActionEntry(REDUCE, 371);
   _actionMap[897][RIGHT] = ActionEntry(REDUCE, 371);
   _actionMap[897][INNER] = ActionEntry(REDUCE, 371);
   _actionMap[897][JOIN] = ActionEntry(REDUCE, 371);
   _actionMap[897][RETURNTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[897][SEMICOLON] = ActionEntry(REDUCE, 371);
   _actionMap[897][ENDTOKEN] = ActionEntry(REDUCE, 371);
   _actionMap[897][UNION] = ActionEntry(REDUCE, 371);
   _actionMap[897][ROWLIMIT] = ActionEntry(REDUCE, 371);
   _actionMap[897][ORDER] = ActionEntry(REDUCE, 371);
   _actionMap[897][GROUP] = ActionEntry(REDUCE, 371);
   _actionMap[897][WHERE] = ActionEntry(REDUCE, 371);
   _actionMap[897][THEN] = ActionEntry(REDUCE, 371);
   _actionMap[897][AND] = ActionEntry(REDUCE, 371);
   _actionMap[897][OR] = ActionEntry(REDUCE, 371);
   _actionMap[897][RB] = ActionEntry(REDUCE, 371);
   _actionMap[898][LEFT] = ActionEntry(REDUCE, 369);
   _actionMap[898][RIGHT] = ActionEntry(REDUCE, 369);
   _actionMap[898][INNER] = ActionEntry(REDUCE, 369);
   _actionMap[898][JOIN] = ActionEntry(REDUCE, 369);
   _actionMap[898][RETURNTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[898][SEMICOLON] = ActionEntry(REDUCE, 369);
   _actionMap[898][ENDTOKEN] = ActionEntry(REDUCE, 369);
   _actionMap[898][UNION] = ActionEntry(REDUCE, 369);
   _actionMap[898][ROWLIMIT] = ActionEntry(REDUCE, 369);
   _actionMap[898][ORDER] = ActionEntry(REDUCE, 369);
}
void Cego::loadParser19()
{
   _actionMap[898][GROUP] = ActionEntry(REDUCE, 369);
   _actionMap[898][WHERE] = ActionEntry(REDUCE, 369);
   _actionMap[898][THEN] = ActionEntry(REDUCE, 369);
   _actionMap[898][AND] = ActionEntry(REDUCE, 369);
   _actionMap[898][OR] = ActionEntry(REDUCE, 369);
   _actionMap[898][RB] = ActionEntry(REDUCE, 369);
   _actionMap[899][RB] = ActionEntry(SHIFT, 930);
   _actionMap[900][RB] = ActionEntry(SHIFT, 931);
   _actionMap[900][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[901][KSEP] = ActionEntry(REDUCE, 196);
   _actionMap[901][RB] = ActionEntry(REDUCE, 196);
   _actionMap[902][UNION] = ActionEntry(SHIFT, 933);
   _actionMap[902][SEMICOLON] = ActionEntry(REDUCE, 98);
   _actionMap[902][RB] = ActionEntry(REDUCE, 98);
   _jumpMap[902][UnionAllOpt] = 932;
   _actionMap[903][UNION] = ActionEntry(REDUCE, 286);
   _actionMap[903][ENDTOKEN] = ActionEntry(REDUCE, 286);
   _actionMap[903][RB] = ActionEntry(REDUCE, 286);
   _actionMap[903][SEMICOLON] = ActionEntry(REDUCE, 286);
   _actionMap[904][INTVAL] = ActionEntry(SHIFT, 934);
   _actionMap[905][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[905][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[905][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[905][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[905][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[905][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[905][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[905][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[905][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[905][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[905][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[905][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[905][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[905][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[905][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[905][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[905][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[905][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[905][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[905][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[905][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[905][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[905][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[905][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[905][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[905][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[905][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[905][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[905][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[905][LMOD] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser20()
{
   _actionMap[905][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[905][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[905][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[905][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[905][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[905][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[905][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[905][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[905][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[905][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[905][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[905][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[905][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[905][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[905][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[905][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[905][LB] = ActionEntry(SHIFT, 177);
   _actionMap[905][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[905][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[905][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[905][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[905][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[905][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[905][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[905][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[905][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[905][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[905][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[905][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[905][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[905][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[905][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[905][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[905][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[905][ObjSpec] = 121;
   _jumpMap[905][Constant] = 120;
   _jumpMap[905][SignedFloat] = 119;
   _jumpMap[905][SignedInt] = 118;
   _jumpMap[905][Attribute] = 117;
   _jumpMap[905][Function] = 116;
   _jumpMap[905][OrderingList] = 936;
   _jumpMap[905][CasePrepare] = 115;
   _jumpMap[905][CaseClause] = 114;
   _jumpMap[905][Factor] = 113;
   _jumpMap[905][Term] = 112;
   _jumpMap[905][Expr] = 935;
   _actionMap[906][KSEP] = ActionEntry(SHIFT, 940);
   _actionMap[906][ORDER] = ActionEntry(REDUCE, 272);
   _actionMap[906][HAVING] = ActionEntry(SHIFT, 939);
   _actionMap[906][ROWLIMIT] = ActionEntry(REDUCE, 272);
}
void Cego::loadParser21()
{
   _actionMap[906][UNION] = ActionEntry(REDUCE, 272);
   _actionMap[906][ENDTOKEN] = ActionEntry(REDUCE, 272);
   _actionMap[906][RB] = ActionEntry(REDUCE, 272);
   _actionMap[906][SEMICOLON] = ActionEntry(REDUCE, 272);
   _jumpMap[906][NoHaving] = 938;
   _jumpMap[906][HavingClause] = 937;
   _actionMap[907][KSEP] = ActionEntry(REDUCE, 269);
   _actionMap[907][HAVING] = ActionEntry(REDUCE, 269);
   _actionMap[907][ORDER] = ActionEntry(REDUCE, 269);
   _actionMap[907][ROWLIMIT] = ActionEntry(REDUCE, 269);
   _actionMap[907][UNION] = ActionEntry(REDUCE, 269);
   _actionMap[907][ENDTOKEN] = ActionEntry(REDUCE, 269);
   _actionMap[907][RB] = ActionEntry(REDUCE, 269);
   _actionMap[907][SEMICOLON] = ActionEntry(REDUCE, 269);
   _actionMap[908][KSEP] = ActionEntry(REDUCE, 403);
   _actionMap[908][HAVING] = ActionEntry(REDUCE, 403);
   _actionMap[908][ORDER] = ActionEntry(REDUCE, 403);
   _actionMap[908][ROWLIMIT] = ActionEntry(REDUCE, 403);
   _actionMap[908][UNION] = ActionEntry(REDUCE, 403);
   _actionMap[908][ENDTOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[908][RB] = ActionEntry(REDUCE, 403);
   _actionMap[908][SEMICOLON] = ActionEntry(REDUCE, 403);
   _actionMap[909][KSEP] = ActionEntry(REDUCE, 404);
   _actionMap[909][HAVING] = ActionEntry(REDUCE, 404);
   _actionMap[909][ORDER] = ActionEntry(REDUCE, 404);
   _actionMap[909][ROWLIMIT] = ActionEntry(REDUCE, 404);
   _actionMap[909][UNION] = ActionEntry(REDUCE, 404);
   _actionMap[909][ENDTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[909][RB] = ActionEntry(REDUCE, 404);
   _actionMap[909][SEMICOLON] = ActionEntry(REDUCE, 404);
   _actionMap[910][AND] = ActionEntry(SHIFT, 602);
   _actionMap[910][OR] = ActionEntry(SHIFT, 603);
   _actionMap[910][LEFT] = ActionEntry(REDUCE, 250);
   _actionMap[910][RIGHT] = ActionEntry(REDUCE, 250);
   _actionMap[910][INNER] = ActionEntry(REDUCE, 250);
   _actionMap[910][JOIN] = ActionEntry(REDUCE, 250);
   _actionMap[910][RETURNTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[910][SEMICOLON] = ActionEntry(REDUCE, 250);
   _actionMap[910][RB] = ActionEntry(REDUCE, 250);
   _actionMap[910][ENDTOKEN] = ActionEntry(REDUCE, 250);
   _actionMap[910][UNION] = ActionEntry(REDUCE, 250);
   _actionMap[910][ROWLIMIT] = ActionEntry(REDUCE, 250);
   _actionMap[910][ORDER] = ActionEntry(REDUCE, 250);
   _actionMap[910][GROUP] = ActionEntry(REDUCE, 250);
   _actionMap[910][WHERE] = ActionEntry(REDUCE, 250);
   _actionMap[911][ON] = ActionEntry(SHIFT, 941);
   _actionMap[911][LEFT] = ActionEntry(REDUCE, 251);
   _actionMap[911][RIGHT] = ActionEntry(REDUCE, 251);
   _actionMap[911][INNER] = ActionEntry(REDUCE, 251);
   _actionMap[911][JOIN] = ActionEntry(REDUCE, 251);
}
void Cego::loadParser22()
{
   _actionMap[911][RETURNTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[911][SEMICOLON] = ActionEntry(REDUCE, 251);
   _actionMap[911][RB] = ActionEntry(REDUCE, 251);
   _actionMap[911][ENDTOKEN] = ActionEntry(REDUCE, 251);
   _actionMap[911][UNION] = ActionEntry(REDUCE, 251);
   _actionMap[911][ROWLIMIT] = ActionEntry(REDUCE, 251);
   _actionMap[911][ORDER] = ActionEntry(REDUCE, 251);
   _actionMap[911][GROUP] = ActionEntry(REDUCE, 251);
   _actionMap[911][WHERE] = ActionEntry(REDUCE, 251);
   _actionMap[912][ON] = ActionEntry(SHIFT, 942);
   _actionMap[912][LEFT] = ActionEntry(REDUCE, 253);
   _actionMap[912][RIGHT] = ActionEntry(REDUCE, 253);
   _actionMap[912][INNER] = ActionEntry(REDUCE, 253);
   _actionMap[912][JOIN] = ActionEntry(REDUCE, 253);
   _actionMap[912][RETURNTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[912][SEMICOLON] = ActionEntry(REDUCE, 253);
   _actionMap[912][RB] = ActionEntry(REDUCE, 253);
   _actionMap[912][ENDTOKEN] = ActionEntry(REDUCE, 253);
   _actionMap[912][UNION] = ActionEntry(REDUCE, 253);
   _actionMap[912][ROWLIMIT] = ActionEntry(REDUCE, 253);
   _actionMap[912][ORDER] = ActionEntry(REDUCE, 253);
   _actionMap[912][GROUP] = ActionEntry(REDUCE, 253);
   _actionMap[912][WHERE] = ActionEntry(REDUCE, 253);
   _actionMap[913][VARREF] = ActionEntry(SHIFT, 867);
   _jumpMap[913][ReturnVar] = 943;
   _actionMap[914][VARREF] = ActionEntry(SHIFT, 867);
   _jumpMap[914][ReturnVar] = 865;
   _jumpMap[914][ReturnVarList] = 944;
   _actionMap[915][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[915][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[915][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[915][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[915][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[915][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[915][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[915][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[915][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[915][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[915][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[915][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[915][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[915][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[915][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[915][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[915][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[915][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[915][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[915][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[915][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[915][TRUNC] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser23()
{
   _actionMap[915][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[915][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[915][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[915][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[915][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[915][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[915][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[915][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[915][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[915][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[915][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[915][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[915][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[915][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[915][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[915][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[915][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[915][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[915][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[915][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[915][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[915][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[915][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[915][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[915][LB] = ActionEntry(SHIFT, 177);
   _actionMap[915][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[915][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[915][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[915][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[915][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[915][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[915][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[915][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[915][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[915][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[915][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[915][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[915][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[915][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[915][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[915][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[915][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[915][ObjSpec] = 121;
   _jumpMap[915][Constant] = 120;
   _jumpMap[915][SignedFloat] = 119;
   _jumpMap[915][SignedInt] = 118;
   _jumpMap[915][Attribute] = 117;
   _jumpMap[915][Function] = 116;
   _jumpMap[915][CasePrepare] = 115;
   _jumpMap[915][CaseClause] = 114;
}
void Cego::loadParser24()
{
   _jumpMap[915][Factor] = 113;
   _jumpMap[915][Term] = 112;
   _jumpMap[915][Expr] = 945;
   _actionMap[801][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[801][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[801][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[801][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[801][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[801][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[801][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[801][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[801][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[801][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[801][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[801][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[801][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[801][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[801][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[801][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[801][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[801][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[801][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[801][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[801][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[801][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[801][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[801][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[801][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[801][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[801][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[801][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[801][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[801][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[801][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[801][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[801][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[801][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[801][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[801][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[801][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[801][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[801][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[801][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[801][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[801][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[801][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[801][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[801][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[801][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[801][LB] = ActionEntry(SHIFT, 447);
}
void Cego::loadParser25()
{
   _actionMap[801][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[801][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[801][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[801][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[801][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[801][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[801][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[801][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[801][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[801][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[801][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[801][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[801][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[801][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[801][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[801][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[801][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[801][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[801][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[801][ObjSpec] = 121;
   _jumpMap[801][Constant] = 120;
   _jumpMap[801][SignedFloat] = 119;
   _jumpMap[801][SignedInt] = 118;
   _jumpMap[801][Attribute] = 117;
   _jumpMap[801][QueryPredicate] = 444;
   _jumpMap[801][QueryCondition] = 868;
   _jumpMap[801][Function] = 116;
   _jumpMap[801][CasePrepare] = 115;
   _jumpMap[801][CaseClause] = 114;
   _jumpMap[801][Factor] = 113;
   _jumpMap[801][Term] = 112;
   _jumpMap[801][Expr] = 442;
   _actionMap[802][LB] = ActionEntry(SHIFT, 869);
   _actionMap[803][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[803][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[803][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[803][LB] = ActionEntry(SHIFT, 871);
   _actionMap[803][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[803][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[803][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[803][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[803][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[803][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[803][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[803][CLOB] = ActionEntry(SHIFT, 132);
   _jumpMap[803][Constant] = 870;
   _jumpMap[803][SignedFloat] = 119;
   _jumpMap[803][SignedInt] = 118;
   _actionMap[804][IDENTIFIER] = ActionEntry(SHIFT, 872);
   _actionMap[805][SEMICOLON] = ActionEntry(REDUCE, 36);
}
void Cego::loadParser26()
{
   _actionMap[806][IDENTIFIER] = ActionEntry(SHIFT, 874);
   _jumpMap[806][ProcExceptionType] = 873;
   _actionMap[807][END_TOKEN] = ActionEntry(REDUCE, 156);
   _actionMap[808][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[808][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[808][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[808][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[808][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[808][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[808][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[808][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[808][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[808][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[808][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[808][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[808][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[808][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[808][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[808][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[808][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[808][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[808][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[808][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[808][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[808][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[808][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[808][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[808][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[808][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[808][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[808][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[808][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[808][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[808][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[808][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[808][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[808][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[808][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[808][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[808][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[808][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[808][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[808][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[808][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[808][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[808][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[808][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[808][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[808][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[808][LB] = ActionEntry(SHIFT, 177);
}
void Cego::loadParser27()
{
   _actionMap[808][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[808][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[808][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[808][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[808][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[808][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[808][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[808][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[808][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[808][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[808][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[808][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[808][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[808][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[808][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[808][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[808][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[808][IF] = ActionEntry(SHIFT, 406);
   _actionMap[808][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[808][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[808][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[808][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[808][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[808][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[808][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[808][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[808][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[808][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[808][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[808][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[808][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[808][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[808][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[808][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[808][ObjSpec] = 121;
   _jumpMap[808][Constant] = 120;
   _jumpMap[808][SignedFloat] = 119;
   _jumpMap[808][SignedInt] = 118;
   _jumpMap[808][Attribute] = 117;
   _jumpMap[808][Function] = 116;
   _jumpMap[808][DeleteStatement] = 402;
   _jumpMap[808][UpdateStatement] = 401;
   _jumpMap[808][InsertStatement] = 400;
   _jumpMap[808][UnlockStatement] = 399;
   _jumpMap[808][LockStatement] = 398;
   _jumpMap[808][RollbackStatement] = 397;
   _jumpMap[808][CommitStatement] = 396;
   _jumpMap[808][StartStatement] = 395;
   _jumpMap[808][CasePrepare] = 115;
   _jumpMap[808][CaseClause] = 114;
}
void Cego::loadParser28()
{
   _jumpMap[808][Factor] = 113;
   _jumpMap[808][Term] = 112;
   _jumpMap[808][Expr] = 394;
   _jumpMap[808][ProcStatement] = 393;
   _jumpMap[808][ProcIfPart] = 392;
   _jumpMap[808][ProcBlockStart] = 391;
   _jumpMap[808][ProcStatementList] = 390;
   _jumpMap[808][ProcStmtBlock] = 875;
   _actionMap[809][SEMICOLON] = ActionEntry(REDUCE, 122);
   _actionMap[810][END_TOKEN] = ActionEntry(REDUCE, 152);
   _actionMap[810][ELSE] = ActionEntry(REDUCE, 152);
   _actionMap[810][ELSIF] = ActionEntry(REDUCE, 152);
   _actionMap[811][BEGIN] = ActionEntry(REDUCE, 164);
   _actionMap[811][RB] = ActionEntry(REDUCE, 164);
   _actionMap[811][AND] = ActionEntry(REDUCE, 164);
   _actionMap[811][OR] = ActionEntry(REDUCE, 164);
   _actionMap[811][THEN] = ActionEntry(REDUCE, 164);
   _actionMap[812][BEGIN] = ActionEntry(REDUCE, 163);
   _actionMap[812][RB] = ActionEntry(REDUCE, 163);
   _actionMap[812][AND] = ActionEntry(REDUCE, 163);
   _actionMap[812][OR] = ActionEntry(REDUCE, 163);
   _actionMap[812][THEN] = ActionEntry(REDUCE, 163);
   _actionMap[813][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[813][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[813][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[813][BEGIN] = ActionEntry(REDUCE, 167);
   _actionMap[813][THEN] = ActionEntry(REDUCE, 167);
   _actionMap[813][OR] = ActionEntry(REDUCE, 167);
   _actionMap[813][AND] = ActionEntry(REDUCE, 167);
   _actionMap[813][RB] = ActionEntry(REDUCE, 167);
   _actionMap[814][NULLTOKEN] = ActionEntry(SHIFT, 876);
   _actionMap[815][BEGIN] = ActionEntry(REDUCE, 168);
   _actionMap[815][THEN] = ActionEntry(REDUCE, 168);
   _actionMap[815][OR] = ActionEntry(REDUCE, 168);
   _actionMap[815][AND] = ActionEntry(REDUCE, 168);
   _actionMap[815][RB] = ActionEntry(REDUCE, 168);
   _actionMap[816][BEGIN] = ActionEntry(REDUCE, 166);
   _actionMap[816][RB] = ActionEntry(REDUCE, 166);
   _actionMap[816][AND] = ActionEntry(REDUCE, 166);
   _actionMap[816][OR] = ActionEntry(REDUCE, 166);
   _actionMap[816][THEN] = ActionEntry(REDUCE, 166);
   _actionMap[817][SEMICOLON] = ActionEntry(REDUCE, 121);
   _actionMap[818][SEMICOLON] = ActionEntry(REDUCE, 128);
   _actionMap[819][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[819][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[819][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[819][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[819][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[819][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[819][RTRIM] = ActionEntry(SHIFT, 165);
}
void Cego::loadParser29()
{
   _actionMap[819][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[819][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[819][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[819][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[819][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[819][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[819][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[819][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[819][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[819][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[819][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[819][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[819][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[819][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[819][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[819][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[819][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[819][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[819][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[819][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[819][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[819][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[819][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[819][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[819][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[819][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[819][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[819][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[819][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[819][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[819][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[819][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[819][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[819][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[819][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[819][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[819][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[819][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[819][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[819][LB] = ActionEntry(SHIFT, 177);
   _actionMap[819][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[819][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[819][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[819][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[819][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[819][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[819][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[819][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[819][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[819][CASE] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser30()
{
   _actionMap[819][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[819][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[819][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[819][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[819][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[819][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[819][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[819][ObjSpec] = 121;
   _jumpMap[819][Constant] = 120;
   _jumpMap[819][SignedFloat] = 119;
   _jumpMap[819][SignedInt] = 118;
   _jumpMap[819][Attribute] = 117;
   _jumpMap[819][Function] = 116;
   _jumpMap[819][CasePrepare] = 115;
   _jumpMap[819][CaseClause] = 114;
   _jumpMap[819][Factor] = 113;
   _jumpMap[819][Term] = 112;
   _jumpMap[819][Expr] = 877;
   _actionMap[820][INTVAL] = ActionEntry(SHIFT, 878);
   _actionMap[821][INTVAL] = ActionEntry(SHIFT, 879);
   _actionMap[822][INTVAL] = ActionEntry(SHIFT, 881);
   _jumpMap[822][DecimalDim] = 880;
   _actionMap[823][INTVAL] = ActionEntry(SHIFT, 882);
   _actionMap[824][END_TOKEN] = ActionEntry(SHIFT, 883);
   _actionMap[825][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[825][SimpleAttr] = 830;
   _jumpMap[825][SimpleAttrList] = 884;
   _actionMap[826][RB] = ActionEntry(SHIFT, 886);
   _actionMap[826][KSEP] = ActionEntry(SHIFT, 885);
   _actionMap[827][KSEP] = ActionEntry(REDUCE, 69);
   _actionMap[827][RB] = ActionEntry(REDUCE, 69);
   _actionMap[828][AS] = ActionEntry(SHIFT, 887);
   _actionMap[829][RB] = ActionEntry(SHIFT, 888);
   _actionMap[830][KSEP] = ActionEntry(SHIFT, 889);
   _actionMap[830][RB] = ActionEntry(REDUCE, 211);
   _actionMap[831][RB] = ActionEntry(REDUCE, 212);
   _actionMap[831][KSEP] = ActionEntry(REDUCE, 212);
   _actionMap[832][KSEP] = ActionEntry(REDUCE, 114);
   _actionMap[832][RB] = ActionEntry(REDUCE, 114);
   _actionMap[833][BEGIN] = ActionEntry(REDUCE, 110);
   _actionMap[834][KSEP] = ActionEntry(REDUCE, 116);
   _actionMap[834][RB] = ActionEntry(REDUCE, 116);
   _actionMap[835][KSEP] = ActionEntry(REDUCE, 117);
   _actionMap[835][RB] = ActionEntry(REDUCE, 117);
   _actionMap[836][KSEP] = ActionEntry(REDUCE, 198);
   _actionMap[836][RB] = ActionEntry(REDUCE, 198);
   _actionMap[837][SEMICOLON] = ActionEntry(REDUCE, 206);
   _actionMap[837][NULLTOKEN] = ActionEntry(SHIFT, 893);
   _actionMap[837][NOT] = ActionEntry(SHIFT, 892);
   _actionMap[837][KSEP] = ActionEntry(REDUCE, 206);
}
void Cego::loadParser31()
{
   _actionMap[837][RB] = ActionEntry(REDUCE, 206);
   _jumpMap[837][DefaultNullOpt] = 891;
   _jumpMap[837][NullOpt] = 890;
   _actionMap[838][NULLTOKEN] = ActionEntry(REDUCE, 208);
   _actionMap[838][NOT] = ActionEntry(REDUCE, 208);
   _actionMap[838][KSEP] = ActionEntry(REDUCE, 208);
   _actionMap[838][SEMICOLON] = ActionEntry(REDUCE, 208);
   _actionMap[838][RB] = ActionEntry(REDUCE, 208);
   _actionMap[839][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[839][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[839][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[839][LB] = ActionEntry(SHIFT, 871);
   _actionMap[839][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[839][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[839][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[839][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[839][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[839][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[839][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[839][CLOB] = ActionEntry(SHIFT, 132);
   _jumpMap[839][Constant] = 894;
   _jumpMap[839][SignedFloat] = 119;
   _jumpMap[839][SignedInt] = 118;
   _actionMap[840][BEGIN] = ActionEntry(REDUCE, 100);
   _actionMap[841][OR] = ActionEntry(REDUCE, 103);
   _actionMap[841][ON] = ActionEntry(REDUCE, 103);
   _actionMap[842][SEMICOLON] = ActionEntry(REDUCE, 229);
   _actionMap[842][KSEP] = ActionEntry(REDUCE, 229);
   _actionMap[843][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[843][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[843][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[843][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[843][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[843][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[843][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[843][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[843][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[843][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[843][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[843][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[843][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[843][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[843][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[843][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[843][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[843][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[843][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[843][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[843][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[843][TRUNC] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser32()
{
   _actionMap[843][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[843][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[843][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[843][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[843][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[843][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[843][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[843][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[843][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[843][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[843][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[843][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[843][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[843][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[843][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[843][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[843][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[843][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[843][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[843][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[843][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[843][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[843][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[843][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[843][LB] = ActionEntry(SHIFT, 177);
   _actionMap[843][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[843][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[843][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[843][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[843][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[843][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[843][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[843][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[843][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[843][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[843][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[843][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[843][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[843][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[843][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[843][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[843][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[843][ObjSpec] = 121;
   _jumpMap[843][Constant] = 120;
   _jumpMap[843][SignedFloat] = 119;
   _jumpMap[843][SignedInt] = 118;
   _jumpMap[843][Attribute] = 117;
   _jumpMap[843][Function] = 116;
   _jumpMap[843][CasePrepare] = 115;
   _jumpMap[843][CaseClause] = 114;
}
void Cego::loadParser33()
{
   _jumpMap[843][Factor] = 113;
   _jumpMap[843][Term] = 112;
   _jumpMap[843][Expr] = 895;
   _actionMap[844][SEMICOLON] = ActionEntry(REDUCE, 231);
   _actionMap[844][KSEP] = ActionEntry(REDUCE, 231);
   _actionMap[845][KSEP] = ActionEntry(REDUCE, 232);
   _actionMap[845][RB] = ActionEntry(REDUCE, 232);
   _actionMap[846][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[846][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[846][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[846][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[846][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[846][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[846][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[846][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[846][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[846][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[846][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[846][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[846][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[846][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[846][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[846][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[846][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[846][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[846][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[846][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[846][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[846][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[846][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[846][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[846][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[846][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[846][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[846][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[846][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[846][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[846][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[846][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[846][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[846][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[846][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[846][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[846][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[846][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[846][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[846][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[846][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[846][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[846][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser34()
{
   _actionMap[846][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[846][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[846][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[846][LB] = ActionEntry(SHIFT, 177);
   _actionMap[846][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[846][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[846][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[846][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[846][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[846][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[846][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[846][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[846][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[846][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[846][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[846][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[846][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[846][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[846][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[846][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[846][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[846][ObjSpec] = 121;
   _jumpMap[846][Constant] = 120;
   _jumpMap[846][SignedFloat] = 119;
   _jumpMap[846][SignedInt] = 118;
   _jumpMap[846][Attribute] = 117;
   _jumpMap[846][Function] = 116;
   _jumpMap[846][CasePrepare] = 115;
   _jumpMap[846][CaseClause] = 114;
   _jumpMap[846][Factor] = 113;
   _jumpMap[846][Term] = 112;
   _jumpMap[846][Expr] = 896;
   _actionMap[847][RB] = ActionEntry(SHIFT, 897);
   _actionMap[848][RB] = ActionEntry(SHIFT, 898);
   _actionMap[848][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[849][LEFT] = ActionEntry(REDUCE, 376);
   _actionMap[849][RIGHT] = ActionEntry(REDUCE, 376);
   _actionMap[849][INNER] = ActionEntry(REDUCE, 376);
   _actionMap[849][JOIN] = ActionEntry(REDUCE, 376);
   _actionMap[849][RETURNTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[849][SEMICOLON] = ActionEntry(REDUCE, 376);
   _actionMap[849][ENDTOKEN] = ActionEntry(REDUCE, 376);
   _actionMap[849][UNION] = ActionEntry(REDUCE, 376);
   _actionMap[849][ROWLIMIT] = ActionEntry(REDUCE, 376);
   _actionMap[849][ORDER] = ActionEntry(REDUCE, 376);
   _actionMap[849][GROUP] = ActionEntry(REDUCE, 376);
   _actionMap[849][WHERE] = ActionEntry(REDUCE, 376);
   _actionMap[849][THEN] = ActionEntry(REDUCE, 376);
   _actionMap[849][AND] = ActionEntry(REDUCE, 376);
   _actionMap[849][OR] = ActionEntry(REDUCE, 376);
}
void Cego::loadParser35()
{
   _actionMap[849][RB] = ActionEntry(REDUCE, 376);
   _actionMap[850][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[850][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[850][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[850][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[850][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[850][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[850][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[850][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[850][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[850][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[850][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[850][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[850][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[850][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[850][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[850][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[850][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[850][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[850][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[850][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[850][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[850][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[850][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[850][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[850][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[850][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[850][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[850][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[850][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[850][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[850][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[850][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[850][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[850][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[850][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[850][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[850][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[850][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[850][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[850][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[850][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[850][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[850][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[850][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[850][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[850][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[850][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[850][LB] = ActionEntry(SHIFT, 177);
   _actionMap[850][STRINGVAL] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser36()
{
   _actionMap[850][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[850][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[850][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[850][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[850][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[850][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[850][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[850][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[850][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[850][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[850][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[850][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[850][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[850][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[850][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[850][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[850][ObjSpec] = 121;
   _jumpMap[850][Constant] = 120;
   _jumpMap[850][SignedFloat] = 119;
   _jumpMap[850][SignedInt] = 118;
   _jumpMap[850][Attribute] = 117;
   _jumpMap[850][ExpressionList] = 900;
   _jumpMap[850][Function] = 116;
   _jumpMap[850][SelectStatement] = 899;
   _jumpMap[850][CasePrepare] = 115;
   _jumpMap[850][CaseClause] = 114;
   _jumpMap[850][Factor] = 113;
   _jumpMap[850][Term] = 112;
   _jumpMap[850][Expr] = 448;
   _actionMap[851][LEFT] = ActionEntry(REDUCE, 378);
   _actionMap[851][RIGHT] = ActionEntry(REDUCE, 378);
   _actionMap[851][INNER] = ActionEntry(REDUCE, 378);
   _actionMap[851][JOIN] = ActionEntry(REDUCE, 378);
   _actionMap[851][RETURNTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[851][SEMICOLON] = ActionEntry(REDUCE, 378);
   _actionMap[851][ENDTOKEN] = ActionEntry(REDUCE, 378);
   _actionMap[851][UNION] = ActionEntry(REDUCE, 378);
   _actionMap[851][ROWLIMIT] = ActionEntry(REDUCE, 378);
   _actionMap[851][ORDER] = ActionEntry(REDUCE, 378);
   _actionMap[851][GROUP] = ActionEntry(REDUCE, 378);
   _actionMap[851][WHERE] = ActionEntry(REDUCE, 378);
   _actionMap[851][THEN] = ActionEntry(REDUCE, 378);
   _actionMap[851][AND] = ActionEntry(REDUCE, 378);
   _actionMap[851][OR] = ActionEntry(REDUCE, 378);
   _actionMap[851][RB] = ActionEntry(REDUCE, 378);
   _actionMap[852][LEFT] = ActionEntry(REDUCE, 368);
   _actionMap[852][RIGHT] = ActionEntry(REDUCE, 368);
   _actionMap[852][INNER] = ActionEntry(REDUCE, 368);
   _actionMap[852][JOIN] = ActionEntry(REDUCE, 368);
   _actionMap[852][RETURNTOKEN] = ActionEntry(REDUCE, 368);
}
void Cego::loadParser37()
{
   _actionMap[852][SEMICOLON] = ActionEntry(REDUCE, 368);
   _actionMap[852][ENDTOKEN] = ActionEntry(REDUCE, 368);
   _actionMap[852][UNION] = ActionEntry(REDUCE, 368);
   _actionMap[852][ROWLIMIT] = ActionEntry(REDUCE, 368);
   _actionMap[852][ORDER] = ActionEntry(REDUCE, 368);
   _actionMap[852][GROUP] = ActionEntry(REDUCE, 368);
   _actionMap[852][WHERE] = ActionEntry(REDUCE, 368);
   _actionMap[852][THEN] = ActionEntry(REDUCE, 368);
   _actionMap[852][RB] = ActionEntry(REDUCE, 368);
   _actionMap[852][AND] = ActionEntry(REDUCE, 368);
   _actionMap[852][OR] = ActionEntry(REDUCE, 368);
   _actionMap[853][WHEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][ELSE] = ActionEntry(REDUCE, 420);
   _actionMap[853][LEFT] = ActionEntry(REDUCE, 420);
   _actionMap[853][RIGHT] = ActionEntry(REDUCE, 420);
   _actionMap[853][INNER] = ActionEntry(REDUCE, 420);
   _actionMap[853][JOIN] = ActionEntry(REDUCE, 420);
   _actionMap[853][RETURNTOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][ORDER] = ActionEntry(REDUCE, 420);
   _actionMap[853][GROUP] = ActionEntry(REDUCE, 420);
   _actionMap[853][WHERE] = ActionEntry(REDUCE, 420);
   _actionMap[853][NULLTOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][FROM] = ActionEntry(REDUCE, 420);
   _actionMap[853][AS] = ActionEntry(REDUCE, 420);
   _actionMap[853][END_TOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][BEGIN] = ActionEntry(REDUCE, 420);
   _actionMap[853][THEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][OR] = ActionEntry(REDUCE, 420);
   _actionMap[853][AND] = ActionEntry(REDUCE, 420);
   _actionMap[853][INTOK] = ActionEntry(REDUCE, 420);
   _actionMap[853][NOT] = ActionEntry(REDUCE, 420);
   _actionMap[853][BETWEEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][IS] = ActionEntry(REDUCE, 420);
   _actionMap[853][LIKE] = ActionEntry(REDUCE, 420);
   _actionMap[853][MT] = ActionEntry(REDUCE, 420);
   _actionMap[853][LT] = ActionEntry(REDUCE, 420);
   _actionMap[853][NEGATION] = ActionEntry(REDUCE, 420);
   _actionMap[853][EQU] = ActionEntry(REDUCE, 420);
   _actionMap[853][RB] = ActionEntry(REDUCE, 420);
   _actionMap[853][ENDTOKEN] = ActionEntry(REDUCE, 420);
   _actionMap[853][UNION] = ActionEntry(REDUCE, 420);
   _actionMap[853][ROWLIMIT] = ActionEntry(REDUCE, 420);
   _actionMap[853][KSEP] = ActionEntry(REDUCE, 420);
   _actionMap[853][ASC] = ActionEntry(REDUCE, 420);
   _actionMap[853][DESC] = ActionEntry(REDUCE, 420);
   _actionMap[853][SEMICOLON] = ActionEntry(REDUCE, 420);
   _actionMap[853][PLUS] = ActionEntry(REDUCE, 420);
   _actionMap[853][MINUS] = ActionEntry(REDUCE, 420);
   _actionMap[853][DIVISION] = ActionEntry(REDUCE, 420);
   _actionMap[853][STAR] = ActionEntry(REDUCE, 420);
}
void Cego::loadParser38()
{
   _actionMap[853][CONCAT] = ActionEntry(REDUCE, 420);
   _actionMap[854][VARREF] = ActionEntry(SHIFT, 901);
   _actionMap[855][WHEN] = ActionEntry(REDUCE, 179);
   _actionMap[855][ELSE] = ActionEntry(REDUCE, 179);
   _actionMap[855][LEFT] = ActionEntry(REDUCE, 179);
   _actionMap[855][RIGHT] = ActionEntry(REDUCE, 179);
   _actionMap[855][INNER] = ActionEntry(REDUCE, 179);
   _actionMap[855][JOIN] = ActionEntry(REDUCE, 179);
   _actionMap[855][RETURNTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[855][ORDER] = ActionEntry(REDUCE, 179);
   _actionMap[855][GROUP] = ActionEntry(REDUCE, 179);
   _actionMap[855][WHERE] = ActionEntry(REDUCE, 179);
   _actionMap[855][AS] = ActionEntry(REDUCE, 179);
   _actionMap[855][FROM] = ActionEntry(REDUCE, 179);
   _actionMap[855][END_TOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[855][BEGIN] = ActionEntry(REDUCE, 179);
   _actionMap[855][THEN] = ActionEntry(REDUCE, 179);
   _actionMap[855][OR] = ActionEntry(REDUCE, 179);
   _actionMap[855][AND] = ActionEntry(REDUCE, 179);
   _actionMap[855][LIKE] = ActionEntry(REDUCE, 179);
   _actionMap[855][IS] = ActionEntry(REDUCE, 179);
   _actionMap[855][BETWEEN] = ActionEntry(REDUCE, 179);
   _actionMap[855][NOT] = ActionEntry(REDUCE, 179);
   _actionMap[855][INTOK] = ActionEntry(REDUCE, 179);
   _actionMap[855][EQU] = ActionEntry(REDUCE, 179);
   _actionMap[855][NEGATION] = ActionEntry(REDUCE, 179);
   _actionMap[855][LT] = ActionEntry(REDUCE, 179);
   _actionMap[855][MT] = ActionEntry(REDUCE, 179);
   _actionMap[855][DESC] = ActionEntry(REDUCE, 179);
   _actionMap[855][ASC] = ActionEntry(REDUCE, 179);
   _actionMap[855][KSEP] = ActionEntry(REDUCE, 179);
   _actionMap[855][ROWLIMIT] = ActionEntry(REDUCE, 179);
   _actionMap[855][UNION] = ActionEntry(REDUCE, 179);
   _actionMap[855][ENDTOKEN] = ActionEntry(REDUCE, 179);
   _actionMap[855][RB] = ActionEntry(REDUCE, 179);
   _actionMap[855][SEMICOLON] = ActionEntry(REDUCE, 179);
   _actionMap[855][CONCAT] = ActionEntry(REDUCE, 179);
   _actionMap[855][STAR] = ActionEntry(REDUCE, 179);
   _actionMap[855][DIVISION] = ActionEntry(REDUCE, 179);
   _actionMap[855][MINUS] = ActionEntry(REDUCE, 179);
   _actionMap[855][PLUS] = ActionEntry(REDUCE, 179);
   _actionMap[856][WHEN] = ActionEntry(REDUCE, 356);
   _actionMap[856][ELSE] = ActionEntry(REDUCE, 356);
   _actionMap[856][LEFT] = ActionEntry(REDUCE, 356);
   _actionMap[856][RIGHT] = ActionEntry(REDUCE, 356);
   _actionMap[856][INNER] = ActionEntry(REDUCE, 356);
   _actionMap[856][JOIN] = ActionEntry(REDUCE, 356);
   _actionMap[856][RETURNTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[856][ORDER] = ActionEntry(REDUCE, 356);
   _actionMap[856][GROUP] = ActionEntry(REDUCE, 356);
}
void Cego::loadParser39()
{
   _actionMap[856][WHERE] = ActionEntry(REDUCE, 356);
   _actionMap[856][FROM] = ActionEntry(REDUCE, 356);
   _actionMap[856][AS] = ActionEntry(REDUCE, 356);
   _actionMap[856][END_TOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[856][BEGIN] = ActionEntry(REDUCE, 356);
   _actionMap[856][THEN] = ActionEntry(REDUCE, 356);
   _actionMap[856][OR] = ActionEntry(REDUCE, 356);
   _actionMap[856][AND] = ActionEntry(REDUCE, 356);
   _actionMap[856][INTOK] = ActionEntry(REDUCE, 356);
   _actionMap[856][NOT] = ActionEntry(REDUCE, 356);
   _actionMap[856][BETWEEN] = ActionEntry(REDUCE, 356);
   _actionMap[856][IS] = ActionEntry(REDUCE, 356);
   _actionMap[856][LIKE] = ActionEntry(REDUCE, 356);
   _actionMap[856][MT] = ActionEntry(REDUCE, 356);
   _actionMap[856][LT] = ActionEntry(REDUCE, 356);
   _actionMap[856][NEGATION] = ActionEntry(REDUCE, 356);
   _actionMap[856][EQU] = ActionEntry(REDUCE, 356);
   _actionMap[856][RB] = ActionEntry(REDUCE, 356);
   _actionMap[856][ENDTOKEN] = ActionEntry(REDUCE, 356);
   _actionMap[856][UNION] = ActionEntry(REDUCE, 356);
   _actionMap[856][ROWLIMIT] = ActionEntry(REDUCE, 356);
   _actionMap[856][KSEP] = ActionEntry(REDUCE, 356);
   _actionMap[856][ASC] = ActionEntry(REDUCE, 356);
   _actionMap[856][DESC] = ActionEntry(REDUCE, 356);
   _actionMap[856][SEMICOLON] = ActionEntry(REDUCE, 356);
   _actionMap[856][PLUS] = ActionEntry(REDUCE, 356);
   _actionMap[856][MINUS] = ActionEntry(REDUCE, 356);
   _actionMap[856][DIVISION] = ActionEntry(REDUCE, 356);
   _actionMap[856][STAR] = ActionEntry(REDUCE, 356);
   _actionMap[856][CONCAT] = ActionEntry(REDUCE, 356);
   _actionMap[857][SEMICOLON] = ActionEntry(REDUCE, 287);
   _actionMap[857][RB] = ActionEntry(REDUCE, 287);
   _actionMap[857][ENDTOKEN] = ActionEntry(REDUCE, 287);
   _actionMap[857][UNION] = ActionEntry(REDUCE, 287);
   _actionMap[857][ROWLIMIT] = ActionEntry(SHIFT, 904);
   _jumpMap[857][NoLimit] = 903;
   _jumpMap[857][LimitOpt] = 902;
   _actionMap[858][ROWLIMIT] = ActionEntry(REDUCE, 274);
   _actionMap[858][UNION] = ActionEntry(REDUCE, 274);
   _actionMap[858][ENDTOKEN] = ActionEntry(REDUCE, 274);
   _actionMap[858][RB] = ActionEntry(REDUCE, 274);
   _actionMap[858][SEMICOLON] = ActionEntry(REDUCE, 274);
   _actionMap[859][BY] = ActionEntry(SHIFT, 905);
   _actionMap[860][IDENTIFIER] = ActionEntry(SHIFT, 908);
   _actionMap[860][QUALIFIEDOBJ] = ActionEntry(SHIFT, 909);
   _actionMap[860][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _jumpMap[860][Attribute] = 907;
   _jumpMap[860][GroupList] = 906;
   _actionMap[861][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[861][MINUS] = ActionEntry(SHIFT, 178);
}
void Cego::loadParser40()
{
   _actionMap[861][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[861][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[861][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[861][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[861][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[861][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[861][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[861][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[861][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[861][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[861][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[861][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[861][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[861][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[861][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[861][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[861][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[861][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[861][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[861][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[861][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[861][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[861][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[861][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[861][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[861][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[861][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[861][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[861][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[861][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[861][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[861][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[861][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[861][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[861][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[861][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[861][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[861][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[861][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[861][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[861][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[861][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[861][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[861][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[861][LB] = ActionEntry(SHIFT, 447);
   _actionMap[861][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[861][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[861][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[861][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[861][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser41()
{
   _actionMap[861][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[861][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[861][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[861][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[861][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[861][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[861][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[861][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[861][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[861][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[861][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[861][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[861][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[861][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[861][ObjSpec] = 121;
   _jumpMap[861][Constant] = 120;
   _jumpMap[861][SignedFloat] = 119;
   _jumpMap[861][SignedInt] = 118;
   _jumpMap[861][Attribute] = 117;
   _jumpMap[861][QueryPredicate] = 444;
   _jumpMap[861][QueryCondition] = 910;
   _jumpMap[861][Function] = 116;
   _jumpMap[861][CasePrepare] = 115;
   _jumpMap[861][CaseClause] = 114;
   _jumpMap[861][Factor] = 113;
   _jumpMap[861][Term] = 112;
   _jumpMap[861][Expr] = 442;
   _actionMap[862][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[862][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[862][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[862][ObjSpec] = 523;
   _jumpMap[862][JoinTable] = 911;
   _jumpMap[862][Table] = 787;
   _actionMap[863][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[863][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[863][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[863][ObjSpec] = 523;
   _jumpMap[863][JoinTable] = 912;
   _jumpMap[863][Table] = 787;
   _actionMap[864][KSEP] = ActionEntry(SHIFT, 913);
   _actionMap[864][SEMICOLON] = ActionEntry(REDUCE, 293);
   _actionMap[865][SEMICOLON] = ActionEntry(REDUCE, 297);
   _actionMap[865][KSEP] = ActionEntry(REDUCE, 297);
   _actionMap[866][FIRST] = ActionEntry(SHIFT, 914);
   _actionMap[867][EQU] = ActionEntry(SHIFT, 915);
   _actionMap[695][SEMICOLON] = ActionEntry(REDUCE, 303);
   _actionMap[696][COLUMN] = ActionEntry(SHIFT, 536);
   _actionMap[697][ON] = ActionEntry(SHIFT, 801);
   _actionMap[698][SEMICOLON] = ActionEntry(REDUCE, 306);
   _actionMap[698][KSEP] = ActionEntry(REDUCE, 306);
}
void Cego::loadParser42()
{
   _actionMap[699][IDENTIFIER] = ActionEntry(SHIFT, 802);
   _actionMap[700][SEMICOLON] = ActionEntry(REDUCE, 305);
   _actionMap[700][KSEP] = ActionEntry(REDUCE, 305);
   _actionMap[701][SEMICOLON] = ActionEntry(REDUCE, 307);
   _actionMap[701][KSEP] = ActionEntry(REDUCE, 307);
   _actionMap[702][DEFAULT] = ActionEntry(SHIFT, 803);
   _actionMap[702][INT] = ActionEntry(SHIFT, 735);
   _actionMap[702][LONG] = ActionEntry(SHIFT, 736);
   _actionMap[702][STRING] = ActionEntry(SHIFT, 738);
   _actionMap[702][DATETIME] = ActionEntry(SHIFT, 730);
   _actionMap[702][BOOL] = ActionEntry(SHIFT, 728);
   _actionMap[702][BIGINT] = ActionEntry(SHIFT, 726);
   _actionMap[702][FLOAT] = ActionEntry(SHIFT, 734);
   _actionMap[702][DOUBLE] = ActionEntry(SHIFT, 732);
   _actionMap[702][SMALLINT] = ActionEntry(SHIFT, 737);
   _actionMap[702][TINYINT] = ActionEntry(SHIFT, 739);
   _actionMap[702][DECIMAL] = ActionEntry(SHIFT, 731);
   _actionMap[702][FIXED] = ActionEntry(SHIFT, 733);
   _actionMap[702][BLOB] = ActionEntry(SHIFT, 727);
   _actionMap[702][CLOB] = ActionEntry(SHIFT, 729);
   _jumpMap[702][DataTypeProd] = 753;
   _actionMap[703][TO] = ActionEntry(SHIFT, 804);
   _actionMap[704][IDENTIFIER] = ActionEntry(SHIFT, 805);
   _actionMap[705][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[705][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[705][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[705][KSEP] = ActionEntry(REDUCE, 148);
   _actionMap[705][RB] = ActionEntry(REDUCE, 148);
   _actionMap[706][ELSE] = ActionEntry(REDUCE, 143);
   _actionMap[706][ELSIF] = ActionEntry(REDUCE, 143);
   _actionMap[706][EXCEPTION] = ActionEntry(REDUCE, 143);
   _actionMap[706][END_TOKEN] = ActionEntry(REDUCE, 143);
   _actionMap[707][WHEN] = ActionEntry(SHIFT, 806);
   _actionMap[708][EXCEPTION] = ActionEntry(REDUCE, 119);
   _actionMap[708][END_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[708][ELSE] = ActionEntry(REDUCE, 119);
   _actionMap[708][ELSIF] = ActionEntry(REDUCE, 119);
   _actionMap[708][VAR] = ActionEntry(REDUCE, 119);
   _actionMap[708][CURSOR] = ActionEntry(REDUCE, 119);
   _actionMap[708][CLOSE] = ActionEntry(REDUCE, 119);
   _actionMap[708][VARREF] = ActionEntry(REDUCE, 119);
   _actionMap[708][NOOP] = ActionEntry(REDUCE, 119);
   _actionMap[708][THROW] = ActionEntry(REDUCE, 119);
   _actionMap[708][RETURNTOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[708][WHILE] = ActionEntry(REDUCE, 119);
   _actionMap[708][IF] = ActionEntry(REDUCE, 119);
   _actionMap[708][BEGIN] = ActionEntry(REDUCE, 119);
   _actionMap[708][UNLOCK] = ActionEntry(REDUCE, 119);
   _actionMap[708][LOCK] = ActionEntry(REDUCE, 119);
   _actionMap[708][ROLLBACK] = ActionEntry(REDUCE, 119);
}
void Cego::loadParser43()
{
   _actionMap[708][COMMIT] = ActionEntry(REDUCE, 119);
   _actionMap[708][START_TOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[708][UPDATE] = ActionEntry(REDUCE, 119);
   _actionMap[708][DELETETOK] = ActionEntry(REDUCE, 119);
   _actionMap[708][INSERT] = ActionEntry(REDUCE, 119);
   _actionMap[708][FETCH] = ActionEntry(REDUCE, 119);
   _actionMap[708][LB] = ActionEntry(REDUCE, 119);
   _actionMap[708][COUNT] = ActionEntry(REDUCE, 119);
   _actionMap[708][SUM] = ActionEntry(REDUCE, 119);
   _actionMap[708][AVG] = ActionEntry(REDUCE, 119);
   _actionMap[708][MIN] = ActionEntry(REDUCE, 119);
   _actionMap[708][MAX] = ActionEntry(REDUCE, 119);
   _actionMap[708][CASE] = ActionEntry(REDUCE, 119);
   _actionMap[708][INT2ASC] = ActionEntry(REDUCE, 119);
   _actionMap[708][ASC2INT] = ActionEntry(REDUCE, 119);
   _actionMap[708][TRIM] = ActionEntry(REDUCE, 119);
   _actionMap[708][RTRIM] = ActionEntry(REDUCE, 119);
   _actionMap[708][LTRIM] = ActionEntry(REDUCE, 119);
   _actionMap[708][ROUND] = ActionEntry(REDUCE, 119);
   _actionMap[708][DATE2STR] = ActionEntry(REDUCE, 119);
   _actionMap[708][DATE2LONG] = ActionEntry(REDUCE, 119);
   _actionMap[708][LONG2DATE] = ActionEntry(REDUCE, 119);
   _actionMap[708][NEWDATE] = ActionEntry(REDUCE, 119);
   _actionMap[708][LOWER] = ActionEntry(REDUCE, 119);
   _actionMap[708][UPPER] = ActionEntry(REDUCE, 119);
   _actionMap[708][LEFT] = ActionEntry(REDUCE, 119);
   _actionMap[708][RIGHT] = ActionEntry(REDUCE, 119);
   _actionMap[708][GETPOS] = ActionEntry(REDUCE, 119);
   _actionMap[708][SUBSTR] = ActionEntry(REDUCE, 119);
   _actionMap[708][REPLACE] = ActionEntry(REDUCE, 119);
   _actionMap[708][LENGTH] = ActionEntry(REDUCE, 119);
   _actionMap[708][TRUNC] = ActionEntry(REDUCE, 119);
   _actionMap[708][STR2INT] = ActionEntry(REDUCE, 119);
   _actionMap[708][STR2LONG] = ActionEntry(REDUCE, 119);
   _actionMap[708][STR2DATE] = ActionEntry(REDUCE, 119);
   _actionMap[708][RANDSTR] = ActionEntry(REDUCE, 119);
   _actionMap[708][RANDINT] = ActionEntry(REDUCE, 119);
   _actionMap[708][MOD] = ActionEntry(REDUCE, 119);
   _actionMap[708][DIV] = ActionEntry(REDUCE, 119);
   _actionMap[708][LMOD] = ActionEntry(REDUCE, 119);
   _actionMap[708][LDIV] = ActionEntry(REDUCE, 119);
   _actionMap[708][POWER] = ActionEntry(REDUCE, 119);
   _actionMap[708][BITAND] = ActionEntry(REDUCE, 119);
   _actionMap[708][BITOR] = ActionEntry(REDUCE, 119);
   _actionMap[708][BITXOR] = ActionEntry(REDUCE, 119);
   _actionMap[708][BLOBSIZE] = ActionEntry(REDUCE, 119);
   _actionMap[708][BLOBREF] = ActionEntry(REDUCE, 119);
   _actionMap[708][CLOBSIZE] = ActionEntry(REDUCE, 119);
   _actionMap[708][CLOBREF] = ActionEntry(REDUCE, 119);
   _actionMap[708][CLOB2STR] = ActionEntry(REDUCE, 119);
}
void Cego::loadParser44()
{
   _actionMap[708][NEXTCOUNT] = ActionEntry(REDUCE, 119);
   _actionMap[708][SETCOUNT] = ActionEntry(REDUCE, 119);
   _actionMap[708][GETCOUNT] = ActionEntry(REDUCE, 119);
   _actionMap[708][IDENTIFIER] = ActionEntry(REDUCE, 119);
   _actionMap[708][QUALIFIEDOBJ] = ActionEntry(REDUCE, 119);
   _actionMap[708][QUALIFIEDTS] = ActionEntry(REDUCE, 119);
   _actionMap[708][QUALIFIEDPRE] = ActionEntry(REDUCE, 119);
   _actionMap[708][STRINGVAL] = ActionEntry(REDUCE, 119);
   _actionMap[708][DATE] = ActionEntry(REDUCE, 119);
   _actionMap[708][SYSDATE] = ActionEntry(REDUCE, 119);
   _actionMap[708][NULLTOKEN] = ActionEntry(REDUCE, 119);
   _actionMap[708][TRUEVAL] = ActionEntry(REDUCE, 119);
   _actionMap[708][FALSEVAL] = ActionEntry(REDUCE, 119);
   _actionMap[708][BLOB] = ActionEntry(REDUCE, 119);
   _actionMap[708][CLOB] = ActionEntry(REDUCE, 119);
   _actionMap[708][FLOATVAL] = ActionEntry(REDUCE, 119);
   _actionMap[708][MINUS] = ActionEntry(REDUCE, 119);
   _actionMap[708][INTVAL] = ActionEntry(REDUCE, 119);
   _actionMap[709][SEMICOLON] = ActionEntry(REDUCE, 141);
   _actionMap[710][END_TOKEN] = ActionEntry(SHIFT, 713);
   _actionMap[711][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[711][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[711][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[711][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[711][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[711][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[711][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[711][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[711][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[711][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[711][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[711][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[711][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[711][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[711][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[711][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[711][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[711][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[711][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[711][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[711][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[711][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[711][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[711][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[711][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[711][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[711][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[711][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[711][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[711][LMOD] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser45()
{
   _actionMap[711][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[711][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[711][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[711][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[711][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[711][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[711][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[711][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[711][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[711][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[711][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[711][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[711][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[711][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[711][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[711][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[711][LB] = ActionEntry(SHIFT, 177);
   _actionMap[711][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[711][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[711][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[711][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[711][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[711][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[711][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[711][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[711][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[711][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[711][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[711][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[711][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[711][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[711][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[711][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[711][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[711][IF] = ActionEntry(SHIFT, 406);
   _actionMap[711][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[711][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[711][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[711][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[711][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[711][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[711][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[711][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[711][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[711][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[711][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[711][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[711][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[711][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[711][RETURNTOKEN] = ActionEntry(SHIFT, 408);
}
void Cego::loadParser46()
{
   _actionMap[711][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[711][ObjSpec] = 121;
   _jumpMap[711][Constant] = 120;
   _jumpMap[711][SignedFloat] = 119;
   _jumpMap[711][SignedInt] = 118;
   _jumpMap[711][Attribute] = 117;
   _jumpMap[711][Function] = 116;
   _jumpMap[711][DeleteStatement] = 402;
   _jumpMap[711][UpdateStatement] = 401;
   _jumpMap[711][InsertStatement] = 400;
   _jumpMap[711][UnlockStatement] = 399;
   _jumpMap[711][LockStatement] = 398;
   _jumpMap[711][RollbackStatement] = 397;
   _jumpMap[711][CommitStatement] = 396;
   _jumpMap[711][StartStatement] = 395;
   _jumpMap[711][CasePrepare] = 115;
   _jumpMap[711][CaseClause] = 114;
   _jumpMap[711][Factor] = 113;
   _jumpMap[711][Term] = 112;
   _jumpMap[711][Expr] = 394;
   _jumpMap[711][ProcStatement] = 393;
   _jumpMap[711][ProcIfPart] = 392;
   _jumpMap[711][ProcBlockStart] = 391;
   _jumpMap[711][ProcStatementList] = 390;
   _jumpMap[711][ProcStmtBlock] = 807;
   _actionMap[712][VAR] = ActionEntry(REDUCE, 158);
   _actionMap[712][CURSOR] = ActionEntry(REDUCE, 158);
   _actionMap[712][CLOSE] = ActionEntry(REDUCE, 158);
   _actionMap[712][VARREF] = ActionEntry(REDUCE, 158);
   _actionMap[712][NOOP] = ActionEntry(REDUCE, 158);
   _actionMap[712][THROW] = ActionEntry(REDUCE, 158);
   _actionMap[712][RETURNTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[712][WHILE] = ActionEntry(REDUCE, 158);
   _actionMap[712][IF] = ActionEntry(REDUCE, 158);
   _actionMap[712][BEGIN] = ActionEntry(REDUCE, 158);
   _actionMap[712][UNLOCK] = ActionEntry(REDUCE, 158);
   _actionMap[712][LOCK] = ActionEntry(REDUCE, 158);
   _actionMap[712][ROLLBACK] = ActionEntry(REDUCE, 158);
   _actionMap[712][COMMIT] = ActionEntry(REDUCE, 158);
   _actionMap[712][START_TOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[712][UPDATE] = ActionEntry(REDUCE, 158);
   _actionMap[712][DELETETOK] = ActionEntry(REDUCE, 158);
   _actionMap[712][INSERT] = ActionEntry(REDUCE, 158);
   _actionMap[712][FETCH] = ActionEntry(REDUCE, 158);
   _actionMap[712][LB] = ActionEntry(REDUCE, 158);
   _actionMap[712][COUNT] = ActionEntry(REDUCE, 158);
   _actionMap[712][SUM] = ActionEntry(REDUCE, 158);
   _actionMap[712][AVG] = ActionEntry(REDUCE, 158);
   _actionMap[712][MIN] = ActionEntry(REDUCE, 158);
   _actionMap[712][MAX] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser47()
{
   _actionMap[712][CASE] = ActionEntry(REDUCE, 158);
   _actionMap[712][INT2ASC] = ActionEntry(REDUCE, 158);
   _actionMap[712][ASC2INT] = ActionEntry(REDUCE, 158);
   _actionMap[712][TRIM] = ActionEntry(REDUCE, 158);
   _actionMap[712][RTRIM] = ActionEntry(REDUCE, 158);
   _actionMap[712][LTRIM] = ActionEntry(REDUCE, 158);
   _actionMap[712][ROUND] = ActionEntry(REDUCE, 158);
   _actionMap[712][DATE2STR] = ActionEntry(REDUCE, 158);
   _actionMap[712][DATE2LONG] = ActionEntry(REDUCE, 158);
   _actionMap[712][LONG2DATE] = ActionEntry(REDUCE, 158);
   _actionMap[712][NEWDATE] = ActionEntry(REDUCE, 158);
   _actionMap[712][LOWER] = ActionEntry(REDUCE, 158);
   _actionMap[712][UPPER] = ActionEntry(REDUCE, 158);
   _actionMap[712][LEFT] = ActionEntry(REDUCE, 158);
   _actionMap[712][RIGHT] = ActionEntry(REDUCE, 158);
   _actionMap[712][GETPOS] = ActionEntry(REDUCE, 158);
   _actionMap[712][SUBSTR] = ActionEntry(REDUCE, 158);
   _actionMap[712][REPLACE] = ActionEntry(REDUCE, 158);
   _actionMap[712][LENGTH] = ActionEntry(REDUCE, 158);
   _actionMap[712][TRUNC] = ActionEntry(REDUCE, 158);
   _actionMap[712][STR2INT] = ActionEntry(REDUCE, 158);
   _actionMap[712][STR2LONG] = ActionEntry(REDUCE, 158);
   _actionMap[712][STR2DATE] = ActionEntry(REDUCE, 158);
   _actionMap[712][RANDSTR] = ActionEntry(REDUCE, 158);
   _actionMap[712][RANDINT] = ActionEntry(REDUCE, 158);
   _actionMap[712][MOD] = ActionEntry(REDUCE, 158);
   _actionMap[712][DIV] = ActionEntry(REDUCE, 158);
   _actionMap[712][LMOD] = ActionEntry(REDUCE, 158);
   _actionMap[712][LDIV] = ActionEntry(REDUCE, 158);
   _actionMap[712][POWER] = ActionEntry(REDUCE, 158);
   _actionMap[712][BITAND] = ActionEntry(REDUCE, 158);
   _actionMap[712][BITOR] = ActionEntry(REDUCE, 158);
   _actionMap[712][BITXOR] = ActionEntry(REDUCE, 158);
   _actionMap[712][BLOBSIZE] = ActionEntry(REDUCE, 158);
   _actionMap[712][BLOBREF] = ActionEntry(REDUCE, 158);
   _actionMap[712][CLOBSIZE] = ActionEntry(REDUCE, 158);
   _actionMap[712][CLOBREF] = ActionEntry(REDUCE, 158);
   _actionMap[712][CLOB2STR] = ActionEntry(REDUCE, 158);
   _actionMap[712][NEXTCOUNT] = ActionEntry(REDUCE, 158);
   _actionMap[712][SETCOUNT] = ActionEntry(REDUCE, 158);
   _actionMap[712][GETCOUNT] = ActionEntry(REDUCE, 158);
   _actionMap[712][IDENTIFIER] = ActionEntry(REDUCE, 158);
   _actionMap[712][QUALIFIEDOBJ] = ActionEntry(REDUCE, 158);
   _actionMap[712][QUALIFIEDTS] = ActionEntry(REDUCE, 158);
   _actionMap[712][QUALIFIEDPRE] = ActionEntry(REDUCE, 158);
   _actionMap[712][STRINGVAL] = ActionEntry(REDUCE, 158);
   _actionMap[712][DATE] = ActionEntry(REDUCE, 158);
   _actionMap[712][SYSDATE] = ActionEntry(REDUCE, 158);
   _actionMap[712][NULLTOKEN] = ActionEntry(REDUCE, 158);
   _actionMap[712][TRUEVAL] = ActionEntry(REDUCE, 158);
}
void Cego::loadParser48()
{
   _actionMap[712][FALSEVAL] = ActionEntry(REDUCE, 158);
   _actionMap[712][BLOB] = ActionEntry(REDUCE, 158);
   _actionMap[712][CLOB] = ActionEntry(REDUCE, 158);
   _actionMap[712][FLOATVAL] = ActionEntry(REDUCE, 158);
   _actionMap[712][MINUS] = ActionEntry(REDUCE, 158);
   _actionMap[712][INTVAL] = ActionEntry(REDUCE, 158);
   _actionMap[713][SEMICOLON] = ActionEntry(REDUCE, 151);
   _actionMap[714][END_TOKEN] = ActionEntry(REDUCE, 153);
   _actionMap[714][ELSE] = ActionEntry(REDUCE, 153);
   _actionMap[715][THEN] = ActionEntry(SHIFT, 808);
   _actionMap[716][OR] = ActionEntry(SHIFT, 720);
   _actionMap[716][AND] = ActionEntry(SHIFT, 719);
   _actionMap[716][THEN] = ActionEntry(REDUCE, 160);
   _actionMap[717][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[717][SelectStatement] = 809;
   _actionMap[718][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[718][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[718][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[718][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[718][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[718][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[718][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[718][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[718][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[718][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[718][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[718][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[718][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[718][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[718][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[718][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[718][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[718][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[718][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[718][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[718][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[718][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[718][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[718][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[718][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[718][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[718][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[718][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[718][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[718][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[718][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[718][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[718][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[718][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[718][BITXOR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser49()
{
   _actionMap[718][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[718][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[718][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[718][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[718][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[718][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[718][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[718][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[718][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[718][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[718][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[718][LB] = ActionEntry(SHIFT, 177);
   _actionMap[718][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[718][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[718][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[718][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[718][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[718][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[718][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[718][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[718][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[718][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[718][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[718][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[718][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[718][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[718][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[718][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[718][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[718][IF] = ActionEntry(SHIFT, 406);
   _actionMap[718][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[718][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[718][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[718][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[718][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[718][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[718][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[718][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[718][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[718][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[718][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[718][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[718][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[718][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[718][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[718][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[718][ObjSpec] = 121;
   _jumpMap[718][Constant] = 120;
   _jumpMap[718][SignedFloat] = 119;
   _jumpMap[718][SignedInt] = 118;
}
void Cego::loadParser50()
{
   _jumpMap[718][Attribute] = 117;
   _jumpMap[718][Function] = 116;
   _jumpMap[718][DeleteStatement] = 402;
   _jumpMap[718][UpdateStatement] = 401;
   _jumpMap[718][InsertStatement] = 400;
   _jumpMap[718][UnlockStatement] = 399;
   _jumpMap[718][LockStatement] = 398;
   _jumpMap[718][RollbackStatement] = 397;
   _jumpMap[718][CommitStatement] = 396;
   _jumpMap[718][StartStatement] = 395;
   _jumpMap[718][CasePrepare] = 115;
   _jumpMap[718][CaseClause] = 114;
   _jumpMap[718][Factor] = 113;
   _jumpMap[718][Term] = 112;
   _jumpMap[718][Expr] = 394;
   _jumpMap[718][ProcStatement] = 393;
   _jumpMap[718][ProcIfPart] = 392;
   _jumpMap[718][ProcBlockStart] = 391;
   _jumpMap[718][ProcStatementList] = 390;
   _jumpMap[718][ProcStmtBlock] = 810;
   _actionMap[719][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[719][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[719][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[719][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[719][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[719][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[719][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[719][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[719][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[719][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[719][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[719][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[719][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[719][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[719][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[719][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[719][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[719][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[719][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[719][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[719][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[719][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[719][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[719][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[719][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[719][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[719][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[719][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[719][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[719][LMOD] = ActionEntry(SHIFT, 151);
}
void Cego::loadParser51()
{
   _actionMap[719][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[719][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[719][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[719][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[719][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[719][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[719][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[719][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[719][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[719][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[719][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[719][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[719][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[719][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[719][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[719][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[719][LB] = ActionEntry(SHIFT, 557);
   _actionMap[719][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[719][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[719][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[719][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[719][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[719][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[719][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[719][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[719][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[719][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[719][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[719][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[719][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[719][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[719][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[719][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[719][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[719][ObjSpec] = 121;
   _jumpMap[719][Constant] = 120;
   _jumpMap[719][SignedFloat] = 119;
   _jumpMap[719][SignedInt] = 118;
   _jumpMap[719][Attribute] = 117;
   _jumpMap[719][Function] = 116;
   _jumpMap[719][CasePrepare] = 115;
   _jumpMap[719][CaseClause] = 114;
   _jumpMap[719][Factor] = 113;
   _jumpMap[719][Term] = 112;
   _jumpMap[719][Expr] = 556;
   _jumpMap[719][ProcPredicate] = 811;
   _actionMap[720][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[720][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[720][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[720][INT2ASC] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser52()
{
   _actionMap[720][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[720][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[720][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[720][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[720][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[720][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[720][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[720][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[720][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[720][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[720][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[720][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[720][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[720][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[720][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[720][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[720][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[720][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[720][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[720][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[720][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[720][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[720][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[720][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[720][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[720][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[720][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[720][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[720][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[720][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[720][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[720][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[720][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[720][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[720][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[720][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[720][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[720][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[720][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[720][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[720][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[720][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[720][LB] = ActionEntry(SHIFT, 557);
   _actionMap[720][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[720][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[720][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[720][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[720][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[720][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[720][BLOB] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser53()
{
   _actionMap[720][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[720][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[720][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[720][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[720][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[720][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[720][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[720][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[720][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[720][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[720][ObjSpec] = 121;
   _jumpMap[720][Constant] = 120;
   _jumpMap[720][SignedFloat] = 119;
   _jumpMap[720][SignedInt] = 118;
   _jumpMap[720][Attribute] = 117;
   _jumpMap[720][Function] = 116;
   _jumpMap[720][CasePrepare] = 115;
   _jumpMap[720][CaseClause] = 114;
   _jumpMap[720][Factor] = 113;
   _jumpMap[720][Term] = 112;
   _jumpMap[720][Expr] = 556;
   _jumpMap[720][ProcPredicate] = 812;
   _actionMap[721][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[721][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[721][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[721][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[721][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[721][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[721][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[721][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[721][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[721][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[721][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[721][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[721][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[721][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[721][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[721][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[721][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[721][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[721][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[721][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[721][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[721][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[721][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[721][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[721][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[721][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[721][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[721][MOD] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser54()
{
   _actionMap[721][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[721][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[721][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[721][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[721][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[721][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[721][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[721][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[721][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[721][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[721][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[721][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[721][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[721][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[721][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[721][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[721][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[721][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[721][LB] = ActionEntry(SHIFT, 177);
   _actionMap[721][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[721][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[721][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[721][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[721][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[721][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[721][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[721][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[721][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[721][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[721][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[721][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[721][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[721][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[721][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[721][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[721][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[721][ObjSpec] = 121;
   _jumpMap[721][Constant] = 120;
   _jumpMap[721][SignedFloat] = 119;
   _jumpMap[721][SignedInt] = 118;
   _jumpMap[721][Attribute] = 117;
   _jumpMap[721][Function] = 116;
   _jumpMap[721][CasePrepare] = 115;
   _jumpMap[721][CaseClause] = 114;
   _jumpMap[721][Factor] = 113;
   _jumpMap[721][Term] = 112;
   _jumpMap[721][Expr] = 813;
   _actionMap[722][NOT] = ActionEntry(SHIFT, 814);
   _actionMap[722][NULLTOKEN] = ActionEntry(SHIFT, 815);
   _actionMap[723][RB] = ActionEntry(SHIFT, 816);
}
void Cego::loadParser55()
{
   _actionMap[723][OR] = ActionEntry(SHIFT, 720);
   _actionMap[723][AND] = ActionEntry(SHIFT, 719);
   _actionMap[724][RB] = ActionEntry(SHIFT, 502);
   _actionMap[724][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[724][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[724][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[724][IS] = ActionEntry(SHIFT, 722);
   _actionMap[724][EQU] = ActionEntry(SHIFT, 598);
   _actionMap[724][NEGATION] = ActionEntry(SHIFT, 601);
   _actionMap[724][LT] = ActionEntry(SHIFT, 599);
   _actionMap[724][MT] = ActionEntry(SHIFT, 600);
   _jumpMap[724][Comparison] = 721;
   _actionMap[725][SEMICOLON] = ActionEntry(REDUCE, 129);
   _actionMap[725][EQU] = ActionEntry(SHIFT, 819);
   _jumpMap[725][ProcNoAssignment] = 818;
   _jumpMap[725][ProcInitialAssignment] = 817;
   _actionMap[726][LB] = ActionEntry(SHIFT, 820);
   _actionMap[727][BEGIN] = ActionEntry(REDUCE, 393);
   _actionMap[727][EQU] = ActionEntry(REDUCE, 393);
   _actionMap[727][DEFAULT] = ActionEntry(REDUCE, 393);
   _actionMap[727][NULLTOKEN] = ActionEntry(REDUCE, 393);
   _actionMap[727][NOT] = ActionEntry(REDUCE, 393);
   _actionMap[727][KSEP] = ActionEntry(REDUCE, 393);
   _actionMap[727][SEMICOLON] = ActionEntry(REDUCE, 393);
   _actionMap[727][RB] = ActionEntry(REDUCE, 393);
   _actionMap[728][BEGIN] = ActionEntry(REDUCE, 385);
   _actionMap[728][EQU] = ActionEntry(REDUCE, 385);
   _actionMap[728][DEFAULT] = ActionEntry(REDUCE, 385);
   _actionMap[728][NULLTOKEN] = ActionEntry(REDUCE, 385);
   _actionMap[728][NOT] = ActionEntry(REDUCE, 385);
   _actionMap[728][KSEP] = ActionEntry(REDUCE, 385);
   _actionMap[728][SEMICOLON] = ActionEntry(REDUCE, 385);
   _actionMap[728][RB] = ActionEntry(REDUCE, 385);
   _actionMap[729][BEGIN] = ActionEntry(REDUCE, 394);
   _actionMap[729][EQU] = ActionEntry(REDUCE, 394);
   _actionMap[729][DEFAULT] = ActionEntry(REDUCE, 394);
   _actionMap[729][NULLTOKEN] = ActionEntry(REDUCE, 394);
   _actionMap[729][NOT] = ActionEntry(REDUCE, 394);
   _actionMap[729][KSEP] = ActionEntry(REDUCE, 394);
   _actionMap[729][SEMICOLON] = ActionEntry(REDUCE, 394);
   _actionMap[729][RB] = ActionEntry(REDUCE, 394);
   _actionMap[730][BEGIN] = ActionEntry(REDUCE, 384);
   _actionMap[730][EQU] = ActionEntry(REDUCE, 384);
   _actionMap[730][DEFAULT] = ActionEntry(REDUCE, 384);
   _actionMap[730][NULLTOKEN] = ActionEntry(REDUCE, 384);
   _actionMap[730][NOT] = ActionEntry(REDUCE, 384);
   _actionMap[730][KSEP] = ActionEntry(REDUCE, 384);
   _actionMap[730][SEMICOLON] = ActionEntry(REDUCE, 384);
   _actionMap[730][RB] = ActionEntry(REDUCE, 384);
   _actionMap[731][LB] = ActionEntry(SHIFT, 821);
}
void Cego::loadParser56()
{
   _actionMap[732][BEGIN] = ActionEntry(REDUCE, 388);
   _actionMap[732][EQU] = ActionEntry(REDUCE, 388);
   _actionMap[732][DEFAULT] = ActionEntry(REDUCE, 388);
   _actionMap[732][NULLTOKEN] = ActionEntry(REDUCE, 388);
   _actionMap[732][NOT] = ActionEntry(REDUCE, 388);
   _actionMap[732][KSEP] = ActionEntry(REDUCE, 388);
   _actionMap[732][SEMICOLON] = ActionEntry(REDUCE, 388);
   _actionMap[732][RB] = ActionEntry(REDUCE, 388);
   _actionMap[733][LB] = ActionEntry(SHIFT, 822);
   _actionMap[734][BEGIN] = ActionEntry(REDUCE, 387);
   _actionMap[734][EQU] = ActionEntry(REDUCE, 387);
   _actionMap[734][DEFAULT] = ActionEntry(REDUCE, 387);
   _actionMap[734][NULLTOKEN] = ActionEntry(REDUCE, 387);
   _actionMap[734][NOT] = ActionEntry(REDUCE, 387);
   _actionMap[734][KSEP] = ActionEntry(REDUCE, 387);
   _actionMap[734][SEMICOLON] = ActionEntry(REDUCE, 387);
   _actionMap[734][RB] = ActionEntry(REDUCE, 387);
   _actionMap[735][BEGIN] = ActionEntry(REDUCE, 381);
   _actionMap[735][EQU] = ActionEntry(REDUCE, 381);
   _actionMap[735][DEFAULT] = ActionEntry(REDUCE, 381);
   _actionMap[735][NULLTOKEN] = ActionEntry(REDUCE, 381);
   _actionMap[735][NOT] = ActionEntry(REDUCE, 381);
   _actionMap[735][KSEP] = ActionEntry(REDUCE, 381);
   _actionMap[735][SEMICOLON] = ActionEntry(REDUCE, 381);
   _actionMap[735][RB] = ActionEntry(REDUCE, 381);
   _actionMap[736][BEGIN] = ActionEntry(REDUCE, 382);
   _actionMap[736][EQU] = ActionEntry(REDUCE, 382);
   _actionMap[736][DEFAULT] = ActionEntry(REDUCE, 382);
   _actionMap[736][NULLTOKEN] = ActionEntry(REDUCE, 382);
   _actionMap[736][NOT] = ActionEntry(REDUCE, 382);
   _actionMap[736][KSEP] = ActionEntry(REDUCE, 382);
   _actionMap[736][SEMICOLON] = ActionEntry(REDUCE, 382);
   _actionMap[736][RB] = ActionEntry(REDUCE, 382);
   _actionMap[737][BEGIN] = ActionEntry(REDUCE, 389);
   _actionMap[737][EQU] = ActionEntry(REDUCE, 389);
   _actionMap[737][DEFAULT] = ActionEntry(REDUCE, 389);
   _actionMap[737][NULLTOKEN] = ActionEntry(REDUCE, 389);
   _actionMap[737][NOT] = ActionEntry(REDUCE, 389);
   _actionMap[737][KSEP] = ActionEntry(REDUCE, 389);
   _actionMap[737][SEMICOLON] = ActionEntry(REDUCE, 389);
   _actionMap[737][RB] = ActionEntry(REDUCE, 389);
   _actionMap[738][LB] = ActionEntry(SHIFT, 823);
   _actionMap[739][BEGIN] = ActionEntry(REDUCE, 390);
   _actionMap[739][EQU] = ActionEntry(REDUCE, 390);
   _actionMap[739][DEFAULT] = ActionEntry(REDUCE, 390);
   _actionMap[739][NULLTOKEN] = ActionEntry(REDUCE, 390);
   _actionMap[739][NOT] = ActionEntry(REDUCE, 390);
   _actionMap[739][KSEP] = ActionEntry(REDUCE, 390);
   _actionMap[739][SEMICOLON] = ActionEntry(REDUCE, 390);
   _actionMap[739][RB] = ActionEntry(REDUCE, 390);
}
void Cego::loadParser57()
{
   _actionMap[740][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[740][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[740][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[740][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[740][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[740][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[740][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[740][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[740][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[740][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[740][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[740][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[740][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[740][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[740][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[740][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[740][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[740][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[740][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[740][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[740][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[740][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[740][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[740][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[740][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[740][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[740][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[740][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[740][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[740][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[740][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[740][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[740][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[740][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[740][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[740][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[740][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[740][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[740][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[740][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[740][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[740][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[740][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[740][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[740][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[740][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[740][LB] = ActionEntry(SHIFT, 177);
   _actionMap[740][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[740][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[740][SYSDATE] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser58()
{
   _actionMap[740][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[740][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[740][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[740][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[740][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[740][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[740][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[740][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[740][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[740][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[740][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[740][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[740][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[740][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[740][IF] = ActionEntry(SHIFT, 406);
   _actionMap[740][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[740][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[740][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[740][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[740][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[740][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[740][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[740][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[740][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[740][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[740][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[740][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[740][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[740][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[740][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[740][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[740][ObjSpec] = 121;
   _jumpMap[740][Constant] = 120;
   _jumpMap[740][SignedFloat] = 119;
   _jumpMap[740][SignedInt] = 118;
   _jumpMap[740][Attribute] = 117;
   _jumpMap[740][Function] = 116;
   _jumpMap[740][DeleteStatement] = 402;
   _jumpMap[740][UpdateStatement] = 401;
   _jumpMap[740][InsertStatement] = 400;
   _jumpMap[740][UnlockStatement] = 399;
   _jumpMap[740][LockStatement] = 398;
   _jumpMap[740][RollbackStatement] = 397;
   _jumpMap[740][CommitStatement] = 396;
   _jumpMap[740][StartStatement] = 395;
   _jumpMap[740][CasePrepare] = 115;
   _jumpMap[740][CaseClause] = 114;
   _jumpMap[740][Factor] = 113;
   _jumpMap[740][Term] = 112;
   _jumpMap[740][Expr] = 394;
}
void Cego::loadParser59()
{
   _jumpMap[740][ProcStatement] = 393;
   _jumpMap[740][ProcIfPart] = 392;
   _jumpMap[740][ProcBlockStart] = 391;
   _jumpMap[740][ProcStatementList] = 390;
   _jumpMap[740][ProcStmtBlock] = 824;
   _actionMap[741][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[741][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[741][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[741][SEMICOLON] = ActionEntry(REDUCE, 124);
   _actionMap[742][LB] = ActionEntry(SHIFT, 825);
   _actionMap[743][IDENTIFIER] = ActionEntry(SHIFT, 828);
   _jumpMap[743][AliasAttr] = 827;
   _jumpMap[743][AliasAttrList] = 826;
   _actionMap[744][IDENTIFIER] = ActionEntry(SHIFT, 831);
   _jumpMap[744][SimpleAttr] = 830;
   _jumpMap[744][SimpleAttrList] = 829;
   _actionMap[745][IDENTIFIER] = ActionEntry(SHIFT, 572);
   _jumpMap[745][ProcArg] = 832;
   _actionMap[746][BEGIN] = ActionEntry(REDUCE, 108);
   _actionMap[747][INT] = ActionEntry(SHIFT, 735);
   _actionMap[747][LONG] = ActionEntry(SHIFT, 736);
   _actionMap[747][STRING] = ActionEntry(SHIFT, 738);
   _actionMap[747][DATETIME] = ActionEntry(SHIFT, 730);
   _actionMap[747][BOOL] = ActionEntry(SHIFT, 728);
   _actionMap[747][BIGINT] = ActionEntry(SHIFT, 726);
   _actionMap[747][FLOAT] = ActionEntry(SHIFT, 734);
   _actionMap[747][DOUBLE] = ActionEntry(SHIFT, 732);
   _actionMap[747][SMALLINT] = ActionEntry(SHIFT, 737);
   _actionMap[747][TINYINT] = ActionEntry(SHIFT, 739);
   _actionMap[747][DECIMAL] = ActionEntry(SHIFT, 731);
   _actionMap[747][FIXED] = ActionEntry(SHIFT, 733);
   _actionMap[747][BLOB] = ActionEntry(SHIFT, 727);
   _actionMap[747][CLOB] = ActionEntry(SHIFT, 729);
   _jumpMap[747][DataTypeProd] = 833;
   _actionMap[748][INT] = ActionEntry(SHIFT, 735);
   _actionMap[748][LONG] = ActionEntry(SHIFT, 736);
   _actionMap[748][STRING] = ActionEntry(SHIFT, 738);
   _actionMap[748][DATETIME] = ActionEntry(SHIFT, 730);
   _actionMap[748][BOOL] = ActionEntry(SHIFT, 728);
   _actionMap[748][BIGINT] = ActionEntry(SHIFT, 726);
   _actionMap[748][FLOAT] = ActionEntry(SHIFT, 734);
   _actionMap[748][DOUBLE] = ActionEntry(SHIFT, 732);
   _actionMap[748][SMALLINT] = ActionEntry(SHIFT, 737);
   _actionMap[748][TINYINT] = ActionEntry(SHIFT, 739);
   _actionMap[748][DECIMAL] = ActionEntry(SHIFT, 731);
   _actionMap[748][FIXED] = ActionEntry(SHIFT, 733);
   _actionMap[748][BLOB] = ActionEntry(SHIFT, 727);
   _actionMap[748][CLOB] = ActionEntry(SHIFT, 729);
   _jumpMap[748][DataTypeProd] = 834;
   _actionMap[749][INT] = ActionEntry(SHIFT, 735);
}
void Cego::loadParser60()
{
   _actionMap[749][LONG] = ActionEntry(SHIFT, 736);
   _actionMap[749][STRING] = ActionEntry(SHIFT, 738);
   _actionMap[749][DATETIME] = ActionEntry(SHIFT, 730);
   _actionMap[749][BOOL] = ActionEntry(SHIFT, 728);
   _actionMap[749][BIGINT] = ActionEntry(SHIFT, 726);
   _actionMap[749][FLOAT] = ActionEntry(SHIFT, 734);
   _actionMap[749][DOUBLE] = ActionEntry(SHIFT, 732);
   _actionMap[749][SMALLINT] = ActionEntry(SHIFT, 737);
   _actionMap[749][TINYINT] = ActionEntry(SHIFT, 739);
   _actionMap[749][DECIMAL] = ActionEntry(SHIFT, 731);
   _actionMap[749][FIXED] = ActionEntry(SHIFT, 733);
   _actionMap[749][BLOB] = ActionEntry(SHIFT, 727);
   _actionMap[749][CLOB] = ActionEntry(SHIFT, 729);
   _jumpMap[749][DataTypeProd] = 835;
   _actionMap[750][IDENTIFIER] = ActionEntry(SHIFT, 577);
   _actionMap[750][PRIMARY] = ActionEntry(SHIFT, 576);
   _jumpMap[750][ColumnDesc] = 575;
   _jumpMap[750][KeyColumn] = 836;
   _actionMap[751][SEMICOLON] = ActionEntry(REDUCE, 62);
   _actionMap[752][KSEP] = ActionEntry(REDUCE, 200);
   _actionMap[752][RB] = ActionEntry(REDUCE, 200);
   _actionMap[753][RB] = ActionEntry(REDUCE, 209);
   _actionMap[753][SEMICOLON] = ActionEntry(REDUCE, 209);
   _actionMap[753][KSEP] = ActionEntry(REDUCE, 209);
   _actionMap[753][NOT] = ActionEntry(REDUCE, 209);
   _actionMap[753][NULLTOKEN] = ActionEntry(REDUCE, 209);
   _actionMap[753][DEFAULT] = ActionEntry(SHIFT, 839);
   _jumpMap[753][DefaultDefOpt] = 838;
   _jumpMap[753][DefaultOpt] = 837;
   _actionMap[754][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[754][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[754][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[754][ObjSpec] = 840;
   _actionMap[755][INSERT] = ActionEntry(SHIFT, 581);
   _actionMap[755][UPDATE] = ActionEntry(SHIFT, 582);
   _actionMap[755][DELETETOK] = ActionEntry(SHIFT, 580);
   _jumpMap[755][TriggerOp] = 841;
   _actionMap[756][LB] = ActionEntry(SHIFT, 587);
   _jumpMap[756][InsertValueSpec] = 842;
   _actionMap[757][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[757][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[757][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[757][KSEP] = ActionEntry(REDUCE, 235);
   _actionMap[757][RB] = ActionEntry(REDUCE, 235);
   _actionMap[758][RB] = ActionEntry(SHIFT, 844);
   _actionMap[758][KSEP] = ActionEntry(SHIFT, 843);
   _actionMap[759][IDENTIFIER] = ActionEntry(SHIFT, 845);
   _actionMap[760][SELECT] = ActionEntry(REDUCE, 226);
   _actionMap[760][VALUES] = ActionEntry(REDUCE, 226);
   _actionMap[761][WHEN] = ActionEntry(REDUCE, 191);
}
void Cego::loadParser61()
{
   _actionMap[761][ELSE] = ActionEntry(REDUCE, 191);
   _actionMap[761][LEFT] = ActionEntry(REDUCE, 191);
   _actionMap[761][RIGHT] = ActionEntry(REDUCE, 191);
   _actionMap[761][INNER] = ActionEntry(REDUCE, 191);
   _actionMap[761][JOIN] = ActionEntry(REDUCE, 191);
   _actionMap[761][RETURNTOKEN] = ActionEntry(REDUCE, 191);
   _actionMap[761][ORDER] = ActionEntry(REDUCE, 191);
   _actionMap[761][GROUP] = ActionEntry(REDUCE, 191);
   _actionMap[761][WHERE] = ActionEntry(REDUCE, 191);
   _actionMap[761][BEGIN] = ActionEntry(REDUCE, 191);
   _actionMap[761][THEN] = ActionEntry(REDUCE, 191);
   _actionMap[761][OR] = ActionEntry(REDUCE, 191);
   _actionMap[761][FROM] = ActionEntry(REDUCE, 191);
   _actionMap[761][AS] = ActionEntry(REDUCE, 191);
   _actionMap[761][END_TOKEN] = ActionEntry(REDUCE, 191);
   _actionMap[761][AND] = ActionEntry(REDUCE, 191);
   _actionMap[761][INTOK] = ActionEntry(REDUCE, 191);
   _actionMap[761][NOT] = ActionEntry(REDUCE, 191);
   _actionMap[761][BETWEEN] = ActionEntry(REDUCE, 191);
   _actionMap[761][IS] = ActionEntry(REDUCE, 191);
   _actionMap[761][LIKE] = ActionEntry(REDUCE, 191);
   _actionMap[761][MT] = ActionEntry(REDUCE, 191);
   _actionMap[761][LT] = ActionEntry(REDUCE, 191);
   _actionMap[761][NEGATION] = ActionEntry(REDUCE, 191);
   _actionMap[761][EQU] = ActionEntry(REDUCE, 191);
   _actionMap[761][RB] = ActionEntry(REDUCE, 191);
   _actionMap[761][ENDTOKEN] = ActionEntry(REDUCE, 191);
   _actionMap[761][UNION] = ActionEntry(REDUCE, 191);
   _actionMap[761][ROWLIMIT] = ActionEntry(REDUCE, 191);
   _actionMap[761][KSEP] = ActionEntry(REDUCE, 191);
   _actionMap[761][ASC] = ActionEntry(REDUCE, 191);
   _actionMap[761][DESC] = ActionEntry(REDUCE, 191);
   _actionMap[761][SEMICOLON] = ActionEntry(REDUCE, 191);
   _actionMap[761][PLUS] = ActionEntry(REDUCE, 191);
   _actionMap[761][MINUS] = ActionEntry(REDUCE, 191);
   _actionMap[761][DIVISION] = ActionEntry(REDUCE, 191);
   _actionMap[761][STAR] = ActionEntry(REDUCE, 191);
   _actionMap[761][CONCAT] = ActionEntry(REDUCE, 191);
   _actionMap[762][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[762][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[762][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[762][LEFT] = ActionEntry(REDUCE, 373);
   _actionMap[762][RIGHT] = ActionEntry(REDUCE, 373);
   _actionMap[762][INNER] = ActionEntry(REDUCE, 373);
   _actionMap[762][JOIN] = ActionEntry(REDUCE, 373);
   _actionMap[762][RETURNTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[762][SEMICOLON] = ActionEntry(REDUCE, 373);
   _actionMap[762][ENDTOKEN] = ActionEntry(REDUCE, 373);
   _actionMap[762][UNION] = ActionEntry(REDUCE, 373);
   _actionMap[762][ROWLIMIT] = ActionEntry(REDUCE, 373);
}
void Cego::loadParser62()
{
   _actionMap[762][ORDER] = ActionEntry(REDUCE, 373);
   _actionMap[762][GROUP] = ActionEntry(REDUCE, 373);
   _actionMap[762][WHERE] = ActionEntry(REDUCE, 373);
   _actionMap[762][THEN] = ActionEntry(REDUCE, 373);
   _actionMap[762][AND] = ActionEntry(REDUCE, 373);
   _actionMap[762][OR] = ActionEntry(REDUCE, 373);
   _actionMap[762][RB] = ActionEntry(REDUCE, 373);
   _actionMap[763][AND] = ActionEntry(SHIFT, 846);
   _actionMap[763][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[763][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[763][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[764][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[764][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[764][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[764][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[764][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[764][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[764][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[764][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[764][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[764][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[764][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[764][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[764][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[764][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[764][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[764][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[764][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[764][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[764][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[764][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[764][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[764][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[764][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[764][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[764][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[764][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[764][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[764][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[764][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[764][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[764][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[764][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[764][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[764][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[764][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[764][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[764][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[764][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[764][CLOBREF] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser63()
{
   _actionMap[764][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[764][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[764][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[764][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[764][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[764][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[764][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[764][LB] = ActionEntry(SHIFT, 177);
   _actionMap[764][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[764][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[764][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[764][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[764][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[764][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[764][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[764][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[764][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[764][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[764][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[764][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[764][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[764][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[764][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[764][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[764][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[764][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[764][ObjSpec] = 121;
   _jumpMap[764][Constant] = 120;
   _jumpMap[764][SignedFloat] = 119;
   _jumpMap[764][SignedInt] = 118;
   _jumpMap[764][Attribute] = 117;
   _jumpMap[764][ExpressionList] = 848;
   _jumpMap[764][Function] = 116;
   _jumpMap[764][SelectStatement] = 847;
   _jumpMap[764][CasePrepare] = 115;
   _jumpMap[764][CaseClause] = 114;
   _jumpMap[764][Factor] = 113;
   _jumpMap[764][Term] = 112;
   _jumpMap[764][Expr] = 448;
   _actionMap[765][NULLTOKEN] = ActionEntry(SHIFT, 849);
   _actionMap[766][LEFT] = ActionEntry(REDUCE, 375);
   _actionMap[766][RIGHT] = ActionEntry(REDUCE, 375);
   _actionMap[766][INNER] = ActionEntry(REDUCE, 375);
   _actionMap[766][JOIN] = ActionEntry(REDUCE, 375);
   _actionMap[766][RETURNTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[766][SEMICOLON] = ActionEntry(REDUCE, 375);
   _actionMap[766][ENDTOKEN] = ActionEntry(REDUCE, 375);
   _actionMap[766][UNION] = ActionEntry(REDUCE, 375);
   _actionMap[766][ROWLIMIT] = ActionEntry(REDUCE, 375);
   _actionMap[766][ORDER] = ActionEntry(REDUCE, 375);
}
void Cego::loadParser64()
{
   _actionMap[766][GROUP] = ActionEntry(REDUCE, 375);
   _actionMap[766][WHERE] = ActionEntry(REDUCE, 375);
   _actionMap[766][THEN] = ActionEntry(REDUCE, 375);
   _actionMap[766][AND] = ActionEntry(REDUCE, 375);
   _actionMap[766][OR] = ActionEntry(REDUCE, 375);
   _actionMap[766][RB] = ActionEntry(REDUCE, 375);
   _actionMap[767][LEFT] = ActionEntry(REDUCE, 377);
   _actionMap[767][RIGHT] = ActionEntry(REDUCE, 377);
   _actionMap[767][INNER] = ActionEntry(REDUCE, 377);
   _actionMap[767][JOIN] = ActionEntry(REDUCE, 377);
   _actionMap[767][RETURNTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[767][SEMICOLON] = ActionEntry(REDUCE, 377);
   _actionMap[767][ENDTOKEN] = ActionEntry(REDUCE, 377);
   _actionMap[767][UNION] = ActionEntry(REDUCE, 377);
   _actionMap[767][ROWLIMIT] = ActionEntry(REDUCE, 377);
   _actionMap[767][ORDER] = ActionEntry(REDUCE, 377);
   _actionMap[767][GROUP] = ActionEntry(REDUCE, 377);
   _actionMap[767][WHERE] = ActionEntry(REDUCE, 377);
   _actionMap[767][THEN] = ActionEntry(REDUCE, 377);
   _actionMap[767][AND] = ActionEntry(REDUCE, 377);
   _actionMap[767][OR] = ActionEntry(REDUCE, 377);
   _actionMap[767][RB] = ActionEntry(REDUCE, 377);
   _actionMap[768][LB] = ActionEntry(SHIFT, 850);
   _actionMap[769][STRINGVAL] = ActionEntry(SHIFT, 851);
   _actionMap[770][VARREF] = ActionEntry(REDUCE, 401);
   _actionMap[770][FETCH] = ActionEntry(REDUCE, 401);
   _actionMap[770][LB] = ActionEntry(REDUCE, 401);
   _actionMap[770][COUNT] = ActionEntry(REDUCE, 401);
   _actionMap[770][SUM] = ActionEntry(REDUCE, 401);
   _actionMap[770][AVG] = ActionEntry(REDUCE, 401);
   _actionMap[770][MIN] = ActionEntry(REDUCE, 401);
   _actionMap[770][MAX] = ActionEntry(REDUCE, 401);
   _actionMap[770][CASE] = ActionEntry(REDUCE, 401);
   _actionMap[770][INT2ASC] = ActionEntry(REDUCE, 401);
   _actionMap[770][ASC2INT] = ActionEntry(REDUCE, 401);
   _actionMap[770][TRIM] = ActionEntry(REDUCE, 401);
   _actionMap[770][RTRIM] = ActionEntry(REDUCE, 401);
   _actionMap[770][LTRIM] = ActionEntry(REDUCE, 401);
   _actionMap[770][ROUND] = ActionEntry(REDUCE, 401);
   _actionMap[770][DATE2STR] = ActionEntry(REDUCE, 401);
   _actionMap[770][DATE2LONG] = ActionEntry(REDUCE, 401);
   _actionMap[770][LONG2DATE] = ActionEntry(REDUCE, 401);
   _actionMap[770][NEWDATE] = ActionEntry(REDUCE, 401);
   _actionMap[770][LOWER] = ActionEntry(REDUCE, 401);
   _actionMap[770][UPPER] = ActionEntry(REDUCE, 401);
   _actionMap[770][LEFT] = ActionEntry(REDUCE, 401);
   _actionMap[770][RIGHT] = ActionEntry(REDUCE, 401);
   _actionMap[770][GETPOS] = ActionEntry(REDUCE, 401);
   _actionMap[770][SUBSTR] = ActionEntry(REDUCE, 401);
   _actionMap[770][REPLACE] = ActionEntry(REDUCE, 401);
}
void Cego::loadParser65()
{
   _actionMap[770][LENGTH] = ActionEntry(REDUCE, 401);
   _actionMap[770][TRUNC] = ActionEntry(REDUCE, 401);
   _actionMap[770][STR2INT] = ActionEntry(REDUCE, 401);
   _actionMap[770][STR2LONG] = ActionEntry(REDUCE, 401);
   _actionMap[770][STR2DATE] = ActionEntry(REDUCE, 401);
   _actionMap[770][RANDSTR] = ActionEntry(REDUCE, 401);
   _actionMap[770][RANDINT] = ActionEntry(REDUCE, 401);
   _actionMap[770][MOD] = ActionEntry(REDUCE, 401);
   _actionMap[770][DIV] = ActionEntry(REDUCE, 401);
   _actionMap[770][LMOD] = ActionEntry(REDUCE, 401);
   _actionMap[770][LDIV] = ActionEntry(REDUCE, 401);
   _actionMap[770][POWER] = ActionEntry(REDUCE, 401);
   _actionMap[770][BITAND] = ActionEntry(REDUCE, 401);
   _actionMap[770][BITOR] = ActionEntry(REDUCE, 401);
   _actionMap[770][BITXOR] = ActionEntry(REDUCE, 401);
   _actionMap[770][BLOBSIZE] = ActionEntry(REDUCE, 401);
   _actionMap[770][BLOBREF] = ActionEntry(REDUCE, 401);
   _actionMap[770][CLOBSIZE] = ActionEntry(REDUCE, 401);
   _actionMap[770][CLOBREF] = ActionEntry(REDUCE, 401);
   _actionMap[770][CLOB2STR] = ActionEntry(REDUCE, 401);
   _actionMap[770][NEXTCOUNT] = ActionEntry(REDUCE, 401);
   _actionMap[770][SETCOUNT] = ActionEntry(REDUCE, 401);
   _actionMap[770][GETCOUNT] = ActionEntry(REDUCE, 401);
   _actionMap[770][IDENTIFIER] = ActionEntry(REDUCE, 401);
   _actionMap[770][QUALIFIEDOBJ] = ActionEntry(REDUCE, 401);
   _actionMap[770][QUALIFIEDTS] = ActionEntry(REDUCE, 401);
   _actionMap[770][QUALIFIEDPRE] = ActionEntry(REDUCE, 401);
   _actionMap[770][STRINGVAL] = ActionEntry(REDUCE, 401);
   _actionMap[770][DATE] = ActionEntry(REDUCE, 401);
   _actionMap[770][SYSDATE] = ActionEntry(REDUCE, 401);
   _actionMap[770][NULLTOKEN] = ActionEntry(REDUCE, 401);
   _actionMap[770][TRUEVAL] = ActionEntry(REDUCE, 401);
   _actionMap[770][FALSEVAL] = ActionEntry(REDUCE, 401);
   _actionMap[770][BLOB] = ActionEntry(REDUCE, 401);
   _actionMap[770][CLOB] = ActionEntry(REDUCE, 401);
   _actionMap[770][FLOATVAL] = ActionEntry(REDUCE, 401);
   _actionMap[770][MINUS] = ActionEntry(REDUCE, 401);
   _actionMap[770][INTVAL] = ActionEntry(REDUCE, 401);
   _actionMap[771][VARREF] = ActionEntry(REDUCE, 402);
   _actionMap[771][FETCH] = ActionEntry(REDUCE, 402);
   _actionMap[771][LB] = ActionEntry(REDUCE, 402);
   _actionMap[771][COUNT] = ActionEntry(REDUCE, 402);
   _actionMap[771][SUM] = ActionEntry(REDUCE, 402);
   _actionMap[771][AVG] = ActionEntry(REDUCE, 402);
   _actionMap[771][MIN] = ActionEntry(REDUCE, 402);
   _actionMap[771][MAX] = ActionEntry(REDUCE, 402);
   _actionMap[771][CASE] = ActionEntry(REDUCE, 402);
   _actionMap[771][INT2ASC] = ActionEntry(REDUCE, 402);
   _actionMap[771][ASC2INT] = ActionEntry(REDUCE, 402);
   _actionMap[771][TRIM] = ActionEntry(REDUCE, 402);
}
void Cego::loadParser66()
{
   _actionMap[771][RTRIM] = ActionEntry(REDUCE, 402);
   _actionMap[771][LTRIM] = ActionEntry(REDUCE, 402);
   _actionMap[771][ROUND] = ActionEntry(REDUCE, 402);
   _actionMap[771][DATE2STR] = ActionEntry(REDUCE, 402);
   _actionMap[771][DATE2LONG] = ActionEntry(REDUCE, 402);
   _actionMap[771][LONG2DATE] = ActionEntry(REDUCE, 402);
   _actionMap[771][NEWDATE] = ActionEntry(REDUCE, 402);
   _actionMap[771][LOWER] = ActionEntry(REDUCE, 402);
   _actionMap[771][UPPER] = ActionEntry(REDUCE, 402);
   _actionMap[771][LEFT] = ActionEntry(REDUCE, 402);
   _actionMap[771][RIGHT] = ActionEntry(REDUCE, 402);
   _actionMap[771][GETPOS] = ActionEntry(REDUCE, 402);
   _actionMap[771][SUBSTR] = ActionEntry(REDUCE, 402);
   _actionMap[771][REPLACE] = ActionEntry(REDUCE, 402);
   _actionMap[771][LENGTH] = ActionEntry(REDUCE, 402);
   _actionMap[771][TRUNC] = ActionEntry(REDUCE, 402);
   _actionMap[771][STR2INT] = ActionEntry(REDUCE, 402);
   _actionMap[771][STR2LONG] = ActionEntry(REDUCE, 402);
   _actionMap[771][STR2DATE] = ActionEntry(REDUCE, 402);
   _actionMap[771][RANDSTR] = ActionEntry(REDUCE, 402);
   _actionMap[771][RANDINT] = ActionEntry(REDUCE, 402);
   _actionMap[771][MOD] = ActionEntry(REDUCE, 402);
   _actionMap[771][DIV] = ActionEntry(REDUCE, 402);
   _actionMap[771][LMOD] = ActionEntry(REDUCE, 402);
   _actionMap[771][LDIV] = ActionEntry(REDUCE, 402);
   _actionMap[771][POWER] = ActionEntry(REDUCE, 402);
   _actionMap[771][BITAND] = ActionEntry(REDUCE, 402);
   _actionMap[771][BITOR] = ActionEntry(REDUCE, 402);
   _actionMap[771][BITXOR] = ActionEntry(REDUCE, 402);
   _actionMap[771][BLOBSIZE] = ActionEntry(REDUCE, 402);
   _actionMap[771][BLOBREF] = ActionEntry(REDUCE, 402);
   _actionMap[771][CLOBSIZE] = ActionEntry(REDUCE, 402);
   _actionMap[771][CLOBREF] = ActionEntry(REDUCE, 402);
   _actionMap[771][CLOB2STR] = ActionEntry(REDUCE, 402);
   _actionMap[771][NEXTCOUNT] = ActionEntry(REDUCE, 402);
   _actionMap[771][SETCOUNT] = ActionEntry(REDUCE, 402);
   _actionMap[771][GETCOUNT] = ActionEntry(REDUCE, 402);
   _actionMap[771][IDENTIFIER] = ActionEntry(REDUCE, 402);
   _actionMap[771][QUALIFIEDOBJ] = ActionEntry(REDUCE, 402);
   _actionMap[771][QUALIFIEDTS] = ActionEntry(REDUCE, 402);
   _actionMap[771][QUALIFIEDPRE] = ActionEntry(REDUCE, 402);
   _actionMap[771][STRINGVAL] = ActionEntry(REDUCE, 402);
   _actionMap[771][DATE] = ActionEntry(REDUCE, 402);
   _actionMap[771][SYSDATE] = ActionEntry(REDUCE, 402);
   _actionMap[771][NULLTOKEN] = ActionEntry(REDUCE, 402);
   _actionMap[771][TRUEVAL] = ActionEntry(REDUCE, 402);
   _actionMap[771][FALSEVAL] = ActionEntry(REDUCE, 402);
   _actionMap[771][BLOB] = ActionEntry(REDUCE, 402);
   _actionMap[771][CLOB] = ActionEntry(REDUCE, 402);
   _actionMap[771][FLOATVAL] = ActionEntry(REDUCE, 402);
}
void Cego::loadParser67()
{
   _actionMap[771][MINUS] = ActionEntry(REDUCE, 402);
   _actionMap[771][INTVAL] = ActionEntry(REDUCE, 402);
   _actionMap[772][VARREF] = ActionEntry(REDUCE, 398);
   _actionMap[772][FETCH] = ActionEntry(REDUCE, 398);
   _actionMap[772][LB] = ActionEntry(REDUCE, 398);
   _actionMap[772][COUNT] = ActionEntry(REDUCE, 398);
   _actionMap[772][SUM] = ActionEntry(REDUCE, 398);
   _actionMap[772][AVG] = ActionEntry(REDUCE, 398);
   _actionMap[772][MIN] = ActionEntry(REDUCE, 398);
   _actionMap[772][MAX] = ActionEntry(REDUCE, 398);
   _actionMap[772][CASE] = ActionEntry(REDUCE, 398);
   _actionMap[772][INT2ASC] = ActionEntry(REDUCE, 398);
   _actionMap[772][ASC2INT] = ActionEntry(REDUCE, 398);
   _actionMap[772][TRIM] = ActionEntry(REDUCE, 398);
   _actionMap[772][RTRIM] = ActionEntry(REDUCE, 398);
   _actionMap[772][LTRIM] = ActionEntry(REDUCE, 398);
   _actionMap[772][ROUND] = ActionEntry(REDUCE, 398);
   _actionMap[772][DATE2STR] = ActionEntry(REDUCE, 398);
   _actionMap[772][DATE2LONG] = ActionEntry(REDUCE, 398);
   _actionMap[772][LONG2DATE] = ActionEntry(REDUCE, 398);
   _actionMap[772][NEWDATE] = ActionEntry(REDUCE, 398);
   _actionMap[772][LOWER] = ActionEntry(REDUCE, 398);
   _actionMap[772][UPPER] = ActionEntry(REDUCE, 398);
   _actionMap[772][LEFT] = ActionEntry(REDUCE, 398);
   _actionMap[772][RIGHT] = ActionEntry(REDUCE, 398);
   _actionMap[772][GETPOS] = ActionEntry(REDUCE, 398);
   _actionMap[772][SUBSTR] = ActionEntry(REDUCE, 398);
   _actionMap[772][REPLACE] = ActionEntry(REDUCE, 398);
   _actionMap[772][LENGTH] = ActionEntry(REDUCE, 398);
   _actionMap[772][TRUNC] = ActionEntry(REDUCE, 398);
   _actionMap[772][STR2INT] = ActionEntry(REDUCE, 398);
   _actionMap[772][STR2LONG] = ActionEntry(REDUCE, 398);
   _actionMap[772][STR2DATE] = ActionEntry(REDUCE, 398);
   _actionMap[772][RANDSTR] = ActionEntry(REDUCE, 398);
   _actionMap[772][RANDINT] = ActionEntry(REDUCE, 398);
   _actionMap[772][MOD] = ActionEntry(REDUCE, 398);
   _actionMap[772][DIV] = ActionEntry(REDUCE, 398);
   _actionMap[772][LMOD] = ActionEntry(REDUCE, 398);
   _actionMap[772][LDIV] = ActionEntry(REDUCE, 398);
   _actionMap[772][POWER] = ActionEntry(REDUCE, 398);
   _actionMap[772][BITAND] = ActionEntry(REDUCE, 398);
   _actionMap[772][BITOR] = ActionEntry(REDUCE, 398);
   _actionMap[772][BITXOR] = ActionEntry(REDUCE, 398);
   _actionMap[772][BLOBSIZE] = ActionEntry(REDUCE, 398);
   _actionMap[772][BLOBREF] = ActionEntry(REDUCE, 398);
   _actionMap[772][CLOBSIZE] = ActionEntry(REDUCE, 398);
   _actionMap[772][CLOBREF] = ActionEntry(REDUCE, 398);
   _actionMap[772][CLOB2STR] = ActionEntry(REDUCE, 398);
   _actionMap[772][NEXTCOUNT] = ActionEntry(REDUCE, 398);
   _actionMap[772][SETCOUNT] = ActionEntry(REDUCE, 398);
}
void Cego::loadParser68()
{
   _actionMap[772][GETCOUNT] = ActionEntry(REDUCE, 398);
   _actionMap[772][IDENTIFIER] = ActionEntry(REDUCE, 398);
   _actionMap[772][QUALIFIEDOBJ] = ActionEntry(REDUCE, 398);
   _actionMap[772][QUALIFIEDTS] = ActionEntry(REDUCE, 398);
   _actionMap[772][QUALIFIEDPRE] = ActionEntry(REDUCE, 398);
   _actionMap[772][STRINGVAL] = ActionEntry(REDUCE, 398);
   _actionMap[772][DATE] = ActionEntry(REDUCE, 398);
   _actionMap[772][SYSDATE] = ActionEntry(REDUCE, 398);
   _actionMap[772][NULLTOKEN] = ActionEntry(REDUCE, 398);
   _actionMap[772][TRUEVAL] = ActionEntry(REDUCE, 398);
   _actionMap[772][FALSEVAL] = ActionEntry(REDUCE, 398);
   _actionMap[772][BLOB] = ActionEntry(REDUCE, 398);
   _actionMap[772][CLOB] = ActionEntry(REDUCE, 398);
   _actionMap[772][FLOATVAL] = ActionEntry(REDUCE, 398);
   _actionMap[772][MINUS] = ActionEntry(REDUCE, 398);
   _actionMap[772][INTVAL] = ActionEntry(REDUCE, 398);
   _actionMap[773][LEFT] = ActionEntry(REDUCE, 365);
   _actionMap[773][RIGHT] = ActionEntry(REDUCE, 365);
   _actionMap[773][INNER] = ActionEntry(REDUCE, 365);
   _actionMap[773][JOIN] = ActionEntry(REDUCE, 365);
   _actionMap[773][RETURNTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[773][SEMICOLON] = ActionEntry(REDUCE, 365);
   _actionMap[773][ENDTOKEN] = ActionEntry(REDUCE, 365);
   _actionMap[773][UNION] = ActionEntry(REDUCE, 365);
   _actionMap[773][ROWLIMIT] = ActionEntry(REDUCE, 365);
   _actionMap[773][ORDER] = ActionEntry(REDUCE, 365);
   _actionMap[773][GROUP] = ActionEntry(REDUCE, 365);
   _actionMap[773][WHERE] = ActionEntry(REDUCE, 365);
   _actionMap[773][THEN] = ActionEntry(REDUCE, 365);
   _actionMap[773][RB] = ActionEntry(REDUCE, 365);
   _actionMap[773][OR] = ActionEntry(REDUCE, 365);
   _actionMap[773][AND] = ActionEntry(REDUCE, 365);
   _actionMap[774][LEFT] = ActionEntry(REDUCE, 366);
   _actionMap[774][RIGHT] = ActionEntry(REDUCE, 366);
   _actionMap[774][INNER] = ActionEntry(REDUCE, 366);
   _actionMap[774][JOIN] = ActionEntry(REDUCE, 366);
   _actionMap[774][RETURNTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[774][SEMICOLON] = ActionEntry(REDUCE, 366);
   _actionMap[774][ENDTOKEN] = ActionEntry(REDUCE, 366);
   _actionMap[774][UNION] = ActionEntry(REDUCE, 366);
   _actionMap[774][ROWLIMIT] = ActionEntry(REDUCE, 366);
   _actionMap[774][ORDER] = ActionEntry(REDUCE, 366);
   _actionMap[774][GROUP] = ActionEntry(REDUCE, 366);
   _actionMap[774][WHERE] = ActionEntry(REDUCE, 366);
   _actionMap[774][THEN] = ActionEntry(REDUCE, 366);
   _actionMap[774][RB] = ActionEntry(REDUCE, 366);
   _actionMap[774][OR] = ActionEntry(REDUCE, 366);
   _actionMap[774][AND] = ActionEntry(REDUCE, 366);
   _actionMap[775][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[775][MINUS] = ActionEntry(SHIFT, 275);
}
void Cego::loadParser69()
{
   _actionMap[775][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[775][WHEN] = ActionEntry(REDUCE, 194);
   _actionMap[775][ELSE] = ActionEntry(REDUCE, 194);
   _actionMap[776][RB] = ActionEntry(SHIFT, 852);
   _actionMap[777][THEN] = ActionEntry(REDUCE, 379);
   _actionMap[777][LEFT] = ActionEntry(REDUCE, 379);
   _actionMap[777][RIGHT] = ActionEntry(REDUCE, 379);
   _actionMap[777][INNER] = ActionEntry(REDUCE, 379);
   _actionMap[777][JOIN] = ActionEntry(REDUCE, 379);
   _actionMap[777][RETURNTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[777][SEMICOLON] = ActionEntry(REDUCE, 379);
   _actionMap[777][RB] = ActionEntry(REDUCE, 379);
   _actionMap[777][ENDTOKEN] = ActionEntry(REDUCE, 379);
   _actionMap[777][UNION] = ActionEntry(REDUCE, 379);
   _actionMap[777][ROWLIMIT] = ActionEntry(REDUCE, 379);
   _actionMap[777][ORDER] = ActionEntry(REDUCE, 379);
   _actionMap[777][GROUP] = ActionEntry(REDUCE, 379);
   _actionMap[777][WHERE] = ActionEntry(REDUCE, 379);
   _actionMap[777][AND] = ActionEntry(REDUCE, 379);
   _actionMap[777][OR] = ActionEntry(REDUCE, 379);
   _actionMap[778][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[778][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[778][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[778][KSEP] = ActionEntry(REDUCE, 360);
   _actionMap[778][RB] = ActionEntry(REDUCE, 360);
   _actionMap[779][RB] = ActionEntry(SHIFT, 853);
   _actionMap[780][RB] = ActionEntry(REDUCE, 428);
   _actionMap[781][RB] = ActionEntry(SHIFT, 855);
   _actionMap[781][KSEP] = ActionEntry(SHIFT, 854);
   _actionMap[782][KSEP] = ActionEntry(REDUCE, 197);
   _actionMap[782][RB] = ActionEntry(REDUCE, 197);
   _actionMap[783][RB] = ActionEntry(SHIFT, 856);
   _actionMap[783][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[783][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[783][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[784][SEMICOLON] = ActionEntry(REDUCE, 275);
   _actionMap[784][RB] = ActionEntry(REDUCE, 275);
   _actionMap[784][ENDTOKEN] = ActionEntry(REDUCE, 275);
   _actionMap[784][UNION] = ActionEntry(REDUCE, 275);
   _actionMap[784][ROWLIMIT] = ActionEntry(REDUCE, 275);
   _actionMap[784][ORDER] = ActionEntry(SHIFT, 859);
   _jumpMap[784][NoOrdering] = 858;
   _jumpMap[784][OrderingClause] = 857;
   _actionMap[785][ORDER] = ActionEntry(REDUCE, 266);
   _actionMap[785][ROWLIMIT] = ActionEntry(REDUCE, 266);
   _actionMap[785][UNION] = ActionEntry(REDUCE, 266);
   _actionMap[785][ENDTOKEN] = ActionEntry(REDUCE, 266);
   _actionMap[785][RB] = ActionEntry(REDUCE, 266);
   _actionMap[785][SEMICOLON] = ActionEntry(REDUCE, 266);
   _actionMap[786][BY] = ActionEntry(SHIFT, 860);
}
void Cego::loadParser70()
{
   _actionMap[787][LEFT] = ActionEntry(REDUCE, 261);
   _actionMap[787][RIGHT] = ActionEntry(REDUCE, 261);
   _actionMap[787][INNER] = ActionEntry(REDUCE, 261);
   _actionMap[787][JOIN] = ActionEntry(REDUCE, 261);
   _actionMap[787][RETURNTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[787][SEMICOLON] = ActionEntry(REDUCE, 261);
   _actionMap[787][RB] = ActionEntry(REDUCE, 261);
   _actionMap[787][ENDTOKEN] = ActionEntry(REDUCE, 261);
   _actionMap[787][UNION] = ActionEntry(REDUCE, 261);
   _actionMap[787][ROWLIMIT] = ActionEntry(REDUCE, 261);
   _actionMap[787][ORDER] = ActionEntry(REDUCE, 261);
   _actionMap[787][GROUP] = ActionEntry(REDUCE, 261);
   _actionMap[787][WHERE] = ActionEntry(REDUCE, 261);
   _actionMap[787][ON] = ActionEntry(REDUCE, 261);
   _actionMap[788][ON] = ActionEntry(SHIFT, 861);
   _actionMap[788][LEFT] = ActionEntry(REDUCE, 249);
   _actionMap[788][RIGHT] = ActionEntry(REDUCE, 249);
   _actionMap[788][INNER] = ActionEntry(REDUCE, 249);
   _actionMap[788][JOIN] = ActionEntry(REDUCE, 249);
   _actionMap[788][RETURNTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[788][SEMICOLON] = ActionEntry(REDUCE, 249);
   _actionMap[788][RB] = ActionEntry(REDUCE, 249);
   _actionMap[788][ENDTOKEN] = ActionEntry(REDUCE, 249);
   _actionMap[788][UNION] = ActionEntry(REDUCE, 249);
   _actionMap[788][ROWLIMIT] = ActionEntry(REDUCE, 249);
   _actionMap[788][ORDER] = ActionEntry(REDUCE, 249);
   _actionMap[788][GROUP] = ActionEntry(REDUCE, 249);
   _actionMap[788][WHERE] = ActionEntry(REDUCE, 249);
   _actionMap[789][IDENTIFIER] = ActionEntry(REDUCE, 255);
   _actionMap[789][QUALIFIEDOBJ] = ActionEntry(REDUCE, 255);
   _actionMap[789][QUALIFIEDTS] = ActionEntry(REDUCE, 255);
   _actionMap[790][JOIN] = ActionEntry(SHIFT, 862);
   _actionMap[791][JOIN] = ActionEntry(SHIFT, 863);
   _actionMap[792][RETURNTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[792][SEMICOLON] = ActionEntry(REDUCE, 257);
   _actionMap[792][RB] = ActionEntry(REDUCE, 257);
   _actionMap[792][ENDTOKEN] = ActionEntry(REDUCE, 257);
   _actionMap[792][UNION] = ActionEntry(REDUCE, 257);
   _actionMap[792][ROWLIMIT] = ActionEntry(REDUCE, 257);
   _actionMap[792][ORDER] = ActionEntry(REDUCE, 257);
   _actionMap[792][GROUP] = ActionEntry(REDUCE, 257);
   _actionMap[792][WHERE] = ActionEntry(REDUCE, 257);
   _actionMap[793][KSEP] = ActionEntry(SHIFT, 686);
   _actionMap[793][RETURNTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[793][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[793][RB] = ActionEntry(REDUCE, 258);
   _actionMap[793][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[793][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[793][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[793][ORDER] = ActionEntry(REDUCE, 258);
}
void Cego::loadParser71()
{
   _actionMap[793][GROUP] = ActionEntry(REDUCE, 258);
   _actionMap[793][WHERE] = ActionEntry(REDUCE, 258);
   _actionMap[794][SEMICOLON] = ActionEntry(REDUCE, 288);
   _actionMap[795][SEMICOLON] = ActionEntry(REDUCE, 294);
   _actionMap[796][ON] = ActionEntry(SHIFT, 866);
   _actionMap[796][VARREF] = ActionEntry(SHIFT, 867);
   _jumpMap[796][ReturnVar] = 865;
   _jumpMap[796][ReturnVarList] = 864;
   _actionMap[797][KSEP] = ActionEntry(REDUCE, 289);
   _actionMap[797][WHERE] = ActionEntry(REDUCE, 289);
   _actionMap[797][GROUP] = ActionEntry(REDUCE, 289);
   _actionMap[797][ORDER] = ActionEntry(REDUCE, 289);
   _actionMap[797][ROWLIMIT] = ActionEntry(REDUCE, 289);
   _actionMap[797][UNION] = ActionEntry(REDUCE, 289);
   _actionMap[797][ENDTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[797][RB] = ActionEntry(REDUCE, 289);
   _actionMap[797][SEMICOLON] = ActionEntry(REDUCE, 289);
   _actionMap[797][RETURNTOKEN] = ActionEntry(REDUCE, 289);
   _actionMap[798][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[798][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[798][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[798][KSEP] = ActionEntry(REDUCE, 291);
   _actionMap[798][WHERE] = ActionEntry(REDUCE, 291);
   _actionMap[798][GROUP] = ActionEntry(REDUCE, 291);
   _actionMap[798][ORDER] = ActionEntry(REDUCE, 291);
   _actionMap[798][ROWLIMIT] = ActionEntry(REDUCE, 291);
   _actionMap[798][UNION] = ActionEntry(REDUCE, 291);
   _actionMap[798][ENDTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[798][RB] = ActionEntry(REDUCE, 291);
   _actionMap[798][SEMICOLON] = ActionEntry(REDUCE, 291);
   _actionMap[798][RETURNTOKEN] = ActionEntry(REDUCE, 291);
   _actionMap[799][RB] = ActionEntry(SHIFT, 800);
   _actionMap[800][SEMICOLON] = ActionEntry(REDUCE, 61);
   _actionMap[534][DROP] = ActionEntry(SHIFT, 381);
   _actionMap[534][ADD] = ActionEntry(SHIFT, 696);
   _actionMap[534][MODIFY] = ActionEntry(SHIFT, 382);
   _actionMap[534][RENAME] = ActionEntry(SHIFT, 383);
   _jumpMap[534][AlterOption] = 379;
   _jumpMap[534][AlterList] = 695;
   _actionMap[535][IDENTIFIER] = ActionEntry(SHIFT, 697);
   _actionMap[536][IDENTIFIER] = ActionEntry(SHIFT, 577);
   _jumpMap[536][ColumnDesc] = 698;
   _actionMap[537][KEY] = ActionEntry(SHIFT, 699);
   _actionMap[538][IDENTIFIER] = ActionEntry(SHIFT, 700);
   _actionMap[539][IDENTIFIER] = ActionEntry(SHIFT, 702);
   _jumpMap[539][ColumnDesc] = 701;
   _actionMap[540][IDENTIFIER] = ActionEntry(SHIFT, 703);
   _actionMap[541][FOR] = ActionEntry(SHIFT, 704);
   _actionMap[542][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[542][MINUS] = ActionEntry(SHIFT, 178);
}
void Cego::loadParser72()
{
   _actionMap[542][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[542][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[542][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[542][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[542][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[542][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[542][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[542][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[542][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[542][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[542][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[542][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[542][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[542][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[542][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[542][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[542][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[542][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[542][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[542][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[542][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[542][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[542][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[542][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[542][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[542][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[542][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[542][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[542][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[542][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[542][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[542][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[542][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[542][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[542][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[542][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[542][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[542][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[542][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[542][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[542][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[542][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[542][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[542][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[542][LB] = ActionEntry(SHIFT, 177);
   _actionMap[542][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[542][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[542][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[542][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[542][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser73()
{
   _actionMap[542][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[542][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[542][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[542][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[542][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[542][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[542][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[542][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[542][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[542][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[542][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[542][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[542][ObjSpec] = 121;
   _jumpMap[542][Constant] = 120;
   _jumpMap[542][SignedFloat] = 119;
   _jumpMap[542][SignedInt] = 118;
   _jumpMap[542][Attribute] = 117;
   _jumpMap[542][Function] = 116;
   _jumpMap[542][CasePrepare] = 115;
   _jumpMap[542][CaseClause] = 114;
   _jumpMap[542][Factor] = 113;
   _jumpMap[542][Term] = 112;
   _jumpMap[542][Expr] = 705;
   _actionMap[543][SEMICOLON] = ActionEntry(REDUCE, 99);
   _actionMap[544][ELSE] = ActionEntry(REDUCE, 118);
   _actionMap[544][ELSIF] = ActionEntry(REDUCE, 118);
   _actionMap[544][END_TOKEN] = ActionEntry(REDUCE, 118);
   _actionMap[544][EXCEPTION] = ActionEntry(SHIFT, 707);
   _jumpMap[544][ProcExceptionStmt] = 706;
   _actionMap[545][SEMICOLON] = ActionEntry(SHIFT, 708);
   _actionMap[546][END_TOKEN] = ActionEntry(SHIFT, 709);
   _actionMap[547][ELSE] = ActionEntry(SHIFT, 712);
   _actionMap[547][END_TOKEN] = ActionEntry(REDUCE, 157);
   _jumpMap[547][ProcElsePart] = 711;
   _jumpMap[547][ProcElseOpt] = 710;
   _actionMap[548][ELSIF] = ActionEntry(SHIFT, 549);
   _actionMap[548][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[548][ELSE] = ActionEntry(REDUCE, 154);
   _jumpMap[548][ProcElsIfOpt] = 548;
   _jumpMap[548][ProcElsIfList] = 714;
   _actionMap[549][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[549][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[549][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[549][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[549][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[549][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[549][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[549][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[549][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[549][DATE2STR] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser74()
{
   _actionMap[549][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[549][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[549][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[549][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[549][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[549][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[549][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[549][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[549][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[549][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[549][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[549][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[549][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[549][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[549][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[549][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[549][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[549][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[549][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[549][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[549][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[549][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[549][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[549][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[549][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[549][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[549][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[549][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[549][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[549][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[549][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[549][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[549][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[549][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[549][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[549][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[549][LB] = ActionEntry(SHIFT, 557);
   _actionMap[549][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[549][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[549][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[549][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[549][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[549][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[549][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[549][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[549][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[549][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[549][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[549][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[549][COUNT] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser75()
{
   _actionMap[549][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[549][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[549][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[549][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[549][ObjSpec] = 121;
   _jumpMap[549][Constant] = 120;
   _jumpMap[549][SignedFloat] = 119;
   _jumpMap[549][SignedInt] = 118;
   _jumpMap[549][Attribute] = 117;
   _jumpMap[549][Function] = 116;
   _jumpMap[549][CasePrepare] = 115;
   _jumpMap[549][CaseClause] = 114;
   _jumpMap[549][Factor] = 113;
   _jumpMap[549][Term] = 112;
   _jumpMap[549][Expr] = 556;
   _jumpMap[549][ProcPredicate] = 555;
   _jumpMap[549][ProcCondition] = 716;
   _jumpMap[549][ProcElsIfCondition] = 715;
   _actionMap[550][EXCEPTION] = ActionEntry(REDUCE, 120);
   _actionMap[550][END_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[550][ELSE] = ActionEntry(REDUCE, 120);
   _actionMap[550][ELSIF] = ActionEntry(REDUCE, 120);
   _actionMap[550][VAR] = ActionEntry(REDUCE, 120);
   _actionMap[550][CURSOR] = ActionEntry(REDUCE, 120);
   _actionMap[550][CLOSE] = ActionEntry(REDUCE, 120);
   _actionMap[550][VARREF] = ActionEntry(REDUCE, 120);
   _actionMap[550][NOOP] = ActionEntry(REDUCE, 120);
   _actionMap[550][THROW] = ActionEntry(REDUCE, 120);
   _actionMap[550][RETURNTOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[550][WHILE] = ActionEntry(REDUCE, 120);
   _actionMap[550][IF] = ActionEntry(REDUCE, 120);
   _actionMap[550][BEGIN] = ActionEntry(REDUCE, 120);
   _actionMap[550][UNLOCK] = ActionEntry(REDUCE, 120);
   _actionMap[550][LOCK] = ActionEntry(REDUCE, 120);
   _actionMap[550][ROLLBACK] = ActionEntry(REDUCE, 120);
   _actionMap[550][COMMIT] = ActionEntry(REDUCE, 120);
   _actionMap[550][START_TOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[550][UPDATE] = ActionEntry(REDUCE, 120);
   _actionMap[550][DELETETOK] = ActionEntry(REDUCE, 120);
   _actionMap[550][INSERT] = ActionEntry(REDUCE, 120);
   _actionMap[550][FETCH] = ActionEntry(REDUCE, 120);
   _actionMap[550][LB] = ActionEntry(REDUCE, 120);
   _actionMap[550][COUNT] = ActionEntry(REDUCE, 120);
   _actionMap[550][SUM] = ActionEntry(REDUCE, 120);
   _actionMap[550][AVG] = ActionEntry(REDUCE, 120);
   _actionMap[550][MIN] = ActionEntry(REDUCE, 120);
   _actionMap[550][MAX] = ActionEntry(REDUCE, 120);
   _actionMap[550][CASE] = ActionEntry(REDUCE, 120);
   _actionMap[550][INT2ASC] = ActionEntry(REDUCE, 120);
   _actionMap[550][ASC2INT] = ActionEntry(REDUCE, 120);
}
void Cego::loadParser76()
{
   _actionMap[550][TRIM] = ActionEntry(REDUCE, 120);
   _actionMap[550][RTRIM] = ActionEntry(REDUCE, 120);
   _actionMap[550][LTRIM] = ActionEntry(REDUCE, 120);
   _actionMap[550][ROUND] = ActionEntry(REDUCE, 120);
   _actionMap[550][DATE2STR] = ActionEntry(REDUCE, 120);
   _actionMap[550][DATE2LONG] = ActionEntry(REDUCE, 120);
   _actionMap[550][LONG2DATE] = ActionEntry(REDUCE, 120);
   _actionMap[550][NEWDATE] = ActionEntry(REDUCE, 120);
   _actionMap[550][LOWER] = ActionEntry(REDUCE, 120);
   _actionMap[550][UPPER] = ActionEntry(REDUCE, 120);
   _actionMap[550][LEFT] = ActionEntry(REDUCE, 120);
   _actionMap[550][RIGHT] = ActionEntry(REDUCE, 120);
   _actionMap[550][GETPOS] = ActionEntry(REDUCE, 120);
   _actionMap[550][SUBSTR] = ActionEntry(REDUCE, 120);
   _actionMap[550][REPLACE] = ActionEntry(REDUCE, 120);
   _actionMap[550][LENGTH] = ActionEntry(REDUCE, 120);
   _actionMap[550][TRUNC] = ActionEntry(REDUCE, 120);
   _actionMap[550][STR2INT] = ActionEntry(REDUCE, 120);
   _actionMap[550][STR2LONG] = ActionEntry(REDUCE, 120);
   _actionMap[550][STR2DATE] = ActionEntry(REDUCE, 120);
   _actionMap[550][RANDSTR] = ActionEntry(REDUCE, 120);
   _actionMap[550][RANDINT] = ActionEntry(REDUCE, 120);
   _actionMap[550][MOD] = ActionEntry(REDUCE, 120);
   _actionMap[550][DIV] = ActionEntry(REDUCE, 120);
   _actionMap[550][LMOD] = ActionEntry(REDUCE, 120);
   _actionMap[550][LDIV] = ActionEntry(REDUCE, 120);
   _actionMap[550][POWER] = ActionEntry(REDUCE, 120);
   _actionMap[550][BITAND] = ActionEntry(REDUCE, 120);
   _actionMap[550][BITOR] = ActionEntry(REDUCE, 120);
   _actionMap[550][BITXOR] = ActionEntry(REDUCE, 120);
   _actionMap[550][BLOBSIZE] = ActionEntry(REDUCE, 120);
   _actionMap[550][BLOBREF] = ActionEntry(REDUCE, 120);
   _actionMap[550][CLOBSIZE] = ActionEntry(REDUCE, 120);
   _actionMap[550][CLOBREF] = ActionEntry(REDUCE, 120);
   _actionMap[550][CLOB2STR] = ActionEntry(REDUCE, 120);
   _actionMap[550][NEXTCOUNT] = ActionEntry(REDUCE, 120);
   _actionMap[550][SETCOUNT] = ActionEntry(REDUCE, 120);
   _actionMap[550][GETCOUNT] = ActionEntry(REDUCE, 120);
   _actionMap[550][IDENTIFIER] = ActionEntry(REDUCE, 120);
   _actionMap[550][QUALIFIEDOBJ] = ActionEntry(REDUCE, 120);
   _actionMap[550][QUALIFIEDTS] = ActionEntry(REDUCE, 120);
   _actionMap[550][QUALIFIEDPRE] = ActionEntry(REDUCE, 120);
   _actionMap[550][STRINGVAL] = ActionEntry(REDUCE, 120);
   _actionMap[550][DATE] = ActionEntry(REDUCE, 120);
   _actionMap[550][SYSDATE] = ActionEntry(REDUCE, 120);
   _actionMap[550][NULLTOKEN] = ActionEntry(REDUCE, 120);
   _actionMap[550][TRUEVAL] = ActionEntry(REDUCE, 120);
   _actionMap[550][FALSEVAL] = ActionEntry(REDUCE, 120);
   _actionMap[550][BLOB] = ActionEntry(REDUCE, 120);
   _actionMap[550][CLOB] = ActionEntry(REDUCE, 120);
}
void Cego::loadParser77()
{
   _actionMap[550][FLOATVAL] = ActionEntry(REDUCE, 120);
   _actionMap[550][MINUS] = ActionEntry(REDUCE, 120);
   _actionMap[550][INTVAL] = ActionEntry(REDUCE, 120);
   _actionMap[551][SEMICOLON] = ActionEntry(REDUCE, 123);
   _actionMap[552][AS] = ActionEntry(SHIFT, 717);
   _actionMap[553][THEN] = ActionEntry(SHIFT, 718);
   _actionMap[554][OR] = ActionEntry(SHIFT, 720);
   _actionMap[554][AND] = ActionEntry(SHIFT, 719);
   _actionMap[554][THEN] = ActionEntry(REDUCE, 159);
   _actionMap[555][BEGIN] = ActionEntry(REDUCE, 165);
   _actionMap[555][RB] = ActionEntry(REDUCE, 165);
   _actionMap[555][AND] = ActionEntry(REDUCE, 165);
   _actionMap[555][OR] = ActionEntry(REDUCE, 165);
   _actionMap[555][THEN] = ActionEntry(REDUCE, 165);
   _actionMap[556][IS] = ActionEntry(SHIFT, 722);
   _actionMap[556][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[556][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[556][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[556][EQU] = ActionEntry(SHIFT, 598);
   _actionMap[556][NEGATION] = ActionEntry(SHIFT, 601);
   _actionMap[556][LT] = ActionEntry(SHIFT, 599);
   _actionMap[556][MT] = ActionEntry(SHIFT, 600);
   _jumpMap[556][Comparison] = 721;
   _actionMap[557][LONG] = ActionEntry(SHIFT, 338);
   _actionMap[557][BIGINT] = ActionEntry(SHIFT, 334);
   _actionMap[557][SMALLINT] = ActionEntry(SHIFT, 339);
   _actionMap[557][TINYINT] = ActionEntry(SHIFT, 340);
   _actionMap[557][DOUBLE] = ActionEntry(SHIFT, 336);
   _actionMap[557][DECIMAL] = ActionEntry(SHIFT, 335);
   _actionMap[557][FIXED] = ActionEntry(SHIFT, 337);
   _actionMap[557][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[557][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[557][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[557][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[557][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[557][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[557][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[557][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[557][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[557][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[557][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[557][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[557][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[557][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[557][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[557][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[557][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[557][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[557][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[557][REPLACE] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser78()
{
   _actionMap[557][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[557][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[557][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[557][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[557][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[557][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[557][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[557][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[557][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[557][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[557][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[557][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[557][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[557][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[557][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[557][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[557][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[557][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[557][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[557][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[557][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[557][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[557][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[557][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[557][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[557][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[557][LB] = ActionEntry(SHIFT, 557);
   _actionMap[557][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[557][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[557][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[557][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[557][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[557][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[557][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[557][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[557][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[557][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[557][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[557][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[557][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[557][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[557][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[557][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[557][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[557][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[557][ObjSpec] = 121;
   _jumpMap[557][Constant] = 120;
   _jumpMap[557][SignedFloat] = 119;
   _jumpMap[557][SignedInt] = 118;
   _jumpMap[557][Attribute] = 117;
}
void Cego::loadParser79()
{
   _jumpMap[557][Function] = 116;
   _jumpMap[557][SelectStatement] = 333;
   _jumpMap[557][CasePrepare] = 115;
   _jumpMap[557][CaseClause] = 114;
   _jumpMap[557][Factor] = 113;
   _jumpMap[557][Term] = 112;
   _jumpMap[557][Expr] = 724;
   _jumpMap[557][ProcPredicate] = 555;
   _jumpMap[557][ProcCondition] = 723;
   _actionMap[558][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[558][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[558][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[558][SEMICOLON] = ActionEntry(REDUCE, 140);
   _actionMap[559][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[559][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[559][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[559][SEMICOLON] = ActionEntry(REDUCE, 130);
   _actionMap[560][INT] = ActionEntry(SHIFT, 735);
   _actionMap[560][LONG] = ActionEntry(SHIFT, 736);
   _actionMap[560][STRING] = ActionEntry(SHIFT, 738);
   _actionMap[560][DATETIME] = ActionEntry(SHIFT, 730);
   _actionMap[560][BOOL] = ActionEntry(SHIFT, 728);
   _actionMap[560][BIGINT] = ActionEntry(SHIFT, 726);
   _actionMap[560][FLOAT] = ActionEntry(SHIFT, 734);
   _actionMap[560][DOUBLE] = ActionEntry(SHIFT, 732);
   _actionMap[560][SMALLINT] = ActionEntry(SHIFT, 737);
   _actionMap[560][TINYINT] = ActionEntry(SHIFT, 739);
   _actionMap[560][DECIMAL] = ActionEntry(SHIFT, 731);
   _actionMap[560][FIXED] = ActionEntry(SHIFT, 733);
   _actionMap[560][BLOB] = ActionEntry(SHIFT, 727);
   _actionMap[560][CLOB] = ActionEntry(SHIFT, 729);
   _jumpMap[560][DataTypeProd] = 725;
   _actionMap[561][BEGIN] = ActionEntry(SHIFT, 740);
   _actionMap[562][OR] = ActionEntry(SHIFT, 720);
   _actionMap[562][AND] = ActionEntry(SHIFT, 719);
   _actionMap[562][BEGIN] = ActionEntry(REDUCE, 162);
   _actionMap[563][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[563][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[563][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[563][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[563][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[563][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[563][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[563][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[563][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[563][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[563][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[563][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[563][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[563][LOWER] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser80()
{
   _actionMap[563][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[563][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[563][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[563][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[563][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[563][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[563][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[563][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[563][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[563][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[563][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[563][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[563][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[563][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[563][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[563][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[563][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[563][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[563][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[563][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[563][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[563][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[563][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[563][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[563][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[563][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[563][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[563][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[563][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[563][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[563][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[563][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[563][LB] = ActionEntry(SHIFT, 177);
   _actionMap[563][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[563][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[563][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[563][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[563][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[563][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[563][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[563][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[563][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[563][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[563][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[563][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[563][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[563][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[563][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[563][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[563][MAX] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser81()
{
   _jumpMap[563][ObjSpec] = 121;
   _jumpMap[563][Constant] = 120;
   _jumpMap[563][SignedFloat] = 119;
   _jumpMap[563][SignedInt] = 118;
   _jumpMap[563][Attribute] = 117;
   _jumpMap[563][Function] = 116;
   _jumpMap[563][CasePrepare] = 115;
   _jumpMap[563][CaseClause] = 114;
   _jumpMap[563][Factor] = 113;
   _jumpMap[563][Term] = 112;
   _jumpMap[563][Expr] = 741;
   _actionMap[564][SEMICOLON] = ActionEntry(REDUCE, 109);
   _actionMap[565][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[565][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[565][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[565][ObjSpec] = 742;
   _actionMap[566][LB] = ActionEntry(SHIFT, 743);
   _actionMap[567][LB] = ActionEntry(SHIFT, 744);
   _actionMap[568][RB] = ActionEntry(SHIFT, 571);
   _actionMap[569][KSEP] = ActionEntry(SHIFT, 745);
   _actionMap[569][RB] = ActionEntry(REDUCE, 112);
   _actionMap[570][KSEP] = ActionEntry(REDUCE, 115);
   _actionMap[570][RB] = ActionEntry(REDUCE, 115);
   _actionMap[571][RETURNTOKEN] = ActionEntry(SHIFT, 747);
   _actionMap[571][BEGIN] = ActionEntry(REDUCE, 111);
   _jumpMap[571][ReturnOpt] = 746;
   _actionMap[572][INTOK] = ActionEntry(SHIFT, 748);
   _actionMap[572][OUTTOK] = ActionEntry(SHIFT, 749);
   _actionMap[573][RB] = ActionEntry(SHIFT, 751);
   _actionMap[573][KSEP] = ActionEntry(SHIFT, 750);
   _actionMap[574][KSEP] = ActionEntry(REDUCE, 199);
   _actionMap[574][RB] = ActionEntry(REDUCE, 199);
   _actionMap[575][KSEP] = ActionEntry(REDUCE, 201);
   _actionMap[575][RB] = ActionEntry(REDUCE, 201);
   _actionMap[576][IDENTIFIER] = ActionEntry(SHIFT, 577);
   _jumpMap[576][ColumnDesc] = 752;
   _actionMap[577][INT] = ActionEntry(SHIFT, 735);
   _actionMap[577][LONG] = ActionEntry(SHIFT, 736);
   _actionMap[577][STRING] = ActionEntry(SHIFT, 738);
   _actionMap[577][DATETIME] = ActionEntry(SHIFT, 730);
   _actionMap[577][BOOL] = ActionEntry(SHIFT, 728);
   _actionMap[577][BIGINT] = ActionEntry(SHIFT, 726);
   _actionMap[577][FLOAT] = ActionEntry(SHIFT, 734);
   _actionMap[577][DOUBLE] = ActionEntry(SHIFT, 732);
   _actionMap[577][SMALLINT] = ActionEntry(SHIFT, 737);
   _actionMap[577][TINYINT] = ActionEntry(SHIFT, 739);
   _actionMap[577][DECIMAL] = ActionEntry(SHIFT, 731);
   _actionMap[577][FIXED] = ActionEntry(SHIFT, 733);
   _actionMap[577][BLOB] = ActionEntry(SHIFT, 727);
   _actionMap[577][CLOB] = ActionEntry(SHIFT, 729);
}
void Cego::loadParser82()
{
   _jumpMap[577][DataTypeProd] = 753;
   _actionMap[578][ON] = ActionEntry(SHIFT, 754);
   _actionMap[578][OR] = ActionEntry(SHIFT, 755);
   _actionMap[579][OR] = ActionEntry(REDUCE, 104);
   _actionMap[579][ON] = ActionEntry(REDUCE, 104);
   _actionMap[580][OR] = ActionEntry(REDUCE, 107);
   _actionMap[580][ON] = ActionEntry(REDUCE, 107);
   _actionMap[581][OR] = ActionEntry(REDUCE, 105);
   _actionMap[581][ON] = ActionEntry(REDUCE, 105);
   _actionMap[582][OR] = ActionEntry(REDUCE, 106);
   _actionMap[582][ON] = ActionEntry(REDUCE, 106);
   _actionMap[583][SEMICOLON] = ActionEntry(REDUCE, 56);
   _actionMap[584][AND] = ActionEntry(SHIFT, 602);
   _actionMap[584][OR] = ActionEntry(SHIFT, 603);
   _actionMap[584][RETURNTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[584][GROUP] = ActionEntry(REDUCE, 362);
   _actionMap[584][ORDER] = ActionEntry(REDUCE, 362);
   _actionMap[584][ROWLIMIT] = ActionEntry(REDUCE, 362);
   _actionMap[584][UNION] = ActionEntry(REDUCE, 362);
   _actionMap[584][ENDTOKEN] = ActionEntry(REDUCE, 362);
   _actionMap[584][RB] = ActionEntry(REDUCE, 362);
   _actionMap[584][SEMICOLON] = ActionEntry(REDUCE, 362);
   _actionMap[585][KSEP] = ActionEntry(SHIFT, 756);
   _actionMap[585][SEMICOLON] = ActionEntry(REDUCE, 224);
   _actionMap[586][SEMICOLON] = ActionEntry(REDUCE, 230);
   _actionMap[586][KSEP] = ActionEntry(REDUCE, 230);
   _actionMap[587][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[587][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[587][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[587][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[587][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[587][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[587][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[587][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[587][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[587][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[587][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[587][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[587][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[587][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[587][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[587][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[587][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[587][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[587][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[587][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[587][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[587][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[587][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[587][STR2LONG] = ActionEntry(SHIFT, 171);
}
void Cego::loadParser83()
{
   _actionMap[587][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[587][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[587][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[587][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[587][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[587][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[587][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[587][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[587][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[587][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[587][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[587][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[587][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[587][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[587][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[587][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[587][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[587][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[587][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[587][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[587][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[587][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[587][LB] = ActionEntry(SHIFT, 177);
   _actionMap[587][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[587][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[587][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[587][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[587][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[587][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[587][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[587][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[587][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[587][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[587][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[587][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[587][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[587][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[587][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[587][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[587][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[587][ObjSpec] = 121;
   _jumpMap[587][Constant] = 120;
   _jumpMap[587][SignedFloat] = 119;
   _jumpMap[587][SignedInt] = 118;
   _jumpMap[587][Attribute] = 117;
   _jumpMap[587][Function] = 116;
   _jumpMap[587][InsertValueList] = 758;
   _jumpMap[587][CasePrepare] = 115;
   _jumpMap[587][CaseClause] = 114;
   _jumpMap[587][Factor] = 113;
}
void Cego::loadParser84()
{
   _jumpMap[587][Term] = 112;
   _jumpMap[587][Expr] = 757;
   _actionMap[588][RB] = ActionEntry(SHIFT, 760);
   _actionMap[588][KSEP] = ActionEntry(SHIFT, 759);
   _actionMap[589][KSEP] = ActionEntry(REDUCE, 233);
   _actionMap[589][RB] = ActionEntry(REDUCE, 233);
   _actionMap[590][SEMICOLON] = ActionEntry(REDUCE, 57);
   _actionMap[591][END_TOKEN] = ActionEntry(SHIFT, 761);
   _actionMap[591][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[591][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[591][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[592][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[592][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[592][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[592][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[592][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[592][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[592][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[592][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[592][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[592][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[592][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[592][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[592][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[592][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[592][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[592][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[592][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[592][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[592][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[592][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[592][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[592][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[592][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[592][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[592][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[592][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[592][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[592][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[592][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[592][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[592][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[592][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[592][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[592][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[592][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[592][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[592][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[592][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[592][CLOBREF] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser85()
{
   _actionMap[592][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[592][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[592][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[592][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[592][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[592][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[592][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[592][LB] = ActionEntry(SHIFT, 177);
   _actionMap[592][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[592][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[592][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[592][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[592][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[592][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[592][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[592][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[592][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[592][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[592][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[592][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[592][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[592][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[592][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[592][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[592][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[592][ObjSpec] = 121;
   _jumpMap[592][Constant] = 120;
   _jumpMap[592][SignedFloat] = 119;
   _jumpMap[592][SignedInt] = 118;
   _jumpMap[592][Attribute] = 117;
   _jumpMap[592][Function] = 116;
   _jumpMap[592][CasePrepare] = 115;
   _jumpMap[592][CaseClause] = 114;
   _jumpMap[592][Factor] = 113;
   _jumpMap[592][Term] = 112;
   _jumpMap[592][Expr] = 762;
   _actionMap[593][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[593][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[593][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[593][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[593][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[593][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[593][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[593][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[593][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[593][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[593][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[593][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[593][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[593][LOWER] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser86()
{
   _actionMap[593][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[593][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[593][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[593][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[593][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[593][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[593][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[593][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[593][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[593][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[593][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[593][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[593][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[593][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[593][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[593][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[593][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[593][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[593][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[593][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[593][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[593][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[593][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[593][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[593][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[593][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[593][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[593][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[593][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[593][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[593][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[593][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[593][LB] = ActionEntry(SHIFT, 177);
   _actionMap[593][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[593][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[593][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[593][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[593][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[593][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[593][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[593][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[593][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[593][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[593][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[593][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[593][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[593][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[593][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[593][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[593][MAX] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser87()
{
   _jumpMap[593][ObjSpec] = 121;
   _jumpMap[593][Constant] = 120;
   _jumpMap[593][SignedFloat] = 119;
   _jumpMap[593][SignedInt] = 118;
   _jumpMap[593][Attribute] = 117;
   _jumpMap[593][Function] = 116;
   _jumpMap[593][CasePrepare] = 115;
   _jumpMap[593][CaseClause] = 114;
   _jumpMap[593][Factor] = 113;
   _jumpMap[593][Term] = 112;
   _jumpMap[593][Expr] = 763;
   _actionMap[594][LB] = ActionEntry(SHIFT, 764);
   _actionMap[595][NOT] = ActionEntry(SHIFT, 765);
   _actionMap[595][NULLTOKEN] = ActionEntry(SHIFT, 766);
   _actionMap[596][STRINGVAL] = ActionEntry(SHIFT, 767);
   _actionMap[597][LIKE] = ActionEntry(SHIFT, 769);
   _actionMap[597][INTOK] = ActionEntry(SHIFT, 768);
   _actionMap[598][VARREF] = ActionEntry(REDUCE, 397);
   _actionMap[598][FETCH] = ActionEntry(REDUCE, 397);
   _actionMap[598][LB] = ActionEntry(REDUCE, 397);
   _actionMap[598][COUNT] = ActionEntry(REDUCE, 397);
   _actionMap[598][SUM] = ActionEntry(REDUCE, 397);
   _actionMap[598][AVG] = ActionEntry(REDUCE, 397);
   _actionMap[598][MIN] = ActionEntry(REDUCE, 397);
   _actionMap[598][MAX] = ActionEntry(REDUCE, 397);
   _actionMap[598][CASE] = ActionEntry(REDUCE, 397);
   _actionMap[598][INT2ASC] = ActionEntry(REDUCE, 397);
   _actionMap[598][ASC2INT] = ActionEntry(REDUCE, 397);
   _actionMap[598][TRIM] = ActionEntry(REDUCE, 397);
   _actionMap[598][RTRIM] = ActionEntry(REDUCE, 397);
   _actionMap[598][LTRIM] = ActionEntry(REDUCE, 397);
   _actionMap[598][ROUND] = ActionEntry(REDUCE, 397);
   _actionMap[598][DATE2STR] = ActionEntry(REDUCE, 397);
   _actionMap[598][DATE2LONG] = ActionEntry(REDUCE, 397);
   _actionMap[598][LONG2DATE] = ActionEntry(REDUCE, 397);
   _actionMap[598][NEWDATE] = ActionEntry(REDUCE, 397);
   _actionMap[598][LOWER] = ActionEntry(REDUCE, 397);
   _actionMap[598][UPPER] = ActionEntry(REDUCE, 397);
   _actionMap[598][LEFT] = ActionEntry(REDUCE, 397);
   _actionMap[598][RIGHT] = ActionEntry(REDUCE, 397);
   _actionMap[598][GETPOS] = ActionEntry(REDUCE, 397);
   _actionMap[598][SUBSTR] = ActionEntry(REDUCE, 397);
   _actionMap[598][REPLACE] = ActionEntry(REDUCE, 397);
   _actionMap[598][LENGTH] = ActionEntry(REDUCE, 397);
   _actionMap[598][TRUNC] = ActionEntry(REDUCE, 397);
   _actionMap[598][STR2INT] = ActionEntry(REDUCE, 397);
   _actionMap[598][STR2LONG] = ActionEntry(REDUCE, 397);
   _actionMap[598][STR2DATE] = ActionEntry(REDUCE, 397);
   _actionMap[598][RANDSTR] = ActionEntry(REDUCE, 397);
   _actionMap[598][RANDINT] = ActionEntry(REDUCE, 397);
}
void Cego::loadParser88()
{
   _actionMap[598][MOD] = ActionEntry(REDUCE, 397);
   _actionMap[598][DIV] = ActionEntry(REDUCE, 397);
   _actionMap[598][LMOD] = ActionEntry(REDUCE, 397);
   _actionMap[598][LDIV] = ActionEntry(REDUCE, 397);
   _actionMap[598][POWER] = ActionEntry(REDUCE, 397);
   _actionMap[598][BITAND] = ActionEntry(REDUCE, 397);
   _actionMap[598][BITOR] = ActionEntry(REDUCE, 397);
   _actionMap[598][BITXOR] = ActionEntry(REDUCE, 397);
   _actionMap[598][BLOBSIZE] = ActionEntry(REDUCE, 397);
   _actionMap[598][BLOBREF] = ActionEntry(REDUCE, 397);
   _actionMap[598][CLOBSIZE] = ActionEntry(REDUCE, 397);
   _actionMap[598][CLOBREF] = ActionEntry(REDUCE, 397);
   _actionMap[598][CLOB2STR] = ActionEntry(REDUCE, 397);
   _actionMap[598][NEXTCOUNT] = ActionEntry(REDUCE, 397);
   _actionMap[598][SETCOUNT] = ActionEntry(REDUCE, 397);
   _actionMap[598][GETCOUNT] = ActionEntry(REDUCE, 397);
   _actionMap[598][IDENTIFIER] = ActionEntry(REDUCE, 397);
   _actionMap[598][QUALIFIEDOBJ] = ActionEntry(REDUCE, 397);
   _actionMap[598][QUALIFIEDTS] = ActionEntry(REDUCE, 397);
   _actionMap[598][QUALIFIEDPRE] = ActionEntry(REDUCE, 397);
   _actionMap[598][STRINGVAL] = ActionEntry(REDUCE, 397);
   _actionMap[598][DATE] = ActionEntry(REDUCE, 397);
   _actionMap[598][SYSDATE] = ActionEntry(REDUCE, 397);
   _actionMap[598][NULLTOKEN] = ActionEntry(REDUCE, 397);
   _actionMap[598][TRUEVAL] = ActionEntry(REDUCE, 397);
   _actionMap[598][FALSEVAL] = ActionEntry(REDUCE, 397);
   _actionMap[598][BLOB] = ActionEntry(REDUCE, 397);
   _actionMap[598][CLOB] = ActionEntry(REDUCE, 397);
   _actionMap[598][FLOATVAL] = ActionEntry(REDUCE, 397);
   _actionMap[598][MINUS] = ActionEntry(REDUCE, 397);
   _actionMap[598][INTVAL] = ActionEntry(REDUCE, 397);
   _actionMap[599][VARREF] = ActionEntry(REDUCE, 399);
   _actionMap[599][FETCH] = ActionEntry(REDUCE, 399);
   _actionMap[599][LB] = ActionEntry(REDUCE, 399);
   _actionMap[599][COUNT] = ActionEntry(REDUCE, 399);
   _actionMap[599][SUM] = ActionEntry(REDUCE, 399);
   _actionMap[599][AVG] = ActionEntry(REDUCE, 399);
   _actionMap[599][MIN] = ActionEntry(REDUCE, 399);
   _actionMap[599][MAX] = ActionEntry(REDUCE, 399);
   _actionMap[599][CASE] = ActionEntry(REDUCE, 399);
   _actionMap[599][INT2ASC] = ActionEntry(REDUCE, 399);
   _actionMap[599][ASC2INT] = ActionEntry(REDUCE, 399);
   _actionMap[599][TRIM] = ActionEntry(REDUCE, 399);
   _actionMap[599][RTRIM] = ActionEntry(REDUCE, 399);
   _actionMap[599][LTRIM] = ActionEntry(REDUCE, 399);
   _actionMap[599][ROUND] = ActionEntry(REDUCE, 399);
   _actionMap[599][DATE2STR] = ActionEntry(REDUCE, 399);
   _actionMap[599][DATE2LONG] = ActionEntry(REDUCE, 399);
   _actionMap[599][LONG2DATE] = ActionEntry(REDUCE, 399);
   _actionMap[599][NEWDATE] = ActionEntry(REDUCE, 399);
}
void Cego::loadParser89()
{
   _actionMap[599][LOWER] = ActionEntry(REDUCE, 399);
   _actionMap[599][UPPER] = ActionEntry(REDUCE, 399);
   _actionMap[599][LEFT] = ActionEntry(REDUCE, 399);
   _actionMap[599][RIGHT] = ActionEntry(REDUCE, 399);
   _actionMap[599][GETPOS] = ActionEntry(REDUCE, 399);
   _actionMap[599][SUBSTR] = ActionEntry(REDUCE, 399);
   _actionMap[599][REPLACE] = ActionEntry(REDUCE, 399);
   _actionMap[599][LENGTH] = ActionEntry(REDUCE, 399);
   _actionMap[599][TRUNC] = ActionEntry(REDUCE, 399);
   _actionMap[599][STR2INT] = ActionEntry(REDUCE, 399);
   _actionMap[599][STR2LONG] = ActionEntry(REDUCE, 399);
   _actionMap[599][STR2DATE] = ActionEntry(REDUCE, 399);
   _actionMap[599][RANDSTR] = ActionEntry(REDUCE, 399);
   _actionMap[599][RANDINT] = ActionEntry(REDUCE, 399);
   _actionMap[599][MOD] = ActionEntry(REDUCE, 399);
   _actionMap[599][DIV] = ActionEntry(REDUCE, 399);
   _actionMap[599][LMOD] = ActionEntry(REDUCE, 399);
   _actionMap[599][LDIV] = ActionEntry(REDUCE, 399);
   _actionMap[599][POWER] = ActionEntry(REDUCE, 399);
   _actionMap[599][BITAND] = ActionEntry(REDUCE, 399);
   _actionMap[599][BITOR] = ActionEntry(REDUCE, 399);
   _actionMap[599][BITXOR] = ActionEntry(REDUCE, 399);
   _actionMap[599][BLOBSIZE] = ActionEntry(REDUCE, 399);
   _actionMap[599][BLOBREF] = ActionEntry(REDUCE, 399);
   _actionMap[599][CLOBSIZE] = ActionEntry(REDUCE, 399);
   _actionMap[599][CLOBREF] = ActionEntry(REDUCE, 399);
   _actionMap[599][CLOB2STR] = ActionEntry(REDUCE, 399);
   _actionMap[599][NEXTCOUNT] = ActionEntry(REDUCE, 399);
   _actionMap[599][SETCOUNT] = ActionEntry(REDUCE, 399);
   _actionMap[599][GETCOUNT] = ActionEntry(REDUCE, 399);
   _actionMap[599][IDENTIFIER] = ActionEntry(REDUCE, 399);
   _actionMap[599][QUALIFIEDOBJ] = ActionEntry(REDUCE, 399);
   _actionMap[599][QUALIFIEDTS] = ActionEntry(REDUCE, 399);
   _actionMap[599][QUALIFIEDPRE] = ActionEntry(REDUCE, 399);
   _actionMap[599][STRINGVAL] = ActionEntry(REDUCE, 399);
   _actionMap[599][DATE] = ActionEntry(REDUCE, 399);
   _actionMap[599][SYSDATE] = ActionEntry(REDUCE, 399);
   _actionMap[599][NULLTOKEN] = ActionEntry(REDUCE, 399);
   _actionMap[599][TRUEVAL] = ActionEntry(REDUCE, 399);
   _actionMap[599][FALSEVAL] = ActionEntry(REDUCE, 399);
   _actionMap[599][BLOB] = ActionEntry(REDUCE, 399);
   _actionMap[599][CLOB] = ActionEntry(REDUCE, 399);
   _actionMap[599][FLOATVAL] = ActionEntry(REDUCE, 399);
   _actionMap[599][MINUS] = ActionEntry(REDUCE, 399);
   _actionMap[599][INTVAL] = ActionEntry(REDUCE, 399);
   _actionMap[599][EQU] = ActionEntry(SHIFT, 770);
   _actionMap[600][VARREF] = ActionEntry(REDUCE, 400);
   _actionMap[600][FETCH] = ActionEntry(REDUCE, 400);
   _actionMap[600][LB] = ActionEntry(REDUCE, 400);
   _actionMap[600][COUNT] = ActionEntry(REDUCE, 400);
}
void Cego::loadParser90()
{
   _actionMap[600][SUM] = ActionEntry(REDUCE, 400);
   _actionMap[600][AVG] = ActionEntry(REDUCE, 400);
   _actionMap[600][MIN] = ActionEntry(REDUCE, 400);
   _actionMap[600][MAX] = ActionEntry(REDUCE, 400);
   _actionMap[600][CASE] = ActionEntry(REDUCE, 400);
   _actionMap[600][INT2ASC] = ActionEntry(REDUCE, 400);
   _actionMap[600][ASC2INT] = ActionEntry(REDUCE, 400);
   _actionMap[600][TRIM] = ActionEntry(REDUCE, 400);
   _actionMap[600][RTRIM] = ActionEntry(REDUCE, 400);
   _actionMap[600][LTRIM] = ActionEntry(REDUCE, 400);
   _actionMap[600][ROUND] = ActionEntry(REDUCE, 400);
   _actionMap[600][DATE2STR] = ActionEntry(REDUCE, 400);
   _actionMap[600][DATE2LONG] = ActionEntry(REDUCE, 400);
   _actionMap[600][LONG2DATE] = ActionEntry(REDUCE, 400);
   _actionMap[600][NEWDATE] = ActionEntry(REDUCE, 400);
   _actionMap[600][LOWER] = ActionEntry(REDUCE, 400);
   _actionMap[600][UPPER] = ActionEntry(REDUCE, 400);
   _actionMap[600][LEFT] = ActionEntry(REDUCE, 400);
   _actionMap[600][RIGHT] = ActionEntry(REDUCE, 400);
   _actionMap[600][GETPOS] = ActionEntry(REDUCE, 400);
   _actionMap[600][SUBSTR] = ActionEntry(REDUCE, 400);
   _actionMap[600][REPLACE] = ActionEntry(REDUCE, 400);
   _actionMap[600][LENGTH] = ActionEntry(REDUCE, 400);
   _actionMap[600][TRUNC] = ActionEntry(REDUCE, 400);
   _actionMap[600][STR2INT] = ActionEntry(REDUCE, 400);
   _actionMap[600][STR2LONG] = ActionEntry(REDUCE, 400);
   _actionMap[600][STR2DATE] = ActionEntry(REDUCE, 400);
   _actionMap[600][RANDSTR] = ActionEntry(REDUCE, 400);
   _actionMap[600][RANDINT] = ActionEntry(REDUCE, 400);
   _actionMap[600][MOD] = ActionEntry(REDUCE, 400);
   _actionMap[600][DIV] = ActionEntry(REDUCE, 400);
   _actionMap[600][LMOD] = ActionEntry(REDUCE, 400);
   _actionMap[600][LDIV] = ActionEntry(REDUCE, 400);
   _actionMap[600][POWER] = ActionEntry(REDUCE, 400);
   _actionMap[600][BITAND] = ActionEntry(REDUCE, 400);
   _actionMap[600][BITOR] = ActionEntry(REDUCE, 400);
   _actionMap[600][BITXOR] = ActionEntry(REDUCE, 400);
   _actionMap[600][BLOBSIZE] = ActionEntry(REDUCE, 400);
   _actionMap[600][BLOBREF] = ActionEntry(REDUCE, 400);
   _actionMap[600][CLOBSIZE] = ActionEntry(REDUCE, 400);
   _actionMap[600][CLOBREF] = ActionEntry(REDUCE, 400);
   _actionMap[600][CLOB2STR] = ActionEntry(REDUCE, 400);
   _actionMap[600][NEXTCOUNT] = ActionEntry(REDUCE, 400);
   _actionMap[600][SETCOUNT] = ActionEntry(REDUCE, 400);
   _actionMap[600][GETCOUNT] = ActionEntry(REDUCE, 400);
   _actionMap[600][IDENTIFIER] = ActionEntry(REDUCE, 400);
   _actionMap[600][QUALIFIEDOBJ] = ActionEntry(REDUCE, 400);
   _actionMap[600][QUALIFIEDTS] = ActionEntry(REDUCE, 400);
   _actionMap[600][QUALIFIEDPRE] = ActionEntry(REDUCE, 400);
   _actionMap[600][STRINGVAL] = ActionEntry(REDUCE, 400);
}
void Cego::loadParser91()
{
   _actionMap[600][DATE] = ActionEntry(REDUCE, 400);
   _actionMap[600][SYSDATE] = ActionEntry(REDUCE, 400);
   _actionMap[600][NULLTOKEN] = ActionEntry(REDUCE, 400);
   _actionMap[600][TRUEVAL] = ActionEntry(REDUCE, 400);
   _actionMap[600][FALSEVAL] = ActionEntry(REDUCE, 400);
   _actionMap[600][BLOB] = ActionEntry(REDUCE, 400);
   _actionMap[600][CLOB] = ActionEntry(REDUCE, 400);
   _actionMap[600][FLOATVAL] = ActionEntry(REDUCE, 400);
   _actionMap[600][MINUS] = ActionEntry(REDUCE, 400);
   _actionMap[600][INTVAL] = ActionEntry(REDUCE, 400);
   _actionMap[600][EQU] = ActionEntry(SHIFT, 771);
   _actionMap[601][EQU] = ActionEntry(SHIFT, 772);
   _actionMap[602][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[602][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[602][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[602][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[602][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[602][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[602][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[602][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[602][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[602][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[602][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[602][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[602][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[602][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[602][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[602][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[602][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[602][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[602][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[602][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[602][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[602][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[602][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[602][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[602][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[602][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[602][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[602][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[602][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[602][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[602][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[602][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[602][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[602][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[602][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[602][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[602][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[602][CLOBSIZE] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser92()
{
   _actionMap[602][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[602][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[602][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[602][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[602][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[602][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[602][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[602][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[602][LB] = ActionEntry(SHIFT, 447);
   _actionMap[602][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[602][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[602][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[602][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[602][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[602][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[602][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[602][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[602][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[602][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[602][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[602][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[602][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[602][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[602][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[602][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[602][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[602][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[602][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[602][ObjSpec] = 121;
   _jumpMap[602][Constant] = 120;
   _jumpMap[602][SignedFloat] = 119;
   _jumpMap[602][SignedInt] = 118;
   _jumpMap[602][Attribute] = 117;
   _jumpMap[602][QueryPredicate] = 773;
   _jumpMap[602][Function] = 116;
   _jumpMap[602][CasePrepare] = 115;
   _jumpMap[602][CaseClause] = 114;
   _jumpMap[602][Factor] = 113;
   _jumpMap[602][Term] = 112;
   _jumpMap[602][Expr] = 442;
   _actionMap[603][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[603][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[603][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[603][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[603][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[603][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[603][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[603][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[603][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[603][DATE2STR] = ActionEntry(SHIFT, 138);
}
void Cego::loadParser93()
{
   _actionMap[603][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[603][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[603][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[603][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[603][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[603][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[603][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[603][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[603][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[603][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[603][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[603][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[603][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[603][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[603][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[603][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[603][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[603][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[603][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[603][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[603][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[603][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[603][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[603][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[603][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[603][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[603][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[603][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[603][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[603][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[603][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[603][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[603][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[603][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[603][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[603][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[603][LB] = ActionEntry(SHIFT, 447);
   _actionMap[603][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[603][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[603][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[603][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[603][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[603][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[603][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[603][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[603][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[603][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[603][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[603][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[603][COUNT] = ActionEntry(SHIFT, 136);
}
void Cego::loadParser94()
{
   _actionMap[603][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[603][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[603][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[603][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[603][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[603][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[603][ObjSpec] = 121;
   _jumpMap[603][Constant] = 120;
   _jumpMap[603][SignedFloat] = 119;
   _jumpMap[603][SignedInt] = 118;
   _jumpMap[603][Attribute] = 117;
   _jumpMap[603][QueryPredicate] = 774;
   _jumpMap[603][Function] = 116;
   _jumpMap[603][CasePrepare] = 115;
   _jumpMap[603][CaseClause] = 114;
   _jumpMap[603][Factor] = 113;
   _jumpMap[603][Term] = 112;
   _jumpMap[603][Expr] = 442;
   _actionMap[604][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[604][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[604][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[604][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[604][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[604][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[604][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[604][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[604][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[604][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[604][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[604][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[604][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[604][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[604][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[604][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[604][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[604][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[604][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[604][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[604][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[604][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[604][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[604][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[604][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[604][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[604][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[604][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[604][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[604][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[604][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[604][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser95()
{
   _actionMap[604][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[604][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[604][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[604][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[604][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[604][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[604][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[604][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[604][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[604][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[604][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[604][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[604][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[604][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[604][LB] = ActionEntry(SHIFT, 177);
   _actionMap[604][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[604][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[604][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[604][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[604][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[604][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[604][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[604][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[604][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[604][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[604][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[604][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[604][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[604][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[604][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[604][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[604][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[604][ObjSpec] = 121;
   _jumpMap[604][Constant] = 120;
   _jumpMap[604][SignedFloat] = 119;
   _jumpMap[604][SignedInt] = 118;
   _jumpMap[604][Attribute] = 117;
   _jumpMap[604][Function] = 116;
   _jumpMap[604][CasePrepare] = 115;
   _jumpMap[604][CaseClause] = 114;
   _jumpMap[604][Factor] = 113;
   _jumpMap[604][Term] = 112;
   _jumpMap[604][Expr] = 775;
   _actionMap[605][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[605][SelectStatement] = 776;
   _actionMap[606][LEFT] = ActionEntry(REDUCE, 380);
   _actionMap[606][RIGHT] = ActionEntry(REDUCE, 380);
   _actionMap[606][INNER] = ActionEntry(REDUCE, 380);
   _actionMap[606][JOIN] = ActionEntry(REDUCE, 380);
   _actionMap[606][RETURNTOKEN] = ActionEntry(REDUCE, 380);
}
void Cego::loadParser96()
{
   _actionMap[606][SEMICOLON] = ActionEntry(REDUCE, 380);
   _actionMap[606][ENDTOKEN] = ActionEntry(REDUCE, 380);
   _actionMap[606][UNION] = ActionEntry(REDUCE, 380);
   _actionMap[606][ROWLIMIT] = ActionEntry(REDUCE, 380);
   _actionMap[606][ORDER] = ActionEntry(REDUCE, 380);
   _actionMap[606][GROUP] = ActionEntry(REDUCE, 380);
   _actionMap[606][WHERE] = ActionEntry(REDUCE, 380);
   _actionMap[606][THEN] = ActionEntry(REDUCE, 380);
   _actionMap[606][RB] = ActionEntry(REDUCE, 380);
   _actionMap[606][AND] = ActionEntry(REDUCE, 380);
   _actionMap[606][OR] = ActionEntry(REDUCE, 380);
   _actionMap[607][RB] = ActionEntry(SHIFT, 502);
   _actionMap[607][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[607][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[607][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[607][INTOK] = ActionEntry(SHIFT, 594);
   _actionMap[607][NOT] = ActionEntry(SHIFT, 597);
   _actionMap[607][BETWEEN] = ActionEntry(SHIFT, 593);
   _actionMap[607][IS] = ActionEntry(SHIFT, 595);
   _actionMap[607][LIKE] = ActionEntry(SHIFT, 596);
   _actionMap[607][EQU] = ActionEntry(SHIFT, 598);
   _actionMap[607][NEGATION] = ActionEntry(SHIFT, 601);
   _actionMap[607][LT] = ActionEntry(SHIFT, 599);
   _actionMap[607][MT] = ActionEntry(SHIFT, 600);
   _jumpMap[607][Comparison] = 592;
   _actionMap[608][RB] = ActionEntry(SHIFT, 777);
   _actionMap[608][AND] = ActionEntry(SHIFT, 602);
   _actionMap[608][OR] = ActionEntry(SHIFT, 603);
   _actionMap[609][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[609][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[609][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[609][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[609][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[609][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[609][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[609][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[609][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[609][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[609][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[609][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[609][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[609][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[609][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[609][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[609][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[609][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[609][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[609][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[609][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[609][TRUNC] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser97()
{
   _actionMap[609][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[609][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[609][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[609][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[609][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[609][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[609][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[609][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[609][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[609][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[609][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[609][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[609][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[609][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[609][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[609][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[609][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[609][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[609][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[609][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[609][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[609][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[609][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[609][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[609][LB] = ActionEntry(SHIFT, 177);
   _actionMap[609][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[609][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[609][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[609][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[609][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[609][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[609][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[609][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[609][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[609][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[609][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[609][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[609][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[609][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[609][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[609][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[609][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[609][ObjSpec] = 121;
   _jumpMap[609][Constant] = 120;
   _jumpMap[609][SignedFloat] = 119;
   _jumpMap[609][SignedInt] = 118;
   _jumpMap[609][Attribute] = 117;
   _jumpMap[609][Function] = 116;
   _jumpMap[609][CasePrepare] = 115;
   _jumpMap[609][CaseClause] = 114;
}
void Cego::loadParser98()
{
   _jumpMap[609][Factor] = 113;
   _jumpMap[609][Term] = 112;
   _jumpMap[609][Expr] = 778;
   _actionMap[610][WHEN] = ActionEntry(REDUCE, 358);
   _actionMap[610][ELSE] = ActionEntry(REDUCE, 358);
   _actionMap[610][LEFT] = ActionEntry(REDUCE, 358);
   _actionMap[610][RIGHT] = ActionEntry(REDUCE, 358);
   _actionMap[610][INNER] = ActionEntry(REDUCE, 358);
   _actionMap[610][JOIN] = ActionEntry(REDUCE, 358);
   _actionMap[610][RETURNTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[610][ORDER] = ActionEntry(REDUCE, 358);
   _actionMap[610][GROUP] = ActionEntry(REDUCE, 358);
   _actionMap[610][WHERE] = ActionEntry(REDUCE, 358);
   _actionMap[610][FROM] = ActionEntry(REDUCE, 358);
   _actionMap[610][AS] = ActionEntry(REDUCE, 358);
   _actionMap[610][END_TOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[610][BEGIN] = ActionEntry(REDUCE, 358);
   _actionMap[610][THEN] = ActionEntry(REDUCE, 358);
   _actionMap[610][OR] = ActionEntry(REDUCE, 358);
   _actionMap[610][AND] = ActionEntry(REDUCE, 358);
   _actionMap[610][INTOK] = ActionEntry(REDUCE, 358);
   _actionMap[610][NOT] = ActionEntry(REDUCE, 358);
   _actionMap[610][BETWEEN] = ActionEntry(REDUCE, 358);
   _actionMap[610][IS] = ActionEntry(REDUCE, 358);
   _actionMap[610][LIKE] = ActionEntry(REDUCE, 358);
   _actionMap[610][MT] = ActionEntry(REDUCE, 358);
   _actionMap[610][LT] = ActionEntry(REDUCE, 358);
   _actionMap[610][NEGATION] = ActionEntry(REDUCE, 358);
   _actionMap[610][EQU] = ActionEntry(REDUCE, 358);
   _actionMap[610][RB] = ActionEntry(REDUCE, 358);
   _actionMap[610][ENDTOKEN] = ActionEntry(REDUCE, 358);
   _actionMap[610][UNION] = ActionEntry(REDUCE, 358);
   _actionMap[610][ROWLIMIT] = ActionEntry(REDUCE, 358);
   _actionMap[610][KSEP] = ActionEntry(REDUCE, 358);
   _actionMap[610][ASC] = ActionEntry(REDUCE, 358);
   _actionMap[610][DESC] = ActionEntry(REDUCE, 358);
   _actionMap[610][SEMICOLON] = ActionEntry(REDUCE, 358);
   _actionMap[610][PLUS] = ActionEntry(REDUCE, 358);
   _actionMap[610][MINUS] = ActionEntry(REDUCE, 358);
   _actionMap[610][DIVISION] = ActionEntry(REDUCE, 358);
   _actionMap[610][STAR] = ActionEntry(REDUCE, 358);
   _actionMap[610][CONCAT] = ActionEntry(REDUCE, 358);
   _actionMap[611][WHEN] = ActionEntry(REDUCE, 319);
   _actionMap[611][ELSE] = ActionEntry(REDUCE, 319);
   _actionMap[611][LEFT] = ActionEntry(REDUCE, 319);
   _actionMap[611][RIGHT] = ActionEntry(REDUCE, 319);
   _actionMap[611][INNER] = ActionEntry(REDUCE, 319);
   _actionMap[611][JOIN] = ActionEntry(REDUCE, 319);
   _actionMap[611][RETURNTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[611][ORDER] = ActionEntry(REDUCE, 319);
}
void Cego::loadParser99()
{
   _actionMap[611][GROUP] = ActionEntry(REDUCE, 319);
   _actionMap[611][WHERE] = ActionEntry(REDUCE, 319);
   _actionMap[611][FROM] = ActionEntry(REDUCE, 319);
   _actionMap[611][AS] = ActionEntry(REDUCE, 319);
   _actionMap[611][END_TOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[611][BEGIN] = ActionEntry(REDUCE, 319);
   _actionMap[611][THEN] = ActionEntry(REDUCE, 319);
   _actionMap[611][OR] = ActionEntry(REDUCE, 319);
   _actionMap[611][AND] = ActionEntry(REDUCE, 319);
   _actionMap[611][INTOK] = ActionEntry(REDUCE, 319);
   _actionMap[611][NOT] = ActionEntry(REDUCE, 319);
   _actionMap[611][BETWEEN] = ActionEntry(REDUCE, 319);
   _actionMap[611][IS] = ActionEntry(REDUCE, 319);
   _actionMap[611][LIKE] = ActionEntry(REDUCE, 319);
   _actionMap[611][MT] = ActionEntry(REDUCE, 319);
   _actionMap[611][LT] = ActionEntry(REDUCE, 319);
   _actionMap[611][NEGATION] = ActionEntry(REDUCE, 319);
   _actionMap[611][EQU] = ActionEntry(REDUCE, 319);
   _actionMap[611][RB] = ActionEntry(REDUCE, 319);
   _actionMap[611][ENDTOKEN] = ActionEntry(REDUCE, 319);
   _actionMap[611][UNION] = ActionEntry(REDUCE, 319);
   _actionMap[611][ROWLIMIT] = ActionEntry(REDUCE, 319);
   _actionMap[611][KSEP] = ActionEntry(REDUCE, 319);
   _actionMap[611][ASC] = ActionEntry(REDUCE, 319);
   _actionMap[611][DESC] = ActionEntry(REDUCE, 319);
   _actionMap[611][SEMICOLON] = ActionEntry(REDUCE, 319);
   _actionMap[611][PLUS] = ActionEntry(REDUCE, 319);
   _actionMap[611][MINUS] = ActionEntry(REDUCE, 319);
   _actionMap[611][DIVISION] = ActionEntry(REDUCE, 319);
   _actionMap[611][STAR] = ActionEntry(REDUCE, 319);
   _actionMap[611][CONCAT] = ActionEntry(REDUCE, 319);
   _actionMap[612][WHEN] = ActionEntry(REDUCE, 187);
   _actionMap[612][ELSE] = ActionEntry(REDUCE, 187);
   _actionMap[612][LEFT] = ActionEntry(REDUCE, 187);
   _actionMap[612][RIGHT] = ActionEntry(REDUCE, 187);
   _actionMap[612][INNER] = ActionEntry(REDUCE, 187);
   _actionMap[612][JOIN] = ActionEntry(REDUCE, 187);
   _actionMap[612][RETURNTOKEN] = ActionEntry(REDUCE, 187);
   _actionMap[612][ORDER] = ActionEntry(REDUCE, 187);
   _actionMap[612][GROUP] = ActionEntry(REDUCE, 187);
   _actionMap[612][WHERE] = ActionEntry(REDUCE, 187);
   _actionMap[612][AS] = ActionEntry(REDUCE, 187);
   _actionMap[612][FROM] = ActionEntry(REDUCE, 187);
   _actionMap[612][END_TOKEN] = ActionEntry(REDUCE, 187);
   _actionMap[612][BEGIN] = ActionEntry(REDUCE, 187);
   _actionMap[612][THEN] = ActionEntry(REDUCE, 187);
   _actionMap[612][OR] = ActionEntry(REDUCE, 187);
   _actionMap[612][AND] = ActionEntry(REDUCE, 187);
   _actionMap[612][LIKE] = ActionEntry(REDUCE, 187);
   _actionMap[612][IS] = ActionEntry(REDUCE, 187);
}
void Cego::loadParser100()
{
   _actionMap[612][BETWEEN] = ActionEntry(REDUCE, 187);
   _actionMap[612][NOT] = ActionEntry(REDUCE, 187);
   _actionMap[612][INTOK] = ActionEntry(REDUCE, 187);
   _actionMap[612][EQU] = ActionEntry(REDUCE, 187);
   _actionMap[612][NEGATION] = ActionEntry(REDUCE, 187);
   _actionMap[612][LT] = ActionEntry(REDUCE, 187);
   _actionMap[612][MT] = ActionEntry(REDUCE, 187);
   _actionMap[612][DESC] = ActionEntry(REDUCE, 187);
   _actionMap[612][ASC] = ActionEntry(REDUCE, 187);
   _actionMap[612][KSEP] = ActionEntry(REDUCE, 187);
   _actionMap[612][ROWLIMIT] = ActionEntry(REDUCE, 187);
   _actionMap[612][UNION] = ActionEntry(REDUCE, 187);
   _actionMap[612][ENDTOKEN] = ActionEntry(REDUCE, 187);
   _actionMap[612][RB] = ActionEntry(REDUCE, 187);
   _actionMap[612][SEMICOLON] = ActionEntry(REDUCE, 187);
   _actionMap[612][CONCAT] = ActionEntry(REDUCE, 187);
   _actionMap[612][STAR] = ActionEntry(REDUCE, 187);
   _actionMap[612][DIVISION] = ActionEntry(REDUCE, 187);
   _actionMap[612][MINUS] = ActionEntry(REDUCE, 187);
   _actionMap[612][PLUS] = ActionEntry(REDUCE, 187);
   _actionMap[613][WHEN] = ActionEntry(REDUCE, 347);
   _actionMap[613][ELSE] = ActionEntry(REDUCE, 347);
   _actionMap[613][LEFT] = ActionEntry(REDUCE, 347);
   _actionMap[613][RIGHT] = ActionEntry(REDUCE, 347);
   _actionMap[613][INNER] = ActionEntry(REDUCE, 347);
   _actionMap[613][JOIN] = ActionEntry(REDUCE, 347);
   _actionMap[613][RETURNTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[613][ORDER] = ActionEntry(REDUCE, 347);
   _actionMap[613][GROUP] = ActionEntry(REDUCE, 347);
   _actionMap[613][WHERE] = ActionEntry(REDUCE, 347);
   _actionMap[613][FROM] = ActionEntry(REDUCE, 347);
   _actionMap[613][AS] = ActionEntry(REDUCE, 347);
   _actionMap[613][END_TOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[613][BEGIN] = ActionEntry(REDUCE, 347);
   _actionMap[613][THEN] = ActionEntry(REDUCE, 347);
   _actionMap[613][OR] = ActionEntry(REDUCE, 347);
   _actionMap[613][AND] = ActionEntry(REDUCE, 347);
   _actionMap[613][INTOK] = ActionEntry(REDUCE, 347);
   _actionMap[613][NOT] = ActionEntry(REDUCE, 347);
   _actionMap[613][BETWEEN] = ActionEntry(REDUCE, 347);
   _actionMap[613][IS] = ActionEntry(REDUCE, 347);
   _actionMap[613][LIKE] = ActionEntry(REDUCE, 347);
   _actionMap[613][MT] = ActionEntry(REDUCE, 347);
   _actionMap[613][LT] = ActionEntry(REDUCE, 347);
   _actionMap[613][NEGATION] = ActionEntry(REDUCE, 347);
   _actionMap[613][EQU] = ActionEntry(REDUCE, 347);
   _actionMap[613][RB] = ActionEntry(REDUCE, 347);
   _actionMap[613][ENDTOKEN] = ActionEntry(REDUCE, 347);
   _actionMap[613][UNION] = ActionEntry(REDUCE, 347);
   _actionMap[613][ROWLIMIT] = ActionEntry(REDUCE, 347);
}
void Cego::loadParser101()
{
   _actionMap[613][KSEP] = ActionEntry(REDUCE, 347);
   _actionMap[613][ASC] = ActionEntry(REDUCE, 347);
   _actionMap[613][DESC] = ActionEntry(REDUCE, 347);
   _actionMap[613][SEMICOLON] = ActionEntry(REDUCE, 347);
   _actionMap[613][PLUS] = ActionEntry(REDUCE, 347);
   _actionMap[613][MINUS] = ActionEntry(REDUCE, 347);
   _actionMap[613][DIVISION] = ActionEntry(REDUCE, 347);
   _actionMap[613][STAR] = ActionEntry(REDUCE, 347);
   _actionMap[613][CONCAT] = ActionEntry(REDUCE, 347);
   _actionMap[614][WHEN] = ActionEntry(REDUCE, 348);
   _actionMap[614][ELSE] = ActionEntry(REDUCE, 348);
   _actionMap[614][LEFT] = ActionEntry(REDUCE, 348);
   _actionMap[614][RIGHT] = ActionEntry(REDUCE, 348);
   _actionMap[614][INNER] = ActionEntry(REDUCE, 348);
   _actionMap[614][JOIN] = ActionEntry(REDUCE, 348);
   _actionMap[614][RETURNTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[614][ORDER] = ActionEntry(REDUCE, 348);
   _actionMap[614][GROUP] = ActionEntry(REDUCE, 348);
   _actionMap[614][WHERE] = ActionEntry(REDUCE, 348);
   _actionMap[614][FROM] = ActionEntry(REDUCE, 348);
   _actionMap[614][AS] = ActionEntry(REDUCE, 348);
   _actionMap[614][END_TOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[614][BEGIN] = ActionEntry(REDUCE, 348);
   _actionMap[614][THEN] = ActionEntry(REDUCE, 348);
   _actionMap[614][OR] = ActionEntry(REDUCE, 348);
   _actionMap[614][AND] = ActionEntry(REDUCE, 348);
   _actionMap[614][INTOK] = ActionEntry(REDUCE, 348);
   _actionMap[614][NOT] = ActionEntry(REDUCE, 348);
   _actionMap[614][BETWEEN] = ActionEntry(REDUCE, 348);
   _actionMap[614][IS] = ActionEntry(REDUCE, 348);
   _actionMap[614][LIKE] = ActionEntry(REDUCE, 348);
   _actionMap[614][MT] = ActionEntry(REDUCE, 348);
   _actionMap[614][LT] = ActionEntry(REDUCE, 348);
   _actionMap[614][NEGATION] = ActionEntry(REDUCE, 348);
   _actionMap[614][EQU] = ActionEntry(REDUCE, 348);
   _actionMap[614][RB] = ActionEntry(REDUCE, 348);
   _actionMap[614][ENDTOKEN] = ActionEntry(REDUCE, 348);
   _actionMap[614][UNION] = ActionEntry(REDUCE, 348);
   _actionMap[614][ROWLIMIT] = ActionEntry(REDUCE, 348);
   _actionMap[614][KSEP] = ActionEntry(REDUCE, 348);
   _actionMap[614][ASC] = ActionEntry(REDUCE, 348);
   _actionMap[614][DESC] = ActionEntry(REDUCE, 348);
   _actionMap[614][SEMICOLON] = ActionEntry(REDUCE, 348);
   _actionMap[614][PLUS] = ActionEntry(REDUCE, 348);
   _actionMap[614][MINUS] = ActionEntry(REDUCE, 348);
   _actionMap[614][DIVISION] = ActionEntry(REDUCE, 348);
   _actionMap[614][STAR] = ActionEntry(REDUCE, 348);
   _actionMap[614][CONCAT] = ActionEntry(REDUCE, 348);
   _actionMap[615][WHEN] = ActionEntry(REDUCE, 349);
   _actionMap[615][ELSE] = ActionEntry(REDUCE, 349);
}
void Cego::loadParser102()
{
   _actionMap[615][LEFT] = ActionEntry(REDUCE, 349);
   _actionMap[615][RIGHT] = ActionEntry(REDUCE, 349);
   _actionMap[615][INNER] = ActionEntry(REDUCE, 349);
   _actionMap[615][JOIN] = ActionEntry(REDUCE, 349);
   _actionMap[615][RETURNTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[615][ORDER] = ActionEntry(REDUCE, 349);
   _actionMap[615][GROUP] = ActionEntry(REDUCE, 349);
   _actionMap[615][WHERE] = ActionEntry(REDUCE, 349);
   _actionMap[615][FROM] = ActionEntry(REDUCE, 349);
   _actionMap[615][AS] = ActionEntry(REDUCE, 349);
   _actionMap[615][END_TOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[615][BEGIN] = ActionEntry(REDUCE, 349);
   _actionMap[615][THEN] = ActionEntry(REDUCE, 349);
   _actionMap[615][OR] = ActionEntry(REDUCE, 349);
   _actionMap[615][AND] = ActionEntry(REDUCE, 349);
   _actionMap[615][INTOK] = ActionEntry(REDUCE, 349);
   _actionMap[615][NOT] = ActionEntry(REDUCE, 349);
   _actionMap[615][BETWEEN] = ActionEntry(REDUCE, 349);
   _actionMap[615][IS] = ActionEntry(REDUCE, 349);
   _actionMap[615][LIKE] = ActionEntry(REDUCE, 349);
   _actionMap[615][MT] = ActionEntry(REDUCE, 349);
   _actionMap[615][LT] = ActionEntry(REDUCE, 349);
   _actionMap[615][NEGATION] = ActionEntry(REDUCE, 349);
   _actionMap[615][EQU] = ActionEntry(REDUCE, 349);
   _actionMap[615][RB] = ActionEntry(REDUCE, 349);
   _actionMap[615][ENDTOKEN] = ActionEntry(REDUCE, 349);
   _actionMap[615][UNION] = ActionEntry(REDUCE, 349);
   _actionMap[615][ROWLIMIT] = ActionEntry(REDUCE, 349);
   _actionMap[615][KSEP] = ActionEntry(REDUCE, 349);
   _actionMap[615][ASC] = ActionEntry(REDUCE, 349);
   _actionMap[615][DESC] = ActionEntry(REDUCE, 349);
   _actionMap[615][SEMICOLON] = ActionEntry(REDUCE, 349);
   _actionMap[615][PLUS] = ActionEntry(REDUCE, 349);
   _actionMap[615][MINUS] = ActionEntry(REDUCE, 349);
   _actionMap[615][DIVISION] = ActionEntry(REDUCE, 349);
   _actionMap[615][STAR] = ActionEntry(REDUCE, 349);
   _actionMap[615][CONCAT] = ActionEntry(REDUCE, 349);
   _actionMap[616][WHEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][ELSE] = ActionEntry(REDUCE, 425);
   _actionMap[616][LEFT] = ActionEntry(REDUCE, 425);
   _actionMap[616][RIGHT] = ActionEntry(REDUCE, 425);
   _actionMap[616][INNER] = ActionEntry(REDUCE, 425);
   _actionMap[616][JOIN] = ActionEntry(REDUCE, 425);
   _actionMap[616][RETURNTOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][ORDER] = ActionEntry(REDUCE, 425);
   _actionMap[616][GROUP] = ActionEntry(REDUCE, 425);
   _actionMap[616][WHERE] = ActionEntry(REDUCE, 425);
   _actionMap[616][NULLTOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][FROM] = ActionEntry(REDUCE, 425);
   _actionMap[616][AS] = ActionEntry(REDUCE, 425);
}
void Cego::loadParser103()
{
   _actionMap[616][END_TOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][BEGIN] = ActionEntry(REDUCE, 425);
   _actionMap[616][THEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][OR] = ActionEntry(REDUCE, 425);
   _actionMap[616][AND] = ActionEntry(REDUCE, 425);
   _actionMap[616][INTOK] = ActionEntry(REDUCE, 425);
   _actionMap[616][NOT] = ActionEntry(REDUCE, 425);
   _actionMap[616][BETWEEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][IS] = ActionEntry(REDUCE, 425);
   _actionMap[616][LIKE] = ActionEntry(REDUCE, 425);
   _actionMap[616][MT] = ActionEntry(REDUCE, 425);
   _actionMap[616][LT] = ActionEntry(REDUCE, 425);
   _actionMap[616][NEGATION] = ActionEntry(REDUCE, 425);
   _actionMap[616][EQU] = ActionEntry(REDUCE, 425);
   _actionMap[616][RB] = ActionEntry(REDUCE, 425);
   _actionMap[616][ENDTOKEN] = ActionEntry(REDUCE, 425);
   _actionMap[616][UNION] = ActionEntry(REDUCE, 425);
   _actionMap[616][ROWLIMIT] = ActionEntry(REDUCE, 425);
   _actionMap[616][KSEP] = ActionEntry(REDUCE, 425);
   _actionMap[616][ASC] = ActionEntry(REDUCE, 425);
   _actionMap[616][DESC] = ActionEntry(REDUCE, 425);
   _actionMap[616][SEMICOLON] = ActionEntry(REDUCE, 425);
   _actionMap[616][PLUS] = ActionEntry(REDUCE, 425);
   _actionMap[616][MINUS] = ActionEntry(REDUCE, 425);
   _actionMap[616][DIVISION] = ActionEntry(REDUCE, 425);
   _actionMap[616][STAR] = ActionEntry(REDUCE, 425);
   _actionMap[616][CONCAT] = ActionEntry(REDUCE, 425);
   _actionMap[617][WHEN] = ActionEntry(REDUCE, 350);
   _actionMap[617][ELSE] = ActionEntry(REDUCE, 350);
   _actionMap[617][LEFT] = ActionEntry(REDUCE, 350);
   _actionMap[617][RIGHT] = ActionEntry(REDUCE, 350);
   _actionMap[617][INNER] = ActionEntry(REDUCE, 350);
   _actionMap[617][JOIN] = ActionEntry(REDUCE, 350);
   _actionMap[617][RETURNTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[617][ORDER] = ActionEntry(REDUCE, 350);
   _actionMap[617][GROUP] = ActionEntry(REDUCE, 350);
   _actionMap[617][WHERE] = ActionEntry(REDUCE, 350);
   _actionMap[617][FROM] = ActionEntry(REDUCE, 350);
   _actionMap[617][AS] = ActionEntry(REDUCE, 350);
   _actionMap[617][END_TOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[617][BEGIN] = ActionEntry(REDUCE, 350);
   _actionMap[617][THEN] = ActionEntry(REDUCE, 350);
   _actionMap[617][OR] = ActionEntry(REDUCE, 350);
   _actionMap[617][AND] = ActionEntry(REDUCE, 350);
   _actionMap[617][INTOK] = ActionEntry(REDUCE, 350);
   _actionMap[617][NOT] = ActionEntry(REDUCE, 350);
   _actionMap[617][BETWEEN] = ActionEntry(REDUCE, 350);
   _actionMap[617][IS] = ActionEntry(REDUCE, 350);
   _actionMap[617][LIKE] = ActionEntry(REDUCE, 350);
   _actionMap[617][MT] = ActionEntry(REDUCE, 350);
}
void Cego::loadParser104()
{
   _actionMap[617][LT] = ActionEntry(REDUCE, 350);
   _actionMap[617][NEGATION] = ActionEntry(REDUCE, 350);
   _actionMap[617][EQU] = ActionEntry(REDUCE, 350);
   _actionMap[617][RB] = ActionEntry(REDUCE, 350);
   _actionMap[617][ENDTOKEN] = ActionEntry(REDUCE, 350);
   _actionMap[617][UNION] = ActionEntry(REDUCE, 350);
   _actionMap[617][ROWLIMIT] = ActionEntry(REDUCE, 350);
   _actionMap[617][KSEP] = ActionEntry(REDUCE, 350);
   _actionMap[617][ASC] = ActionEntry(REDUCE, 350);
   _actionMap[617][DESC] = ActionEntry(REDUCE, 350);
   _actionMap[617][SEMICOLON] = ActionEntry(REDUCE, 350);
   _actionMap[617][PLUS] = ActionEntry(REDUCE, 350);
   _actionMap[617][MINUS] = ActionEntry(REDUCE, 350);
   _actionMap[617][DIVISION] = ActionEntry(REDUCE, 350);
   _actionMap[617][STAR] = ActionEntry(REDUCE, 350);
   _actionMap[617][CONCAT] = ActionEntry(REDUCE, 350);
   _actionMap[618][WHEN] = ActionEntry(REDUCE, 351);
   _actionMap[618][ELSE] = ActionEntry(REDUCE, 351);
   _actionMap[618][LEFT] = ActionEntry(REDUCE, 351);
   _actionMap[618][RIGHT] = ActionEntry(REDUCE, 351);
   _actionMap[618][INNER] = ActionEntry(REDUCE, 351);
   _actionMap[618][JOIN] = ActionEntry(REDUCE, 351);
   _actionMap[618][RETURNTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[618][ORDER] = ActionEntry(REDUCE, 351);
   _actionMap[618][GROUP] = ActionEntry(REDUCE, 351);
   _actionMap[618][WHERE] = ActionEntry(REDUCE, 351);
   _actionMap[618][FROM] = ActionEntry(REDUCE, 351);
   _actionMap[618][AS] = ActionEntry(REDUCE, 351);
   _actionMap[618][END_TOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[618][BEGIN] = ActionEntry(REDUCE, 351);
   _actionMap[618][THEN] = ActionEntry(REDUCE, 351);
   _actionMap[618][OR] = ActionEntry(REDUCE, 351);
   _actionMap[618][AND] = ActionEntry(REDUCE, 351);
   _actionMap[618][INTOK] = ActionEntry(REDUCE, 351);
   _actionMap[618][NOT] = ActionEntry(REDUCE, 351);
   _actionMap[618][BETWEEN] = ActionEntry(REDUCE, 351);
   _actionMap[618][IS] = ActionEntry(REDUCE, 351);
   _actionMap[618][LIKE] = ActionEntry(REDUCE, 351);
   _actionMap[618][MT] = ActionEntry(REDUCE, 351);
   _actionMap[618][LT] = ActionEntry(REDUCE, 351);
   _actionMap[618][NEGATION] = ActionEntry(REDUCE, 351);
   _actionMap[618][EQU] = ActionEntry(REDUCE, 351);
   _actionMap[618][RB] = ActionEntry(REDUCE, 351);
   _actionMap[618][ENDTOKEN] = ActionEntry(REDUCE, 351);
   _actionMap[618][UNION] = ActionEntry(REDUCE, 351);
   _actionMap[618][ROWLIMIT] = ActionEntry(REDUCE, 351);
   _actionMap[618][KSEP] = ActionEntry(REDUCE, 351);
   _actionMap[618][ASC] = ActionEntry(REDUCE, 351);
   _actionMap[618][DESC] = ActionEntry(REDUCE, 351);
   _actionMap[618][SEMICOLON] = ActionEntry(REDUCE, 351);
}
void Cego::loadParser105()
{
   _actionMap[618][PLUS] = ActionEntry(REDUCE, 351);
   _actionMap[618][MINUS] = ActionEntry(REDUCE, 351);
   _actionMap[618][DIVISION] = ActionEntry(REDUCE, 351);
   _actionMap[618][STAR] = ActionEntry(REDUCE, 351);
   _actionMap[618][CONCAT] = ActionEntry(REDUCE, 351);
   _actionMap[619][WHEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][ELSE] = ActionEntry(REDUCE, 426);
   _actionMap[619][LEFT] = ActionEntry(REDUCE, 426);
   _actionMap[619][RIGHT] = ActionEntry(REDUCE, 426);
   _actionMap[619][INNER] = ActionEntry(REDUCE, 426);
   _actionMap[619][JOIN] = ActionEntry(REDUCE, 426);
   _actionMap[619][RETURNTOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][ORDER] = ActionEntry(REDUCE, 426);
   _actionMap[619][GROUP] = ActionEntry(REDUCE, 426);
   _actionMap[619][WHERE] = ActionEntry(REDUCE, 426);
   _actionMap[619][NULLTOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][FROM] = ActionEntry(REDUCE, 426);
   _actionMap[619][AS] = ActionEntry(REDUCE, 426);
   _actionMap[619][END_TOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][BEGIN] = ActionEntry(REDUCE, 426);
   _actionMap[619][THEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][OR] = ActionEntry(REDUCE, 426);
   _actionMap[619][AND] = ActionEntry(REDUCE, 426);
   _actionMap[619][INTOK] = ActionEntry(REDUCE, 426);
   _actionMap[619][NOT] = ActionEntry(REDUCE, 426);
   _actionMap[619][BETWEEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][IS] = ActionEntry(REDUCE, 426);
   _actionMap[619][LIKE] = ActionEntry(REDUCE, 426);
   _actionMap[619][MT] = ActionEntry(REDUCE, 426);
   _actionMap[619][LT] = ActionEntry(REDUCE, 426);
   _actionMap[619][NEGATION] = ActionEntry(REDUCE, 426);
   _actionMap[619][EQU] = ActionEntry(REDUCE, 426);
   _actionMap[619][RB] = ActionEntry(REDUCE, 426);
   _actionMap[619][ENDTOKEN] = ActionEntry(REDUCE, 426);
   _actionMap[619][UNION] = ActionEntry(REDUCE, 426);
   _actionMap[619][ROWLIMIT] = ActionEntry(REDUCE, 426);
   _actionMap[619][KSEP] = ActionEntry(REDUCE, 426);
   _actionMap[619][ASC] = ActionEntry(REDUCE, 426);
   _actionMap[619][DESC] = ActionEntry(REDUCE, 426);
   _actionMap[619][SEMICOLON] = ActionEntry(REDUCE, 426);
   _actionMap[619][PLUS] = ActionEntry(REDUCE, 426);
   _actionMap[619][MINUS] = ActionEntry(REDUCE, 426);
   _actionMap[619][DIVISION] = ActionEntry(REDUCE, 426);
   _actionMap[619][STAR] = ActionEntry(REDUCE, 426);
   _actionMap[619][CONCAT] = ActionEntry(REDUCE, 426);
   _actionMap[620][WHEN] = ActionEntry(REDUCE, 352);
   _actionMap[620][ELSE] = ActionEntry(REDUCE, 352);
   _actionMap[620][LEFT] = ActionEntry(REDUCE, 352);
   _actionMap[620][RIGHT] = ActionEntry(REDUCE, 352);
   _actionMap[620][INNER] = ActionEntry(REDUCE, 352);
}
void Cego::loadParser106()
{
   _actionMap[620][JOIN] = ActionEntry(REDUCE, 352);
   _actionMap[620][RETURNTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[620][ORDER] = ActionEntry(REDUCE, 352);
   _actionMap[620][GROUP] = ActionEntry(REDUCE, 352);
   _actionMap[620][WHERE] = ActionEntry(REDUCE, 352);
   _actionMap[620][FROM] = ActionEntry(REDUCE, 352);
   _actionMap[620][AS] = ActionEntry(REDUCE, 352);
   _actionMap[620][END_TOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[620][BEGIN] = ActionEntry(REDUCE, 352);
   _actionMap[620][THEN] = ActionEntry(REDUCE, 352);
   _actionMap[620][OR] = ActionEntry(REDUCE, 352);
   _actionMap[620][AND] = ActionEntry(REDUCE, 352);
   _actionMap[620][INTOK] = ActionEntry(REDUCE, 352);
   _actionMap[620][NOT] = ActionEntry(REDUCE, 352);
   _actionMap[620][BETWEEN] = ActionEntry(REDUCE, 352);
   _actionMap[620][IS] = ActionEntry(REDUCE, 352);
   _actionMap[620][LIKE] = ActionEntry(REDUCE, 352);
   _actionMap[620][MT] = ActionEntry(REDUCE, 352);
   _actionMap[620][LT] = ActionEntry(REDUCE, 352);
   _actionMap[620][NEGATION] = ActionEntry(REDUCE, 352);
   _actionMap[620][EQU] = ActionEntry(REDUCE, 352);
   _actionMap[620][RB] = ActionEntry(REDUCE, 352);
   _actionMap[620][ENDTOKEN] = ActionEntry(REDUCE, 352);
   _actionMap[620][UNION] = ActionEntry(REDUCE, 352);
   _actionMap[620][ROWLIMIT] = ActionEntry(REDUCE, 352);
   _actionMap[620][KSEP] = ActionEntry(REDUCE, 352);
   _actionMap[620][ASC] = ActionEntry(REDUCE, 352);
   _actionMap[620][DESC] = ActionEntry(REDUCE, 352);
   _actionMap[620][SEMICOLON] = ActionEntry(REDUCE, 352);
   _actionMap[620][PLUS] = ActionEntry(REDUCE, 352);
   _actionMap[620][MINUS] = ActionEntry(REDUCE, 352);
   _actionMap[620][DIVISION] = ActionEntry(REDUCE, 352);
   _actionMap[620][STAR] = ActionEntry(REDUCE, 352);
   _actionMap[620][CONCAT] = ActionEntry(REDUCE, 352);
   _actionMap[621][WHEN] = ActionEntry(REDUCE, 353);
   _actionMap[621][ELSE] = ActionEntry(REDUCE, 353);
   _actionMap[621][LEFT] = ActionEntry(REDUCE, 353);
   _actionMap[621][RIGHT] = ActionEntry(REDUCE, 353);
   _actionMap[621][INNER] = ActionEntry(REDUCE, 353);
   _actionMap[621][JOIN] = ActionEntry(REDUCE, 353);
   _actionMap[621][RETURNTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[621][ORDER] = ActionEntry(REDUCE, 353);
   _actionMap[621][GROUP] = ActionEntry(REDUCE, 353);
   _actionMap[621][WHERE] = ActionEntry(REDUCE, 353);
   _actionMap[621][FROM] = ActionEntry(REDUCE, 353);
   _actionMap[621][AS] = ActionEntry(REDUCE, 353);
   _actionMap[621][END_TOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[621][BEGIN] = ActionEntry(REDUCE, 353);
   _actionMap[621][THEN] = ActionEntry(REDUCE, 353);
   _actionMap[621][OR] = ActionEntry(REDUCE, 353);
}
void Cego::loadParser107()
{
   _actionMap[621][AND] = ActionEntry(REDUCE, 353);
   _actionMap[621][INTOK] = ActionEntry(REDUCE, 353);
   _actionMap[621][NOT] = ActionEntry(REDUCE, 353);
   _actionMap[621][BETWEEN] = ActionEntry(REDUCE, 353);
   _actionMap[621][IS] = ActionEntry(REDUCE, 353);
   _actionMap[621][LIKE] = ActionEntry(REDUCE, 353);
   _actionMap[621][MT] = ActionEntry(REDUCE, 353);
   _actionMap[621][LT] = ActionEntry(REDUCE, 353);
   _actionMap[621][NEGATION] = ActionEntry(REDUCE, 353);
   _actionMap[621][EQU] = ActionEntry(REDUCE, 353);
   _actionMap[621][RB] = ActionEntry(REDUCE, 353);
   _actionMap[621][ENDTOKEN] = ActionEntry(REDUCE, 353);
   _actionMap[621][UNION] = ActionEntry(REDUCE, 353);
   _actionMap[621][ROWLIMIT] = ActionEntry(REDUCE, 353);
   _actionMap[621][KSEP] = ActionEntry(REDUCE, 353);
   _actionMap[621][ASC] = ActionEntry(REDUCE, 353);
   _actionMap[621][DESC] = ActionEntry(REDUCE, 353);
   _actionMap[621][SEMICOLON] = ActionEntry(REDUCE, 353);
   _actionMap[621][PLUS] = ActionEntry(REDUCE, 353);
   _actionMap[621][MINUS] = ActionEntry(REDUCE, 353);
   _actionMap[621][DIVISION] = ActionEntry(REDUCE, 353);
   _actionMap[621][STAR] = ActionEntry(REDUCE, 353);
   _actionMap[621][CONCAT] = ActionEntry(REDUCE, 353);
   _actionMap[622][WHEN] = ActionEntry(REDUCE, 354);
   _actionMap[622][ELSE] = ActionEntry(REDUCE, 354);
   _actionMap[622][LEFT] = ActionEntry(REDUCE, 354);
   _actionMap[622][RIGHT] = ActionEntry(REDUCE, 354);
   _actionMap[622][INNER] = ActionEntry(REDUCE, 354);
   _actionMap[622][JOIN] = ActionEntry(REDUCE, 354);
   _actionMap[622][RETURNTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[622][ORDER] = ActionEntry(REDUCE, 354);
   _actionMap[622][GROUP] = ActionEntry(REDUCE, 354);
   _actionMap[622][WHERE] = ActionEntry(REDUCE, 354);
   _actionMap[622][FROM] = ActionEntry(REDUCE, 354);
   _actionMap[622][AS] = ActionEntry(REDUCE, 354);
   _actionMap[622][END_TOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[622][BEGIN] = ActionEntry(REDUCE, 354);
   _actionMap[622][THEN] = ActionEntry(REDUCE, 354);
   _actionMap[622][OR] = ActionEntry(REDUCE, 354);
   _actionMap[622][AND] = ActionEntry(REDUCE, 354);
   _actionMap[622][INTOK] = ActionEntry(REDUCE, 354);
   _actionMap[622][NOT] = ActionEntry(REDUCE, 354);
   _actionMap[622][BETWEEN] = ActionEntry(REDUCE, 354);
   _actionMap[622][IS] = ActionEntry(REDUCE, 354);
   _actionMap[622][LIKE] = ActionEntry(REDUCE, 354);
   _actionMap[622][MT] = ActionEntry(REDUCE, 354);
   _actionMap[622][LT] = ActionEntry(REDUCE, 354);
   _actionMap[622][NEGATION] = ActionEntry(REDUCE, 354);
   _actionMap[622][EQU] = ActionEntry(REDUCE, 354);
   _actionMap[622][RB] = ActionEntry(REDUCE, 354);
}
void Cego::loadParser108()
{
   _actionMap[622][ENDTOKEN] = ActionEntry(REDUCE, 354);
   _actionMap[622][UNION] = ActionEntry(REDUCE, 354);
   _actionMap[622][ROWLIMIT] = ActionEntry(REDUCE, 354);
   _actionMap[622][KSEP] = ActionEntry(REDUCE, 354);
   _actionMap[622][ASC] = ActionEntry(REDUCE, 354);
   _actionMap[622][DESC] = ActionEntry(REDUCE, 354);
   _actionMap[622][SEMICOLON] = ActionEntry(REDUCE, 354);
   _actionMap[622][PLUS] = ActionEntry(REDUCE, 354);
   _actionMap[622][MINUS] = ActionEntry(REDUCE, 354);
   _actionMap[622][DIVISION] = ActionEntry(REDUCE, 354);
   _actionMap[622][STAR] = ActionEntry(REDUCE, 354);
   _actionMap[622][CONCAT] = ActionEntry(REDUCE, 354);
   _actionMap[623][WHEN] = ActionEntry(REDUCE, 188);
   _actionMap[623][ELSE] = ActionEntry(REDUCE, 188);
   _actionMap[623][LEFT] = ActionEntry(REDUCE, 188);
   _actionMap[623][RIGHT] = ActionEntry(REDUCE, 188);
   _actionMap[623][INNER] = ActionEntry(REDUCE, 188);
   _actionMap[623][JOIN] = ActionEntry(REDUCE, 188);
   _actionMap[623][RETURNTOKEN] = ActionEntry(REDUCE, 188);
   _actionMap[623][ORDER] = ActionEntry(REDUCE, 188);
   _actionMap[623][GROUP] = ActionEntry(REDUCE, 188);
   _actionMap[623][WHERE] = ActionEntry(REDUCE, 188);
   _actionMap[623][AS] = ActionEntry(REDUCE, 188);
   _actionMap[623][FROM] = ActionEntry(REDUCE, 188);
   _actionMap[623][END_TOKEN] = ActionEntry(REDUCE, 188);
   _actionMap[623][BEGIN] = ActionEntry(REDUCE, 188);
   _actionMap[623][THEN] = ActionEntry(REDUCE, 188);
   _actionMap[623][OR] = ActionEntry(REDUCE, 188);
   _actionMap[623][AND] = ActionEntry(REDUCE, 188);
   _actionMap[623][LIKE] = ActionEntry(REDUCE, 188);
   _actionMap[623][IS] = ActionEntry(REDUCE, 188);
   _actionMap[623][BETWEEN] = ActionEntry(REDUCE, 188);
   _actionMap[623][NOT] = ActionEntry(REDUCE, 188);
   _actionMap[623][INTOK] = ActionEntry(REDUCE, 188);
   _actionMap[623][EQU] = ActionEntry(REDUCE, 188);
   _actionMap[623][NEGATION] = ActionEntry(REDUCE, 188);
   _actionMap[623][LT] = ActionEntry(REDUCE, 188);
   _actionMap[623][MT] = ActionEntry(REDUCE, 188);
   _actionMap[623][DESC] = ActionEntry(REDUCE, 188);
   _actionMap[623][ASC] = ActionEntry(REDUCE, 188);
   _actionMap[623][KSEP] = ActionEntry(REDUCE, 188);
   _actionMap[623][ROWLIMIT] = ActionEntry(REDUCE, 188);
   _actionMap[623][UNION] = ActionEntry(REDUCE, 188);
   _actionMap[623][ENDTOKEN] = ActionEntry(REDUCE, 188);
   _actionMap[623][RB] = ActionEntry(REDUCE, 188);
   _actionMap[623][SEMICOLON] = ActionEntry(REDUCE, 188);
   _actionMap[623][CONCAT] = ActionEntry(REDUCE, 188);
   _actionMap[623][STAR] = ActionEntry(REDUCE, 188);
   _actionMap[623][DIVISION] = ActionEntry(REDUCE, 188);
   _actionMap[623][MINUS] = ActionEntry(REDUCE, 188);
}
void Cego::loadParser109()
{
   _actionMap[623][PLUS] = ActionEntry(REDUCE, 188);
   _actionMap[624][WHEN] = ActionEntry(REDUCE, 185);
   _actionMap[624][ELSE] = ActionEntry(REDUCE, 185);
   _actionMap[624][LEFT] = ActionEntry(REDUCE, 185);
   _actionMap[624][RIGHT] = ActionEntry(REDUCE, 185);
   _actionMap[624][INNER] = ActionEntry(REDUCE, 185);
   _actionMap[624][JOIN] = ActionEntry(REDUCE, 185);
   _actionMap[624][RETURNTOKEN] = ActionEntry(REDUCE, 185);
   _actionMap[624][ORDER] = ActionEntry(REDUCE, 185);
   _actionMap[624][GROUP] = ActionEntry(REDUCE, 185);
   _actionMap[624][WHERE] = ActionEntry(REDUCE, 185);
   _actionMap[624][AS] = ActionEntry(REDUCE, 185);
   _actionMap[624][FROM] = ActionEntry(REDUCE, 185);
   _actionMap[624][END_TOKEN] = ActionEntry(REDUCE, 185);
   _actionMap[624][BEGIN] = ActionEntry(REDUCE, 185);
   _actionMap[624][THEN] = ActionEntry(REDUCE, 185);
   _actionMap[624][OR] = ActionEntry(REDUCE, 185);
   _actionMap[624][AND] = ActionEntry(REDUCE, 185);
   _actionMap[624][LIKE] = ActionEntry(REDUCE, 185);
   _actionMap[624][IS] = ActionEntry(REDUCE, 185);
   _actionMap[624][BETWEEN] = ActionEntry(REDUCE, 185);
   _actionMap[624][NOT] = ActionEntry(REDUCE, 185);
   _actionMap[624][INTOK] = ActionEntry(REDUCE, 185);
   _actionMap[624][EQU] = ActionEntry(REDUCE, 185);
   _actionMap[624][NEGATION] = ActionEntry(REDUCE, 185);
   _actionMap[624][LT] = ActionEntry(REDUCE, 185);
   _actionMap[624][MT] = ActionEntry(REDUCE, 185);
   _actionMap[624][DESC] = ActionEntry(REDUCE, 185);
   _actionMap[624][ASC] = ActionEntry(REDUCE, 185);
   _actionMap[624][KSEP] = ActionEntry(REDUCE, 185);
   _actionMap[624][ROWLIMIT] = ActionEntry(REDUCE, 185);
   _actionMap[624][UNION] = ActionEntry(REDUCE, 185);
   _actionMap[624][ENDTOKEN] = ActionEntry(REDUCE, 185);
   _actionMap[624][RB] = ActionEntry(REDUCE, 185);
   _actionMap[624][SEMICOLON] = ActionEntry(REDUCE, 185);
   _actionMap[624][CONCAT] = ActionEntry(REDUCE, 185);
   _actionMap[624][STAR] = ActionEntry(REDUCE, 185);
   _actionMap[624][DIVISION] = ActionEntry(REDUCE, 185);
   _actionMap[624][MINUS] = ActionEntry(REDUCE, 185);
   _actionMap[624][PLUS] = ActionEntry(REDUCE, 185);
   _actionMap[625][STRINGVAL] = ActionEntry(SHIFT, 780);
   _jumpMap[625][DateValue] = 779;
   _actionMap[626][WHEN] = ActionEntry(REDUCE, 324);
   _actionMap[626][ELSE] = ActionEntry(REDUCE, 324);
   _actionMap[626][LEFT] = ActionEntry(REDUCE, 324);
   _actionMap[626][RIGHT] = ActionEntry(REDUCE, 324);
   _actionMap[626][INNER] = ActionEntry(REDUCE, 324);
   _actionMap[626][JOIN] = ActionEntry(REDUCE, 324);
   _actionMap[626][RETURNTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[626][ORDER] = ActionEntry(REDUCE, 324);
}
void Cego::loadParser110()
{
   _actionMap[626][GROUP] = ActionEntry(REDUCE, 324);
   _actionMap[626][WHERE] = ActionEntry(REDUCE, 324);
   _actionMap[626][FROM] = ActionEntry(REDUCE, 324);
   _actionMap[626][AS] = ActionEntry(REDUCE, 324);
   _actionMap[626][END_TOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[626][BEGIN] = ActionEntry(REDUCE, 324);
   _actionMap[626][THEN] = ActionEntry(REDUCE, 324);
   _actionMap[626][OR] = ActionEntry(REDUCE, 324);
   _actionMap[626][AND] = ActionEntry(REDUCE, 324);
   _actionMap[626][INTOK] = ActionEntry(REDUCE, 324);
   _actionMap[626][NOT] = ActionEntry(REDUCE, 324);
   _actionMap[626][BETWEEN] = ActionEntry(REDUCE, 324);
   _actionMap[626][IS] = ActionEntry(REDUCE, 324);
   _actionMap[626][LIKE] = ActionEntry(REDUCE, 324);
   _actionMap[626][MT] = ActionEntry(REDUCE, 324);
   _actionMap[626][LT] = ActionEntry(REDUCE, 324);
   _actionMap[626][NEGATION] = ActionEntry(REDUCE, 324);
   _actionMap[626][EQU] = ActionEntry(REDUCE, 324);
   _actionMap[626][RB] = ActionEntry(REDUCE, 324);
   _actionMap[626][ENDTOKEN] = ActionEntry(REDUCE, 324);
   _actionMap[626][UNION] = ActionEntry(REDUCE, 324);
   _actionMap[626][ROWLIMIT] = ActionEntry(REDUCE, 324);
   _actionMap[626][KSEP] = ActionEntry(REDUCE, 324);
   _actionMap[626][ASC] = ActionEntry(REDUCE, 324);
   _actionMap[626][DESC] = ActionEntry(REDUCE, 324);
   _actionMap[626][SEMICOLON] = ActionEntry(REDUCE, 324);
   _actionMap[626][PLUS] = ActionEntry(REDUCE, 324);
   _actionMap[626][MINUS] = ActionEntry(REDUCE, 324);
   _actionMap[626][DIVISION] = ActionEntry(REDUCE, 324);
   _actionMap[626][STAR] = ActionEntry(REDUCE, 324);
   _actionMap[626][CONCAT] = ActionEntry(REDUCE, 324);
   _actionMap[627][WHEN] = ActionEntry(REDUCE, 325);
   _actionMap[627][ELSE] = ActionEntry(REDUCE, 325);
   _actionMap[627][LEFT] = ActionEntry(REDUCE, 325);
   _actionMap[627][RIGHT] = ActionEntry(REDUCE, 325);
   _actionMap[627][INNER] = ActionEntry(REDUCE, 325);
   _actionMap[627][JOIN] = ActionEntry(REDUCE, 325);
   _actionMap[627][RETURNTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[627][ORDER] = ActionEntry(REDUCE, 325);
   _actionMap[627][GROUP] = ActionEntry(REDUCE, 325);
   _actionMap[627][WHERE] = ActionEntry(REDUCE, 325);
   _actionMap[627][FROM] = ActionEntry(REDUCE, 325);
   _actionMap[627][AS] = ActionEntry(REDUCE, 325);
   _actionMap[627][END_TOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[627][BEGIN] = ActionEntry(REDUCE, 325);
   _actionMap[627][THEN] = ActionEntry(REDUCE, 325);
   _actionMap[627][OR] = ActionEntry(REDUCE, 325);
   _actionMap[627][AND] = ActionEntry(REDUCE, 325);
   _actionMap[627][INTOK] = ActionEntry(REDUCE, 325);
   _actionMap[627][NOT] = ActionEntry(REDUCE, 325);
}
void Cego::loadParser111()
{
   _actionMap[627][BETWEEN] = ActionEntry(REDUCE, 325);
   _actionMap[627][IS] = ActionEntry(REDUCE, 325);
   _actionMap[627][LIKE] = ActionEntry(REDUCE, 325);
   _actionMap[627][MT] = ActionEntry(REDUCE, 325);
   _actionMap[627][LT] = ActionEntry(REDUCE, 325);
   _actionMap[627][NEGATION] = ActionEntry(REDUCE, 325);
   _actionMap[627][EQU] = ActionEntry(REDUCE, 325);
   _actionMap[627][RB] = ActionEntry(REDUCE, 325);
   _actionMap[627][ENDTOKEN] = ActionEntry(REDUCE, 325);
   _actionMap[627][UNION] = ActionEntry(REDUCE, 325);
   _actionMap[627][ROWLIMIT] = ActionEntry(REDUCE, 325);
   _actionMap[627][KSEP] = ActionEntry(REDUCE, 325);
   _actionMap[627][ASC] = ActionEntry(REDUCE, 325);
   _actionMap[627][DESC] = ActionEntry(REDUCE, 325);
   _actionMap[627][SEMICOLON] = ActionEntry(REDUCE, 325);
   _actionMap[627][PLUS] = ActionEntry(REDUCE, 325);
   _actionMap[627][MINUS] = ActionEntry(REDUCE, 325);
   _actionMap[627][DIVISION] = ActionEntry(REDUCE, 325);
   _actionMap[627][STAR] = ActionEntry(REDUCE, 325);
   _actionMap[627][CONCAT] = ActionEntry(REDUCE, 325);
   _actionMap[628][WHEN] = ActionEntry(REDUCE, 343);
   _actionMap[628][ELSE] = ActionEntry(REDUCE, 343);
   _actionMap[628][LEFT] = ActionEntry(REDUCE, 343);
   _actionMap[628][RIGHT] = ActionEntry(REDUCE, 343);
   _actionMap[628][INNER] = ActionEntry(REDUCE, 343);
   _actionMap[628][JOIN] = ActionEntry(REDUCE, 343);
   _actionMap[628][RETURNTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[628][ORDER] = ActionEntry(REDUCE, 343);
   _actionMap[628][GROUP] = ActionEntry(REDUCE, 343);
   _actionMap[628][WHERE] = ActionEntry(REDUCE, 343);
   _actionMap[628][FROM] = ActionEntry(REDUCE, 343);
   _actionMap[628][AS] = ActionEntry(REDUCE, 343);
   _actionMap[628][END_TOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[628][BEGIN] = ActionEntry(REDUCE, 343);
   _actionMap[628][THEN] = ActionEntry(REDUCE, 343);
   _actionMap[628][OR] = ActionEntry(REDUCE, 343);
   _actionMap[628][AND] = ActionEntry(REDUCE, 343);
   _actionMap[628][INTOK] = ActionEntry(REDUCE, 343);
   _actionMap[628][NOT] = ActionEntry(REDUCE, 343);
   _actionMap[628][BETWEEN] = ActionEntry(REDUCE, 343);
   _actionMap[628][IS] = ActionEntry(REDUCE, 343);
   _actionMap[628][LIKE] = ActionEntry(REDUCE, 343);
   _actionMap[628][MT] = ActionEntry(REDUCE, 343);
   _actionMap[628][LT] = ActionEntry(REDUCE, 343);
   _actionMap[628][NEGATION] = ActionEntry(REDUCE, 343);
   _actionMap[628][EQU] = ActionEntry(REDUCE, 343);
   _actionMap[628][RB] = ActionEntry(REDUCE, 343);
   _actionMap[628][ENDTOKEN] = ActionEntry(REDUCE, 343);
   _actionMap[628][UNION] = ActionEntry(REDUCE, 343);
   _actionMap[628][ROWLIMIT] = ActionEntry(REDUCE, 343);
}
void Cego::loadParser112()
{
   _actionMap[628][KSEP] = ActionEntry(REDUCE, 343);
   _actionMap[628][ASC] = ActionEntry(REDUCE, 343);
   _actionMap[628][DESC] = ActionEntry(REDUCE, 343);
   _actionMap[628][SEMICOLON] = ActionEntry(REDUCE, 343);
   _actionMap[628][PLUS] = ActionEntry(REDUCE, 343);
   _actionMap[628][MINUS] = ActionEntry(REDUCE, 343);
   _actionMap[628][DIVISION] = ActionEntry(REDUCE, 343);
   _actionMap[628][STAR] = ActionEntry(REDUCE, 343);
   _actionMap[628][CONCAT] = ActionEntry(REDUCE, 343);
   _actionMap[629][VARREF] = ActionEntry(SHIFT, 782);
   _jumpMap[629][FetchArgList] = 781;
   _actionMap[630][WHEN] = ActionEntry(REDUCE, 357);
   _actionMap[630][ELSE] = ActionEntry(REDUCE, 357);
   _actionMap[630][LEFT] = ActionEntry(REDUCE, 357);
   _actionMap[630][RIGHT] = ActionEntry(REDUCE, 357);
   _actionMap[630][INNER] = ActionEntry(REDUCE, 357);
   _actionMap[630][JOIN] = ActionEntry(REDUCE, 357);
   _actionMap[630][RETURNTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[630][ORDER] = ActionEntry(REDUCE, 357);
   _actionMap[630][GROUP] = ActionEntry(REDUCE, 357);
   _actionMap[630][WHERE] = ActionEntry(REDUCE, 357);
   _actionMap[630][FROM] = ActionEntry(REDUCE, 357);
   _actionMap[630][AS] = ActionEntry(REDUCE, 357);
   _actionMap[630][END_TOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[630][BEGIN] = ActionEntry(REDUCE, 357);
   _actionMap[630][THEN] = ActionEntry(REDUCE, 357);
   _actionMap[630][OR] = ActionEntry(REDUCE, 357);
   _actionMap[630][AND] = ActionEntry(REDUCE, 357);
   _actionMap[630][INTOK] = ActionEntry(REDUCE, 357);
   _actionMap[630][NOT] = ActionEntry(REDUCE, 357);
   _actionMap[630][BETWEEN] = ActionEntry(REDUCE, 357);
   _actionMap[630][IS] = ActionEntry(REDUCE, 357);
   _actionMap[630][LIKE] = ActionEntry(REDUCE, 357);
   _actionMap[630][MT] = ActionEntry(REDUCE, 357);
   _actionMap[630][LT] = ActionEntry(REDUCE, 357);
   _actionMap[630][NEGATION] = ActionEntry(REDUCE, 357);
   _actionMap[630][EQU] = ActionEntry(REDUCE, 357);
   _actionMap[630][RB] = ActionEntry(REDUCE, 357);
   _actionMap[630][ENDTOKEN] = ActionEntry(REDUCE, 357);
   _actionMap[630][UNION] = ActionEntry(REDUCE, 357);
   _actionMap[630][ROWLIMIT] = ActionEntry(REDUCE, 357);
   _actionMap[630][KSEP] = ActionEntry(REDUCE, 357);
   _actionMap[630][ASC] = ActionEntry(REDUCE, 357);
   _actionMap[630][DESC] = ActionEntry(REDUCE, 357);
   _actionMap[630][SEMICOLON] = ActionEntry(REDUCE, 357);
   _actionMap[630][PLUS] = ActionEntry(REDUCE, 357);
   _actionMap[630][MINUS] = ActionEntry(REDUCE, 357);
   _actionMap[630][DIVISION] = ActionEntry(REDUCE, 357);
   _actionMap[630][STAR] = ActionEntry(REDUCE, 357);
   _actionMap[630][CONCAT] = ActionEntry(REDUCE, 357);
}
void Cego::loadParser113()
{
   _actionMap[631][WHEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][ELSE] = ActionEntry(REDUCE, 332);
   _actionMap[631][LEFT] = ActionEntry(REDUCE, 332);
   _actionMap[631][RIGHT] = ActionEntry(REDUCE, 332);
   _actionMap[631][INNER] = ActionEntry(REDUCE, 332);
   _actionMap[631][JOIN] = ActionEntry(REDUCE, 332);
   _actionMap[631][RETURNTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][ORDER] = ActionEntry(REDUCE, 332);
   _actionMap[631][GROUP] = ActionEntry(REDUCE, 332);
   _actionMap[631][WHERE] = ActionEntry(REDUCE, 332);
   _actionMap[631][FROM] = ActionEntry(REDUCE, 332);
   _actionMap[631][AS] = ActionEntry(REDUCE, 332);
   _actionMap[631][END_TOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][BEGIN] = ActionEntry(REDUCE, 332);
   _actionMap[631][THEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][OR] = ActionEntry(REDUCE, 332);
   _actionMap[631][AND] = ActionEntry(REDUCE, 332);
   _actionMap[631][INTOK] = ActionEntry(REDUCE, 332);
   _actionMap[631][NOT] = ActionEntry(REDUCE, 332);
   _actionMap[631][BETWEEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][IS] = ActionEntry(REDUCE, 332);
   _actionMap[631][LIKE] = ActionEntry(REDUCE, 332);
   _actionMap[631][MT] = ActionEntry(REDUCE, 332);
   _actionMap[631][LT] = ActionEntry(REDUCE, 332);
   _actionMap[631][NEGATION] = ActionEntry(REDUCE, 332);
   _actionMap[631][EQU] = ActionEntry(REDUCE, 332);
   _actionMap[631][RB] = ActionEntry(REDUCE, 332);
   _actionMap[631][ENDTOKEN] = ActionEntry(REDUCE, 332);
   _actionMap[631][UNION] = ActionEntry(REDUCE, 332);
   _actionMap[631][ROWLIMIT] = ActionEntry(REDUCE, 332);
   _actionMap[631][KSEP] = ActionEntry(REDUCE, 332);
   _actionMap[631][ASC] = ActionEntry(REDUCE, 332);
   _actionMap[631][DESC] = ActionEntry(REDUCE, 332);
   _actionMap[631][SEMICOLON] = ActionEntry(REDUCE, 332);
   _actionMap[631][PLUS] = ActionEntry(REDUCE, 332);
   _actionMap[631][MINUS] = ActionEntry(REDUCE, 332);
   _actionMap[631][DIVISION] = ActionEntry(REDUCE, 332);
   _actionMap[631][STAR] = ActionEntry(REDUCE, 332);
   _actionMap[631][CONCAT] = ActionEntry(REDUCE, 332);
   _actionMap[632][WHEN] = ActionEntry(REDUCE, 326);
   _actionMap[632][ELSE] = ActionEntry(REDUCE, 326);
   _actionMap[632][LEFT] = ActionEntry(REDUCE, 326);
   _actionMap[632][RIGHT] = ActionEntry(REDUCE, 326);
   _actionMap[632][INNER] = ActionEntry(REDUCE, 326);
   _actionMap[632][JOIN] = ActionEntry(REDUCE, 326);
   _actionMap[632][RETURNTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[632][ORDER] = ActionEntry(REDUCE, 326);
   _actionMap[632][GROUP] = ActionEntry(REDUCE, 326);
   _actionMap[632][WHERE] = ActionEntry(REDUCE, 326);
   _actionMap[632][FROM] = ActionEntry(REDUCE, 326);
}
void Cego::loadParser114()
{
   _actionMap[632][AS] = ActionEntry(REDUCE, 326);
   _actionMap[632][END_TOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[632][BEGIN] = ActionEntry(REDUCE, 326);
   _actionMap[632][THEN] = ActionEntry(REDUCE, 326);
   _actionMap[632][OR] = ActionEntry(REDUCE, 326);
   _actionMap[632][AND] = ActionEntry(REDUCE, 326);
   _actionMap[632][INTOK] = ActionEntry(REDUCE, 326);
   _actionMap[632][NOT] = ActionEntry(REDUCE, 326);
   _actionMap[632][BETWEEN] = ActionEntry(REDUCE, 326);
   _actionMap[632][IS] = ActionEntry(REDUCE, 326);
   _actionMap[632][LIKE] = ActionEntry(REDUCE, 326);
   _actionMap[632][MT] = ActionEntry(REDUCE, 326);
   _actionMap[632][LT] = ActionEntry(REDUCE, 326);
   _actionMap[632][NEGATION] = ActionEntry(REDUCE, 326);
   _actionMap[632][EQU] = ActionEntry(REDUCE, 326);
   _actionMap[632][RB] = ActionEntry(REDUCE, 326);
   _actionMap[632][ENDTOKEN] = ActionEntry(REDUCE, 326);
   _actionMap[632][UNION] = ActionEntry(REDUCE, 326);
   _actionMap[632][ROWLIMIT] = ActionEntry(REDUCE, 326);
   _actionMap[632][KSEP] = ActionEntry(REDUCE, 326);
   _actionMap[632][ASC] = ActionEntry(REDUCE, 326);
   _actionMap[632][DESC] = ActionEntry(REDUCE, 326);
   _actionMap[632][SEMICOLON] = ActionEntry(REDUCE, 326);
   _actionMap[632][PLUS] = ActionEntry(REDUCE, 326);
   _actionMap[632][MINUS] = ActionEntry(REDUCE, 326);
   _actionMap[632][DIVISION] = ActionEntry(REDUCE, 326);
   _actionMap[632][STAR] = ActionEntry(REDUCE, 326);
   _actionMap[632][CONCAT] = ActionEntry(REDUCE, 326);
   _actionMap[633][WHEN] = ActionEntry(REDUCE, 327);
   _actionMap[633][ELSE] = ActionEntry(REDUCE, 327);
   _actionMap[633][LEFT] = ActionEntry(REDUCE, 327);
   _actionMap[633][RIGHT] = ActionEntry(REDUCE, 327);
   _actionMap[633][INNER] = ActionEntry(REDUCE, 327);
   _actionMap[633][JOIN] = ActionEntry(REDUCE, 327);
   _actionMap[633][RETURNTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[633][ORDER] = ActionEntry(REDUCE, 327);
   _actionMap[633][GROUP] = ActionEntry(REDUCE, 327);
   _actionMap[633][WHERE] = ActionEntry(REDUCE, 327);
   _actionMap[633][FROM] = ActionEntry(REDUCE, 327);
   _actionMap[633][AS] = ActionEntry(REDUCE, 327);
   _actionMap[633][END_TOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[633][BEGIN] = ActionEntry(REDUCE, 327);
   _actionMap[633][THEN] = ActionEntry(REDUCE, 327);
   _actionMap[633][OR] = ActionEntry(REDUCE, 327);
   _actionMap[633][AND] = ActionEntry(REDUCE, 327);
   _actionMap[633][INTOK] = ActionEntry(REDUCE, 327);
   _actionMap[633][NOT] = ActionEntry(REDUCE, 327);
   _actionMap[633][BETWEEN] = ActionEntry(REDUCE, 327);
   _actionMap[633][IS] = ActionEntry(REDUCE, 327);
   _actionMap[633][LIKE] = ActionEntry(REDUCE, 327);
}
void Cego::loadParser115()
{
   _actionMap[633][MT] = ActionEntry(REDUCE, 327);
   _actionMap[633][LT] = ActionEntry(REDUCE, 327);
   _actionMap[633][NEGATION] = ActionEntry(REDUCE, 327);
   _actionMap[633][EQU] = ActionEntry(REDUCE, 327);
   _actionMap[633][RB] = ActionEntry(REDUCE, 327);
   _actionMap[633][ENDTOKEN] = ActionEntry(REDUCE, 327);
   _actionMap[633][UNION] = ActionEntry(REDUCE, 327);
   _actionMap[633][ROWLIMIT] = ActionEntry(REDUCE, 327);
   _actionMap[633][KSEP] = ActionEntry(REDUCE, 327);
   _actionMap[633][ASC] = ActionEntry(REDUCE, 327);
   _actionMap[633][DESC] = ActionEntry(REDUCE, 327);
   _actionMap[633][SEMICOLON] = ActionEntry(REDUCE, 327);
   _actionMap[633][PLUS] = ActionEntry(REDUCE, 327);
   _actionMap[633][MINUS] = ActionEntry(REDUCE, 327);
   _actionMap[633][DIVISION] = ActionEntry(REDUCE, 327);
   _actionMap[633][STAR] = ActionEntry(REDUCE, 327);
   _actionMap[633][CONCAT] = ActionEntry(REDUCE, 327);
   _actionMap[634][WHEN] = ActionEntry(REDUCE, 318);
   _actionMap[634][ELSE] = ActionEntry(REDUCE, 318);
   _actionMap[634][LEFT] = ActionEntry(REDUCE, 318);
   _actionMap[634][RIGHT] = ActionEntry(REDUCE, 318);
   _actionMap[634][INNER] = ActionEntry(REDUCE, 318);
   _actionMap[634][JOIN] = ActionEntry(REDUCE, 318);
   _actionMap[634][RETURNTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[634][ORDER] = ActionEntry(REDUCE, 318);
   _actionMap[634][GROUP] = ActionEntry(REDUCE, 318);
   _actionMap[634][WHERE] = ActionEntry(REDUCE, 318);
   _actionMap[634][FROM] = ActionEntry(REDUCE, 318);
   _actionMap[634][AS] = ActionEntry(REDUCE, 318);
   _actionMap[634][END_TOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[634][BEGIN] = ActionEntry(REDUCE, 318);
   _actionMap[634][THEN] = ActionEntry(REDUCE, 318);
   _actionMap[634][OR] = ActionEntry(REDUCE, 318);
   _actionMap[634][AND] = ActionEntry(REDUCE, 318);
   _actionMap[634][INTOK] = ActionEntry(REDUCE, 318);
   _actionMap[634][NOT] = ActionEntry(REDUCE, 318);
   _actionMap[634][BETWEEN] = ActionEntry(REDUCE, 318);
   _actionMap[634][IS] = ActionEntry(REDUCE, 318);
   _actionMap[634][LIKE] = ActionEntry(REDUCE, 318);
   _actionMap[634][MT] = ActionEntry(REDUCE, 318);
   _actionMap[634][LT] = ActionEntry(REDUCE, 318);
   _actionMap[634][NEGATION] = ActionEntry(REDUCE, 318);
   _actionMap[634][EQU] = ActionEntry(REDUCE, 318);
   _actionMap[634][RB] = ActionEntry(REDUCE, 318);
   _actionMap[634][ENDTOKEN] = ActionEntry(REDUCE, 318);
   _actionMap[634][UNION] = ActionEntry(REDUCE, 318);
   _actionMap[634][ROWLIMIT] = ActionEntry(REDUCE, 318);
   _actionMap[634][KSEP] = ActionEntry(REDUCE, 318);
   _actionMap[634][ASC] = ActionEntry(REDUCE, 318);
   _actionMap[634][DESC] = ActionEntry(REDUCE, 318);
}
void Cego::loadParser116()
{
   _actionMap[634][SEMICOLON] = ActionEntry(REDUCE, 318);
   _actionMap[634][PLUS] = ActionEntry(REDUCE, 318);
   _actionMap[634][MINUS] = ActionEntry(REDUCE, 318);
   _actionMap[634][DIVISION] = ActionEntry(REDUCE, 318);
   _actionMap[634][STAR] = ActionEntry(REDUCE, 318);
   _actionMap[634][CONCAT] = ActionEntry(REDUCE, 318);
   _actionMap[635][WHEN] = ActionEntry(REDUCE, 330);
   _actionMap[635][ELSE] = ActionEntry(REDUCE, 330);
   _actionMap[635][LEFT] = ActionEntry(REDUCE, 330);
   _actionMap[635][RIGHT] = ActionEntry(REDUCE, 330);
   _actionMap[635][INNER] = ActionEntry(REDUCE, 330);
   _actionMap[635][JOIN] = ActionEntry(REDUCE, 330);
   _actionMap[635][RETURNTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[635][ORDER] = ActionEntry(REDUCE, 330);
   _actionMap[635][GROUP] = ActionEntry(REDUCE, 330);
   _actionMap[635][WHERE] = ActionEntry(REDUCE, 330);
   _actionMap[635][FROM] = ActionEntry(REDUCE, 330);
   _actionMap[635][AS] = ActionEntry(REDUCE, 330);
   _actionMap[635][END_TOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[635][BEGIN] = ActionEntry(REDUCE, 330);
   _actionMap[635][THEN] = ActionEntry(REDUCE, 330);
   _actionMap[635][OR] = ActionEntry(REDUCE, 330);
   _actionMap[635][AND] = ActionEntry(REDUCE, 330);
   _actionMap[635][INTOK] = ActionEntry(REDUCE, 330);
   _actionMap[635][NOT] = ActionEntry(REDUCE, 330);
   _actionMap[635][BETWEEN] = ActionEntry(REDUCE, 330);
   _actionMap[635][IS] = ActionEntry(REDUCE, 330);
   _actionMap[635][LIKE] = ActionEntry(REDUCE, 330);
   _actionMap[635][MT] = ActionEntry(REDUCE, 330);
   _actionMap[635][LT] = ActionEntry(REDUCE, 330);
   _actionMap[635][NEGATION] = ActionEntry(REDUCE, 330);
   _actionMap[635][EQU] = ActionEntry(REDUCE, 330);
   _actionMap[635][RB] = ActionEntry(REDUCE, 330);
   _actionMap[635][ENDTOKEN] = ActionEntry(REDUCE, 330);
   _actionMap[635][UNION] = ActionEntry(REDUCE, 330);
   _actionMap[635][ROWLIMIT] = ActionEntry(REDUCE, 330);
   _actionMap[635][KSEP] = ActionEntry(REDUCE, 330);
   _actionMap[635][ASC] = ActionEntry(REDUCE, 330);
   _actionMap[635][DESC] = ActionEntry(REDUCE, 330);
   _actionMap[635][SEMICOLON] = ActionEntry(REDUCE, 330);
   _actionMap[635][PLUS] = ActionEntry(REDUCE, 330);
   _actionMap[635][MINUS] = ActionEntry(REDUCE, 330);
   _actionMap[635][DIVISION] = ActionEntry(REDUCE, 330);
   _actionMap[635][STAR] = ActionEntry(REDUCE, 330);
   _actionMap[635][CONCAT] = ActionEntry(REDUCE, 330);
   _actionMap[636][WHEN] = ActionEntry(REDUCE, 335);
   _actionMap[636][ELSE] = ActionEntry(REDUCE, 335);
   _actionMap[636][LEFT] = ActionEntry(REDUCE, 335);
   _actionMap[636][RIGHT] = ActionEntry(REDUCE, 335);
   _actionMap[636][INNER] = ActionEntry(REDUCE, 335);
}
void Cego::loadParser117()
{
   _actionMap[636][JOIN] = ActionEntry(REDUCE, 335);
   _actionMap[636][RETURNTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[636][ORDER] = ActionEntry(REDUCE, 335);
   _actionMap[636][GROUP] = ActionEntry(REDUCE, 335);
   _actionMap[636][WHERE] = ActionEntry(REDUCE, 335);
   _actionMap[636][FROM] = ActionEntry(REDUCE, 335);
   _actionMap[636][AS] = ActionEntry(REDUCE, 335);
   _actionMap[636][END_TOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[636][BEGIN] = ActionEntry(REDUCE, 335);
   _actionMap[636][THEN] = ActionEntry(REDUCE, 335);
   _actionMap[636][OR] = ActionEntry(REDUCE, 335);
   _actionMap[636][AND] = ActionEntry(REDUCE, 335);
   _actionMap[636][INTOK] = ActionEntry(REDUCE, 335);
   _actionMap[636][NOT] = ActionEntry(REDUCE, 335);
   _actionMap[636][BETWEEN] = ActionEntry(REDUCE, 335);
   _actionMap[636][IS] = ActionEntry(REDUCE, 335);
   _actionMap[636][LIKE] = ActionEntry(REDUCE, 335);
   _actionMap[636][MT] = ActionEntry(REDUCE, 335);
   _actionMap[636][LT] = ActionEntry(REDUCE, 335);
   _actionMap[636][NEGATION] = ActionEntry(REDUCE, 335);
   _actionMap[636][EQU] = ActionEntry(REDUCE, 335);
   _actionMap[636][RB] = ActionEntry(REDUCE, 335);
   _actionMap[636][ENDTOKEN] = ActionEntry(REDUCE, 335);
   _actionMap[636][UNION] = ActionEntry(REDUCE, 335);
   _actionMap[636][ROWLIMIT] = ActionEntry(REDUCE, 335);
   _actionMap[636][KSEP] = ActionEntry(REDUCE, 335);
   _actionMap[636][ASC] = ActionEntry(REDUCE, 335);
   _actionMap[636][DESC] = ActionEntry(REDUCE, 335);
   _actionMap[636][SEMICOLON] = ActionEntry(REDUCE, 335);
   _actionMap[636][PLUS] = ActionEntry(REDUCE, 335);
   _actionMap[636][MINUS] = ActionEntry(REDUCE, 335);
   _actionMap[636][DIVISION] = ActionEntry(REDUCE, 335);
   _actionMap[636][STAR] = ActionEntry(REDUCE, 335);
   _actionMap[636][CONCAT] = ActionEntry(REDUCE, 335);
   _actionMap[637][WHEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][ELSE] = ActionEntry(REDUCE, 345);
   _actionMap[637][LEFT] = ActionEntry(REDUCE, 345);
   _actionMap[637][RIGHT] = ActionEntry(REDUCE, 345);
   _actionMap[637][INNER] = ActionEntry(REDUCE, 345);
   _actionMap[637][JOIN] = ActionEntry(REDUCE, 345);
   _actionMap[637][RETURNTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][ORDER] = ActionEntry(REDUCE, 345);
   _actionMap[637][GROUP] = ActionEntry(REDUCE, 345);
   _actionMap[637][WHERE] = ActionEntry(REDUCE, 345);
   _actionMap[637][FROM] = ActionEntry(REDUCE, 345);
   _actionMap[637][AS] = ActionEntry(REDUCE, 345);
   _actionMap[637][END_TOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][BEGIN] = ActionEntry(REDUCE, 345);
   _actionMap[637][THEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][OR] = ActionEntry(REDUCE, 345);
}
void Cego::loadParser118()
{
   _actionMap[637][AND] = ActionEntry(REDUCE, 345);
   _actionMap[637][INTOK] = ActionEntry(REDUCE, 345);
   _actionMap[637][NOT] = ActionEntry(REDUCE, 345);
   _actionMap[637][BETWEEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][IS] = ActionEntry(REDUCE, 345);
   _actionMap[637][LIKE] = ActionEntry(REDUCE, 345);
   _actionMap[637][MT] = ActionEntry(REDUCE, 345);
   _actionMap[637][LT] = ActionEntry(REDUCE, 345);
   _actionMap[637][NEGATION] = ActionEntry(REDUCE, 345);
   _actionMap[637][EQU] = ActionEntry(REDUCE, 345);
   _actionMap[637][RB] = ActionEntry(REDUCE, 345);
   _actionMap[637][ENDTOKEN] = ActionEntry(REDUCE, 345);
   _actionMap[637][UNION] = ActionEntry(REDUCE, 345);
   _actionMap[637][ROWLIMIT] = ActionEntry(REDUCE, 345);
   _actionMap[637][KSEP] = ActionEntry(REDUCE, 345);
   _actionMap[637][ASC] = ActionEntry(REDUCE, 345);
   _actionMap[637][DESC] = ActionEntry(REDUCE, 345);
   _actionMap[637][SEMICOLON] = ActionEntry(REDUCE, 345);
   _actionMap[637][PLUS] = ActionEntry(REDUCE, 345);
   _actionMap[637][MINUS] = ActionEntry(REDUCE, 345);
   _actionMap[637][DIVISION] = ActionEntry(REDUCE, 345);
   _actionMap[637][STAR] = ActionEntry(REDUCE, 345);
   _actionMap[637][CONCAT] = ActionEntry(REDUCE, 345);
   _actionMap[638][WHEN] = ActionEntry(REDUCE, 344);
   _actionMap[638][ELSE] = ActionEntry(REDUCE, 344);
   _actionMap[638][LEFT] = ActionEntry(REDUCE, 344);
   _actionMap[638][RIGHT] = ActionEntry(REDUCE, 344);
   _actionMap[638][INNER] = ActionEntry(REDUCE, 344);
   _actionMap[638][JOIN] = ActionEntry(REDUCE, 344);
   _actionMap[638][RETURNTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[638][ORDER] = ActionEntry(REDUCE, 344);
   _actionMap[638][GROUP] = ActionEntry(REDUCE, 344);
   _actionMap[638][WHERE] = ActionEntry(REDUCE, 344);
   _actionMap[638][FROM] = ActionEntry(REDUCE, 344);
   _actionMap[638][AS] = ActionEntry(REDUCE, 344);
   _actionMap[638][END_TOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[638][BEGIN] = ActionEntry(REDUCE, 344);
   _actionMap[638][THEN] = ActionEntry(REDUCE, 344);
   _actionMap[638][OR] = ActionEntry(REDUCE, 344);
   _actionMap[638][AND] = ActionEntry(REDUCE, 344);
   _actionMap[638][INTOK] = ActionEntry(REDUCE, 344);
   _actionMap[638][NOT] = ActionEntry(REDUCE, 344);
   _actionMap[638][BETWEEN] = ActionEntry(REDUCE, 344);
   _actionMap[638][IS] = ActionEntry(REDUCE, 344);
   _actionMap[638][LIKE] = ActionEntry(REDUCE, 344);
   _actionMap[638][MT] = ActionEntry(REDUCE, 344);
   _actionMap[638][LT] = ActionEntry(REDUCE, 344);
   _actionMap[638][NEGATION] = ActionEntry(REDUCE, 344);
   _actionMap[638][EQU] = ActionEntry(REDUCE, 344);
   _actionMap[638][RB] = ActionEntry(REDUCE, 344);
}
void Cego::loadParser119()
{
   _actionMap[638][ENDTOKEN] = ActionEntry(REDUCE, 344);
   _actionMap[638][UNION] = ActionEntry(REDUCE, 344);
   _actionMap[638][ROWLIMIT] = ActionEntry(REDUCE, 344);
   _actionMap[638][KSEP] = ActionEntry(REDUCE, 344);
   _actionMap[638][ASC] = ActionEntry(REDUCE, 344);
   _actionMap[638][DESC] = ActionEntry(REDUCE, 344);
   _actionMap[638][SEMICOLON] = ActionEntry(REDUCE, 344);
   _actionMap[638][PLUS] = ActionEntry(REDUCE, 344);
   _actionMap[638][MINUS] = ActionEntry(REDUCE, 344);
   _actionMap[638][DIVISION] = ActionEntry(REDUCE, 344);
   _actionMap[638][STAR] = ActionEntry(REDUCE, 344);
   _actionMap[638][CONCAT] = ActionEntry(REDUCE, 344);
   _actionMap[639][WHEN] = ActionEntry(REDUCE, 328);
   _actionMap[639][ELSE] = ActionEntry(REDUCE, 328);
   _actionMap[639][LEFT] = ActionEntry(REDUCE, 328);
   _actionMap[639][RIGHT] = ActionEntry(REDUCE, 328);
   _actionMap[639][INNER] = ActionEntry(REDUCE, 328);
   _actionMap[639][JOIN] = ActionEntry(REDUCE, 328);
   _actionMap[639][RETURNTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[639][ORDER] = ActionEntry(REDUCE, 328);
   _actionMap[639][GROUP] = ActionEntry(REDUCE, 328);
   _actionMap[639][WHERE] = ActionEntry(REDUCE, 328);
   _actionMap[639][FROM] = ActionEntry(REDUCE, 328);
   _actionMap[639][AS] = ActionEntry(REDUCE, 328);
   _actionMap[639][END_TOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[639][BEGIN] = ActionEntry(REDUCE, 328);
   _actionMap[639][THEN] = ActionEntry(REDUCE, 328);
   _actionMap[639][OR] = ActionEntry(REDUCE, 328);
   _actionMap[639][AND] = ActionEntry(REDUCE, 328);
   _actionMap[639][INTOK] = ActionEntry(REDUCE, 328);
   _actionMap[639][NOT] = ActionEntry(REDUCE, 328);
   _actionMap[639][BETWEEN] = ActionEntry(REDUCE, 328);
   _actionMap[639][IS] = ActionEntry(REDUCE, 328);
   _actionMap[639][LIKE] = ActionEntry(REDUCE, 328);
   _actionMap[639][MT] = ActionEntry(REDUCE, 328);
   _actionMap[639][LT] = ActionEntry(REDUCE, 328);
   _actionMap[639][NEGATION] = ActionEntry(REDUCE, 328);
   _actionMap[639][EQU] = ActionEntry(REDUCE, 328);
   _actionMap[639][RB] = ActionEntry(REDUCE, 328);
   _actionMap[639][ENDTOKEN] = ActionEntry(REDUCE, 328);
   _actionMap[639][UNION] = ActionEntry(REDUCE, 328);
   _actionMap[639][ROWLIMIT] = ActionEntry(REDUCE, 328);
   _actionMap[639][KSEP] = ActionEntry(REDUCE, 328);
   _actionMap[639][ASC] = ActionEntry(REDUCE, 328);
   _actionMap[639][DESC] = ActionEntry(REDUCE, 328);
   _actionMap[639][SEMICOLON] = ActionEntry(REDUCE, 328);
   _actionMap[639][PLUS] = ActionEntry(REDUCE, 328);
   _actionMap[639][MINUS] = ActionEntry(REDUCE, 328);
   _actionMap[639][DIVISION] = ActionEntry(REDUCE, 328);
   _actionMap[639][STAR] = ActionEntry(REDUCE, 328);
}
void Cego::loadParser120()
{
   _actionMap[639][CONCAT] = ActionEntry(REDUCE, 328);
   _actionMap[640][WHEN] = ActionEntry(REDUCE, 322);
   _actionMap[640][ELSE] = ActionEntry(REDUCE, 322);
   _actionMap[640][LEFT] = ActionEntry(REDUCE, 322);
   _actionMap[640][RIGHT] = ActionEntry(REDUCE, 322);
   _actionMap[640][INNER] = ActionEntry(REDUCE, 322);
   _actionMap[640][JOIN] = ActionEntry(REDUCE, 322);
   _actionMap[640][RETURNTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[640][ORDER] = ActionEntry(REDUCE, 322);
   _actionMap[640][GROUP] = ActionEntry(REDUCE, 322);
   _actionMap[640][WHERE] = ActionEntry(REDUCE, 322);
   _actionMap[640][FROM] = ActionEntry(REDUCE, 322);
   _actionMap[640][AS] = ActionEntry(REDUCE, 322);
   _actionMap[640][END_TOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[640][BEGIN] = ActionEntry(REDUCE, 322);
   _actionMap[640][THEN] = ActionEntry(REDUCE, 322);
   _actionMap[640][OR] = ActionEntry(REDUCE, 322);
   _actionMap[640][AND] = ActionEntry(REDUCE, 322);
   _actionMap[640][INTOK] = ActionEntry(REDUCE, 322);
   _actionMap[640][NOT] = ActionEntry(REDUCE, 322);
   _actionMap[640][BETWEEN] = ActionEntry(REDUCE, 322);
   _actionMap[640][IS] = ActionEntry(REDUCE, 322);
   _actionMap[640][LIKE] = ActionEntry(REDUCE, 322);
   _actionMap[640][MT] = ActionEntry(REDUCE, 322);
   _actionMap[640][LT] = ActionEntry(REDUCE, 322);
   _actionMap[640][NEGATION] = ActionEntry(REDUCE, 322);
   _actionMap[640][EQU] = ActionEntry(REDUCE, 322);
   _actionMap[640][RB] = ActionEntry(REDUCE, 322);
   _actionMap[640][ENDTOKEN] = ActionEntry(REDUCE, 322);
   _actionMap[640][UNION] = ActionEntry(REDUCE, 322);
   _actionMap[640][ROWLIMIT] = ActionEntry(REDUCE, 322);
   _actionMap[640][KSEP] = ActionEntry(REDUCE, 322);
   _actionMap[640][ASC] = ActionEntry(REDUCE, 322);
   _actionMap[640][DESC] = ActionEntry(REDUCE, 322);
   _actionMap[640][SEMICOLON] = ActionEntry(REDUCE, 322);
   _actionMap[640][PLUS] = ActionEntry(REDUCE, 322);
   _actionMap[640][MINUS] = ActionEntry(REDUCE, 322);
   _actionMap[640][DIVISION] = ActionEntry(REDUCE, 322);
   _actionMap[640][STAR] = ActionEntry(REDUCE, 322);
   _actionMap[640][CONCAT] = ActionEntry(REDUCE, 322);
   _actionMap[641][WHEN] = ActionEntry(REDUCE, 189);
   _actionMap[641][ELSE] = ActionEntry(REDUCE, 189);
   _actionMap[641][LEFT] = ActionEntry(REDUCE, 189);
   _actionMap[641][RIGHT] = ActionEntry(REDUCE, 189);
   _actionMap[641][INNER] = ActionEntry(REDUCE, 189);
   _actionMap[641][JOIN] = ActionEntry(REDUCE, 189);
   _actionMap[641][RETURNTOKEN] = ActionEntry(REDUCE, 189);
   _actionMap[641][ORDER] = ActionEntry(REDUCE, 189);
   _actionMap[641][GROUP] = ActionEntry(REDUCE, 189);
   _actionMap[641][WHERE] = ActionEntry(REDUCE, 189);
}
void Cego::loadParser121()
{
   _actionMap[641][AS] = ActionEntry(REDUCE, 189);
   _actionMap[641][FROM] = ActionEntry(REDUCE, 189);
   _actionMap[641][END_TOKEN] = ActionEntry(REDUCE, 189);
   _actionMap[641][BEGIN] = ActionEntry(REDUCE, 189);
   _actionMap[641][THEN] = ActionEntry(REDUCE, 189);
   _actionMap[641][OR] = ActionEntry(REDUCE, 189);
   _actionMap[641][AND] = ActionEntry(REDUCE, 189);
   _actionMap[641][LIKE] = ActionEntry(REDUCE, 189);
   _actionMap[641][IS] = ActionEntry(REDUCE, 189);
   _actionMap[641][BETWEEN] = ActionEntry(REDUCE, 189);
   _actionMap[641][NOT] = ActionEntry(REDUCE, 189);
   _actionMap[641][INTOK] = ActionEntry(REDUCE, 189);
   _actionMap[641][EQU] = ActionEntry(REDUCE, 189);
   _actionMap[641][NEGATION] = ActionEntry(REDUCE, 189);
   _actionMap[641][LT] = ActionEntry(REDUCE, 189);
   _actionMap[641][MT] = ActionEntry(REDUCE, 189);
   _actionMap[641][DESC] = ActionEntry(REDUCE, 189);
   _actionMap[641][ASC] = ActionEntry(REDUCE, 189);
   _actionMap[641][KSEP] = ActionEntry(REDUCE, 189);
   _actionMap[641][ROWLIMIT] = ActionEntry(REDUCE, 189);
   _actionMap[641][UNION] = ActionEntry(REDUCE, 189);
   _actionMap[641][ENDTOKEN] = ActionEntry(REDUCE, 189);
   _actionMap[641][RB] = ActionEntry(REDUCE, 189);
   _actionMap[641][SEMICOLON] = ActionEntry(REDUCE, 189);
   _actionMap[641][CONCAT] = ActionEntry(REDUCE, 189);
   _actionMap[641][STAR] = ActionEntry(REDUCE, 189);
   _actionMap[641][DIVISION] = ActionEntry(REDUCE, 189);
   _actionMap[641][MINUS] = ActionEntry(REDUCE, 189);
   _actionMap[641][PLUS] = ActionEntry(REDUCE, 189);
   _actionMap[642][WHEN] = ActionEntry(REDUCE, 190);
   _actionMap[642][ELSE] = ActionEntry(REDUCE, 190);
   _actionMap[642][LEFT] = ActionEntry(REDUCE, 190);
   _actionMap[642][RIGHT] = ActionEntry(REDUCE, 190);
   _actionMap[642][INNER] = ActionEntry(REDUCE, 190);
   _actionMap[642][JOIN] = ActionEntry(REDUCE, 190);
   _actionMap[642][RETURNTOKEN] = ActionEntry(REDUCE, 190);
   _actionMap[642][ORDER] = ActionEntry(REDUCE, 190);
   _actionMap[642][GROUP] = ActionEntry(REDUCE, 190);
   _actionMap[642][WHERE] = ActionEntry(REDUCE, 190);
   _actionMap[642][AS] = ActionEntry(REDUCE, 190);
   _actionMap[642][FROM] = ActionEntry(REDUCE, 190);
   _actionMap[642][END_TOKEN] = ActionEntry(REDUCE, 190);
   _actionMap[642][BEGIN] = ActionEntry(REDUCE, 190);
   _actionMap[642][THEN] = ActionEntry(REDUCE, 190);
   _actionMap[642][OR] = ActionEntry(REDUCE, 190);
   _actionMap[642][AND] = ActionEntry(REDUCE, 190);
   _actionMap[642][LIKE] = ActionEntry(REDUCE, 190);
   _actionMap[642][IS] = ActionEntry(REDUCE, 190);
   _actionMap[642][BETWEEN] = ActionEntry(REDUCE, 190);
   _actionMap[642][NOT] = ActionEntry(REDUCE, 190);
}
void Cego::loadParser122()
{
   _actionMap[642][INTOK] = ActionEntry(REDUCE, 190);
   _actionMap[642][EQU] = ActionEntry(REDUCE, 190);
   _actionMap[642][NEGATION] = ActionEntry(REDUCE, 190);
   _actionMap[642][LT] = ActionEntry(REDUCE, 190);
   _actionMap[642][MT] = ActionEntry(REDUCE, 190);
   _actionMap[642][DESC] = ActionEntry(REDUCE, 190);
   _actionMap[642][ASC] = ActionEntry(REDUCE, 190);
   _actionMap[642][KSEP] = ActionEntry(REDUCE, 190);
   _actionMap[642][ROWLIMIT] = ActionEntry(REDUCE, 190);
   _actionMap[642][UNION] = ActionEntry(REDUCE, 190);
   _actionMap[642][ENDTOKEN] = ActionEntry(REDUCE, 190);
   _actionMap[642][RB] = ActionEntry(REDUCE, 190);
   _actionMap[642][SEMICOLON] = ActionEntry(REDUCE, 190);
   _actionMap[642][CONCAT] = ActionEntry(REDUCE, 190);
   _actionMap[642][STAR] = ActionEntry(REDUCE, 190);
   _actionMap[642][DIVISION] = ActionEntry(REDUCE, 190);
   _actionMap[642][MINUS] = ActionEntry(REDUCE, 190);
   _actionMap[642][PLUS] = ActionEntry(REDUCE, 190);
   _actionMap[643][WHEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][ELSE] = ActionEntry(REDUCE, 342);
   _actionMap[643][LEFT] = ActionEntry(REDUCE, 342);
   _actionMap[643][RIGHT] = ActionEntry(REDUCE, 342);
   _actionMap[643][INNER] = ActionEntry(REDUCE, 342);
   _actionMap[643][JOIN] = ActionEntry(REDUCE, 342);
   _actionMap[643][RETURNTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][ORDER] = ActionEntry(REDUCE, 342);
   _actionMap[643][GROUP] = ActionEntry(REDUCE, 342);
   _actionMap[643][WHERE] = ActionEntry(REDUCE, 342);
   _actionMap[643][FROM] = ActionEntry(REDUCE, 342);
   _actionMap[643][AS] = ActionEntry(REDUCE, 342);
   _actionMap[643][END_TOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][BEGIN] = ActionEntry(REDUCE, 342);
   _actionMap[643][THEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][OR] = ActionEntry(REDUCE, 342);
   _actionMap[643][AND] = ActionEntry(REDUCE, 342);
   _actionMap[643][INTOK] = ActionEntry(REDUCE, 342);
   _actionMap[643][NOT] = ActionEntry(REDUCE, 342);
   _actionMap[643][BETWEEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][IS] = ActionEntry(REDUCE, 342);
   _actionMap[643][LIKE] = ActionEntry(REDUCE, 342);
   _actionMap[643][MT] = ActionEntry(REDUCE, 342);
   _actionMap[643][LT] = ActionEntry(REDUCE, 342);
   _actionMap[643][NEGATION] = ActionEntry(REDUCE, 342);
   _actionMap[643][EQU] = ActionEntry(REDUCE, 342);
   _actionMap[643][RB] = ActionEntry(REDUCE, 342);
   _actionMap[643][ENDTOKEN] = ActionEntry(REDUCE, 342);
   _actionMap[643][UNION] = ActionEntry(REDUCE, 342);
   _actionMap[643][ROWLIMIT] = ActionEntry(REDUCE, 342);
   _actionMap[643][KSEP] = ActionEntry(REDUCE, 342);
   _actionMap[643][ASC] = ActionEntry(REDUCE, 342);
}
void Cego::loadParser123()
{
   _actionMap[643][DESC] = ActionEntry(REDUCE, 342);
   _actionMap[643][SEMICOLON] = ActionEntry(REDUCE, 342);
   _actionMap[643][PLUS] = ActionEntry(REDUCE, 342);
   _actionMap[643][MINUS] = ActionEntry(REDUCE, 342);
   _actionMap[643][DIVISION] = ActionEntry(REDUCE, 342);
   _actionMap[643][STAR] = ActionEntry(REDUCE, 342);
   _actionMap[643][CONCAT] = ActionEntry(REDUCE, 342);
   _actionMap[644][WHEN] = ActionEntry(REDUCE, 355);
   _actionMap[644][ELSE] = ActionEntry(REDUCE, 355);
   _actionMap[644][LEFT] = ActionEntry(REDUCE, 355);
   _actionMap[644][RIGHT] = ActionEntry(REDUCE, 355);
   _actionMap[644][INNER] = ActionEntry(REDUCE, 355);
   _actionMap[644][JOIN] = ActionEntry(REDUCE, 355);
   _actionMap[644][RETURNTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[644][ORDER] = ActionEntry(REDUCE, 355);
   _actionMap[644][GROUP] = ActionEntry(REDUCE, 355);
   _actionMap[644][WHERE] = ActionEntry(REDUCE, 355);
   _actionMap[644][FROM] = ActionEntry(REDUCE, 355);
   _actionMap[644][AS] = ActionEntry(REDUCE, 355);
   _actionMap[644][END_TOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[644][BEGIN] = ActionEntry(REDUCE, 355);
   _actionMap[644][THEN] = ActionEntry(REDUCE, 355);
   _actionMap[644][OR] = ActionEntry(REDUCE, 355);
   _actionMap[644][AND] = ActionEntry(REDUCE, 355);
   _actionMap[644][INTOK] = ActionEntry(REDUCE, 355);
   _actionMap[644][NOT] = ActionEntry(REDUCE, 355);
   _actionMap[644][BETWEEN] = ActionEntry(REDUCE, 355);
   _actionMap[644][IS] = ActionEntry(REDUCE, 355);
   _actionMap[644][LIKE] = ActionEntry(REDUCE, 355);
   _actionMap[644][MT] = ActionEntry(REDUCE, 355);
   _actionMap[644][LT] = ActionEntry(REDUCE, 355);
   _actionMap[644][NEGATION] = ActionEntry(REDUCE, 355);
   _actionMap[644][EQU] = ActionEntry(REDUCE, 355);
   _actionMap[644][RB] = ActionEntry(REDUCE, 355);
   _actionMap[644][ENDTOKEN] = ActionEntry(REDUCE, 355);
   _actionMap[644][UNION] = ActionEntry(REDUCE, 355);
   _actionMap[644][ROWLIMIT] = ActionEntry(REDUCE, 355);
   _actionMap[644][KSEP] = ActionEntry(REDUCE, 355);
   _actionMap[644][ASC] = ActionEntry(REDUCE, 355);
   _actionMap[644][DESC] = ActionEntry(REDUCE, 355);
   _actionMap[644][SEMICOLON] = ActionEntry(REDUCE, 355);
   _actionMap[644][PLUS] = ActionEntry(REDUCE, 355);
   _actionMap[644][MINUS] = ActionEntry(REDUCE, 355);
   _actionMap[644][DIVISION] = ActionEntry(REDUCE, 355);
   _actionMap[644][STAR] = ActionEntry(REDUCE, 355);
   _actionMap[644][CONCAT] = ActionEntry(REDUCE, 355);
   _actionMap[645][WHEN] = ActionEntry(REDUCE, 346);
   _actionMap[645][ELSE] = ActionEntry(REDUCE, 346);
   _actionMap[645][LEFT] = ActionEntry(REDUCE, 346);
   _actionMap[645][RIGHT] = ActionEntry(REDUCE, 346);
}
void Cego::loadParser124()
{
   _actionMap[645][INNER] = ActionEntry(REDUCE, 346);
   _actionMap[645][JOIN] = ActionEntry(REDUCE, 346);
   _actionMap[645][RETURNTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[645][ORDER] = ActionEntry(REDUCE, 346);
   _actionMap[645][GROUP] = ActionEntry(REDUCE, 346);
   _actionMap[645][WHERE] = ActionEntry(REDUCE, 346);
   _actionMap[645][FROM] = ActionEntry(REDUCE, 346);
   _actionMap[645][AS] = ActionEntry(REDUCE, 346);
   _actionMap[645][END_TOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[645][BEGIN] = ActionEntry(REDUCE, 346);
   _actionMap[645][THEN] = ActionEntry(REDUCE, 346);
   _actionMap[645][OR] = ActionEntry(REDUCE, 346);
   _actionMap[645][AND] = ActionEntry(REDUCE, 346);
   _actionMap[645][INTOK] = ActionEntry(REDUCE, 346);
   _actionMap[645][NOT] = ActionEntry(REDUCE, 346);
   _actionMap[645][BETWEEN] = ActionEntry(REDUCE, 346);
   _actionMap[645][IS] = ActionEntry(REDUCE, 346);
   _actionMap[645][LIKE] = ActionEntry(REDUCE, 346);
   _actionMap[645][MT] = ActionEntry(REDUCE, 346);
   _actionMap[645][LT] = ActionEntry(REDUCE, 346);
   _actionMap[645][NEGATION] = ActionEntry(REDUCE, 346);
   _actionMap[645][EQU] = ActionEntry(REDUCE, 346);
   _actionMap[645][RB] = ActionEntry(REDUCE, 346);
   _actionMap[645][ENDTOKEN] = ActionEntry(REDUCE, 346);
   _actionMap[645][UNION] = ActionEntry(REDUCE, 346);
   _actionMap[645][ROWLIMIT] = ActionEntry(REDUCE, 346);
   _actionMap[645][KSEP] = ActionEntry(REDUCE, 346);
   _actionMap[645][ASC] = ActionEntry(REDUCE, 346);
   _actionMap[645][DESC] = ActionEntry(REDUCE, 346);
   _actionMap[645][SEMICOLON] = ActionEntry(REDUCE, 346);
   _actionMap[645][PLUS] = ActionEntry(REDUCE, 346);
   _actionMap[645][MINUS] = ActionEntry(REDUCE, 346);
   _actionMap[645][DIVISION] = ActionEntry(REDUCE, 346);
   _actionMap[645][STAR] = ActionEntry(REDUCE, 346);
   _actionMap[645][CONCAT] = ActionEntry(REDUCE, 346);
   _actionMap[646][WHEN] = ActionEntry(REDUCE, 340);
   _actionMap[646][ELSE] = ActionEntry(REDUCE, 340);
   _actionMap[646][LEFT] = ActionEntry(REDUCE, 340);
   _actionMap[646][RIGHT] = ActionEntry(REDUCE, 340);
   _actionMap[646][INNER] = ActionEntry(REDUCE, 340);
   _actionMap[646][JOIN] = ActionEntry(REDUCE, 340);
   _actionMap[646][RETURNTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[646][ORDER] = ActionEntry(REDUCE, 340);
   _actionMap[646][GROUP] = ActionEntry(REDUCE, 340);
   _actionMap[646][WHERE] = ActionEntry(REDUCE, 340);
   _actionMap[646][FROM] = ActionEntry(REDUCE, 340);
   _actionMap[646][AS] = ActionEntry(REDUCE, 340);
   _actionMap[646][END_TOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[646][BEGIN] = ActionEntry(REDUCE, 340);
   _actionMap[646][THEN] = ActionEntry(REDUCE, 340);
}
void Cego::loadParser125()
{
   _actionMap[646][OR] = ActionEntry(REDUCE, 340);
   _actionMap[646][AND] = ActionEntry(REDUCE, 340);
   _actionMap[646][INTOK] = ActionEntry(REDUCE, 340);
   _actionMap[646][NOT] = ActionEntry(REDUCE, 340);
   _actionMap[646][BETWEEN] = ActionEntry(REDUCE, 340);
   _actionMap[646][IS] = ActionEntry(REDUCE, 340);
   _actionMap[646][LIKE] = ActionEntry(REDUCE, 340);
   _actionMap[646][MT] = ActionEntry(REDUCE, 340);
   _actionMap[646][LT] = ActionEntry(REDUCE, 340);
   _actionMap[646][NEGATION] = ActionEntry(REDUCE, 340);
   _actionMap[646][EQU] = ActionEntry(REDUCE, 340);
   _actionMap[646][RB] = ActionEntry(REDUCE, 340);
   _actionMap[646][ENDTOKEN] = ActionEntry(REDUCE, 340);
   _actionMap[646][UNION] = ActionEntry(REDUCE, 340);
   _actionMap[646][ROWLIMIT] = ActionEntry(REDUCE, 340);
   _actionMap[646][KSEP] = ActionEntry(REDUCE, 340);
   _actionMap[646][ASC] = ActionEntry(REDUCE, 340);
   _actionMap[646][DESC] = ActionEntry(REDUCE, 340);
   _actionMap[646][SEMICOLON] = ActionEntry(REDUCE, 340);
   _actionMap[646][PLUS] = ActionEntry(REDUCE, 340);
   _actionMap[646][MINUS] = ActionEntry(REDUCE, 340);
   _actionMap[646][DIVISION] = ActionEntry(REDUCE, 340);
   _actionMap[646][STAR] = ActionEntry(REDUCE, 340);
   _actionMap[646][CONCAT] = ActionEntry(REDUCE, 340);
   _actionMap[647][WHEN] = ActionEntry(REDUCE, 341);
   _actionMap[647][ELSE] = ActionEntry(REDUCE, 341);
   _actionMap[647][LEFT] = ActionEntry(REDUCE, 341);
   _actionMap[647][RIGHT] = ActionEntry(REDUCE, 341);
   _actionMap[647][INNER] = ActionEntry(REDUCE, 341);
   _actionMap[647][JOIN] = ActionEntry(REDUCE, 341);
   _actionMap[647][RETURNTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[647][ORDER] = ActionEntry(REDUCE, 341);
   _actionMap[647][GROUP] = ActionEntry(REDUCE, 341);
   _actionMap[647][WHERE] = ActionEntry(REDUCE, 341);
   _actionMap[647][FROM] = ActionEntry(REDUCE, 341);
   _actionMap[647][AS] = ActionEntry(REDUCE, 341);
   _actionMap[647][END_TOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[647][BEGIN] = ActionEntry(REDUCE, 341);
   _actionMap[647][THEN] = ActionEntry(REDUCE, 341);
   _actionMap[647][OR] = ActionEntry(REDUCE, 341);
   _actionMap[647][AND] = ActionEntry(REDUCE, 341);
   _actionMap[647][INTOK] = ActionEntry(REDUCE, 341);
   _actionMap[647][NOT] = ActionEntry(REDUCE, 341);
   _actionMap[647][BETWEEN] = ActionEntry(REDUCE, 341);
   _actionMap[647][IS] = ActionEntry(REDUCE, 341);
   _actionMap[647][LIKE] = ActionEntry(REDUCE, 341);
   _actionMap[647][MT] = ActionEntry(REDUCE, 341);
   _actionMap[647][LT] = ActionEntry(REDUCE, 341);
   _actionMap[647][NEGATION] = ActionEntry(REDUCE, 341);
   _actionMap[647][EQU] = ActionEntry(REDUCE, 341);
}
void Cego::loadParser126()
{
   _actionMap[647][RB] = ActionEntry(REDUCE, 341);
   _actionMap[647][ENDTOKEN] = ActionEntry(REDUCE, 341);
   _actionMap[647][UNION] = ActionEntry(REDUCE, 341);
   _actionMap[647][ROWLIMIT] = ActionEntry(REDUCE, 341);
   _actionMap[647][KSEP] = ActionEntry(REDUCE, 341);
   _actionMap[647][ASC] = ActionEntry(REDUCE, 341);
   _actionMap[647][DESC] = ActionEntry(REDUCE, 341);
   _actionMap[647][SEMICOLON] = ActionEntry(REDUCE, 341);
   _actionMap[647][PLUS] = ActionEntry(REDUCE, 341);
   _actionMap[647][MINUS] = ActionEntry(REDUCE, 341);
   _actionMap[647][DIVISION] = ActionEntry(REDUCE, 341);
   _actionMap[647][STAR] = ActionEntry(REDUCE, 341);
   _actionMap[647][CONCAT] = ActionEntry(REDUCE, 341);
   _actionMap[648][WHEN] = ActionEntry(REDUCE, 334);
   _actionMap[648][ELSE] = ActionEntry(REDUCE, 334);
   _actionMap[648][LEFT] = ActionEntry(REDUCE, 334);
   _actionMap[648][RIGHT] = ActionEntry(REDUCE, 334);
   _actionMap[648][INNER] = ActionEntry(REDUCE, 334);
   _actionMap[648][JOIN] = ActionEntry(REDUCE, 334);
   _actionMap[648][RETURNTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[648][ORDER] = ActionEntry(REDUCE, 334);
   _actionMap[648][GROUP] = ActionEntry(REDUCE, 334);
   _actionMap[648][WHERE] = ActionEntry(REDUCE, 334);
   _actionMap[648][FROM] = ActionEntry(REDUCE, 334);
   _actionMap[648][AS] = ActionEntry(REDUCE, 334);
   _actionMap[648][END_TOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[648][BEGIN] = ActionEntry(REDUCE, 334);
   _actionMap[648][THEN] = ActionEntry(REDUCE, 334);
   _actionMap[648][OR] = ActionEntry(REDUCE, 334);
   _actionMap[648][AND] = ActionEntry(REDUCE, 334);
   _actionMap[648][INTOK] = ActionEntry(REDUCE, 334);
   _actionMap[648][NOT] = ActionEntry(REDUCE, 334);
   _actionMap[648][BETWEEN] = ActionEntry(REDUCE, 334);
   _actionMap[648][IS] = ActionEntry(REDUCE, 334);
   _actionMap[648][LIKE] = ActionEntry(REDUCE, 334);
   _actionMap[648][MT] = ActionEntry(REDUCE, 334);
   _actionMap[648][LT] = ActionEntry(REDUCE, 334);
   _actionMap[648][NEGATION] = ActionEntry(REDUCE, 334);
   _actionMap[648][EQU] = ActionEntry(REDUCE, 334);
   _actionMap[648][RB] = ActionEntry(REDUCE, 334);
   _actionMap[648][ENDTOKEN] = ActionEntry(REDUCE, 334);
   _actionMap[648][UNION] = ActionEntry(REDUCE, 334);
   _actionMap[648][ROWLIMIT] = ActionEntry(REDUCE, 334);
   _actionMap[648][KSEP] = ActionEntry(REDUCE, 334);
   _actionMap[648][ASC] = ActionEntry(REDUCE, 334);
   _actionMap[648][DESC] = ActionEntry(REDUCE, 334);
   _actionMap[648][SEMICOLON] = ActionEntry(REDUCE, 334);
   _actionMap[648][PLUS] = ActionEntry(REDUCE, 334);
   _actionMap[648][MINUS] = ActionEntry(REDUCE, 334);
   _actionMap[648][DIVISION] = ActionEntry(REDUCE, 334);
}
void Cego::loadParser127()
{
   _actionMap[648][STAR] = ActionEntry(REDUCE, 334);
   _actionMap[648][CONCAT] = ActionEntry(REDUCE, 334);
   _actionMap[649][WHEN] = ActionEntry(REDUCE, 331);
   _actionMap[649][ELSE] = ActionEntry(REDUCE, 331);
   _actionMap[649][LEFT] = ActionEntry(REDUCE, 331);
   _actionMap[649][RIGHT] = ActionEntry(REDUCE, 331);
   _actionMap[649][INNER] = ActionEntry(REDUCE, 331);
   _actionMap[649][JOIN] = ActionEntry(REDUCE, 331);
   _actionMap[649][RETURNTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[649][ORDER] = ActionEntry(REDUCE, 331);
   _actionMap[649][GROUP] = ActionEntry(REDUCE, 331);
   _actionMap[649][WHERE] = ActionEntry(REDUCE, 331);
   _actionMap[649][FROM] = ActionEntry(REDUCE, 331);
   _actionMap[649][AS] = ActionEntry(REDUCE, 331);
   _actionMap[649][END_TOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[649][BEGIN] = ActionEntry(REDUCE, 331);
   _actionMap[649][THEN] = ActionEntry(REDUCE, 331);
   _actionMap[649][OR] = ActionEntry(REDUCE, 331);
   _actionMap[649][AND] = ActionEntry(REDUCE, 331);
   _actionMap[649][INTOK] = ActionEntry(REDUCE, 331);
   _actionMap[649][NOT] = ActionEntry(REDUCE, 331);
   _actionMap[649][BETWEEN] = ActionEntry(REDUCE, 331);
   _actionMap[649][IS] = ActionEntry(REDUCE, 331);
   _actionMap[649][LIKE] = ActionEntry(REDUCE, 331);
   _actionMap[649][MT] = ActionEntry(REDUCE, 331);
   _actionMap[649][LT] = ActionEntry(REDUCE, 331);
   _actionMap[649][NEGATION] = ActionEntry(REDUCE, 331);
   _actionMap[649][EQU] = ActionEntry(REDUCE, 331);
   _actionMap[649][RB] = ActionEntry(REDUCE, 331);
   _actionMap[649][ENDTOKEN] = ActionEntry(REDUCE, 331);
   _actionMap[649][UNION] = ActionEntry(REDUCE, 331);
   _actionMap[649][ROWLIMIT] = ActionEntry(REDUCE, 331);
   _actionMap[649][KSEP] = ActionEntry(REDUCE, 331);
   _actionMap[649][ASC] = ActionEntry(REDUCE, 331);
   _actionMap[649][DESC] = ActionEntry(REDUCE, 331);
   _actionMap[649][SEMICOLON] = ActionEntry(REDUCE, 331);
   _actionMap[649][PLUS] = ActionEntry(REDUCE, 331);
   _actionMap[649][MINUS] = ActionEntry(REDUCE, 331);
   _actionMap[649][DIVISION] = ActionEntry(REDUCE, 331);
   _actionMap[649][STAR] = ActionEntry(REDUCE, 331);
   _actionMap[649][CONCAT] = ActionEntry(REDUCE, 331);
   _actionMap[650][WHEN] = ActionEntry(REDUCE, 323);
   _actionMap[650][ELSE] = ActionEntry(REDUCE, 323);
   _actionMap[650][LEFT] = ActionEntry(REDUCE, 323);
   _actionMap[650][RIGHT] = ActionEntry(REDUCE, 323);
   _actionMap[650][INNER] = ActionEntry(REDUCE, 323);
   _actionMap[650][JOIN] = ActionEntry(REDUCE, 323);
   _actionMap[650][RETURNTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[650][ORDER] = ActionEntry(REDUCE, 323);
   _actionMap[650][GROUP] = ActionEntry(REDUCE, 323);
}
void Cego::loadParser128()
{
   _actionMap[650][WHERE] = ActionEntry(REDUCE, 323);
   _actionMap[650][FROM] = ActionEntry(REDUCE, 323);
   _actionMap[650][AS] = ActionEntry(REDUCE, 323);
   _actionMap[650][END_TOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[650][BEGIN] = ActionEntry(REDUCE, 323);
   _actionMap[650][THEN] = ActionEntry(REDUCE, 323);
   _actionMap[650][OR] = ActionEntry(REDUCE, 323);
   _actionMap[650][AND] = ActionEntry(REDUCE, 323);
   _actionMap[650][INTOK] = ActionEntry(REDUCE, 323);
   _actionMap[650][NOT] = ActionEntry(REDUCE, 323);
   _actionMap[650][BETWEEN] = ActionEntry(REDUCE, 323);
   _actionMap[650][IS] = ActionEntry(REDUCE, 323);
   _actionMap[650][LIKE] = ActionEntry(REDUCE, 323);
   _actionMap[650][MT] = ActionEntry(REDUCE, 323);
   _actionMap[650][LT] = ActionEntry(REDUCE, 323);
   _actionMap[650][NEGATION] = ActionEntry(REDUCE, 323);
   _actionMap[650][EQU] = ActionEntry(REDUCE, 323);
   _actionMap[650][RB] = ActionEntry(REDUCE, 323);
   _actionMap[650][ENDTOKEN] = ActionEntry(REDUCE, 323);
   _actionMap[650][UNION] = ActionEntry(REDUCE, 323);
   _actionMap[650][ROWLIMIT] = ActionEntry(REDUCE, 323);
   _actionMap[650][KSEP] = ActionEntry(REDUCE, 323);
   _actionMap[650][ASC] = ActionEntry(REDUCE, 323);
   _actionMap[650][DESC] = ActionEntry(REDUCE, 323);
   _actionMap[650][SEMICOLON] = ActionEntry(REDUCE, 323);
   _actionMap[650][PLUS] = ActionEntry(REDUCE, 323);
   _actionMap[650][MINUS] = ActionEntry(REDUCE, 323);
   _actionMap[650][DIVISION] = ActionEntry(REDUCE, 323);
   _actionMap[650][STAR] = ActionEntry(REDUCE, 323);
   _actionMap[650][CONCAT] = ActionEntry(REDUCE, 323);
   _actionMap[651][WHEN] = ActionEntry(REDUCE, 321);
   _actionMap[651][ELSE] = ActionEntry(REDUCE, 321);
   _actionMap[651][LEFT] = ActionEntry(REDUCE, 321);
   _actionMap[651][RIGHT] = ActionEntry(REDUCE, 321);
   _actionMap[651][INNER] = ActionEntry(REDUCE, 321);
   _actionMap[651][JOIN] = ActionEntry(REDUCE, 321);
   _actionMap[651][RETURNTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[651][ORDER] = ActionEntry(REDUCE, 321);
   _actionMap[651][GROUP] = ActionEntry(REDUCE, 321);
   _actionMap[651][WHERE] = ActionEntry(REDUCE, 321);
   _actionMap[651][FROM] = ActionEntry(REDUCE, 321);
   _actionMap[651][AS] = ActionEntry(REDUCE, 321);
   _actionMap[651][END_TOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[651][BEGIN] = ActionEntry(REDUCE, 321);
   _actionMap[651][THEN] = ActionEntry(REDUCE, 321);
   _actionMap[651][OR] = ActionEntry(REDUCE, 321);
   _actionMap[651][AND] = ActionEntry(REDUCE, 321);
   _actionMap[651][INTOK] = ActionEntry(REDUCE, 321);
   _actionMap[651][NOT] = ActionEntry(REDUCE, 321);
   _actionMap[651][BETWEEN] = ActionEntry(REDUCE, 321);
}
void Cego::loadParser129()
{
   _actionMap[651][IS] = ActionEntry(REDUCE, 321);
   _actionMap[651][LIKE] = ActionEntry(REDUCE, 321);
   _actionMap[651][MT] = ActionEntry(REDUCE, 321);
   _actionMap[651][LT] = ActionEntry(REDUCE, 321);
   _actionMap[651][NEGATION] = ActionEntry(REDUCE, 321);
   _actionMap[651][EQU] = ActionEntry(REDUCE, 321);
   _actionMap[651][RB] = ActionEntry(REDUCE, 321);
   _actionMap[651][ENDTOKEN] = ActionEntry(REDUCE, 321);
   _actionMap[651][UNION] = ActionEntry(REDUCE, 321);
   _actionMap[651][ROWLIMIT] = ActionEntry(REDUCE, 321);
   _actionMap[651][KSEP] = ActionEntry(REDUCE, 321);
   _actionMap[651][ASC] = ActionEntry(REDUCE, 321);
   _actionMap[651][DESC] = ActionEntry(REDUCE, 321);
   _actionMap[651][SEMICOLON] = ActionEntry(REDUCE, 321);
   _actionMap[651][PLUS] = ActionEntry(REDUCE, 321);
   _actionMap[651][MINUS] = ActionEntry(REDUCE, 321);
   _actionMap[651][DIVISION] = ActionEntry(REDUCE, 321);
   _actionMap[651][STAR] = ActionEntry(REDUCE, 321);
   _actionMap[651][CONCAT] = ActionEntry(REDUCE, 321);
   _actionMap[652][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[652][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[652][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[652][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[652][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[652][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[652][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[652][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[652][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[652][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[652][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[652][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[652][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[652][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[652][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[652][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[652][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[652][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[652][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[652][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[652][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[652][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[652][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[652][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[652][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[652][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[652][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[652][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[652][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[652][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[652][LDIV] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser130()
{
   _actionMap[652][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[652][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[652][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[652][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[652][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[652][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[652][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[652][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[652][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[652][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[652][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[652][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[652][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[652][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[652][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[652][LB] = ActionEntry(SHIFT, 177);
   _actionMap[652][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[652][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[652][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[652][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[652][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[652][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[652][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[652][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[652][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[652][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[652][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[652][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[652][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[652][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[652][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[652][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[652][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[652][ObjSpec] = 121;
   _jumpMap[652][Constant] = 120;
   _jumpMap[652][SignedFloat] = 119;
   _jumpMap[652][SignedInt] = 118;
   _jumpMap[652][Attribute] = 117;
   _jumpMap[652][Function] = 116;
   _jumpMap[652][CasePrepare] = 115;
   _jumpMap[652][CaseClause] = 114;
   _jumpMap[652][Factor] = 113;
   _jumpMap[652][Term] = 112;
   _jumpMap[652][Expr] = 783;
   _actionMap[653][WHEN] = ActionEntry(REDUCE, 333);
   _actionMap[653][ELSE] = ActionEntry(REDUCE, 333);
   _actionMap[653][LEFT] = ActionEntry(REDUCE, 333);
   _actionMap[653][RIGHT] = ActionEntry(REDUCE, 333);
   _actionMap[653][INNER] = ActionEntry(REDUCE, 333);
   _actionMap[653][JOIN] = ActionEntry(REDUCE, 333);
}
void Cego::loadParser131()
{
   _actionMap[653][RETURNTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[653][ORDER] = ActionEntry(REDUCE, 333);
   _actionMap[653][GROUP] = ActionEntry(REDUCE, 333);
   _actionMap[653][WHERE] = ActionEntry(REDUCE, 333);
   _actionMap[653][FROM] = ActionEntry(REDUCE, 333);
   _actionMap[653][AS] = ActionEntry(REDUCE, 333);
   _actionMap[653][END_TOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[653][BEGIN] = ActionEntry(REDUCE, 333);
   _actionMap[653][THEN] = ActionEntry(REDUCE, 333);
   _actionMap[653][OR] = ActionEntry(REDUCE, 333);
   _actionMap[653][AND] = ActionEntry(REDUCE, 333);
   _actionMap[653][INTOK] = ActionEntry(REDUCE, 333);
   _actionMap[653][NOT] = ActionEntry(REDUCE, 333);
   _actionMap[653][BETWEEN] = ActionEntry(REDUCE, 333);
   _actionMap[653][IS] = ActionEntry(REDUCE, 333);
   _actionMap[653][LIKE] = ActionEntry(REDUCE, 333);
   _actionMap[653][MT] = ActionEntry(REDUCE, 333);
   _actionMap[653][LT] = ActionEntry(REDUCE, 333);
   _actionMap[653][NEGATION] = ActionEntry(REDUCE, 333);
   _actionMap[653][EQU] = ActionEntry(REDUCE, 333);
   _actionMap[653][RB] = ActionEntry(REDUCE, 333);
   _actionMap[653][ENDTOKEN] = ActionEntry(REDUCE, 333);
   _actionMap[653][UNION] = ActionEntry(REDUCE, 333);
   _actionMap[653][ROWLIMIT] = ActionEntry(REDUCE, 333);
   _actionMap[653][KSEP] = ActionEntry(REDUCE, 333);
   _actionMap[653][ASC] = ActionEntry(REDUCE, 333);
   _actionMap[653][DESC] = ActionEntry(REDUCE, 333);
   _actionMap[653][SEMICOLON] = ActionEntry(REDUCE, 333);
   _actionMap[653][PLUS] = ActionEntry(REDUCE, 333);
   _actionMap[653][MINUS] = ActionEntry(REDUCE, 333);
   _actionMap[653][DIVISION] = ActionEntry(REDUCE, 333);
   _actionMap[653][STAR] = ActionEntry(REDUCE, 333);
   _actionMap[653][CONCAT] = ActionEntry(REDUCE, 333);
   _actionMap[654][WHEN] = ActionEntry(REDUCE, 186);
   _actionMap[654][ELSE] = ActionEntry(REDUCE, 186);
   _actionMap[654][LEFT] = ActionEntry(REDUCE, 186);
   _actionMap[654][RIGHT] = ActionEntry(REDUCE, 186);
   _actionMap[654][INNER] = ActionEntry(REDUCE, 186);
   _actionMap[654][JOIN] = ActionEntry(REDUCE, 186);
   _actionMap[654][RETURNTOKEN] = ActionEntry(REDUCE, 186);
   _actionMap[654][ORDER] = ActionEntry(REDUCE, 186);
   _actionMap[654][GROUP] = ActionEntry(REDUCE, 186);
   _actionMap[654][WHERE] = ActionEntry(REDUCE, 186);
   _actionMap[654][AS] = ActionEntry(REDUCE, 186);
   _actionMap[654][FROM] = ActionEntry(REDUCE, 186);
   _actionMap[654][END_TOKEN] = ActionEntry(REDUCE, 186);
   _actionMap[654][BEGIN] = ActionEntry(REDUCE, 186);
   _actionMap[654][THEN] = ActionEntry(REDUCE, 186);
   _actionMap[654][OR] = ActionEntry(REDUCE, 186);
   _actionMap[654][AND] = ActionEntry(REDUCE, 186);
}
void Cego::loadParser132()
{
   _actionMap[654][LIKE] = ActionEntry(REDUCE, 186);
   _actionMap[654][IS] = ActionEntry(REDUCE, 186);
   _actionMap[654][BETWEEN] = ActionEntry(REDUCE, 186);
   _actionMap[654][NOT] = ActionEntry(REDUCE, 186);
   _actionMap[654][INTOK] = ActionEntry(REDUCE, 186);
   _actionMap[654][EQU] = ActionEntry(REDUCE, 186);
   _actionMap[654][NEGATION] = ActionEntry(REDUCE, 186);
   _actionMap[654][LT] = ActionEntry(REDUCE, 186);
   _actionMap[654][MT] = ActionEntry(REDUCE, 186);
   _actionMap[654][DESC] = ActionEntry(REDUCE, 186);
   _actionMap[654][ASC] = ActionEntry(REDUCE, 186);
   _actionMap[654][KSEP] = ActionEntry(REDUCE, 186);
   _actionMap[654][ROWLIMIT] = ActionEntry(REDUCE, 186);
   _actionMap[654][UNION] = ActionEntry(REDUCE, 186);
   _actionMap[654][ENDTOKEN] = ActionEntry(REDUCE, 186);
   _actionMap[654][RB] = ActionEntry(REDUCE, 186);
   _actionMap[654][SEMICOLON] = ActionEntry(REDUCE, 186);
   _actionMap[654][CONCAT] = ActionEntry(REDUCE, 186);
   _actionMap[654][STAR] = ActionEntry(REDUCE, 186);
   _actionMap[654][DIVISION] = ActionEntry(REDUCE, 186);
   _actionMap[654][MINUS] = ActionEntry(REDUCE, 186);
   _actionMap[654][PLUS] = ActionEntry(REDUCE, 186);
   _actionMap[655][WHEN] = ActionEntry(REDUCE, 337);
   _actionMap[655][ELSE] = ActionEntry(REDUCE, 337);
   _actionMap[655][LEFT] = ActionEntry(REDUCE, 337);
   _actionMap[655][RIGHT] = ActionEntry(REDUCE, 337);
   _actionMap[655][INNER] = ActionEntry(REDUCE, 337);
   _actionMap[655][JOIN] = ActionEntry(REDUCE, 337);
   _actionMap[655][RETURNTOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[655][ORDER] = ActionEntry(REDUCE, 337);
   _actionMap[655][GROUP] = ActionEntry(REDUCE, 337);
   _actionMap[655][WHERE] = ActionEntry(REDUCE, 337);
   _actionMap[655][FROM] = ActionEntry(REDUCE, 337);
   _actionMap[655][AS] = ActionEntry(REDUCE, 337);
   _actionMap[655][END_TOKEN] = ActionEntry(REDUCE, 337);
   _actionMap[655][BEGIN] = ActionEntry(REDUCE, 337);
   _actionMap[655][THEN] = ActionEntry(REDUCE, 337);
   _actionMap[655][OR] = ActionEntry(REDUCE, 337);
   _actionMap[655][AND] = ActionEntry(REDUCE, 337);
   _actionMap[655][INTOK] = ActionEntry(REDUCE, 337);
   _actionMap[655][NOT] = ActionEntry(REDUCE, 337);
   _actionMap[655][BETWEEN] = ActionEntry(REDUCE, 337);
   _actionMap[655][IS] = ActionEntry(REDUCE, 337);
   _actionMap[655][LIKE] = ActionEntry(REDUCE, 337);
   _actionMap[655][MT] = ActionEntry(REDUCE, 337);
   _actionMap[655][LT] = ActionEntry(REDUCE, 337);
   _actionMap[655][NEGATION] = ActionEntry(REDUCE, 337);
   _actionMap[655][EQU] = ActionEntry(REDUCE, 337);
   _actionMap[655][RB] = ActionEntry(REDUCE, 337);
   _actionMap[655][ENDTOKEN] = ActionEntry(REDUCE, 337);
}
void Cego::loadParser133()
{
   _actionMap[655][UNION] = ActionEntry(REDUCE, 337);
   _actionMap[655][ROWLIMIT] = ActionEntry(REDUCE, 337);
   _actionMap[655][KSEP] = ActionEntry(REDUCE, 337);
   _actionMap[655][ASC] = ActionEntry(REDUCE, 337);
   _actionMap[655][DESC] = ActionEntry(REDUCE, 337);
   _actionMap[655][SEMICOLON] = ActionEntry(REDUCE, 337);
   _actionMap[655][PLUS] = ActionEntry(REDUCE, 337);
   _actionMap[655][MINUS] = ActionEntry(REDUCE, 337);
   _actionMap[655][DIVISION] = ActionEntry(REDUCE, 337);
   _actionMap[655][STAR] = ActionEntry(REDUCE, 337);
   _actionMap[655][CONCAT] = ActionEntry(REDUCE, 337);
   _actionMap[656][WHEN] = ActionEntry(REDUCE, 338);
   _actionMap[656][ELSE] = ActionEntry(REDUCE, 338);
   _actionMap[656][LEFT] = ActionEntry(REDUCE, 338);
   _actionMap[656][RIGHT] = ActionEntry(REDUCE, 338);
   _actionMap[656][INNER] = ActionEntry(REDUCE, 338);
   _actionMap[656][JOIN] = ActionEntry(REDUCE, 338);
   _actionMap[656][RETURNTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[656][ORDER] = ActionEntry(REDUCE, 338);
   _actionMap[656][GROUP] = ActionEntry(REDUCE, 338);
   _actionMap[656][WHERE] = ActionEntry(REDUCE, 338);
   _actionMap[656][FROM] = ActionEntry(REDUCE, 338);
   _actionMap[656][AS] = ActionEntry(REDUCE, 338);
   _actionMap[656][END_TOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[656][BEGIN] = ActionEntry(REDUCE, 338);
   _actionMap[656][THEN] = ActionEntry(REDUCE, 338);
   _actionMap[656][OR] = ActionEntry(REDUCE, 338);
   _actionMap[656][AND] = ActionEntry(REDUCE, 338);
   _actionMap[656][INTOK] = ActionEntry(REDUCE, 338);
   _actionMap[656][NOT] = ActionEntry(REDUCE, 338);
   _actionMap[656][BETWEEN] = ActionEntry(REDUCE, 338);
   _actionMap[656][IS] = ActionEntry(REDUCE, 338);
   _actionMap[656][LIKE] = ActionEntry(REDUCE, 338);
   _actionMap[656][MT] = ActionEntry(REDUCE, 338);
   _actionMap[656][LT] = ActionEntry(REDUCE, 338);
   _actionMap[656][NEGATION] = ActionEntry(REDUCE, 338);
   _actionMap[656][EQU] = ActionEntry(REDUCE, 338);
   _actionMap[656][RB] = ActionEntry(REDUCE, 338);
   _actionMap[656][ENDTOKEN] = ActionEntry(REDUCE, 338);
   _actionMap[656][UNION] = ActionEntry(REDUCE, 338);
   _actionMap[656][ROWLIMIT] = ActionEntry(REDUCE, 338);
   _actionMap[656][KSEP] = ActionEntry(REDUCE, 338);
   _actionMap[656][ASC] = ActionEntry(REDUCE, 338);
   _actionMap[656][DESC] = ActionEntry(REDUCE, 338);
   _actionMap[656][SEMICOLON] = ActionEntry(REDUCE, 338);
   _actionMap[656][PLUS] = ActionEntry(REDUCE, 338);
   _actionMap[656][MINUS] = ActionEntry(REDUCE, 338);
   _actionMap[656][DIVISION] = ActionEntry(REDUCE, 338);
   _actionMap[656][STAR] = ActionEntry(REDUCE, 338);
   _actionMap[656][CONCAT] = ActionEntry(REDUCE, 338);
}
void Cego::loadParser134()
{
   _actionMap[657][WHEN] = ActionEntry(REDUCE, 339);
   _actionMap[657][ELSE] = ActionEntry(REDUCE, 339);
   _actionMap[657][LEFT] = ActionEntry(REDUCE, 339);
   _actionMap[657][RIGHT] = ActionEntry(REDUCE, 339);
   _actionMap[657][INNER] = ActionEntry(REDUCE, 339);
   _actionMap[657][JOIN] = ActionEntry(REDUCE, 339);
   _actionMap[657][RETURNTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[657][ORDER] = ActionEntry(REDUCE, 339);
   _actionMap[657][GROUP] = ActionEntry(REDUCE, 339);
   _actionMap[657][WHERE] = ActionEntry(REDUCE, 339);
   _actionMap[657][FROM] = ActionEntry(REDUCE, 339);
   _actionMap[657][AS] = ActionEntry(REDUCE, 339);
   _actionMap[657][END_TOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[657][BEGIN] = ActionEntry(REDUCE, 339);
   _actionMap[657][THEN] = ActionEntry(REDUCE, 339);
   _actionMap[657][OR] = ActionEntry(REDUCE, 339);
   _actionMap[657][AND] = ActionEntry(REDUCE, 339);
   _actionMap[657][INTOK] = ActionEntry(REDUCE, 339);
   _actionMap[657][NOT] = ActionEntry(REDUCE, 339);
   _actionMap[657][BETWEEN] = ActionEntry(REDUCE, 339);
   _actionMap[657][IS] = ActionEntry(REDUCE, 339);
   _actionMap[657][LIKE] = ActionEntry(REDUCE, 339);
   _actionMap[657][MT] = ActionEntry(REDUCE, 339);
   _actionMap[657][LT] = ActionEntry(REDUCE, 339);
   _actionMap[657][NEGATION] = ActionEntry(REDUCE, 339);
   _actionMap[657][EQU] = ActionEntry(REDUCE, 339);
   _actionMap[657][RB] = ActionEntry(REDUCE, 339);
   _actionMap[657][ENDTOKEN] = ActionEntry(REDUCE, 339);
   _actionMap[657][UNION] = ActionEntry(REDUCE, 339);
   _actionMap[657][ROWLIMIT] = ActionEntry(REDUCE, 339);
   _actionMap[657][KSEP] = ActionEntry(REDUCE, 339);
   _actionMap[657][ASC] = ActionEntry(REDUCE, 339);
   _actionMap[657][DESC] = ActionEntry(REDUCE, 339);
   _actionMap[657][SEMICOLON] = ActionEntry(REDUCE, 339);
   _actionMap[657][PLUS] = ActionEntry(REDUCE, 339);
   _actionMap[657][MINUS] = ActionEntry(REDUCE, 339);
   _actionMap[657][DIVISION] = ActionEntry(REDUCE, 339);
   _actionMap[657][STAR] = ActionEntry(REDUCE, 339);
   _actionMap[657][CONCAT] = ActionEntry(REDUCE, 339);
   _actionMap[658][WHEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][ELSE] = ActionEntry(REDUCE, 320);
   _actionMap[658][LEFT] = ActionEntry(REDUCE, 320);
   _actionMap[658][RIGHT] = ActionEntry(REDUCE, 320);
   _actionMap[658][INNER] = ActionEntry(REDUCE, 320);
   _actionMap[658][JOIN] = ActionEntry(REDUCE, 320);
   _actionMap[658][RETURNTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][ORDER] = ActionEntry(REDUCE, 320);
   _actionMap[658][GROUP] = ActionEntry(REDUCE, 320);
   _actionMap[658][WHERE] = ActionEntry(REDUCE, 320);
   _actionMap[658][FROM] = ActionEntry(REDUCE, 320);
}
void Cego::loadParser135()
{
   _actionMap[658][AS] = ActionEntry(REDUCE, 320);
   _actionMap[658][END_TOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][BEGIN] = ActionEntry(REDUCE, 320);
   _actionMap[658][THEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][OR] = ActionEntry(REDUCE, 320);
   _actionMap[658][AND] = ActionEntry(REDUCE, 320);
   _actionMap[658][INTOK] = ActionEntry(REDUCE, 320);
   _actionMap[658][NOT] = ActionEntry(REDUCE, 320);
   _actionMap[658][BETWEEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][IS] = ActionEntry(REDUCE, 320);
   _actionMap[658][LIKE] = ActionEntry(REDUCE, 320);
   _actionMap[658][MT] = ActionEntry(REDUCE, 320);
   _actionMap[658][LT] = ActionEntry(REDUCE, 320);
   _actionMap[658][NEGATION] = ActionEntry(REDUCE, 320);
   _actionMap[658][EQU] = ActionEntry(REDUCE, 320);
   _actionMap[658][RB] = ActionEntry(REDUCE, 320);
   _actionMap[658][ENDTOKEN] = ActionEntry(REDUCE, 320);
   _actionMap[658][UNION] = ActionEntry(REDUCE, 320);
   _actionMap[658][ROWLIMIT] = ActionEntry(REDUCE, 320);
   _actionMap[658][KSEP] = ActionEntry(REDUCE, 320);
   _actionMap[658][ASC] = ActionEntry(REDUCE, 320);
   _actionMap[658][DESC] = ActionEntry(REDUCE, 320);
   _actionMap[658][SEMICOLON] = ActionEntry(REDUCE, 320);
   _actionMap[658][PLUS] = ActionEntry(REDUCE, 320);
   _actionMap[658][MINUS] = ActionEntry(REDUCE, 320);
   _actionMap[658][DIVISION] = ActionEntry(REDUCE, 320);
   _actionMap[658][STAR] = ActionEntry(REDUCE, 320);
   _actionMap[658][CONCAT] = ActionEntry(REDUCE, 320);
   _actionMap[659][WHEN] = ActionEntry(REDUCE, 336);
   _actionMap[659][ELSE] = ActionEntry(REDUCE, 336);
   _actionMap[659][LEFT] = ActionEntry(REDUCE, 336);
   _actionMap[659][RIGHT] = ActionEntry(REDUCE, 336);
   _actionMap[659][INNER] = ActionEntry(REDUCE, 336);
   _actionMap[659][JOIN] = ActionEntry(REDUCE, 336);
   _actionMap[659][RETURNTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[659][ORDER] = ActionEntry(REDUCE, 336);
   _actionMap[659][GROUP] = ActionEntry(REDUCE, 336);
   _actionMap[659][WHERE] = ActionEntry(REDUCE, 336);
   _actionMap[659][FROM] = ActionEntry(REDUCE, 336);
   _actionMap[659][AS] = ActionEntry(REDUCE, 336);
   _actionMap[659][END_TOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[659][BEGIN] = ActionEntry(REDUCE, 336);
   _actionMap[659][THEN] = ActionEntry(REDUCE, 336);
   _actionMap[659][OR] = ActionEntry(REDUCE, 336);
   _actionMap[659][AND] = ActionEntry(REDUCE, 336);
   _actionMap[659][INTOK] = ActionEntry(REDUCE, 336);
   _actionMap[659][NOT] = ActionEntry(REDUCE, 336);
   _actionMap[659][BETWEEN] = ActionEntry(REDUCE, 336);
   _actionMap[659][IS] = ActionEntry(REDUCE, 336);
   _actionMap[659][LIKE] = ActionEntry(REDUCE, 336);
}
void Cego::loadParser136()
{
   _actionMap[659][MT] = ActionEntry(REDUCE, 336);
   _actionMap[659][LT] = ActionEntry(REDUCE, 336);
   _actionMap[659][NEGATION] = ActionEntry(REDUCE, 336);
   _actionMap[659][EQU] = ActionEntry(REDUCE, 336);
   _actionMap[659][RB] = ActionEntry(REDUCE, 336);
   _actionMap[659][ENDTOKEN] = ActionEntry(REDUCE, 336);
   _actionMap[659][UNION] = ActionEntry(REDUCE, 336);
   _actionMap[659][ROWLIMIT] = ActionEntry(REDUCE, 336);
   _actionMap[659][KSEP] = ActionEntry(REDUCE, 336);
   _actionMap[659][ASC] = ActionEntry(REDUCE, 336);
   _actionMap[659][DESC] = ActionEntry(REDUCE, 336);
   _actionMap[659][SEMICOLON] = ActionEntry(REDUCE, 336);
   _actionMap[659][PLUS] = ActionEntry(REDUCE, 336);
   _actionMap[659][MINUS] = ActionEntry(REDUCE, 336);
   _actionMap[659][DIVISION] = ActionEntry(REDUCE, 336);
   _actionMap[659][STAR] = ActionEntry(REDUCE, 336);
   _actionMap[659][CONCAT] = ActionEntry(REDUCE, 336);
   _actionMap[660][WHEN] = ActionEntry(REDUCE, 329);
   _actionMap[660][ELSE] = ActionEntry(REDUCE, 329);
   _actionMap[660][LEFT] = ActionEntry(REDUCE, 329);
   _actionMap[660][RIGHT] = ActionEntry(REDUCE, 329);
   _actionMap[660][INNER] = ActionEntry(REDUCE, 329);
   _actionMap[660][JOIN] = ActionEntry(REDUCE, 329);
   _actionMap[660][RETURNTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[660][ORDER] = ActionEntry(REDUCE, 329);
   _actionMap[660][GROUP] = ActionEntry(REDUCE, 329);
   _actionMap[660][WHERE] = ActionEntry(REDUCE, 329);
   _actionMap[660][FROM] = ActionEntry(REDUCE, 329);
   _actionMap[660][AS] = ActionEntry(REDUCE, 329);
   _actionMap[660][END_TOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[660][BEGIN] = ActionEntry(REDUCE, 329);
   _actionMap[660][THEN] = ActionEntry(REDUCE, 329);
   _actionMap[660][OR] = ActionEntry(REDUCE, 329);
   _actionMap[660][AND] = ActionEntry(REDUCE, 329);
   _actionMap[660][INTOK] = ActionEntry(REDUCE, 329);
   _actionMap[660][NOT] = ActionEntry(REDUCE, 329);
   _actionMap[660][BETWEEN] = ActionEntry(REDUCE, 329);
   _actionMap[660][IS] = ActionEntry(REDUCE, 329);
   _actionMap[660][LIKE] = ActionEntry(REDUCE, 329);
   _actionMap[660][MT] = ActionEntry(REDUCE, 329);
   _actionMap[660][LT] = ActionEntry(REDUCE, 329);
   _actionMap[660][NEGATION] = ActionEntry(REDUCE, 329);
   _actionMap[660][EQU] = ActionEntry(REDUCE, 329);
   _actionMap[660][RB] = ActionEntry(REDUCE, 329);
   _actionMap[660][ENDTOKEN] = ActionEntry(REDUCE, 329);
   _actionMap[660][UNION] = ActionEntry(REDUCE, 329);
   _actionMap[660][ROWLIMIT] = ActionEntry(REDUCE, 329);
   _actionMap[660][KSEP] = ActionEntry(REDUCE, 329);
   _actionMap[660][ASC] = ActionEntry(REDUCE, 329);
   _actionMap[660][DESC] = ActionEntry(REDUCE, 329);
}
void Cego::loadParser137()
{
   _actionMap[660][SEMICOLON] = ActionEntry(REDUCE, 329);
   _actionMap[660][PLUS] = ActionEntry(REDUCE, 329);
   _actionMap[660][MINUS] = ActionEntry(REDUCE, 329);
   _actionMap[660][DIVISION] = ActionEntry(REDUCE, 329);
   _actionMap[660][STAR] = ActionEntry(REDUCE, 329);
   _actionMap[660][CONCAT] = ActionEntry(REDUCE, 329);
   _actionMap[661][WHEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][ELSE] = ActionEntry(REDUCE, 412);
   _actionMap[661][LEFT] = ActionEntry(REDUCE, 412);
   _actionMap[661][RIGHT] = ActionEntry(REDUCE, 412);
   _actionMap[661][INNER] = ActionEntry(REDUCE, 412);
   _actionMap[661][JOIN] = ActionEntry(REDUCE, 412);
   _actionMap[661][RETURNTOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][ORDER] = ActionEntry(REDUCE, 412);
   _actionMap[661][GROUP] = ActionEntry(REDUCE, 412);
   _actionMap[661][WHERE] = ActionEntry(REDUCE, 412);
   _actionMap[661][FROM] = ActionEntry(REDUCE, 412);
   _actionMap[661][AS] = ActionEntry(REDUCE, 412);
   _actionMap[661][END_TOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][BEGIN] = ActionEntry(REDUCE, 412);
   _actionMap[661][THEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][OR] = ActionEntry(REDUCE, 412);
   _actionMap[661][AND] = ActionEntry(REDUCE, 412);
   _actionMap[661][ENDTOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][UNION] = ActionEntry(REDUCE, 412);
   _actionMap[661][ROWLIMIT] = ActionEntry(REDUCE, 412);
   _actionMap[661][ASC] = ActionEntry(REDUCE, 412);
   _actionMap[661][DESC] = ActionEntry(REDUCE, 412);
   _actionMap[661][INTOK] = ActionEntry(REDUCE, 412);
   _actionMap[661][BETWEEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][LIKE] = ActionEntry(REDUCE, 412);
   _actionMap[661][PLUS] = ActionEntry(REDUCE, 412);
   _actionMap[661][MINUS] = ActionEntry(REDUCE, 412);
   _actionMap[661][CONCAT] = ActionEntry(REDUCE, 412);
   _actionMap[661][DIVISION] = ActionEntry(REDUCE, 412);
   _actionMap[661][STAR] = ActionEntry(REDUCE, 412);
   _actionMap[661][MT] = ActionEntry(REDUCE, 412);
   _actionMap[661][LT] = ActionEntry(REDUCE, 412);
   _actionMap[661][NEGATION] = ActionEntry(REDUCE, 412);
   _actionMap[661][EQU] = ActionEntry(REDUCE, 412);
   _actionMap[661][IS] = ActionEntry(REDUCE, 412);
   _actionMap[661][NULLTOKEN] = ActionEntry(REDUCE, 412);
   _actionMap[661][NOT] = ActionEntry(REDUCE, 412);
   _actionMap[661][KSEP] = ActionEntry(REDUCE, 412);
   _actionMap[661][SEMICOLON] = ActionEntry(REDUCE, 412);
   _actionMap[661][RB] = ActionEntry(REDUCE, 412);
   _actionMap[662][INTVAL] = ActionEntry(SHIFT, 341);
   _actionMap[663][WHEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][ELSE] = ActionEntry(REDUCE, 418);
   _actionMap[663][LEFT] = ActionEntry(REDUCE, 418);
}
void Cego::loadParser138()
{
   _actionMap[663][RIGHT] = ActionEntry(REDUCE, 418);
   _actionMap[663][INNER] = ActionEntry(REDUCE, 418);
   _actionMap[663][JOIN] = ActionEntry(REDUCE, 418);
   _actionMap[663][RETURNTOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][ORDER] = ActionEntry(REDUCE, 418);
   _actionMap[663][GROUP] = ActionEntry(REDUCE, 418);
   _actionMap[663][WHERE] = ActionEntry(REDUCE, 418);
   _actionMap[663][FROM] = ActionEntry(REDUCE, 418);
   _actionMap[663][AS] = ActionEntry(REDUCE, 418);
   _actionMap[663][END_TOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][BEGIN] = ActionEntry(REDUCE, 418);
   _actionMap[663][THEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][OR] = ActionEntry(REDUCE, 418);
   _actionMap[663][AND] = ActionEntry(REDUCE, 418);
   _actionMap[663][ENDTOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][UNION] = ActionEntry(REDUCE, 418);
   _actionMap[663][ROWLIMIT] = ActionEntry(REDUCE, 418);
   _actionMap[663][ASC] = ActionEntry(REDUCE, 418);
   _actionMap[663][DESC] = ActionEntry(REDUCE, 418);
   _actionMap[663][INTOK] = ActionEntry(REDUCE, 418);
   _actionMap[663][BETWEEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][LIKE] = ActionEntry(REDUCE, 418);
   _actionMap[663][PLUS] = ActionEntry(REDUCE, 418);
   _actionMap[663][MINUS] = ActionEntry(REDUCE, 418);
   _actionMap[663][CONCAT] = ActionEntry(REDUCE, 418);
   _actionMap[663][DIVISION] = ActionEntry(REDUCE, 418);
   _actionMap[663][STAR] = ActionEntry(REDUCE, 418);
   _actionMap[663][MT] = ActionEntry(REDUCE, 418);
   _actionMap[663][LT] = ActionEntry(REDUCE, 418);
   _actionMap[663][NEGATION] = ActionEntry(REDUCE, 418);
   _actionMap[663][EQU] = ActionEntry(REDUCE, 418);
   _actionMap[663][IS] = ActionEntry(REDUCE, 418);
   _actionMap[663][NULLTOKEN] = ActionEntry(REDUCE, 418);
   _actionMap[663][NOT] = ActionEntry(REDUCE, 418);
   _actionMap[663][KSEP] = ActionEntry(REDUCE, 418);
   _actionMap[663][SEMICOLON] = ActionEntry(REDUCE, 418);
   _actionMap[663][RB] = ActionEntry(REDUCE, 418);
   _actionMap[664][FLOATVAL] = ActionEntry(SHIFT, 342);
   _actionMap[665][WHEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][ELSE] = ActionEntry(REDUCE, 417);
   _actionMap[665][LEFT] = ActionEntry(REDUCE, 417);
   _actionMap[665][RIGHT] = ActionEntry(REDUCE, 417);
   _actionMap[665][INNER] = ActionEntry(REDUCE, 417);
   _actionMap[665][JOIN] = ActionEntry(REDUCE, 417);
   _actionMap[665][RETURNTOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][ORDER] = ActionEntry(REDUCE, 417);
   _actionMap[665][GROUP] = ActionEntry(REDUCE, 417);
   _actionMap[665][WHERE] = ActionEntry(REDUCE, 417);
   _actionMap[665][FROM] = ActionEntry(REDUCE, 417);
   _actionMap[665][AS] = ActionEntry(REDUCE, 417);
}
void Cego::loadParser139()
{
   _actionMap[665][END_TOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][BEGIN] = ActionEntry(REDUCE, 417);
   _actionMap[665][THEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][OR] = ActionEntry(REDUCE, 417);
   _actionMap[665][AND] = ActionEntry(REDUCE, 417);
   _actionMap[665][ENDTOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][UNION] = ActionEntry(REDUCE, 417);
   _actionMap[665][ROWLIMIT] = ActionEntry(REDUCE, 417);
   _actionMap[665][ASC] = ActionEntry(REDUCE, 417);
   _actionMap[665][DESC] = ActionEntry(REDUCE, 417);
   _actionMap[665][INTOK] = ActionEntry(REDUCE, 417);
   _actionMap[665][BETWEEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][LIKE] = ActionEntry(REDUCE, 417);
   _actionMap[665][PLUS] = ActionEntry(REDUCE, 417);
   _actionMap[665][MINUS] = ActionEntry(REDUCE, 417);
   _actionMap[665][CONCAT] = ActionEntry(REDUCE, 417);
   _actionMap[665][DIVISION] = ActionEntry(REDUCE, 417);
   _actionMap[665][STAR] = ActionEntry(REDUCE, 417);
   _actionMap[665][MT] = ActionEntry(REDUCE, 417);
   _actionMap[665][LT] = ActionEntry(REDUCE, 417);
   _actionMap[665][NEGATION] = ActionEntry(REDUCE, 417);
   _actionMap[665][EQU] = ActionEntry(REDUCE, 417);
   _actionMap[665][IS] = ActionEntry(REDUCE, 417);
   _actionMap[665][NULLTOKEN] = ActionEntry(REDUCE, 417);
   _actionMap[665][NOT] = ActionEntry(REDUCE, 417);
   _actionMap[665][KSEP] = ActionEntry(REDUCE, 417);
   _actionMap[665][SEMICOLON] = ActionEntry(REDUCE, 417);
   _actionMap[665][RB] = ActionEntry(REDUCE, 417);
   _actionMap[666][WHEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][ELSE] = ActionEntry(REDUCE, 419);
   _actionMap[666][LEFT] = ActionEntry(REDUCE, 419);
   _actionMap[666][RIGHT] = ActionEntry(REDUCE, 419);
   _actionMap[666][INNER] = ActionEntry(REDUCE, 419);
   _actionMap[666][JOIN] = ActionEntry(REDUCE, 419);
   _actionMap[666][RETURNTOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][ORDER] = ActionEntry(REDUCE, 419);
   _actionMap[666][GROUP] = ActionEntry(REDUCE, 419);
   _actionMap[666][WHERE] = ActionEntry(REDUCE, 419);
   _actionMap[666][FROM] = ActionEntry(REDUCE, 419);
   _actionMap[666][AS] = ActionEntry(REDUCE, 419);
   _actionMap[666][END_TOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][BEGIN] = ActionEntry(REDUCE, 419);
   _actionMap[666][THEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][OR] = ActionEntry(REDUCE, 419);
   _actionMap[666][AND] = ActionEntry(REDUCE, 419);
   _actionMap[666][ENDTOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][UNION] = ActionEntry(REDUCE, 419);
   _actionMap[666][ROWLIMIT] = ActionEntry(REDUCE, 419);
   _actionMap[666][ASC] = ActionEntry(REDUCE, 419);
   _actionMap[666][DESC] = ActionEntry(REDUCE, 419);
}
void Cego::loadParser140()
{
   _actionMap[666][INTOK] = ActionEntry(REDUCE, 419);
   _actionMap[666][BETWEEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][LIKE] = ActionEntry(REDUCE, 419);
   _actionMap[666][PLUS] = ActionEntry(REDUCE, 419);
   _actionMap[666][MINUS] = ActionEntry(REDUCE, 419);
   _actionMap[666][CONCAT] = ActionEntry(REDUCE, 419);
   _actionMap[666][DIVISION] = ActionEntry(REDUCE, 419);
   _actionMap[666][STAR] = ActionEntry(REDUCE, 419);
   _actionMap[666][MT] = ActionEntry(REDUCE, 419);
   _actionMap[666][LT] = ActionEntry(REDUCE, 419);
   _actionMap[666][NEGATION] = ActionEntry(REDUCE, 419);
   _actionMap[666][EQU] = ActionEntry(REDUCE, 419);
   _actionMap[666][IS] = ActionEntry(REDUCE, 419);
   _actionMap[666][NULLTOKEN] = ActionEntry(REDUCE, 419);
   _actionMap[666][NOT] = ActionEntry(REDUCE, 419);
   _actionMap[666][KSEP] = ActionEntry(REDUCE, 419);
   _actionMap[666][SEMICOLON] = ActionEntry(REDUCE, 419);
   _actionMap[666][RB] = ActionEntry(REDUCE, 419);
   _actionMap[667][WHEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][ELSE] = ActionEntry(REDUCE, 411);
   _actionMap[667][LEFT] = ActionEntry(REDUCE, 411);
   _actionMap[667][RIGHT] = ActionEntry(REDUCE, 411);
   _actionMap[667][INNER] = ActionEntry(REDUCE, 411);
   _actionMap[667][JOIN] = ActionEntry(REDUCE, 411);
   _actionMap[667][RETURNTOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][ORDER] = ActionEntry(REDUCE, 411);
   _actionMap[667][GROUP] = ActionEntry(REDUCE, 411);
   _actionMap[667][WHERE] = ActionEntry(REDUCE, 411);
   _actionMap[667][FROM] = ActionEntry(REDUCE, 411);
   _actionMap[667][AS] = ActionEntry(REDUCE, 411);
   _actionMap[667][END_TOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][BEGIN] = ActionEntry(REDUCE, 411);
   _actionMap[667][THEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][OR] = ActionEntry(REDUCE, 411);
   _actionMap[667][AND] = ActionEntry(REDUCE, 411);
   _actionMap[667][ENDTOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][UNION] = ActionEntry(REDUCE, 411);
   _actionMap[667][ROWLIMIT] = ActionEntry(REDUCE, 411);
   _actionMap[667][ASC] = ActionEntry(REDUCE, 411);
   _actionMap[667][DESC] = ActionEntry(REDUCE, 411);
   _actionMap[667][INTOK] = ActionEntry(REDUCE, 411);
   _actionMap[667][BETWEEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][LIKE] = ActionEntry(REDUCE, 411);
   _actionMap[667][PLUS] = ActionEntry(REDUCE, 411);
   _actionMap[667][MINUS] = ActionEntry(REDUCE, 411);
   _actionMap[667][CONCAT] = ActionEntry(REDUCE, 411);
   _actionMap[667][DIVISION] = ActionEntry(REDUCE, 411);
   _actionMap[667][STAR] = ActionEntry(REDUCE, 411);
   _actionMap[667][MT] = ActionEntry(REDUCE, 411);
   _actionMap[667][LT] = ActionEntry(REDUCE, 411);
}
void Cego::loadParser141()
{
   _actionMap[667][NEGATION] = ActionEntry(REDUCE, 411);
   _actionMap[667][EQU] = ActionEntry(REDUCE, 411);
   _actionMap[667][IS] = ActionEntry(REDUCE, 411);
   _actionMap[667][NULLTOKEN] = ActionEntry(REDUCE, 411);
   _actionMap[667][NOT] = ActionEntry(REDUCE, 411);
   _actionMap[667][KSEP] = ActionEntry(REDUCE, 411);
   _actionMap[667][SEMICOLON] = ActionEntry(REDUCE, 411);
   _actionMap[667][RB] = ActionEntry(REDUCE, 411);
   _actionMap[668][WHEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][ELSE] = ActionEntry(REDUCE, 413);
   _actionMap[668][LEFT] = ActionEntry(REDUCE, 413);
   _actionMap[668][RIGHT] = ActionEntry(REDUCE, 413);
   _actionMap[668][INNER] = ActionEntry(REDUCE, 413);
   _actionMap[668][JOIN] = ActionEntry(REDUCE, 413);
   _actionMap[668][RETURNTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][ORDER] = ActionEntry(REDUCE, 413);
   _actionMap[668][GROUP] = ActionEntry(REDUCE, 413);
   _actionMap[668][WHERE] = ActionEntry(REDUCE, 413);
   _actionMap[668][FROM] = ActionEntry(REDUCE, 413);
   _actionMap[668][AS] = ActionEntry(REDUCE, 413);
   _actionMap[668][END_TOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][BEGIN] = ActionEntry(REDUCE, 413);
   _actionMap[668][THEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][OR] = ActionEntry(REDUCE, 413);
   _actionMap[668][AND] = ActionEntry(REDUCE, 413);
   _actionMap[668][ENDTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][UNION] = ActionEntry(REDUCE, 413);
   _actionMap[668][ROWLIMIT] = ActionEntry(REDUCE, 413);
   _actionMap[668][ASC] = ActionEntry(REDUCE, 413);
   _actionMap[668][DESC] = ActionEntry(REDUCE, 413);
   _actionMap[668][INTOK] = ActionEntry(REDUCE, 413);
   _actionMap[668][BETWEEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][LIKE] = ActionEntry(REDUCE, 413);
   _actionMap[668][PLUS] = ActionEntry(REDUCE, 413);
   _actionMap[668][MINUS] = ActionEntry(REDUCE, 413);
   _actionMap[668][CONCAT] = ActionEntry(REDUCE, 413);
   _actionMap[668][DIVISION] = ActionEntry(REDUCE, 413);
   _actionMap[668][STAR] = ActionEntry(REDUCE, 413);
   _actionMap[668][MT] = ActionEntry(REDUCE, 413);
   _actionMap[668][LT] = ActionEntry(REDUCE, 413);
   _actionMap[668][NEGATION] = ActionEntry(REDUCE, 413);
   _actionMap[668][EQU] = ActionEntry(REDUCE, 413);
   _actionMap[668][IS] = ActionEntry(REDUCE, 413);
   _actionMap[668][NULLTOKEN] = ActionEntry(REDUCE, 413);
   _actionMap[668][NOT] = ActionEntry(REDUCE, 413);
   _actionMap[668][KSEP] = ActionEntry(REDUCE, 413);
   _actionMap[668][SEMICOLON] = ActionEntry(REDUCE, 413);
   _actionMap[668][RB] = ActionEntry(REDUCE, 413);
   _actionMap[669][WHEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][ELSE] = ActionEntry(REDUCE, 414);
}
void Cego::loadParser142()
{
   _actionMap[669][LEFT] = ActionEntry(REDUCE, 414);
   _actionMap[669][RIGHT] = ActionEntry(REDUCE, 414);
   _actionMap[669][INNER] = ActionEntry(REDUCE, 414);
   _actionMap[669][JOIN] = ActionEntry(REDUCE, 414);
   _actionMap[669][RETURNTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][ORDER] = ActionEntry(REDUCE, 414);
   _actionMap[669][GROUP] = ActionEntry(REDUCE, 414);
   _actionMap[669][WHERE] = ActionEntry(REDUCE, 414);
   _actionMap[669][FROM] = ActionEntry(REDUCE, 414);
   _actionMap[669][AS] = ActionEntry(REDUCE, 414);
   _actionMap[669][END_TOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][BEGIN] = ActionEntry(REDUCE, 414);
   _actionMap[669][THEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][OR] = ActionEntry(REDUCE, 414);
   _actionMap[669][AND] = ActionEntry(REDUCE, 414);
   _actionMap[669][ENDTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][UNION] = ActionEntry(REDUCE, 414);
   _actionMap[669][ROWLIMIT] = ActionEntry(REDUCE, 414);
   _actionMap[669][ASC] = ActionEntry(REDUCE, 414);
   _actionMap[669][DESC] = ActionEntry(REDUCE, 414);
   _actionMap[669][INTOK] = ActionEntry(REDUCE, 414);
   _actionMap[669][BETWEEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][LIKE] = ActionEntry(REDUCE, 414);
   _actionMap[669][PLUS] = ActionEntry(REDUCE, 414);
   _actionMap[669][MINUS] = ActionEntry(REDUCE, 414);
   _actionMap[669][CONCAT] = ActionEntry(REDUCE, 414);
   _actionMap[669][DIVISION] = ActionEntry(REDUCE, 414);
   _actionMap[669][STAR] = ActionEntry(REDUCE, 414);
   _actionMap[669][MT] = ActionEntry(REDUCE, 414);
   _actionMap[669][LT] = ActionEntry(REDUCE, 414);
   _actionMap[669][NEGATION] = ActionEntry(REDUCE, 414);
   _actionMap[669][EQU] = ActionEntry(REDUCE, 414);
   _actionMap[669][IS] = ActionEntry(REDUCE, 414);
   _actionMap[669][NULLTOKEN] = ActionEntry(REDUCE, 414);
   _actionMap[669][NOT] = ActionEntry(REDUCE, 414);
   _actionMap[669][KSEP] = ActionEntry(REDUCE, 414);
   _actionMap[669][SEMICOLON] = ActionEntry(REDUCE, 414);
   _actionMap[669][RB] = ActionEntry(REDUCE, 414);
   _actionMap[670][SEMICOLON] = ActionEntry(REDUCE, 312);
   _actionMap[671][SEMICOLON] = ActionEntry(REDUCE, 311);
   _actionMap[672][SEMICOLON] = ActionEntry(REDUCE, 316);
   _actionMap[673][SEMICOLON] = ActionEntry(REDUCE, 313);
   _actionMap[674][SEMICOLON] = ActionEntry(REDUCE, 314);
   _actionMap[675][SEMICOLON] = ActionEntry(REDUCE, 310);
   _actionMap[676][SEMICOLON] = ActionEntry(REDUCE, 317);
   _actionMap[677][SEMICOLON] = ActionEntry(REDUCE, 315);
   _actionMap[678][SEMICOLON] = ActionEntry(REDUCE, 267);
   _actionMap[678][RB] = ActionEntry(REDUCE, 267);
   _actionMap[678][ENDTOKEN] = ActionEntry(REDUCE, 267);
   _actionMap[678][UNION] = ActionEntry(REDUCE, 267);
}
void Cego::loadParser143()
{
   _actionMap[678][ROWLIMIT] = ActionEntry(REDUCE, 267);
   _actionMap[678][ORDER] = ActionEntry(REDUCE, 267);
   _actionMap[678][GROUP] = ActionEntry(SHIFT, 786);
   _jumpMap[678][NoGroup] = 785;
   _jumpMap[678][GroupClause] = 784;
   _actionMap[679][LEFT] = ActionEntry(REDUCE, 247);
   _actionMap[679][RIGHT] = ActionEntry(REDUCE, 247);
   _actionMap[679][INNER] = ActionEntry(REDUCE, 247);
   _actionMap[679][JOIN] = ActionEntry(REDUCE, 247);
   _actionMap[679][RETURNTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[679][SEMICOLON] = ActionEntry(REDUCE, 247);
   _actionMap[679][RB] = ActionEntry(REDUCE, 247);
   _actionMap[679][ENDTOKEN] = ActionEntry(REDUCE, 247);
   _actionMap[679][UNION] = ActionEntry(REDUCE, 247);
   _actionMap[679][ROWLIMIT] = ActionEntry(REDUCE, 247);
   _actionMap[679][ORDER] = ActionEntry(REDUCE, 247);
   _actionMap[679][GROUP] = ActionEntry(REDUCE, 247);
   _actionMap[679][WHERE] = ActionEntry(REDUCE, 247);
   _actionMap[680][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[680][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[680][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[680][ObjSpec] = 523;
   _jumpMap[680][JoinTable] = 788;
   _jumpMap[680][Table] = 787;
   _actionMap[681][JOIN] = ActionEntry(SHIFT, 789);
   _actionMap[682][IDENTIFIER] = ActionEntry(REDUCE, 256);
   _actionMap[682][QUALIFIEDOBJ] = ActionEntry(REDUCE, 256);
   _actionMap[682][QUALIFIEDTS] = ActionEntry(REDUCE, 256);
   _actionMap[683][OUTER] = ActionEntry(SHIFT, 790);
   _actionMap[684][OUTER] = ActionEntry(SHIFT, 791);
   _actionMap[685][LEFT] = ActionEntry(REDUCE, 248);
   _actionMap[685][RIGHT] = ActionEntry(REDUCE, 248);
   _actionMap[685][INNER] = ActionEntry(REDUCE, 248);
   _actionMap[685][JOIN] = ActionEntry(REDUCE, 248);
   _actionMap[685][RETURNTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[685][SEMICOLON] = ActionEntry(REDUCE, 248);
   _actionMap[685][RB] = ActionEntry(REDUCE, 248);
   _actionMap[685][ENDTOKEN] = ActionEntry(REDUCE, 248);
   _actionMap[685][UNION] = ActionEntry(REDUCE, 248);
   _actionMap[685][ROWLIMIT] = ActionEntry(REDUCE, 248);
   _actionMap[685][ORDER] = ActionEntry(REDUCE, 248);
   _actionMap[685][GROUP] = ActionEntry(REDUCE, 248);
   _actionMap[685][WHERE] = ActionEntry(REDUCE, 248);
   _actionMap[686][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[686][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[686][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[686][ObjSpec] = 523;
   _jumpMap[686][Table] = 793;
   _jumpMap[686][TableList] = 792;
   _actionMap[687][KSEP] = ActionEntry(REDUCE, 260);
}
void Cego::loadParser144()
{
   _actionMap[687][LEFT] = ActionEntry(REDUCE, 260);
   _actionMap[687][RIGHT] = ActionEntry(REDUCE, 260);
   _actionMap[687][INNER] = ActionEntry(REDUCE, 260);
   _actionMap[687][JOIN] = ActionEntry(REDUCE, 260);
   _actionMap[687][RETURNTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[687][SEMICOLON] = ActionEntry(REDUCE, 260);
   _actionMap[687][RB] = ActionEntry(REDUCE, 260);
   _actionMap[687][ENDTOKEN] = ActionEntry(REDUCE, 260);
   _actionMap[687][UNION] = ActionEntry(REDUCE, 260);
   _actionMap[687][ROWLIMIT] = ActionEntry(REDUCE, 260);
   _actionMap[687][ORDER] = ActionEntry(REDUCE, 260);
   _actionMap[687][GROUP] = ActionEntry(REDUCE, 260);
   _actionMap[687][WHERE] = ActionEntry(REDUCE, 260);
   _actionMap[687][ON] = ActionEntry(REDUCE, 260);
   _actionMap[688][FROM] = ActionEntry(REDUCE, 262);
   _actionMap[688][RB] = ActionEntry(REDUCE, 262);
   _actionMap[688][SEMICOLON] = ActionEntry(REDUCE, 262);
   _actionMap[688][ENDTOKEN] = ActionEntry(REDUCE, 262);
   _actionMap[688][KSEP] = ActionEntry(REDUCE, 262);
   _actionMap[689][FROM] = ActionEntry(REDUCE, 242);
   _actionMap[689][RB] = ActionEntry(REDUCE, 242);
   _actionMap[689][SEMICOLON] = ActionEntry(REDUCE, 242);
   _actionMap[689][ENDTOKEN] = ActionEntry(REDUCE, 242);
   _actionMap[689][KSEP] = ActionEntry(REDUCE, 242);
   _actionMap[690][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[690][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[690][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[690][SEMICOLON] = ActionEntry(REDUCE, 92);
   _actionMap[691][SEMICOLON] = ActionEntry(REDUCE, 295);
   _actionMap[691][RETURNTOKEN] = ActionEntry(SHIFT, 796);
   _jumpMap[691][NoUpdateReturnOpt] = 795;
   _jumpMap[691][UpdReturnOpt] = 794;
   _actionMap[692][IDENTIFIER] = ActionEntry(SHIFT, 532);
   _jumpMap[692][Assignment] = 797;
   _actionMap[693][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[693][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[693][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[693][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[693][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[693][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[693][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[693][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[693][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[693][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[693][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[693][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[693][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[693][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[693][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[693][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser145()
{
   _actionMap[693][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[693][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[693][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[693][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[693][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[693][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[693][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[693][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[693][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[693][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[693][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[693][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[693][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[693][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[693][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[693][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[693][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[693][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[693][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[693][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[693][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[693][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[693][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[693][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[693][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[693][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[693][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[693][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[693][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[693][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[693][LB] = ActionEntry(SHIFT, 177);
   _actionMap[693][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[693][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[693][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[693][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[693][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[693][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[693][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[693][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[693][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[693][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[693][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[693][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[693][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[693][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[693][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[693][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[693][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[693][ObjSpec] = 121;
   _jumpMap[693][Constant] = 120;
}
void Cego::loadParser146()
{
   _jumpMap[693][SignedFloat] = 119;
   _jumpMap[693][SignedInt] = 118;
   _jumpMap[693][Attribute] = 117;
   _jumpMap[693][Function] = 116;
   _jumpMap[693][CasePrepare] = 115;
   _jumpMap[693][CaseClause] = 114;
   _jumpMap[693][Factor] = 113;
   _jumpMap[693][Term] = 112;
   _jumpMap[693][Expr] = 798;
   _actionMap[694][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[694][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[694][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[694][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[694][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[694][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[694][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[694][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[694][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[694][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[694][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[694][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[694][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[694][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[694][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[694][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[694][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[694][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[694][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[694][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[694][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[694][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[694][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[694][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[694][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[694][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[694][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[694][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[694][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[694][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[694][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[694][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[694][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[694][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[694][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[694][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[694][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[694][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[694][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[694][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[694][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser147()
{
   _actionMap[694][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[694][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[694][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[694][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[694][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[694][LB] = ActionEntry(SHIFT, 177);
   _actionMap[694][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[694][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[694][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[694][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[694][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[694][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[694][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[694][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[694][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[694][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[694][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[694][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[694][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[694][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[694][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[694][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[694][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[694][RB] = ActionEntry(REDUCE, 147);
   _jumpMap[694][ObjSpec] = 121;
   _jumpMap[694][Constant] = 120;
   _jumpMap[694][SignedFloat] = 119;
   _jumpMap[694][SignedInt] = 118;
   _jumpMap[694][Attribute] = 117;
   _jumpMap[694][Function] = 116;
   _jumpMap[694][CasePrepare] = 115;
   _jumpMap[694][CaseClause] = 114;
   _jumpMap[694][Factor] = 113;
   _jumpMap[694][Term] = 112;
   _jumpMap[694][Expr] = 387;
   _jumpMap[694][ProcValueList] = 386;
   _jumpMap[694][ProcValueListOpt] = 799;
   _actionMap[377][SEMICOLON] = ActionEntry(REDUCE, 78);
   _actionMap[378][SEMICOLON] = ActionEntry(REDUCE, 302);
   _actionMap[379][KSEP] = ActionEntry(SHIFT, 534);
   _actionMap[379][SEMICOLON] = ActionEntry(REDUCE, 304);
   _actionMap[380][CHECK] = ActionEntry(SHIFT, 535);
   _actionMap[380][FOREIGN] = ActionEntry(SHIFT, 537);
   _actionMap[380][COLUMN] = ActionEntry(SHIFT, 536);
   _actionMap[381][COLUMN] = ActionEntry(SHIFT, 538);
   _actionMap[382][COLUMN] = ActionEntry(SHIFT, 539);
   _actionMap[383][COLUMN] = ActionEntry(SHIFT, 540);
   _actionMap[384][STRINGVAL] = ActionEntry(SHIFT, 541);
   _actionMap[385][RB] = ActionEntry(SHIFT, 388);
   _actionMap[386][KSEP] = ActionEntry(SHIFT, 542);
}
void Cego::loadParser148()
{
   _actionMap[386][RB] = ActionEntry(REDUCE, 146);
   _actionMap[387][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[387][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[387][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[387][KSEP] = ActionEntry(REDUCE, 149);
   _actionMap[387][RB] = ActionEntry(REDUCE, 149);
   _actionMap[388][SEMICOLON] = ActionEntry(REDUCE, 60);
   _actionMap[389][END_TOKEN] = ActionEntry(SHIFT, 543);
   _actionMap[390][EXCEPTION] = ActionEntry(REDUCE, 144);
   _actionMap[390][ELSE] = ActionEntry(REDUCE, 144);
   _actionMap[390][ELSIF] = ActionEntry(REDUCE, 144);
   _actionMap[390][END_TOKEN] = ActionEntry(REDUCE, 144);
   _actionMap[390][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[390][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[390][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[390][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[390][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[390][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[390][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[390][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[390][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[390][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[390][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[390][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[390][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[390][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[390][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[390][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[390][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[390][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[390][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[390][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[390][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[390][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[390][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[390][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[390][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[390][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[390][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[390][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[390][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[390][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[390][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[390][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[390][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[390][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[390][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[390][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[390][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[390][CLOBSIZE] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser149()
{
   _actionMap[390][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[390][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[390][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[390][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[390][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[390][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[390][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[390][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[390][LB] = ActionEntry(SHIFT, 177);
   _actionMap[390][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[390][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[390][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[390][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[390][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[390][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[390][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[390][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[390][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[390][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[390][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[390][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[390][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[390][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[390][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[390][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[390][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[390][IF] = ActionEntry(SHIFT, 406);
   _actionMap[390][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[390][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[390][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[390][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[390][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[390][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[390][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[390][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[390][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[390][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[390][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[390][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[390][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[390][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[390][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[390][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[390][ObjSpec] = 121;
   _jumpMap[390][Constant] = 120;
   _jumpMap[390][SignedFloat] = 119;
   _jumpMap[390][SignedInt] = 118;
   _jumpMap[390][Attribute] = 117;
   _jumpMap[390][Function] = 116;
   _jumpMap[390][DeleteStatement] = 402;
}
void Cego::loadParser150()
{
   _jumpMap[390][UpdateStatement] = 401;
   _jumpMap[390][InsertStatement] = 400;
   _jumpMap[390][UnlockStatement] = 399;
   _jumpMap[390][LockStatement] = 398;
   _jumpMap[390][RollbackStatement] = 397;
   _jumpMap[390][CommitStatement] = 396;
   _jumpMap[390][StartStatement] = 395;
   _jumpMap[390][CasePrepare] = 115;
   _jumpMap[390][CaseClause] = 114;
   _jumpMap[390][Factor] = 113;
   _jumpMap[390][Term] = 112;
   _jumpMap[390][Expr] = 394;
   _jumpMap[390][ProcStatement] = 545;
   _jumpMap[390][ProcIfPart] = 392;
   _jumpMap[390][ProcExceptionList] = 544;
   _jumpMap[390][ProcBlockStart] = 391;
   _actionMap[391][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[391][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[391][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[391][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[391][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[391][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[391][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[391][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[391][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[391][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[391][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[391][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[391][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[391][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[391][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[391][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[391][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[391][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[391][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[391][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[391][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[391][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[391][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[391][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[391][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[391][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[391][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[391][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[391][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[391][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[391][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[391][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[391][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[391][BITOR] = ActionEntry(SHIFT, 126);
}
void Cego::loadParser151()
{
   _actionMap[391][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[391][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[391][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[391][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[391][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[391][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[391][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[391][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[391][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[391][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[391][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[391][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[391][LB] = ActionEntry(SHIFT, 177);
   _actionMap[391][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[391][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[391][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[391][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[391][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[391][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[391][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[391][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[391][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[391][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[391][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[391][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[391][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[391][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[391][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[391][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[391][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[391][IF] = ActionEntry(SHIFT, 406);
   _actionMap[391][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[391][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[391][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[391][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[391][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[391][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[391][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[391][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[391][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[391][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[391][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[391][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[391][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[391][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[391][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[391][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[391][ObjSpec] = 121;
   _jumpMap[391][Constant] = 120;
   _jumpMap[391][SignedFloat] = 119;
}
void Cego::loadParser152()
{
   _jumpMap[391][SignedInt] = 118;
   _jumpMap[391][Attribute] = 117;
   _jumpMap[391][Function] = 116;
   _jumpMap[391][DeleteStatement] = 402;
   _jumpMap[391][UpdateStatement] = 401;
   _jumpMap[391][InsertStatement] = 400;
   _jumpMap[391][UnlockStatement] = 399;
   _jumpMap[391][LockStatement] = 398;
   _jumpMap[391][RollbackStatement] = 397;
   _jumpMap[391][CommitStatement] = 396;
   _jumpMap[391][StartStatement] = 395;
   _jumpMap[391][CasePrepare] = 115;
   _jumpMap[391][CaseClause] = 114;
   _jumpMap[391][Factor] = 113;
   _jumpMap[391][Term] = 112;
   _jumpMap[391][Expr] = 394;
   _jumpMap[391][ProcStatement] = 393;
   _jumpMap[391][ProcIfPart] = 392;
   _jumpMap[391][ProcBlockStart] = 391;
   _jumpMap[391][ProcStatementList] = 390;
   _jumpMap[391][ProcStmtBlock] = 546;
   _actionMap[392][ELSIF] = ActionEntry(SHIFT, 549);
   _actionMap[392][END_TOKEN] = ActionEntry(REDUCE, 154);
   _actionMap[392][ELSE] = ActionEntry(REDUCE, 154);
   _jumpMap[392][ProcElsIfOpt] = 548;
   _jumpMap[392][ProcElsIfList] = 547;
   _actionMap[393][SEMICOLON] = ActionEntry(SHIFT, 550);
   _actionMap[394][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[394][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[394][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[394][SEMICOLON] = ActionEntry(REDUCE, 125);
   _actionMap[395][SEMICOLON] = ActionEntry(REDUCE, 134);
   _actionMap[396][SEMICOLON] = ActionEntry(REDUCE, 135);
   _actionMap[397][SEMICOLON] = ActionEntry(REDUCE, 136);
   _actionMap[398][SEMICOLON] = ActionEntry(REDUCE, 137);
   _actionMap[399][SEMICOLON] = ActionEntry(REDUCE, 138);
   _actionMap[400][SEMICOLON] = ActionEntry(REDUCE, 131);
   _actionMap[401][SEMICOLON] = ActionEntry(REDUCE, 133);
   _actionMap[402][SEMICOLON] = ActionEntry(REDUCE, 132);
   _actionMap[403][VAR] = ActionEntry(REDUCE, 142);
   _actionMap[403][CURSOR] = ActionEntry(REDUCE, 142);
   _actionMap[403][CLOSE] = ActionEntry(REDUCE, 142);
   _actionMap[403][VARREF] = ActionEntry(REDUCE, 142);
   _actionMap[403][NOOP] = ActionEntry(REDUCE, 142);
   _actionMap[403][THROW] = ActionEntry(REDUCE, 142);
   _actionMap[403][RETURNTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[403][WHILE] = ActionEntry(REDUCE, 142);
   _actionMap[403][IF] = ActionEntry(REDUCE, 142);
   _actionMap[403][BEGIN] = ActionEntry(REDUCE, 142);
   _actionMap[403][UNLOCK] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser153()
{
   _actionMap[403][LOCK] = ActionEntry(REDUCE, 142);
   _actionMap[403][ROLLBACK] = ActionEntry(REDUCE, 142);
   _actionMap[403][COMMIT] = ActionEntry(REDUCE, 142);
   _actionMap[403][START_TOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[403][UPDATE] = ActionEntry(REDUCE, 142);
   _actionMap[403][DELETETOK] = ActionEntry(REDUCE, 142);
   _actionMap[403][INSERT] = ActionEntry(REDUCE, 142);
   _actionMap[403][FETCH] = ActionEntry(REDUCE, 142);
   _actionMap[403][LB] = ActionEntry(REDUCE, 142);
   _actionMap[403][COUNT] = ActionEntry(REDUCE, 142);
   _actionMap[403][SUM] = ActionEntry(REDUCE, 142);
   _actionMap[403][AVG] = ActionEntry(REDUCE, 142);
   _actionMap[403][MIN] = ActionEntry(REDUCE, 142);
   _actionMap[403][MAX] = ActionEntry(REDUCE, 142);
   _actionMap[403][CASE] = ActionEntry(REDUCE, 142);
   _actionMap[403][INT2ASC] = ActionEntry(REDUCE, 142);
   _actionMap[403][ASC2INT] = ActionEntry(REDUCE, 142);
   _actionMap[403][TRIM] = ActionEntry(REDUCE, 142);
   _actionMap[403][RTRIM] = ActionEntry(REDUCE, 142);
   _actionMap[403][LTRIM] = ActionEntry(REDUCE, 142);
   _actionMap[403][ROUND] = ActionEntry(REDUCE, 142);
   _actionMap[403][DATE2STR] = ActionEntry(REDUCE, 142);
   _actionMap[403][DATE2LONG] = ActionEntry(REDUCE, 142);
   _actionMap[403][LONG2DATE] = ActionEntry(REDUCE, 142);
   _actionMap[403][NEWDATE] = ActionEntry(REDUCE, 142);
   _actionMap[403][LOWER] = ActionEntry(REDUCE, 142);
   _actionMap[403][UPPER] = ActionEntry(REDUCE, 142);
   _actionMap[403][LEFT] = ActionEntry(REDUCE, 142);
   _actionMap[403][RIGHT] = ActionEntry(REDUCE, 142);
   _actionMap[403][GETPOS] = ActionEntry(REDUCE, 142);
   _actionMap[403][SUBSTR] = ActionEntry(REDUCE, 142);
   _actionMap[403][REPLACE] = ActionEntry(REDUCE, 142);
   _actionMap[403][LENGTH] = ActionEntry(REDUCE, 142);
   _actionMap[403][TRUNC] = ActionEntry(REDUCE, 142);
   _actionMap[403][STR2INT] = ActionEntry(REDUCE, 142);
   _actionMap[403][STR2LONG] = ActionEntry(REDUCE, 142);
   _actionMap[403][STR2DATE] = ActionEntry(REDUCE, 142);
   _actionMap[403][RANDSTR] = ActionEntry(REDUCE, 142);
   _actionMap[403][RANDINT] = ActionEntry(REDUCE, 142);
   _actionMap[403][MOD] = ActionEntry(REDUCE, 142);
   _actionMap[403][DIV] = ActionEntry(REDUCE, 142);
   _actionMap[403][LMOD] = ActionEntry(REDUCE, 142);
   _actionMap[403][LDIV] = ActionEntry(REDUCE, 142);
   _actionMap[403][POWER] = ActionEntry(REDUCE, 142);
   _actionMap[403][BITAND] = ActionEntry(REDUCE, 142);
   _actionMap[403][BITOR] = ActionEntry(REDUCE, 142);
   _actionMap[403][BITXOR] = ActionEntry(REDUCE, 142);
   _actionMap[403][BLOBSIZE] = ActionEntry(REDUCE, 142);
   _actionMap[403][BLOBREF] = ActionEntry(REDUCE, 142);
   _actionMap[403][CLOBSIZE] = ActionEntry(REDUCE, 142);
}
void Cego::loadParser154()
{
   _actionMap[403][CLOBREF] = ActionEntry(REDUCE, 142);
   _actionMap[403][CLOB2STR] = ActionEntry(REDUCE, 142);
   _actionMap[403][NEXTCOUNT] = ActionEntry(REDUCE, 142);
   _actionMap[403][SETCOUNT] = ActionEntry(REDUCE, 142);
   _actionMap[403][GETCOUNT] = ActionEntry(REDUCE, 142);
   _actionMap[403][IDENTIFIER] = ActionEntry(REDUCE, 142);
   _actionMap[403][QUALIFIEDOBJ] = ActionEntry(REDUCE, 142);
   _actionMap[403][QUALIFIEDTS] = ActionEntry(REDUCE, 142);
   _actionMap[403][QUALIFIEDPRE] = ActionEntry(REDUCE, 142);
   _actionMap[403][STRINGVAL] = ActionEntry(REDUCE, 142);
   _actionMap[403][DATE] = ActionEntry(REDUCE, 142);
   _actionMap[403][SYSDATE] = ActionEntry(REDUCE, 142);
   _actionMap[403][NULLTOKEN] = ActionEntry(REDUCE, 142);
   _actionMap[403][TRUEVAL] = ActionEntry(REDUCE, 142);
   _actionMap[403][FALSEVAL] = ActionEntry(REDUCE, 142);
   _actionMap[403][BLOB] = ActionEntry(REDUCE, 142);
   _actionMap[403][CLOB] = ActionEntry(REDUCE, 142);
   _actionMap[403][FLOATVAL] = ActionEntry(REDUCE, 142);
   _actionMap[403][MINUS] = ActionEntry(REDUCE, 142);
   _actionMap[403][INTVAL] = ActionEntry(REDUCE, 142);
   _actionMap[404][IDENTIFIER] = ActionEntry(SHIFT, 551);
   _actionMap[405][IDENTIFIER] = ActionEntry(SHIFT, 552);
   _actionMap[406][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[406][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[406][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[406][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[406][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[406][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[406][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[406][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[406][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[406][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[406][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[406][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[406][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[406][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[406][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[406][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[406][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[406][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[406][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[406][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[406][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[406][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[406][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[406][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[406][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[406][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[406][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[406][MOD] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser155()
{
   _actionMap[406][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[406][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[406][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[406][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[406][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[406][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[406][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[406][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[406][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[406][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[406][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[406][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[406][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[406][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[406][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[406][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[406][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[406][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[406][LB] = ActionEntry(SHIFT, 557);
   _actionMap[406][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[406][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[406][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[406][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[406][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[406][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[406][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[406][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[406][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[406][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[406][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[406][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[406][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[406][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[406][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[406][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[406][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[406][ObjSpec] = 121;
   _jumpMap[406][Constant] = 120;
   _jumpMap[406][SignedFloat] = 119;
   _jumpMap[406][SignedInt] = 118;
   _jumpMap[406][Attribute] = 117;
   _jumpMap[406][Function] = 116;
   _jumpMap[406][CasePrepare] = 115;
   _jumpMap[406][CaseClause] = 114;
   _jumpMap[406][Factor] = 113;
   _jumpMap[406][Term] = 112;
   _jumpMap[406][Expr] = 556;
   _jumpMap[406][ProcPredicate] = 555;
   _jumpMap[406][ProcCondition] = 554;
   _jumpMap[406][ProcIfCondition] = 553;
}
void Cego::loadParser156()
{
   _actionMap[407][SEMICOLON] = ActionEntry(REDUCE, 126);
   _actionMap[408][SEMICOLON] = ActionEntry(REDUCE, 139);
   _actionMap[408][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[408][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[408][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[408][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[408][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[408][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[408][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[408][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[408][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[408][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[408][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[408][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[408][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[408][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[408][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[408][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[408][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[408][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[408][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[408][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[408][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[408][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[408][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[408][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[408][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[408][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[408][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[408][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[408][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[408][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[408][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[408][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[408][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[408][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[408][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[408][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[408][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[408][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[408][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[408][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[408][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[408][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[408][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[408][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[408][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[408][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[408][LB] = ActionEntry(SHIFT, 177);
   _actionMap[408][STRINGVAL] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser157()
{
   _actionMap[408][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[408][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[408][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[408][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[408][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[408][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[408][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[408][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[408][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[408][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[408][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[408][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[408][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[408][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[408][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[408][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[408][ObjSpec] = 121;
   _jumpMap[408][Constant] = 120;
   _jumpMap[408][SignedFloat] = 119;
   _jumpMap[408][SignedInt] = 118;
   _jumpMap[408][Attribute] = 117;
   _jumpMap[408][Function] = 116;
   _jumpMap[408][CasePrepare] = 115;
   _jumpMap[408][CaseClause] = 114;
   _jumpMap[408][Factor] = 113;
   _jumpMap[408][Term] = 112;
   _jumpMap[408][Expr] = 558;
   _actionMap[409][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[409][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[409][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[409][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[409][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[409][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[409][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[409][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[409][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[409][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[409][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[409][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[409][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[409][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[409][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[409][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[409][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[409][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[409][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[409][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[409][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[409][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[409][STR2INT] = ActionEntry(SHIFT, 170);
}
void Cego::loadParser158()
{
   _actionMap[409][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[409][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[409][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[409][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[409][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[409][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[409][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[409][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[409][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[409][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[409][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[409][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[409][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[409][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[409][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[409][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[409][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[409][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[409][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[409][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[409][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[409][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[409][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[409][LB] = ActionEntry(SHIFT, 177);
   _actionMap[409][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[409][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[409][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[409][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[409][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[409][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[409][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[409][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[409][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[409][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[409][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[409][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[409][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[409][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[409][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[409][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[409][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[409][ObjSpec] = 121;
   _jumpMap[409][Constant] = 120;
   _jumpMap[409][SignedFloat] = 119;
   _jumpMap[409][SignedInt] = 118;
   _jumpMap[409][Attribute] = 117;
   _jumpMap[409][Function] = 116;
   _jumpMap[409][CasePrepare] = 115;
   _jumpMap[409][CaseClause] = 114;
   _jumpMap[409][Factor] = 113;
}
void Cego::loadParser159()
{
   _jumpMap[409][Term] = 112;
   _jumpMap[409][Expr] = 559;
   _actionMap[410][IDENTIFIER] = ActionEntry(SHIFT, 560);
   _actionMap[411][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[411][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[411][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[411][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[411][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[411][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[411][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[411][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[411][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[411][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[411][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[411][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[411][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[411][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[411][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[411][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[411][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[411][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[411][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[411][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[411][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[411][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[411][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[411][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[411][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[411][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[411][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[411][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[411][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[411][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[411][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[411][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[411][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[411][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[411][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[411][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[411][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[411][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[411][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[411][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[411][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[411][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[411][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[411][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[411][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[411][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[411][LB] = ActionEntry(SHIFT, 557);
}
void Cego::loadParser160()
{
   _actionMap[411][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[411][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[411][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[411][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[411][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[411][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[411][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[411][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[411][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[411][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[411][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[411][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[411][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[411][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[411][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[411][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[411][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[411][ObjSpec] = 121;
   _jumpMap[411][Constant] = 120;
   _jumpMap[411][SignedFloat] = 119;
   _jumpMap[411][SignedInt] = 118;
   _jumpMap[411][Attribute] = 117;
   _jumpMap[411][Function] = 116;
   _jumpMap[411][CasePrepare] = 115;
   _jumpMap[411][CaseClause] = 114;
   _jumpMap[411][Factor] = 113;
   _jumpMap[411][Term] = 112;
   _jumpMap[411][Expr] = 556;
   _jumpMap[411][ProcPredicate] = 555;
   _jumpMap[411][ProcCondition] = 562;
   _jumpMap[411][ProcWhileCondition] = 561;
   _actionMap[412][CONCAT] = ActionEntry(REDUCE, 177);
   _actionMap[412][STAR] = ActionEntry(REDUCE, 177);
   _actionMap[412][DIVISION] = ActionEntry(REDUCE, 177);
   _actionMap[412][MINUS] = ActionEntry(REDUCE, 177);
   _actionMap[412][PLUS] = ActionEntry(REDUCE, 177);
   _actionMap[412][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[412][EQU] = ActionEntry(SHIFT, 563);
   _actionMap[413][END_TOKEN] = ActionEntry(SHIFT, 564);
   _actionMap[414][ON] = ActionEntry(SHIFT, 565);
   _actionMap[415][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[415][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[415][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[415][ObjSpec] = 566;
   _actionMap[416][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[416][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[416][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[416][ObjSpec] = 567;
   _actionMap[417][IDENTIFIER] = ActionEntry(SHIFT, 572);
   _actionMap[417][RB] = ActionEntry(REDUCE, 113);
}
void Cego::loadParser161()
{
   _jumpMap[417][ProcArg] = 570;
   _jumpMap[417][ProcArgList] = 569;
   _jumpMap[417][ProcArgOpt] = 568;
   _actionMap[418][IDENTIFIER] = ActionEntry(SHIFT, 577);
   _actionMap[418][PRIMARY] = ActionEntry(SHIFT, 576);
   _jumpMap[418][ColumnDesc] = 575;
   _jumpMap[418][KeyColumn] = 574;
   _jumpMap[418][ColumnList] = 573;
   _actionMap[419][INSERT] = ActionEntry(SHIFT, 581);
   _actionMap[419][UPDATE] = ActionEntry(SHIFT, 582);
   _actionMap[419][DELETETOK] = ActionEntry(SHIFT, 580);
   _jumpMap[419][TriggerOp] = 579;
   _jumpMap[419][TriggerCondition] = 578;
   _actionMap[420][INSERT] = ActionEntry(REDUCE, 102);
   _actionMap[420][UPDATE] = ActionEntry(REDUCE, 102);
   _actionMap[420][DELETETOK] = ActionEntry(REDUCE, 102);
   _actionMap[421][INSERT] = ActionEntry(REDUCE, 101);
   _actionMap[421][UPDATE] = ActionEntry(REDUCE, 101);
   _actionMap[421][DELETETOK] = ActionEntry(REDUCE, 101);
   _actionMap[422][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[422][SelectStatement] = 583;
   _actionMap[423][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[423][WHERE] = ActionEntry(SHIFT, 426);
   _jumpMap[423][NoWhere] = 425;
   _jumpMap[423][WhereClause] = 424;
   _actionMap[424][SEMICOLON] = ActionEntry(REDUCE, 299);
   _actionMap[425][RETURNTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[425][GROUP] = ActionEntry(REDUCE, 363);
   _actionMap[425][ORDER] = ActionEntry(REDUCE, 363);
   _actionMap[425][ROWLIMIT] = ActionEntry(REDUCE, 363);
   _actionMap[425][UNION] = ActionEntry(REDUCE, 363);
   _actionMap[425][ENDTOKEN] = ActionEntry(REDUCE, 363);
   _actionMap[425][RB] = ActionEntry(REDUCE, 363);
   _actionMap[425][SEMICOLON] = ActionEntry(REDUCE, 363);
   _actionMap[426][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[426][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[426][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[426][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[426][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[426][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[426][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[426][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[426][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[426][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[426][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[426][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[426][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[426][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[426][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[426][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser162()
{
   _actionMap[426][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[426][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[426][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[426][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[426][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[426][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[426][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[426][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[426][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[426][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[426][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[426][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[426][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[426][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[426][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[426][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[426][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[426][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[426][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[426][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[426][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[426][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[426][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[426][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[426][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[426][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[426][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[426][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[426][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[426][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[426][LB] = ActionEntry(SHIFT, 447);
   _actionMap[426][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[426][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[426][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[426][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[426][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[426][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[426][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[426][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[426][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[426][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[426][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[426][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[426][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[426][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[426][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[426][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[426][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[426][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[426][NOT] = ActionEntry(SHIFT, 446);
}
void Cego::loadParser163()
{
   _jumpMap[426][ObjSpec] = 121;
   _jumpMap[426][Constant] = 120;
   _jumpMap[426][SignedFloat] = 119;
   _jumpMap[426][SignedInt] = 118;
   _jumpMap[426][Attribute] = 117;
   _jumpMap[426][QueryPredicate] = 444;
   _jumpMap[426][QueryCondition] = 584;
   _jumpMap[426][Function] = 116;
   _jumpMap[426][CasePrepare] = 115;
   _jumpMap[426][CaseClause] = 114;
   _jumpMap[426][Factor] = 113;
   _jumpMap[426][Term] = 112;
   _jumpMap[426][Expr] = 442;
   _actionMap[427][SEMICOLON] = ActionEntry(REDUCE, 27);
   _actionMap[428][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[428][VALUES] = ActionEntry(SHIFT, 431);
   _jumpMap[428][SelectStatement] = 430;
   _jumpMap[428][InsertPrepare] = 429;
   _actionMap[429][LB] = ActionEntry(SHIFT, 587);
   _jumpMap[429][InsertValueSpec] = 586;
   _jumpMap[429][InsertValueSpecList] = 585;
   _actionMap[430][SEMICOLON] = ActionEntry(REDUCE, 225);
   _actionMap[431][LB] = ActionEntry(REDUCE, 228);
   _actionMap[432][IDENTIFIER] = ActionEntry(SHIFT, 589);
   _jumpMap[432][InsertArgList] = 588;
   _actionMap[433][SEMICOLON] = ActionEntry(REDUCE, 15);
   _actionMap[434][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[434][SelectStatement] = 590;
   _actionMap[435][STAR] = ActionEntry(SHIFT, 277);
   _actionMap[435][DIVISION] = ActionEntry(SHIFT, 278);
   _actionMap[435][WHEN] = ActionEntry(REDUCE, 173);
   _actionMap[435][ELSE] = ActionEntry(REDUCE, 173);
   _actionMap[435][LEFT] = ActionEntry(REDUCE, 173);
   _actionMap[435][RIGHT] = ActionEntry(REDUCE, 173);
   _actionMap[435][INNER] = ActionEntry(REDUCE, 173);
   _actionMap[435][JOIN] = ActionEntry(REDUCE, 173);
   _actionMap[435][RETURNTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[435][ORDER] = ActionEntry(REDUCE, 173);
   _actionMap[435][GROUP] = ActionEntry(REDUCE, 173);
   _actionMap[435][WHERE] = ActionEntry(REDUCE, 173);
   _actionMap[435][BEGIN] = ActionEntry(REDUCE, 173);
   _actionMap[435][THEN] = ActionEntry(REDUCE, 173);
   _actionMap[435][OR] = ActionEntry(REDUCE, 173);
   _actionMap[435][AS] = ActionEntry(REDUCE, 173);
   _actionMap[435][FROM] = ActionEntry(REDUCE, 173);
   _actionMap[435][LIKE] = ActionEntry(REDUCE, 173);
   _actionMap[435][BETWEEN] = ActionEntry(REDUCE, 173);
   _actionMap[435][NOT] = ActionEntry(REDUCE, 173);
   _actionMap[435][INTOK] = ActionEntry(REDUCE, 173);
   _actionMap[435][END_TOKEN] = ActionEntry(REDUCE, 173);
}
void Cego::loadParser164()
{
   _actionMap[435][AND] = ActionEntry(REDUCE, 173);
   _actionMap[435][IS] = ActionEntry(REDUCE, 173);
   _actionMap[435][EQU] = ActionEntry(REDUCE, 173);
   _actionMap[435][NEGATION] = ActionEntry(REDUCE, 173);
   _actionMap[435][LT] = ActionEntry(REDUCE, 173);
   _actionMap[435][MT] = ActionEntry(REDUCE, 173);
   _actionMap[435][DESC] = ActionEntry(REDUCE, 173);
   _actionMap[435][ASC] = ActionEntry(REDUCE, 173);
   _actionMap[435][KSEP] = ActionEntry(REDUCE, 173);
   _actionMap[435][ROWLIMIT] = ActionEntry(REDUCE, 173);
   _actionMap[435][UNION] = ActionEntry(REDUCE, 173);
   _actionMap[435][ENDTOKEN] = ActionEntry(REDUCE, 173);
   _actionMap[435][RB] = ActionEntry(REDUCE, 173);
   _actionMap[435][SEMICOLON] = ActionEntry(REDUCE, 173);
   _actionMap[435][CONCAT] = ActionEntry(REDUCE, 173);
   _actionMap[435][MINUS] = ActionEntry(REDUCE, 173);
   _actionMap[435][PLUS] = ActionEntry(REDUCE, 173);
   _actionMap[436][STAR] = ActionEntry(SHIFT, 277);
   _actionMap[436][DIVISION] = ActionEntry(SHIFT, 278);
   _actionMap[436][WHEN] = ActionEntry(REDUCE, 171);
   _actionMap[436][ELSE] = ActionEntry(REDUCE, 171);
   _actionMap[436][LEFT] = ActionEntry(REDUCE, 171);
   _actionMap[436][RIGHT] = ActionEntry(REDUCE, 171);
   _actionMap[436][INNER] = ActionEntry(REDUCE, 171);
   _actionMap[436][JOIN] = ActionEntry(REDUCE, 171);
   _actionMap[436][RETURNTOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[436][ORDER] = ActionEntry(REDUCE, 171);
   _actionMap[436][GROUP] = ActionEntry(REDUCE, 171);
   _actionMap[436][WHERE] = ActionEntry(REDUCE, 171);
   _actionMap[436][BEGIN] = ActionEntry(REDUCE, 171);
   _actionMap[436][THEN] = ActionEntry(REDUCE, 171);
   _actionMap[436][OR] = ActionEntry(REDUCE, 171);
   _actionMap[436][AS] = ActionEntry(REDUCE, 171);
   _actionMap[436][FROM] = ActionEntry(REDUCE, 171);
   _actionMap[436][LIKE] = ActionEntry(REDUCE, 171);
   _actionMap[436][BETWEEN] = ActionEntry(REDUCE, 171);
   _actionMap[436][NOT] = ActionEntry(REDUCE, 171);
   _actionMap[436][INTOK] = ActionEntry(REDUCE, 171);
   _actionMap[436][END_TOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[436][AND] = ActionEntry(REDUCE, 171);
   _actionMap[436][IS] = ActionEntry(REDUCE, 171);
   _actionMap[436][EQU] = ActionEntry(REDUCE, 171);
   _actionMap[436][NEGATION] = ActionEntry(REDUCE, 171);
   _actionMap[436][LT] = ActionEntry(REDUCE, 171);
   _actionMap[436][MT] = ActionEntry(REDUCE, 171);
   _actionMap[436][DESC] = ActionEntry(REDUCE, 171);
   _actionMap[436][ASC] = ActionEntry(REDUCE, 171);
   _actionMap[436][KSEP] = ActionEntry(REDUCE, 171);
   _actionMap[436][ROWLIMIT] = ActionEntry(REDUCE, 171);
   _actionMap[436][UNION] = ActionEntry(REDUCE, 171);
}
void Cego::loadParser165()
{
   _actionMap[436][ENDTOKEN] = ActionEntry(REDUCE, 171);
   _actionMap[436][RB] = ActionEntry(REDUCE, 171);
   _actionMap[436][SEMICOLON] = ActionEntry(REDUCE, 171);
   _actionMap[436][CONCAT] = ActionEntry(REDUCE, 171);
   _actionMap[436][MINUS] = ActionEntry(REDUCE, 171);
   _actionMap[436][PLUS] = ActionEntry(REDUCE, 171);
   _actionMap[437][STAR] = ActionEntry(SHIFT, 277);
   _actionMap[437][DIVISION] = ActionEntry(SHIFT, 278);
   _actionMap[437][WHEN] = ActionEntry(REDUCE, 170);
   _actionMap[437][ELSE] = ActionEntry(REDUCE, 170);
   _actionMap[437][LEFT] = ActionEntry(REDUCE, 170);
   _actionMap[437][RIGHT] = ActionEntry(REDUCE, 170);
   _actionMap[437][INNER] = ActionEntry(REDUCE, 170);
   _actionMap[437][JOIN] = ActionEntry(REDUCE, 170);
   _actionMap[437][RETURNTOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[437][ORDER] = ActionEntry(REDUCE, 170);
   _actionMap[437][GROUP] = ActionEntry(REDUCE, 170);
   _actionMap[437][WHERE] = ActionEntry(REDUCE, 170);
   _actionMap[437][BEGIN] = ActionEntry(REDUCE, 170);
   _actionMap[437][THEN] = ActionEntry(REDUCE, 170);
   _actionMap[437][OR] = ActionEntry(REDUCE, 170);
   _actionMap[437][AS] = ActionEntry(REDUCE, 170);
   _actionMap[437][FROM] = ActionEntry(REDUCE, 170);
   _actionMap[437][LIKE] = ActionEntry(REDUCE, 170);
   _actionMap[437][BETWEEN] = ActionEntry(REDUCE, 170);
   _actionMap[437][NOT] = ActionEntry(REDUCE, 170);
   _actionMap[437][INTOK] = ActionEntry(REDUCE, 170);
   _actionMap[437][END_TOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[437][AND] = ActionEntry(REDUCE, 170);
   _actionMap[437][IS] = ActionEntry(REDUCE, 170);
   _actionMap[437][EQU] = ActionEntry(REDUCE, 170);
   _actionMap[437][NEGATION] = ActionEntry(REDUCE, 170);
   _actionMap[437][LT] = ActionEntry(REDUCE, 170);
   _actionMap[437][MT] = ActionEntry(REDUCE, 170);
   _actionMap[437][DESC] = ActionEntry(REDUCE, 170);
   _actionMap[437][ASC] = ActionEntry(REDUCE, 170);
   _actionMap[437][KSEP] = ActionEntry(REDUCE, 170);
   _actionMap[437][ROWLIMIT] = ActionEntry(REDUCE, 170);
   _actionMap[437][UNION] = ActionEntry(REDUCE, 170);
   _actionMap[437][ENDTOKEN] = ActionEntry(REDUCE, 170);
   _actionMap[437][RB] = ActionEntry(REDUCE, 170);
   _actionMap[437][SEMICOLON] = ActionEntry(REDUCE, 170);
   _actionMap[437][CONCAT] = ActionEntry(REDUCE, 170);
   _actionMap[437][MINUS] = ActionEntry(REDUCE, 170);
   _actionMap[437][PLUS] = ActionEntry(REDUCE, 170);
   _actionMap[438][WHEN] = ActionEntry(REDUCE, 174);
   _actionMap[438][ELSE] = ActionEntry(REDUCE, 174);
   _actionMap[438][LEFT] = ActionEntry(REDUCE, 174);
   _actionMap[438][RIGHT] = ActionEntry(REDUCE, 174);
   _actionMap[438][INNER] = ActionEntry(REDUCE, 174);
}
void Cego::loadParser166()
{
   _actionMap[438][JOIN] = ActionEntry(REDUCE, 174);
   _actionMap[438][RETURNTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[438][ORDER] = ActionEntry(REDUCE, 174);
   _actionMap[438][GROUP] = ActionEntry(REDUCE, 174);
   _actionMap[438][WHERE] = ActionEntry(REDUCE, 174);
   _actionMap[438][BEGIN] = ActionEntry(REDUCE, 174);
   _actionMap[438][THEN] = ActionEntry(REDUCE, 174);
   _actionMap[438][OR] = ActionEntry(REDUCE, 174);
   _actionMap[438][FROM] = ActionEntry(REDUCE, 174);
   _actionMap[438][AS] = ActionEntry(REDUCE, 174);
   _actionMap[438][END_TOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[438][AND] = ActionEntry(REDUCE, 174);
   _actionMap[438][INTOK] = ActionEntry(REDUCE, 174);
   _actionMap[438][NOT] = ActionEntry(REDUCE, 174);
   _actionMap[438][BETWEEN] = ActionEntry(REDUCE, 174);
   _actionMap[438][IS] = ActionEntry(REDUCE, 174);
   _actionMap[438][LIKE] = ActionEntry(REDUCE, 174);
   _actionMap[438][MT] = ActionEntry(REDUCE, 174);
   _actionMap[438][LT] = ActionEntry(REDUCE, 174);
   _actionMap[438][NEGATION] = ActionEntry(REDUCE, 174);
   _actionMap[438][EQU] = ActionEntry(REDUCE, 174);
   _actionMap[438][RB] = ActionEntry(REDUCE, 174);
   _actionMap[438][ENDTOKEN] = ActionEntry(REDUCE, 174);
   _actionMap[438][UNION] = ActionEntry(REDUCE, 174);
   _actionMap[438][ROWLIMIT] = ActionEntry(REDUCE, 174);
   _actionMap[438][KSEP] = ActionEntry(REDUCE, 174);
   _actionMap[438][ASC] = ActionEntry(REDUCE, 174);
   _actionMap[438][DESC] = ActionEntry(REDUCE, 174);
   _actionMap[438][SEMICOLON] = ActionEntry(REDUCE, 174);
   _actionMap[438][PLUS] = ActionEntry(REDUCE, 174);
   _actionMap[438][MINUS] = ActionEntry(REDUCE, 174);
   _actionMap[438][CONCAT] = ActionEntry(REDUCE, 174);
   _actionMap[438][DIVISION] = ActionEntry(REDUCE, 174);
   _actionMap[438][STAR] = ActionEntry(REDUCE, 174);
   _actionMap[439][WHEN] = ActionEntry(REDUCE, 175);
   _actionMap[439][ELSE] = ActionEntry(REDUCE, 175);
   _actionMap[439][LEFT] = ActionEntry(REDUCE, 175);
   _actionMap[439][RIGHT] = ActionEntry(REDUCE, 175);
   _actionMap[439][INNER] = ActionEntry(REDUCE, 175);
   _actionMap[439][JOIN] = ActionEntry(REDUCE, 175);
   _actionMap[439][RETURNTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[439][ORDER] = ActionEntry(REDUCE, 175);
   _actionMap[439][GROUP] = ActionEntry(REDUCE, 175);
   _actionMap[439][WHERE] = ActionEntry(REDUCE, 175);
   _actionMap[439][BEGIN] = ActionEntry(REDUCE, 175);
   _actionMap[439][THEN] = ActionEntry(REDUCE, 175);
   _actionMap[439][OR] = ActionEntry(REDUCE, 175);
   _actionMap[439][FROM] = ActionEntry(REDUCE, 175);
   _actionMap[439][AS] = ActionEntry(REDUCE, 175);
   _actionMap[439][END_TOKEN] = ActionEntry(REDUCE, 175);
}
void Cego::loadParser167()
{
   _actionMap[439][AND] = ActionEntry(REDUCE, 175);
   _actionMap[439][INTOK] = ActionEntry(REDUCE, 175);
   _actionMap[439][NOT] = ActionEntry(REDUCE, 175);
   _actionMap[439][BETWEEN] = ActionEntry(REDUCE, 175);
   _actionMap[439][IS] = ActionEntry(REDUCE, 175);
   _actionMap[439][LIKE] = ActionEntry(REDUCE, 175);
   _actionMap[439][MT] = ActionEntry(REDUCE, 175);
   _actionMap[439][LT] = ActionEntry(REDUCE, 175);
   _actionMap[439][NEGATION] = ActionEntry(REDUCE, 175);
   _actionMap[439][EQU] = ActionEntry(REDUCE, 175);
   _actionMap[439][RB] = ActionEntry(REDUCE, 175);
   _actionMap[439][ENDTOKEN] = ActionEntry(REDUCE, 175);
   _actionMap[439][UNION] = ActionEntry(REDUCE, 175);
   _actionMap[439][ROWLIMIT] = ActionEntry(REDUCE, 175);
   _actionMap[439][KSEP] = ActionEntry(REDUCE, 175);
   _actionMap[439][ASC] = ActionEntry(REDUCE, 175);
   _actionMap[439][DESC] = ActionEntry(REDUCE, 175);
   _actionMap[439][SEMICOLON] = ActionEntry(REDUCE, 175);
   _actionMap[439][PLUS] = ActionEntry(REDUCE, 175);
   _actionMap[439][MINUS] = ActionEntry(REDUCE, 175);
   _actionMap[439][CONCAT] = ActionEntry(REDUCE, 175);
   _actionMap[439][DIVISION] = ActionEntry(REDUCE, 175);
   _actionMap[439][STAR] = ActionEntry(REDUCE, 175);
   _actionMap[440][WHEN] = ActionEntry(REDUCE, 192);
   _actionMap[440][ELSE] = ActionEntry(REDUCE, 192);
   _actionMap[441][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[441][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[441][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[441][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[441][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[441][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[441][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[441][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[441][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[441][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[441][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[441][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[441][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[441][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[441][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[441][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[441][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[441][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[441][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[441][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[441][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[441][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[441][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[441][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[441][STR2DATE] = ActionEntry(SHIFT, 172);
}
void Cego::loadParser168()
{
   _actionMap[441][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[441][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[441][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[441][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[441][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[441][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[441][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[441][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[441][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[441][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[441][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[441][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[441][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[441][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[441][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[441][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[441][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[441][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[441][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[441][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[441][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[441][LB] = ActionEntry(SHIFT, 177);
   _actionMap[441][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[441][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[441][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[441][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[441][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[441][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[441][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[441][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[441][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[441][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[441][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[441][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[441][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[441][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[441][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[441][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[441][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[441][ObjSpec] = 121;
   _jumpMap[441][Constant] = 120;
   _jumpMap[441][SignedFloat] = 119;
   _jumpMap[441][SignedInt] = 118;
   _jumpMap[441][Attribute] = 117;
   _jumpMap[441][Function] = 116;
   _jumpMap[441][CasePrepare] = 115;
   _jumpMap[441][CaseClause] = 114;
   _jumpMap[441][Factor] = 113;
   _jumpMap[441][Term] = 112;
   _jumpMap[441][Expr] = 591;
}
void Cego::loadParser169()
{
   _actionMap[442][INTOK] = ActionEntry(SHIFT, 594);
   _actionMap[442][NOT] = ActionEntry(SHIFT, 597);
   _actionMap[442][BETWEEN] = ActionEntry(SHIFT, 593);
   _actionMap[442][IS] = ActionEntry(SHIFT, 595);
   _actionMap[442][LIKE] = ActionEntry(SHIFT, 596);
   _actionMap[442][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[442][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[442][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[442][EQU] = ActionEntry(SHIFT, 598);
   _actionMap[442][NEGATION] = ActionEntry(SHIFT, 601);
   _actionMap[442][LT] = ActionEntry(SHIFT, 599);
   _actionMap[442][MT] = ActionEntry(SHIFT, 600);
   _jumpMap[442][Comparison] = 592;
   _actionMap[443][THEN] = ActionEntry(SHIFT, 604);
   _actionMap[443][AND] = ActionEntry(SHIFT, 602);
   _actionMap[443][OR] = ActionEntry(SHIFT, 603);
   _actionMap[444][LEFT] = ActionEntry(REDUCE, 367);
   _actionMap[444][RIGHT] = ActionEntry(REDUCE, 367);
   _actionMap[444][INNER] = ActionEntry(REDUCE, 367);
   _actionMap[444][JOIN] = ActionEntry(REDUCE, 367);
   _actionMap[444][RETURNTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[444][SEMICOLON] = ActionEntry(REDUCE, 367);
   _actionMap[444][ENDTOKEN] = ActionEntry(REDUCE, 367);
   _actionMap[444][UNION] = ActionEntry(REDUCE, 367);
   _actionMap[444][ROWLIMIT] = ActionEntry(REDUCE, 367);
   _actionMap[444][ORDER] = ActionEntry(REDUCE, 367);
   _actionMap[444][GROUP] = ActionEntry(REDUCE, 367);
   _actionMap[444][WHERE] = ActionEntry(REDUCE, 367);
   _actionMap[444][THEN] = ActionEntry(REDUCE, 367);
   _actionMap[444][RB] = ActionEntry(REDUCE, 367);
   _actionMap[444][OR] = ActionEntry(REDUCE, 367);
   _actionMap[444][AND] = ActionEntry(REDUCE, 367);
   _actionMap[445][LB] = ActionEntry(SHIFT, 605);
   _actionMap[446][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[446][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[446][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[446][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[446][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[446][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[446][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[446][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[446][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[446][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[446][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[446][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[446][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[446][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[446][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[446][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[446][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser170()
{
   _actionMap[446][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[446][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[446][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[446][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[446][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[446][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[446][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[446][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[446][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[446][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[446][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[446][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[446][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[446][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[446][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[446][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[446][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[446][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[446][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[446][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[446][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[446][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[446][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[446][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[446][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[446][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[446][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[446][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[446][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[446][LB] = ActionEntry(SHIFT, 447);
   _actionMap[446][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[446][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[446][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[446][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[446][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[446][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[446][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[446][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[446][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[446][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[446][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[446][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[446][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[446][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[446][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[446][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[446][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[446][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[446][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[446][ObjSpec] = 121;
}
void Cego::loadParser171()
{
   _jumpMap[446][Constant] = 120;
   _jumpMap[446][SignedFloat] = 119;
   _jumpMap[446][SignedInt] = 118;
   _jumpMap[446][Attribute] = 117;
   _jumpMap[446][QueryPredicate] = 606;
   _jumpMap[446][Function] = 116;
   _jumpMap[446][CasePrepare] = 115;
   _jumpMap[446][CaseClause] = 114;
   _jumpMap[446][Factor] = 113;
   _jumpMap[446][Term] = 112;
   _jumpMap[446][Expr] = 442;
   _actionMap[447][LONG] = ActionEntry(SHIFT, 338);
   _actionMap[447][BIGINT] = ActionEntry(SHIFT, 334);
   _actionMap[447][SMALLINT] = ActionEntry(SHIFT, 339);
   _actionMap[447][TINYINT] = ActionEntry(SHIFT, 340);
   _actionMap[447][DOUBLE] = ActionEntry(SHIFT, 336);
   _actionMap[447][DECIMAL] = ActionEntry(SHIFT, 335);
   _actionMap[447][FIXED] = ActionEntry(SHIFT, 337);
   _actionMap[447][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[447][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[447][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[447][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[447][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[447][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[447][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[447][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[447][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[447][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[447][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[447][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[447][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[447][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[447][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[447][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[447][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[447][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[447][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[447][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[447][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[447][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[447][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[447][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[447][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[447][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[447][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[447][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[447][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[447][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[447][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[447][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser172()
{
   _actionMap[447][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[447][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[447][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[447][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[447][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[447][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[447][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[447][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[447][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[447][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[447][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[447][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[447][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[447][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[447][LB] = ActionEntry(SHIFT, 447);
   _actionMap[447][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[447][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[447][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[447][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[447][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[447][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[447][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[447][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[447][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[447][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[447][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[447][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[447][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[447][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[447][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[447][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[447][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[447][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[447][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[447][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[447][ObjSpec] = 121;
   _jumpMap[447][Constant] = 120;
   _jumpMap[447][SignedFloat] = 119;
   _jumpMap[447][SignedInt] = 118;
   _jumpMap[447][Attribute] = 117;
   _jumpMap[447][QueryPredicate] = 444;
   _jumpMap[447][QueryCondition] = 608;
   _jumpMap[447][Function] = 116;
   _jumpMap[447][SelectStatement] = 333;
   _jumpMap[447][CasePrepare] = 115;
   _jumpMap[447][CaseClause] = 114;
   _jumpMap[447][Factor] = 113;
   _jumpMap[447][Term] = 112;
   _jumpMap[447][Expr] = 607;
   _actionMap[448][PLUS] = ActionEntry(SHIFT, 276);
}
void Cego::loadParser173()
{
   _actionMap[448][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[448][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[448][KSEP] = ActionEntry(REDUCE, 361);
   _actionMap[448][RB] = ActionEntry(REDUCE, 361);
   _actionMap[449][RB] = ActionEntry(SHIFT, 610);
   _actionMap[449][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[450][WHEN] = ActionEntry(REDUCE, 359);
   _actionMap[450][ELSE] = ActionEntry(REDUCE, 359);
   _actionMap[450][LEFT] = ActionEntry(REDUCE, 359);
   _actionMap[450][RIGHT] = ActionEntry(REDUCE, 359);
   _actionMap[450][INNER] = ActionEntry(REDUCE, 359);
   _actionMap[450][JOIN] = ActionEntry(REDUCE, 359);
   _actionMap[450][RETURNTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[450][ORDER] = ActionEntry(REDUCE, 359);
   _actionMap[450][GROUP] = ActionEntry(REDUCE, 359);
   _actionMap[450][WHERE] = ActionEntry(REDUCE, 359);
   _actionMap[450][FROM] = ActionEntry(REDUCE, 359);
   _actionMap[450][AS] = ActionEntry(REDUCE, 359);
   _actionMap[450][END_TOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[450][BEGIN] = ActionEntry(REDUCE, 359);
   _actionMap[450][THEN] = ActionEntry(REDUCE, 359);
   _actionMap[450][OR] = ActionEntry(REDUCE, 359);
   _actionMap[450][AND] = ActionEntry(REDUCE, 359);
   _actionMap[450][INTOK] = ActionEntry(REDUCE, 359);
   _actionMap[450][NOT] = ActionEntry(REDUCE, 359);
   _actionMap[450][BETWEEN] = ActionEntry(REDUCE, 359);
   _actionMap[450][IS] = ActionEntry(REDUCE, 359);
   _actionMap[450][LIKE] = ActionEntry(REDUCE, 359);
   _actionMap[450][MT] = ActionEntry(REDUCE, 359);
   _actionMap[450][LT] = ActionEntry(REDUCE, 359);
   _actionMap[450][NEGATION] = ActionEntry(REDUCE, 359);
   _actionMap[450][EQU] = ActionEntry(REDUCE, 359);
   _actionMap[450][RB] = ActionEntry(REDUCE, 359);
   _actionMap[450][ENDTOKEN] = ActionEntry(REDUCE, 359);
   _actionMap[450][UNION] = ActionEntry(REDUCE, 359);
   _actionMap[450][ROWLIMIT] = ActionEntry(REDUCE, 359);
   _actionMap[450][KSEP] = ActionEntry(REDUCE, 359);
   _actionMap[450][ASC] = ActionEntry(REDUCE, 359);
   _actionMap[450][DESC] = ActionEntry(REDUCE, 359);
   _actionMap[450][SEMICOLON] = ActionEntry(REDUCE, 359);
   _actionMap[450][PLUS] = ActionEntry(REDUCE, 359);
   _actionMap[450][MINUS] = ActionEntry(REDUCE, 359);
   _actionMap[450][DIVISION] = ActionEntry(REDUCE, 359);
   _actionMap[450][STAR] = ActionEntry(REDUCE, 359);
   _actionMap[450][CONCAT] = ActionEntry(REDUCE, 359);
   _actionMap[451][RB] = ActionEntry(SHIFT, 611);
   _actionMap[451][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[452][RB] = ActionEntry(SHIFT, 612);
   _actionMap[452][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[452][MINUS] = ActionEntry(SHIFT, 275);
}
void Cego::loadParser174()
{
   _actionMap[452][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[453][RB] = ActionEntry(SHIFT, 613);
   _actionMap[453][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[454][RB] = ActionEntry(SHIFT, 614);
   _actionMap[454][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[455][RB] = ActionEntry(SHIFT, 615);
   _actionMap[455][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[456][RAB] = ActionEntry(SHIFT, 616);
   _actionMap[457][RB] = ActionEntry(SHIFT, 617);
   _actionMap[457][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[458][RB] = ActionEntry(SHIFT, 618);
   _actionMap[458][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[459][RAB] = ActionEntry(SHIFT, 619);
   _actionMap[460][RB] = ActionEntry(SHIFT, 620);
   _actionMap[460][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[461][RB] = ActionEntry(SHIFT, 621);
   _actionMap[461][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[462][RB] = ActionEntry(SHIFT, 622);
   _actionMap[462][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[463][RB] = ActionEntry(SHIFT, 623);
   _actionMap[463][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[463][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[463][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[464][RB] = ActionEntry(SHIFT, 624);
   _actionMap[465][KSEP] = ActionEntry(SHIFT, 625);
   _actionMap[466][KSEP] = ActionEntry(REDUCE, 427);
   _actionMap[467][RB] = ActionEntry(SHIFT, 626);
   _actionMap[467][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[468][RB] = ActionEntry(SHIFT, 627);
   _actionMap[468][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[469][RB] = ActionEntry(SHIFT, 628);
   _actionMap[469][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[470][LB] = ActionEntry(SHIFT, 629);
   _actionMap[471][RB] = ActionEntry(SHIFT, 630);
   _actionMap[472][RB] = ActionEntry(SHIFT, 631);
   _actionMap[472][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[473][RB] = ActionEntry(SHIFT, 632);
   _actionMap[473][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[474][RB] = ActionEntry(SHIFT, 633);
   _actionMap[474][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[475][RB] = ActionEntry(SHIFT, 634);
   _actionMap[475][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[476][RB] = ActionEntry(SHIFT, 635);
   _actionMap[476][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[477][RB] = ActionEntry(SHIFT, 636);
   _actionMap[477][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[478][RB] = ActionEntry(SHIFT, 637);
   _actionMap[478][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[479][RB] = ActionEntry(SHIFT, 638);
   _actionMap[479][KSEP] = ActionEntry(SHIFT, 609);
}
void Cego::loadParser175()
{
   _actionMap[480][RB] = ActionEntry(SHIFT, 639);
   _actionMap[480][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[481][RB] = ActionEntry(SHIFT, 640);
   _actionMap[481][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[482][RB] = ActionEntry(SHIFT, 641);
   _actionMap[482][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[482][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[482][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[483][RB] = ActionEntry(SHIFT, 642);
   _actionMap[483][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[483][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[483][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[484][RB] = ActionEntry(SHIFT, 643);
   _actionMap[484][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[485][RB] = ActionEntry(SHIFT, 644);
   _actionMap[486][RB] = ActionEntry(SHIFT, 645);
   _actionMap[486][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[487][RB] = ActionEntry(SHIFT, 646);
   _actionMap[487][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[488][RB] = ActionEntry(SHIFT, 647);
   _actionMap[488][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[489][RB] = ActionEntry(SHIFT, 648);
   _actionMap[489][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[490][RB] = ActionEntry(SHIFT, 649);
   _actionMap[490][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[491][RB] = ActionEntry(SHIFT, 650);
   _actionMap[491][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[492][RB] = ActionEntry(SHIFT, 651);
   _actionMap[492][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[493][KSEP] = ActionEntry(SHIFT, 652);
   _actionMap[494][RB] = ActionEntry(SHIFT, 653);
   _actionMap[494][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[495][RB] = ActionEntry(SHIFT, 654);
   _actionMap[495][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[495][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[495][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[496][RB] = ActionEntry(SHIFT, 655);
   _actionMap[496][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[497][RB] = ActionEntry(SHIFT, 656);
   _actionMap[497][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[498][RB] = ActionEntry(SHIFT, 657);
   _actionMap[498][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[499][RB] = ActionEntry(SHIFT, 658);
   _actionMap[499][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[500][RB] = ActionEntry(SHIFT, 659);
   _actionMap[500][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[501][RB] = ActionEntry(SHIFT, 660);
   _actionMap[501][KSEP] = ActionEntry(SHIFT, 609);
   _actionMap[502][WHEN] = ActionEntry(REDUCE, 182);
   _actionMap[502][ELSE] = ActionEntry(REDUCE, 182);
}
void Cego::loadParser176()
{
   _actionMap[502][LEFT] = ActionEntry(REDUCE, 182);
   _actionMap[502][RIGHT] = ActionEntry(REDUCE, 182);
   _actionMap[502][INNER] = ActionEntry(REDUCE, 182);
   _actionMap[502][JOIN] = ActionEntry(REDUCE, 182);
   _actionMap[502][RETURNTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[502][ORDER] = ActionEntry(REDUCE, 182);
   _actionMap[502][GROUP] = ActionEntry(REDUCE, 182);
   _actionMap[502][WHERE] = ActionEntry(REDUCE, 182);
   _actionMap[502][AS] = ActionEntry(REDUCE, 182);
   _actionMap[502][FROM] = ActionEntry(REDUCE, 182);
   _actionMap[502][END_TOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[502][BEGIN] = ActionEntry(REDUCE, 182);
   _actionMap[502][THEN] = ActionEntry(REDUCE, 182);
   _actionMap[502][OR] = ActionEntry(REDUCE, 182);
   _actionMap[502][AND] = ActionEntry(REDUCE, 182);
   _actionMap[502][DESC] = ActionEntry(REDUCE, 182);
   _actionMap[502][ASC] = ActionEntry(REDUCE, 182);
   _actionMap[502][KSEP] = ActionEntry(REDUCE, 182);
   _actionMap[502][ROWLIMIT] = ActionEntry(REDUCE, 182);
   _actionMap[502][UNION] = ActionEntry(REDUCE, 182);
   _actionMap[502][ENDTOKEN] = ActionEntry(REDUCE, 182);
   _actionMap[502][SEMICOLON] = ActionEntry(REDUCE, 182);
   _actionMap[502][LIKE] = ActionEntry(REDUCE, 182);
   _actionMap[502][BETWEEN] = ActionEntry(REDUCE, 182);
   _actionMap[502][NOT] = ActionEntry(REDUCE, 182);
   _actionMap[502][INTOK] = ActionEntry(REDUCE, 182);
   _actionMap[502][RB] = ActionEntry(REDUCE, 182);
   _actionMap[502][STAR] = ActionEntry(REDUCE, 182);
   _actionMap[502][DIVISION] = ActionEntry(REDUCE, 182);
   _actionMap[502][CONCAT] = ActionEntry(REDUCE, 182);
   _actionMap[502][MINUS] = ActionEntry(REDUCE, 182);
   _actionMap[502][PLUS] = ActionEntry(REDUCE, 182);
   _actionMap[502][IS] = ActionEntry(REDUCE, 182);
   _actionMap[502][EQU] = ActionEntry(REDUCE, 182);
   _actionMap[502][NEGATION] = ActionEntry(REDUCE, 182);
   _actionMap[502][LT] = ActionEntry(REDUCE, 182);
   _actionMap[502][MT] = ActionEntry(REDUCE, 182);
   _actionMap[503][WHEN] = ActionEntry(REDUCE, 183);
   _actionMap[503][ELSE] = ActionEntry(REDUCE, 183);
   _actionMap[503][LEFT] = ActionEntry(REDUCE, 183);
   _actionMap[503][RIGHT] = ActionEntry(REDUCE, 183);
   _actionMap[503][INNER] = ActionEntry(REDUCE, 183);
   _actionMap[503][JOIN] = ActionEntry(REDUCE, 183);
   _actionMap[503][RETURNTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[503][ORDER] = ActionEntry(REDUCE, 183);
   _actionMap[503][GROUP] = ActionEntry(REDUCE, 183);
   _actionMap[503][WHERE] = ActionEntry(REDUCE, 183);
   _actionMap[503][AS] = ActionEntry(REDUCE, 183);
   _actionMap[503][FROM] = ActionEntry(REDUCE, 183);
   _actionMap[503][END_TOKEN] = ActionEntry(REDUCE, 183);
}
void Cego::loadParser177()
{
   _actionMap[503][BEGIN] = ActionEntry(REDUCE, 183);
   _actionMap[503][THEN] = ActionEntry(REDUCE, 183);
   _actionMap[503][OR] = ActionEntry(REDUCE, 183);
   _actionMap[503][AND] = ActionEntry(REDUCE, 183);
   _actionMap[503][DESC] = ActionEntry(REDUCE, 183);
   _actionMap[503][ASC] = ActionEntry(REDUCE, 183);
   _actionMap[503][KSEP] = ActionEntry(REDUCE, 183);
   _actionMap[503][ROWLIMIT] = ActionEntry(REDUCE, 183);
   _actionMap[503][UNION] = ActionEntry(REDUCE, 183);
   _actionMap[503][ENDTOKEN] = ActionEntry(REDUCE, 183);
   _actionMap[503][SEMICOLON] = ActionEntry(REDUCE, 183);
   _actionMap[503][LIKE] = ActionEntry(REDUCE, 183);
   _actionMap[503][BETWEEN] = ActionEntry(REDUCE, 183);
   _actionMap[503][NOT] = ActionEntry(REDUCE, 183);
   _actionMap[503][INTOK] = ActionEntry(REDUCE, 183);
   _actionMap[503][RB] = ActionEntry(REDUCE, 183);
   _actionMap[503][STAR] = ActionEntry(REDUCE, 183);
   _actionMap[503][DIVISION] = ActionEntry(REDUCE, 183);
   _actionMap[503][CONCAT] = ActionEntry(REDUCE, 183);
   _actionMap[503][MINUS] = ActionEntry(REDUCE, 183);
   _actionMap[503][PLUS] = ActionEntry(REDUCE, 183);
   _actionMap[503][IS] = ActionEntry(REDUCE, 183);
   _actionMap[503][EQU] = ActionEntry(REDUCE, 183);
   _actionMap[503][NEGATION] = ActionEntry(REDUCE, 183);
   _actionMap[503][LT] = ActionEntry(REDUCE, 183);
   _actionMap[503][MT] = ActionEntry(REDUCE, 183);
   _actionMap[504][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[504][MINUS] = ActionEntry(SHIFT, 662);
   _jumpMap[504][SignedInt] = 661;
   _actionMap[505][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[505][MINUS] = ActionEntry(SHIFT, 664);
   _jumpMap[505][SignedFloat] = 663;
   _actionMap[506][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[506][MINUS] = ActionEntry(SHIFT, 664);
   _jumpMap[506][SignedFloat] = 665;
   _actionMap[507][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[507][MINUS] = ActionEntry(SHIFT, 664);
   _jumpMap[507][SignedFloat] = 666;
   _actionMap[508][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[508][MINUS] = ActionEntry(SHIFT, 662);
   _jumpMap[508][SignedInt] = 667;
   _actionMap[509][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[509][MINUS] = ActionEntry(SHIFT, 662);
   _jumpMap[509][SignedInt] = 668;
   _actionMap[510][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[510][MINUS] = ActionEntry(SHIFT, 662);
   _jumpMap[510][SignedInt] = 669;
   _actionMap[511][IDENTIFIER] = ActionEntry(SHIFT, 670);
   _actionMap[512][IDENTIFIER] = ActionEntry(SHIFT, 671);
   _actionMap[513][IDENTIFIER] = ActionEntry(SHIFT, 672);
}
void Cego::loadParser178()
{
   _actionMap[514][IDENTIFIER] = ActionEntry(SHIFT, 673);
   _actionMap[515][IDENTIFIER] = ActionEntry(SHIFT, 674);
   _actionMap[516][IDENTIFIER] = ActionEntry(SHIFT, 675);
   _actionMap[517][IDENTIFIER] = ActionEntry(SHIFT, 676);
   _actionMap[518][IDENTIFIER] = ActionEntry(SHIFT, 677);
   _actionMap[519][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[519][RB] = ActionEntry(REDUCE, 364);
   _actionMap[519][ENDTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[519][UNION] = ActionEntry(REDUCE, 364);
   _actionMap[519][ROWLIMIT] = ActionEntry(REDUCE, 364);
   _actionMap[519][ORDER] = ActionEntry(REDUCE, 364);
   _actionMap[519][GROUP] = ActionEntry(REDUCE, 364);
   _actionMap[519][WHERE] = ActionEntry(SHIFT, 426);
   _jumpMap[519][NoWhere] = 425;
   _jumpMap[519][WhereClause] = 678;
   _actionMap[520][WHERE] = ActionEntry(REDUCE, 246);
   _actionMap[520][GROUP] = ActionEntry(REDUCE, 246);
   _actionMap[520][ORDER] = ActionEntry(REDUCE, 246);
   _actionMap[520][ROWLIMIT] = ActionEntry(REDUCE, 246);
   _actionMap[520][UNION] = ActionEntry(REDUCE, 246);
   _actionMap[520][ENDTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[520][RB] = ActionEntry(REDUCE, 246);
   _actionMap[520][SEMICOLON] = ActionEntry(REDUCE, 246);
   _actionMap[520][RETURNTOKEN] = ActionEntry(REDUCE, 246);
   _actionMap[520][INNER] = ActionEntry(SHIFT, 681);
   _actionMap[520][JOIN] = ActionEntry(SHIFT, 682);
   _actionMap[520][LEFT] = ActionEntry(SHIFT, 683);
   _actionMap[520][RIGHT] = ActionEntry(SHIFT, 684);
   _jumpMap[520][InnerJoin] = 680;
   _jumpMap[520][JoinSpec] = 679;
   _actionMap[521][WHERE] = ActionEntry(REDUCE, 245);
   _actionMap[521][GROUP] = ActionEntry(REDUCE, 245);
   _actionMap[521][ORDER] = ActionEntry(REDUCE, 245);
   _actionMap[521][ROWLIMIT] = ActionEntry(REDUCE, 245);
   _actionMap[521][UNION] = ActionEntry(REDUCE, 245);
   _actionMap[521][ENDTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[521][RB] = ActionEntry(REDUCE, 245);
   _actionMap[521][SEMICOLON] = ActionEntry(REDUCE, 245);
   _actionMap[521][RETURNTOKEN] = ActionEntry(REDUCE, 245);
   _actionMap[522][KSEP] = ActionEntry(SHIFT, 686);
   _actionMap[522][RETURNTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[522][SEMICOLON] = ActionEntry(REDUCE, 258);
   _actionMap[522][RB] = ActionEntry(REDUCE, 258);
   _actionMap[522][ENDTOKEN] = ActionEntry(REDUCE, 258);
   _actionMap[522][UNION] = ActionEntry(REDUCE, 258);
   _actionMap[522][ROWLIMIT] = ActionEntry(REDUCE, 258);
   _actionMap[522][ORDER] = ActionEntry(REDUCE, 258);
   _actionMap[522][GROUP] = ActionEntry(REDUCE, 258);
   _actionMap[522][WHERE] = ActionEntry(REDUCE, 258);
   _actionMap[522][INNER] = ActionEntry(SHIFT, 681);
}
void Cego::loadParser179()
{
   _actionMap[522][JOIN] = ActionEntry(SHIFT, 682);
   _actionMap[522][LEFT] = ActionEntry(SHIFT, 683);
   _actionMap[522][RIGHT] = ActionEntry(SHIFT, 684);
   _jumpMap[522][InnerJoin] = 680;
   _jumpMap[522][JoinSpec] = 685;
   _actionMap[523][KSEP] = ActionEntry(REDUCE, 259);
   _actionMap[523][IDENTIFIER] = ActionEntry(SHIFT, 687);
   _actionMap[523][LEFT] = ActionEntry(REDUCE, 259);
   _actionMap[523][RIGHT] = ActionEntry(REDUCE, 259);
   _actionMap[523][INNER] = ActionEntry(REDUCE, 259);
   _actionMap[523][JOIN] = ActionEntry(REDUCE, 259);
   _actionMap[523][RETURNTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[523][SEMICOLON] = ActionEntry(REDUCE, 259);
   _actionMap[523][RB] = ActionEntry(REDUCE, 259);
   _actionMap[523][ENDTOKEN] = ActionEntry(REDUCE, 259);
   _actionMap[523][UNION] = ActionEntry(REDUCE, 259);
   _actionMap[523][ROWLIMIT] = ActionEntry(REDUCE, 259);
   _actionMap[523][ORDER] = ActionEntry(REDUCE, 259);
   _actionMap[523][GROUP] = ActionEntry(REDUCE, 259);
   _actionMap[523][WHERE] = ActionEntry(REDUCE, 259);
   _actionMap[523][ON] = ActionEntry(REDUCE, 259);
   _actionMap[524][FROM] = ActionEntry(REDUCE, 244);
   _actionMap[524][RB] = ActionEntry(REDUCE, 244);
   _actionMap[524][SEMICOLON] = ActionEntry(REDUCE, 244);
   _actionMap[524][ENDTOKEN] = ActionEntry(REDUCE, 244);
   _actionMap[524][KSEP] = ActionEntry(REDUCE, 244);
   _actionMap[525][FROM] = ActionEntry(REDUCE, 263);
   _actionMap[525][RB] = ActionEntry(REDUCE, 263);
   _actionMap[525][SEMICOLON] = ActionEntry(REDUCE, 263);
   _actionMap[525][ENDTOKEN] = ActionEntry(REDUCE, 263);
   _actionMap[525][KSEP] = ActionEntry(REDUCE, 263);
   _actionMap[526][IDENTIFIER] = ActionEntry(SHIFT, 688);
   _actionMap[527][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[527][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[527][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[527][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[527][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[527][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[527][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[527][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[527][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[527][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[527][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[527][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[527][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[527][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[527][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[527][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[527][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[527][GETPOS] = ActionEntry(SHIFT, 144);
}
void Cego::loadParser180()
{
   _actionMap[527][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[527][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[527][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[527][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[527][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[527][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[527][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[527][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[527][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[527][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[527][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[527][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[527][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[527][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[527][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[527][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[527][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[527][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[527][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[527][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[527][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[527][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[527][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[527][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[527][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[527][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[527][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[527][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[527][LB] = ActionEntry(SHIFT, 177);
   _actionMap[527][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[527][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[527][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[527][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[527][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[527][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[527][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[527][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[527][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[527][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[527][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[527][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[527][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[527][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[527][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[527][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[527][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[527][ObjSpec] = 121;
   _jumpMap[527][Constant] = 120;
   _jumpMap[527][SignedFloat] = 119;
   _jumpMap[527][SignedInt] = 118;
}
void Cego::loadParser181()
{
   _jumpMap[527][Attribute] = 117;
   _jumpMap[527][Function] = 116;
   _jumpMap[527][SelectItem] = 689;
   _jumpMap[527][CasePrepare] = 115;
   _jumpMap[527][CaseClause] = 114;
   _jumpMap[527][Factor] = 113;
   _jumpMap[527][Term] = 112;
   _jumpMap[527][Expr] = 357;
   _actionMap[528][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[528][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[528][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[528][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[528][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[528][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[528][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[528][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[528][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[528][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[528][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[528][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[528][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[528][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[528][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[528][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[528][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[528][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[528][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[528][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[528][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[528][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[528][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[528][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[528][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[528][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[528][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[528][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[528][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[528][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[528][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[528][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[528][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[528][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[528][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[528][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[528][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[528][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[528][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[528][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[528][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[528][SETCOUNT] = ActionEntry(SHIFT, 166);
}
void Cego::loadParser182()
{
   _actionMap[528][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[528][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[528][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[528][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[528][LB] = ActionEntry(SHIFT, 177);
   _actionMap[528][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[528][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[528][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[528][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[528][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[528][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[528][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[528][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[528][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[528][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[528][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[528][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[528][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[528][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[528][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[528][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[528][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[528][ObjSpec] = 121;
   _jumpMap[528][Constant] = 120;
   _jumpMap[528][SignedFloat] = 119;
   _jumpMap[528][SignedInt] = 118;
   _jumpMap[528][Attribute] = 117;
   _jumpMap[528][Function] = 116;
   _jumpMap[528][CasePrepare] = 115;
   _jumpMap[528][CaseClause] = 114;
   _jumpMap[528][Factor] = 113;
   _jumpMap[528][Term] = 112;
   _jumpMap[528][Expr] = 690;
   _actionMap[529][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[529][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[529][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[529][SEMICOLON] = ActionEntry(REDUCE, 87);
   _actionMap[530][KSEP] = ActionEntry(SHIFT, 692);
   _actionMap[530][SEMICOLON] = ActionEntry(REDUCE, 364);
   _actionMap[530][RETURNTOKEN] = ActionEntry(REDUCE, 364);
   _actionMap[530][WHERE] = ActionEntry(SHIFT, 426);
   _jumpMap[530][NoWhere] = 425;
   _jumpMap[530][WhereClause] = 691;
   _actionMap[531][KSEP] = ActionEntry(REDUCE, 290);
   _actionMap[531][WHERE] = ActionEntry(REDUCE, 290);
   _actionMap[531][GROUP] = ActionEntry(REDUCE, 290);
   _actionMap[531][ORDER] = ActionEntry(REDUCE, 290);
   _actionMap[531][ROWLIMIT] = ActionEntry(REDUCE, 290);
   _actionMap[531][UNION] = ActionEntry(REDUCE, 290);
   _actionMap[531][ENDTOKEN] = ActionEntry(REDUCE, 290);
}
void Cego::loadParser183()
{
   _actionMap[531][RB] = ActionEntry(REDUCE, 290);
   _actionMap[531][SEMICOLON] = ActionEntry(REDUCE, 290);
   _actionMap[531][RETURNTOKEN] = ActionEntry(REDUCE, 290);
   _actionMap[532][EQU] = ActionEntry(SHIFT, 693);
   _actionMap[533][LB] = ActionEntry(SHIFT, 694);
   _actionMap[219][SEMICOLON] = ActionEntry(REDUCE, 81);
   _actionMap[220][SEMICOLON] = ActionEntry(REDUCE, 82);
   _actionMap[221][SEMICOLON] = ActionEntry(REDUCE, 75);
   _actionMap[222][SEMICOLON] = ActionEntry(REDUCE, 79);
   _actionMap[223][SEMICOLON] = ActionEntry(REDUCE, 91);
   _actionMap[224][TO] = ActionEntry(REDUCE, 93);
   _actionMap[224][SEMICOLON] = ActionEntry(REDUCE, 93);
   _actionMap[225][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[225][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[225][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[225][ObjSpec] = 377;
   _actionMap[226][SEMICOLON] = ActionEntry(REDUCE, 77);
   _actionMap[227][SEMICOLON] = ActionEntry(REDUCE, 74);
   _actionMap[228][SEMICOLON] = ActionEntry(REDUCE, 80);
   _actionMap[229][SEMICOLON] = ActionEntry(REDUCE, 76);
   _actionMap[230][ADD] = ActionEntry(SHIFT, 380);
   _actionMap[230][DROP] = ActionEntry(SHIFT, 381);
   _actionMap[230][MODIFY] = ActionEntry(SHIFT, 382);
   _actionMap[230][RENAME] = ActionEntry(SHIFT, 383);
   _jumpMap[230][AlterOption] = 379;
   _jumpMap[230][AlterList] = 378;
   _actionMap[231][BY] = ActionEntry(SHIFT, 384);
   _actionMap[232][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[232][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[232][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[232][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[232][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[232][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[232][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[232][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[232][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[232][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[232][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[232][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[232][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[232][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[232][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[232][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[232][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[232][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[232][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[232][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[232][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[232][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[232][STR2INT] = ActionEntry(SHIFT, 170);
}
void Cego::loadParser184()
{
   _actionMap[232][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[232][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[232][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[232][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[232][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[232][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[232][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[232][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[232][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[232][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[232][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[232][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[232][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[232][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[232][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[232][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[232][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[232][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[232][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[232][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[232][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[232][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[232][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[232][LB] = ActionEntry(SHIFT, 177);
   _actionMap[232][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[232][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[232][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[232][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[232][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[232][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[232][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[232][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[232][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[232][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[232][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[232][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[232][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[232][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[232][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[232][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[232][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[232][RB] = ActionEntry(REDUCE, 147);
   _jumpMap[232][ObjSpec] = 121;
   _jumpMap[232][Constant] = 120;
   _jumpMap[232][SignedFloat] = 119;
   _jumpMap[232][SignedInt] = 118;
   _jumpMap[232][Attribute] = 117;
   _jumpMap[232][Function] = 116;
   _jumpMap[232][CasePrepare] = 115;
   _jumpMap[232][CaseClause] = 114;
}
void Cego::loadParser185()
{
   _jumpMap[232][Factor] = 113;
   _jumpMap[232][Term] = 112;
   _jumpMap[232][Expr] = 387;
   _jumpMap[232][ProcValueList] = 386;
   _jumpMap[232][ProcValueListOpt] = 385;
   _actionMap[233][SEMICOLON] = ActionEntry(REDUCE, 89);
   _actionMap[234][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[234][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[234][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[234][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[234][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[234][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[234][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[234][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[234][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[234][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[234][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[234][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[234][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[234][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[234][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[234][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[234][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[234][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[234][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[234][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[234][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[234][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[234][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[234][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[234][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[234][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[234][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[234][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[234][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[234][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[234][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[234][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[234][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[234][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[234][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[234][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[234][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[234][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[234][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[234][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[234][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[234][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[234][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[234][IDENTIFIER] = ActionEntry(SHIFT, 181);
}
void Cego::loadParser186()
{
   _actionMap[234][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[234][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[234][LB] = ActionEntry(SHIFT, 177);
   _actionMap[234][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[234][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[234][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[234][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[234][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[234][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[234][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[234][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[234][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[234][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[234][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[234][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[234][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[234][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[234][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[234][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[234][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[234][IF] = ActionEntry(SHIFT, 406);
   _actionMap[234][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[234][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[234][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[234][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[234][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[234][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[234][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[234][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[234][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[234][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[234][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[234][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[234][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[234][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[234][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[234][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[234][ObjSpec] = 121;
   _jumpMap[234][Constant] = 120;
   _jumpMap[234][SignedFloat] = 119;
   _jumpMap[234][SignedInt] = 118;
   _jumpMap[234][Attribute] = 117;
   _jumpMap[234][Function] = 116;
   _jumpMap[234][DeleteStatement] = 402;
   _jumpMap[234][UpdateStatement] = 401;
   _jumpMap[234][InsertStatement] = 400;
   _jumpMap[234][UnlockStatement] = 399;
   _jumpMap[234][LockStatement] = 398;
   _jumpMap[234][RollbackStatement] = 397;
   _jumpMap[234][CommitStatement] = 396;
}
void Cego::loadParser187()
{
   _jumpMap[234][StartStatement] = 395;
   _jumpMap[234][CasePrepare] = 115;
   _jumpMap[234][CaseClause] = 114;
   _jumpMap[234][Factor] = 113;
   _jumpMap[234][Term] = 112;
   _jumpMap[234][Expr] = 394;
   _jumpMap[234][ProcStatement] = 393;
   _jumpMap[234][ProcIfPart] = 392;
   _jumpMap[234][ProcBlockStart] = 391;
   _jumpMap[234][ProcStatementList] = 390;
   _jumpMap[234][ProcStmtBlock] = 389;
   _actionMap[235][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[235][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[235][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[235][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[235][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[235][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[235][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[235][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[235][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[235][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[235][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[235][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[235][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[235][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[235][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[235][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[235][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[235][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[235][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[235][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[235][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[235][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[235][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[235][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[235][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[235][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[235][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[235][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[235][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[235][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[235][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[235][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[235][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[235][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[235][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[235][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[235][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[235][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[235][CLOBREF] = ActionEntry(SHIFT, 134);
}
void Cego::loadParser188()
{
   _actionMap[235][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[235][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[235][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[235][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[235][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[235][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[235][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[235][LB] = ActionEntry(SHIFT, 177);
   _actionMap[235][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[235][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[235][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[235][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[235][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[235][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[235][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[235][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[235][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[235][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[235][VARREF] = ActionEntry(SHIFT, 412);
   _actionMap[235][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[235][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[235][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[235][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[235][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[235][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[235][IF] = ActionEntry(SHIFT, 406);
   _actionMap[235][BEGIN] = ActionEntry(SHIFT, 403);
   _actionMap[235][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[235][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[235][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[235][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[235][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[235][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[235][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[235][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[235][VAR] = ActionEntry(SHIFT, 410);
   _actionMap[235][CURSOR] = ActionEntry(SHIFT, 405);
   _actionMap[235][CLOSE] = ActionEntry(SHIFT, 404);
   _actionMap[235][NOOP] = ActionEntry(SHIFT, 407);
   _actionMap[235][THROW] = ActionEntry(SHIFT, 409);
   _actionMap[235][RETURNTOKEN] = ActionEntry(SHIFT, 408);
   _actionMap[235][WHILE] = ActionEntry(SHIFT, 411);
   _jumpMap[235][ObjSpec] = 121;
   _jumpMap[235][Constant] = 120;
   _jumpMap[235][SignedFloat] = 119;
   _jumpMap[235][SignedInt] = 118;
   _jumpMap[235][Attribute] = 117;
   _jumpMap[235][Function] = 116;
   _jumpMap[235][DeleteStatement] = 402;
   _jumpMap[235][UpdateStatement] = 401;
}
void Cego::loadParser189()
{
   _jumpMap[235][InsertStatement] = 400;
   _jumpMap[235][UnlockStatement] = 399;
   _jumpMap[235][LockStatement] = 398;
   _jumpMap[235][RollbackStatement] = 397;
   _jumpMap[235][CommitStatement] = 396;
   _jumpMap[235][StartStatement] = 395;
   _jumpMap[235][CasePrepare] = 115;
   _jumpMap[235][CaseClause] = 114;
   _jumpMap[235][Factor] = 113;
   _jumpMap[235][Term] = 112;
   _jumpMap[235][Expr] = 394;
   _jumpMap[235][ProcStatement] = 393;
   _jumpMap[235][ProcIfPart] = 392;
   _jumpMap[235][ProcBlockStart] = 391;
   _jumpMap[235][ProcStatementList] = 390;
   _jumpMap[235][ProcStmtBlock] = 413;
   _actionMap[236][IDENTIFIER] = ActionEntry(SHIFT, 414);
   _actionMap[237][ON] = ActionEntry(REDUCE, 216);
   _actionMap[237][IDENTIFIER] = ActionEntry(REDUCE, 216);
   _actionMap[238][ON] = ActionEntry(REDUCE, 215);
   _actionMap[238][IDENTIFIER] = ActionEntry(REDUCE, 215);
   _actionMap[239][ON] = ActionEntry(SHIFT, 415);
   _actionMap[240][SEMICOLON] = ActionEntry(REDUCE, 90);
   _actionMap[241][ON] = ActionEntry(SHIFT, 416);
   _actionMap[242][LB] = ActionEntry(SHIFT, 417);
   _actionMap[243][LB] = ActionEntry(SHIFT, 418);
   _actionMap[244][BEFORE] = ActionEntry(SHIFT, 421);
   _actionMap[244][AFTER] = ActionEntry(SHIFT, 420);
   _jumpMap[244][TriggerEvent] = 419;
   _actionMap[245][AS] = ActionEntry(SHIFT, 422);
   _actionMap[246][IDENTIFIER] = ActionEntry(SHIFT, 375);
   _actionMap[246][WHERE] = ActionEntry(REDUCE, 301);
   _actionMap[246][GROUP] = ActionEntry(REDUCE, 301);
   _actionMap[246][ORDER] = ActionEntry(REDUCE, 301);
   _actionMap[246][ROWLIMIT] = ActionEntry(REDUCE, 301);
   _actionMap[246][UNION] = ActionEntry(REDUCE, 301);
   _actionMap[246][ENDTOKEN] = ActionEntry(REDUCE, 301);
   _actionMap[246][RB] = ActionEntry(REDUCE, 301);
   _actionMap[246][SEMICOLON] = ActionEntry(REDUCE, 301);
   _actionMap[246][RETURNTOKEN] = ActionEntry(REDUCE, 301);
   _jumpMap[246][NoWhere] = 425;
   _jumpMap[246][WhereClause] = 424;
   _jumpMap[246][UpdDelAlias] = 423;
   _actionMap[247][SEMICOLON] = ActionEntry(REDUCE, 25);
   _actionMap[248][SEMICOLON] = ActionEntry(REDUCE, 29);
   _actionMap[249][SEMICOLON] = ActionEntry(REDUCE, 24);
   _actionMap[250][SEMICOLON] = ActionEntry(REDUCE, 28);
   _actionMap[251][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[251][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[251][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
}
void Cego::loadParser190()
{
   _jumpMap[251][ObjSpec] = 427;
   _actionMap[252][SEMICOLON] = ActionEntry(REDUCE, 30);
   _actionMap[253][SEMICOLON] = ActionEntry(REDUCE, 23);
   _actionMap[254][SEMICOLON] = ActionEntry(REDUCE, 26);
   _actionMap[255][COUNTER] = ActionEntry(REDUCE, 84);
   _actionMap[255][ALIAS] = ActionEntry(REDUCE, 84);
   _actionMap[255][BTREE] = ActionEntry(REDUCE, 84);
   _actionMap[255][INDEX] = ActionEntry(REDUCE, 84);
   _actionMap[255][TRIGGER] = ActionEntry(REDUCE, 84);
   _actionMap[255][CHECK] = ActionEntry(REDUCE, 84);
   _actionMap[255][FOREIGN] = ActionEntry(REDUCE, 84);
   _actionMap[255][PROCEDURE] = ActionEntry(REDUCE, 84);
   _actionMap[255][VIEW] = ActionEntry(REDUCE, 84);
   _actionMap[255][AVLTREE] = ActionEntry(REDUCE, 84);
   _actionMap[255][TABLE] = ActionEntry(REDUCE, 84);
   _actionMap[256][LB] = ActionEntry(SHIFT, 432);
   _actionMap[256][VALUES] = ActionEntry(REDUCE, 227);
   _actionMap[256][SELECT] = ActionEntry(REDUCE, 227);
   _jumpMap[256][SelectStatement] = 430;
   _jumpMap[256][InsertPrepare] = 429;
   _jumpMap[256][InsertArgSpec] = 428;
   _actionMap[257][SEMICOLON] = ActionEntry(REDUCE, 95);
   _actionMap[257][IDENTIFIER] = ActionEntry(REDUCE, 95);
   _actionMap[258][SEMICOLON] = ActionEntry(REDUCE, 7);
   _actionMap[259][IDENTIFIER] = ActionEntry(SHIFT, 433);
   _actionMap[260][SEMICOLON] = ActionEntry(REDUCE, 14);
   _actionMap[261][SEMICOLON] = ActionEntry(REDUCE, 6);
   _actionMap[262][SEMICOLON] = ActionEntry(REDUCE, 12);
   _actionMap[263][SEMICOLON] = ActionEntry(REDUCE, 9);
   _actionMap[264][SEMICOLON] = ActionEntry(REDUCE, 8);
   _actionMap[265][SEMICOLON] = ActionEntry(REDUCE, 4);
   _actionMap[266][SEMICOLON] = ActionEntry(REDUCE, 10);
   _actionMap[267][SEMICOLON] = ActionEntry(REDUCE, 3);
   _actionMap[268][SEMICOLON] = ActionEntry(REDUCE, 11);
   _actionMap[269][SEMICOLON] = ActionEntry(REDUCE, 13);
   _actionMap[270][SEMICOLON] = ActionEntry(REDUCE, 5);
   _actionMap[271][AS] = ActionEntry(SHIFT, 434);
   _actionMap[272][SEMICOLON] = ActionEntry(REDUCE, 222);
   _actionMap[273][SEMICOLON] = ActionEntry(REDUCE, 223);
   _actionMap[274][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[274][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[274][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[274][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[274][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[274][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[274][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[274][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[274][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[274][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[274][RTRIM] = ActionEntry(SHIFT, 165);
}
void Cego::loadParser191()
{
   _actionMap[274][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[274][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[274][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[274][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[274][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[274][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[274][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[274][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[274][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[274][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[274][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[274][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[274][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[274][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[274][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[274][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[274][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[274][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[274][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[274][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[274][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[274][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[274][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[274][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[274][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[274][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[274][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[274][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[274][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[274][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[274][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[274][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[274][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[274][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[274][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[274][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[274][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[274][LB] = ActionEntry(SHIFT, 177);
   _actionMap[274][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[274][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[274][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[274][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[274][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[274][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[274][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[274][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[274][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[274][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[274][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[274][SUM] = ActionEntry(SHIFT, 168);
}
void Cego::loadParser192()
{
   _actionMap[274][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[274][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[274][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[274][ObjSpec] = 121;
   _jumpMap[274][Constant] = 120;
   _jumpMap[274][SignedFloat] = 119;
   _jumpMap[274][SignedInt] = 118;
   _jumpMap[274][Attribute] = 117;
   _jumpMap[274][Function] = 116;
   _jumpMap[274][CasePrepare] = 115;
   _jumpMap[274][CaseClause] = 114;
   _jumpMap[274][Factor] = 113;
   _jumpMap[274][Term] = 435;
   _actionMap[275][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[275][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[275][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[275][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[275][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[275][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[275][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[275][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[275][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[275][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[275][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[275][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[275][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[275][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[275][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[275][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[275][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[275][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[275][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[275][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[275][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[275][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[275][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[275][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[275][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[275][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[275][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[275][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[275][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[275][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[275][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[275][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[275][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[275][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[275][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[275][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[275][BITAND] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser193()
{
   _actionMap[275][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[275][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[275][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[275][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[275][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[275][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[275][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[275][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[275][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[275][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[275][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[275][LB] = ActionEntry(SHIFT, 177);
   _actionMap[275][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[275][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[275][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[275][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[275][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[275][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[275][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[275][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[275][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[275][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[275][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[275][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[275][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[275][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[275][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[275][ObjSpec] = 121;
   _jumpMap[275][Constant] = 120;
   _jumpMap[275][SignedFloat] = 119;
   _jumpMap[275][SignedInt] = 118;
   _jumpMap[275][Attribute] = 117;
   _jumpMap[275][Function] = 116;
   _jumpMap[275][CasePrepare] = 115;
   _jumpMap[275][CaseClause] = 114;
   _jumpMap[275][Factor] = 113;
   _jumpMap[275][Term] = 436;
   _actionMap[276][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[276][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[276][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[276][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[276][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[276][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[276][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[276][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[276][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[276][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[276][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[276][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[276][ROUND] = ActionEntry(SHIFT, 164);
}
void Cego::loadParser194()
{
   _actionMap[276][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[276][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[276][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[276][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[276][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[276][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[276][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[276][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[276][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[276][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[276][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[276][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[276][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[276][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[276][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[276][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[276][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[276][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[276][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[276][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[276][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[276][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[276][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[276][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[276][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[276][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[276][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[276][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[276][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[276][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[276][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[276][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[276][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[276][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[276][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[276][LB] = ActionEntry(SHIFT, 177);
   _actionMap[276][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[276][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[276][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[276][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[276][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[276][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[276][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[276][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[276][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[276][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[276][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[276][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[276][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[276][MIN] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser195()
{
   _actionMap[276][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[276][ObjSpec] = 121;
   _jumpMap[276][Constant] = 120;
   _jumpMap[276][SignedFloat] = 119;
   _jumpMap[276][SignedInt] = 118;
   _jumpMap[276][Attribute] = 117;
   _jumpMap[276][Function] = 116;
   _jumpMap[276][CasePrepare] = 115;
   _jumpMap[276][CaseClause] = 114;
   _jumpMap[276][Factor] = 113;
   _jumpMap[276][Term] = 437;
   _actionMap[277][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[277][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[277][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[277][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[277][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[277][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[277][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[277][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[277][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[277][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[277][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[277][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[277][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[277][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[277][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[277][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[277][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[277][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[277][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[277][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[277][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[277][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[277][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[277][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[277][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[277][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[277][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[277][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[277][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[277][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[277][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[277][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[277][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[277][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[277][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[277][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[277][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[277][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[277][BITXOR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser196()
{
   _actionMap[277][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[277][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[277][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[277][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[277][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[277][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[277][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[277][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[277][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[277][LB] = ActionEntry(SHIFT, 177);
   _actionMap[277][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[277][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[277][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[277][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[277][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[277][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[277][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[277][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[277][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[277][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[277][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[277][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[277][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[277][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[277][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[277][ObjSpec] = 121;
   _jumpMap[277][Constant] = 120;
   _jumpMap[277][SignedFloat] = 119;
   _jumpMap[277][SignedInt] = 118;
   _jumpMap[277][Attribute] = 117;
   _jumpMap[277][Function] = 116;
   _jumpMap[277][CasePrepare] = 115;
   _jumpMap[277][CaseClause] = 114;
   _jumpMap[277][Factor] = 438;
   _actionMap[278][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[278][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[278][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[278][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[278][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[278][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[278][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[278][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[278][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[278][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[278][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[278][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[278][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[278][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[278][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[278][LONG2DATE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser197()
{
   _actionMap[278][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[278][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[278][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[278][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[278][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[278][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[278][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[278][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[278][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[278][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[278][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[278][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[278][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[278][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[278][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[278][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[278][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[278][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[278][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[278][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[278][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[278][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[278][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[278][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[278][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[278][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[278][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[278][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[278][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[278][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[278][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[278][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[278][LB] = ActionEntry(SHIFT, 177);
   _actionMap[278][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[278][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[278][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[278][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[278][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[278][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[278][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[278][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[278][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[278][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[278][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[278][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[278][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[278][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[278][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[278][ObjSpec] = 121;
   _jumpMap[278][Constant] = 120;
}
void Cego::loadParser198()
{
   _jumpMap[278][SignedFloat] = 119;
   _jumpMap[278][SignedInt] = 118;
   _jumpMap[278][Attribute] = 117;
   _jumpMap[278][Function] = 116;
   _jumpMap[278][CasePrepare] = 115;
   _jumpMap[278][CaseClause] = 114;
   _jumpMap[278][Factor] = 439;
   _actionMap[279][ELSE] = ActionEntry(SHIFT, 441);
   _actionMap[279][WHEN] = ActionEntry(SHIFT, 281);
   _jumpMap[279][CaseCondition] = 440;
   _actionMap[280][WHEN] = ActionEntry(REDUCE, 193);
   _actionMap[280][ELSE] = ActionEntry(REDUCE, 193);
   _actionMap[281][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[281][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[281][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[281][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[281][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[281][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[281][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[281][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[281][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[281][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[281][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[281][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[281][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[281][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[281][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[281][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[281][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[281][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[281][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[281][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[281][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[281][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[281][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[281][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[281][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[281][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[281][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[281][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[281][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[281][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[281][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[281][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[281][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[281][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[281][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[281][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[281][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[281][CLOBSIZE] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser199()
{
   _actionMap[281][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[281][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[281][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[281][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[281][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[281][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[281][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[281][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[281][LB] = ActionEntry(SHIFT, 447);
   _actionMap[281][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[281][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[281][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[281][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[281][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[281][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[281][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[281][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[281][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[281][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[281][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[281][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[281][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[281][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[281][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[281][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[281][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[281][EXISTS] = ActionEntry(SHIFT, 445);
   _actionMap[281][NOT] = ActionEntry(SHIFT, 446);
   _jumpMap[281][ObjSpec] = 121;
   _jumpMap[281][Constant] = 120;
   _jumpMap[281][SignedFloat] = 119;
   _jumpMap[281][SignedInt] = 118;
   _jumpMap[281][Attribute] = 117;
   _jumpMap[281][QueryPredicate] = 444;
   _jumpMap[281][QueryCondition] = 443;
   _jumpMap[281][Function] = 116;
   _jumpMap[281][CasePrepare] = 115;
   _jumpMap[281][CaseClause] = 114;
   _jumpMap[281][Factor] = 113;
   _jumpMap[281][Term] = 112;
   _jumpMap[281][Expr] = 442;
   _actionMap[282][RB] = ActionEntry(SHIFT, 450);
   _actionMap[282][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[282][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[282][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[282][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[282][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[282][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[282][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[282][LTRIM] = ActionEntry(SHIFT, 153);
}
void Cego::loadParser200()
{
   _actionMap[282][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[282][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[282][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[282][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[282][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[282][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[282][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[282][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[282][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[282][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[282][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[282][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[282][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[282][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[282][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[282][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[282][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[282][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[282][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[282][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[282][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[282][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[282][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[282][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[282][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[282][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[282][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[282][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[282][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[282][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[282][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[282][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[282][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[282][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[282][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[282][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[282][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[282][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[282][LB] = ActionEntry(SHIFT, 177);
   _actionMap[282][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[282][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[282][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[282][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[282][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[282][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[282][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[282][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[282][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[282][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[282][VARREF] = ActionEntry(SHIFT, 182);
}
void Cego::loadParser201()
{
   _actionMap[282][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[282][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[282][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[282][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[282][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[282][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[282][ObjSpec] = 121;
   _jumpMap[282][Constant] = 120;
   _jumpMap[282][SignedFloat] = 119;
   _jumpMap[282][SignedInt] = 118;
   _jumpMap[282][Attribute] = 117;
   _jumpMap[282][ExpressionList] = 449;
   _jumpMap[282][Function] = 116;
   _jumpMap[282][CasePrepare] = 115;
   _jumpMap[282][CaseClause] = 114;
   _jumpMap[282][Factor] = 113;
   _jumpMap[282][Term] = 112;
   _jumpMap[282][Expr] = 448;
   _actionMap[283][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[283][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[283][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[283][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[283][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[283][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[283][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[283][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[283][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[283][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[283][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[283][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[283][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[283][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[283][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[283][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[283][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[283][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[283][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[283][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[283][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[283][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[283][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[283][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[283][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[283][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[283][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[283][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[283][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[283][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[283][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[283][POWER] = ActionEntry(SHIFT, 159);
}
void Cego::loadParser202()
{
   _actionMap[283][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[283][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[283][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[283][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[283][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[283][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[283][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[283][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[283][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[283][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[283][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[283][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[283][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[283][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[283][LB] = ActionEntry(SHIFT, 177);
   _actionMap[283][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[283][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[283][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[283][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[283][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[283][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[283][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[283][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[283][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[283][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[283][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[283][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[283][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[283][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[283][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[283][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[283][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[283][ObjSpec] = 121;
   _jumpMap[283][Constant] = 120;
   _jumpMap[283][SignedFloat] = 119;
   _jumpMap[283][SignedInt] = 118;
   _jumpMap[283][Attribute] = 117;
   _jumpMap[283][ExpressionList] = 451;
   _jumpMap[283][Function] = 116;
   _jumpMap[283][CasePrepare] = 115;
   _jumpMap[283][CaseClause] = 114;
   _jumpMap[283][Factor] = 113;
   _jumpMap[283][Term] = 112;
   _jumpMap[283][Expr] = 448;
   _actionMap[284][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[284][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[284][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[284][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[284][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[284][TRIM] = ActionEntry(SHIFT, 173);
}
void Cego::loadParser203()
{
   _actionMap[284][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[284][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[284][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[284][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[284][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[284][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[284][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[284][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[284][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[284][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[284][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[284][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[284][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[284][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[284][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[284][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[284][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[284][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[284][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[284][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[284][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[284][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[284][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[284][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[284][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[284][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[284][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[284][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[284][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[284][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[284][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[284][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[284][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[284][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[284][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[284][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[284][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[284][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[284][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[284][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[284][LB] = ActionEntry(SHIFT, 177);
   _actionMap[284][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[284][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[284][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[284][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[284][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[284][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[284][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[284][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[284][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
}
void Cego::loadParser204()
{
   _actionMap[284][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[284][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[284][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[284][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[284][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[284][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[284][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[284][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[284][ObjSpec] = 121;
   _jumpMap[284][Constant] = 120;
   _jumpMap[284][SignedFloat] = 119;
   _jumpMap[284][SignedInt] = 118;
   _jumpMap[284][Attribute] = 117;
   _jumpMap[284][Function] = 116;
   _jumpMap[284][CasePrepare] = 115;
   _jumpMap[284][CaseClause] = 114;
   _jumpMap[284][Factor] = 113;
   _jumpMap[284][Term] = 112;
   _jumpMap[284][Expr] = 452;
   _actionMap[285][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[285][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[285][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[285][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[285][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[285][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[285][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[285][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[285][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[285][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[285][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[285][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[285][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[285][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[285][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[285][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[285][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[285][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[285][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[285][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[285][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[285][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[285][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[285][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[285][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[285][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[285][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[285][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[285][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[285][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[285][LDIV] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser205()
{
   _actionMap[285][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[285][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[285][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[285][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[285][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[285][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[285][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[285][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[285][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[285][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[285][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[285][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[285][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[285][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[285][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[285][LB] = ActionEntry(SHIFT, 177);
   _actionMap[285][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[285][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[285][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[285][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[285][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[285][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[285][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[285][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[285][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[285][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[285][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[285][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[285][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[285][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[285][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[285][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[285][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[285][ObjSpec] = 121;
   _jumpMap[285][Constant] = 120;
   _jumpMap[285][SignedFloat] = 119;
   _jumpMap[285][SignedInt] = 118;
   _jumpMap[285][Attribute] = 117;
   _jumpMap[285][ExpressionList] = 453;
   _jumpMap[285][Function] = 116;
   _jumpMap[285][CasePrepare] = 115;
   _jumpMap[285][CaseClause] = 114;
   _jumpMap[285][Factor] = 113;
   _jumpMap[285][Term] = 112;
   _jumpMap[285][Expr] = 448;
   _actionMap[286][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[286][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[286][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[286][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[286][ASC2INT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser206()
{
   _actionMap[286][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[286][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[286][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[286][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[286][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[286][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[286][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[286][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[286][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[286][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[286][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[286][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[286][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[286][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[286][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[286][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[286][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[286][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[286][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[286][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[286][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[286][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[286][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[286][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[286][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[286][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[286][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[286][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[286][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[286][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[286][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[286][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[286][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[286][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[286][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[286][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[286][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[286][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[286][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[286][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[286][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[286][LB] = ActionEntry(SHIFT, 177);
   _actionMap[286][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[286][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[286][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[286][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[286][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[286][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[286][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[286][CLOB] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser207()
{
   _actionMap[286][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[286][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[286][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[286][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[286][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[286][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[286][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[286][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[286][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[286][ObjSpec] = 121;
   _jumpMap[286][Constant] = 120;
   _jumpMap[286][SignedFloat] = 119;
   _jumpMap[286][SignedInt] = 118;
   _jumpMap[286][Attribute] = 117;
   _jumpMap[286][ExpressionList] = 454;
   _jumpMap[286][Function] = 116;
   _jumpMap[286][CasePrepare] = 115;
   _jumpMap[286][CaseClause] = 114;
   _jumpMap[286][Factor] = 113;
   _jumpMap[286][Term] = 112;
   _jumpMap[286][Expr] = 448;
   _actionMap[287][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[287][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[287][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[287][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[287][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[287][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[287][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[287][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[287][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[287][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[287][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[287][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[287][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[287][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[287][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[287][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[287][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[287][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[287][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[287][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[287][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[287][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[287][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[287][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[287][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[287][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[287][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[287][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[287][DIV] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser208()
{
   _actionMap[287][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[287][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[287][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[287][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[287][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[287][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[287][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[287][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[287][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[287][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[287][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[287][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[287][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[287][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[287][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[287][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[287][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[287][LB] = ActionEntry(SHIFT, 177);
   _actionMap[287][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[287][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[287][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[287][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[287][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[287][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[287][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[287][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[287][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[287][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[287][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[287][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[287][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[287][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[287][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[287][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[287][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[287][ObjSpec] = 121;
   _jumpMap[287][Constant] = 120;
   _jumpMap[287][SignedFloat] = 119;
   _jumpMap[287][SignedInt] = 118;
   _jumpMap[287][Attribute] = 117;
   _jumpMap[287][ExpressionList] = 455;
   _jumpMap[287][Function] = 116;
   _jumpMap[287][CasePrepare] = 115;
   _jumpMap[287][CaseClause] = 114;
   _jumpMap[287][Factor] = 113;
   _jumpMap[287][Term] = 112;
   _jumpMap[287][Expr] = 448;
   _actionMap[288][INTVAL] = ActionEntry(SHIFT, 456);
   _actionMap[289][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[289][MINUS] = ActionEntry(SHIFT, 178);
}
void Cego::loadParser209()
{
   _actionMap[289][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[289][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[289][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[289][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[289][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[289][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[289][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[289][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[289][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[289][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[289][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[289][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[289][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[289][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[289][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[289][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[289][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[289][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[289][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[289][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[289][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[289][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[289][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[289][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[289][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[289][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[289][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[289][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[289][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[289][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[289][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[289][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[289][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[289][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[289][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[289][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[289][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[289][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[289][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[289][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[289][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[289][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[289][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[289][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[289][LB] = ActionEntry(SHIFT, 177);
   _actionMap[289][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[289][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[289][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[289][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[289][TRUEVAL] = ActionEntry(SHIFT, 174);
}
void Cego::loadParser210()
{
   _actionMap[289][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[289][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[289][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[289][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[289][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[289][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[289][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[289][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[289][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[289][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[289][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[289][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[289][ObjSpec] = 121;
   _jumpMap[289][Constant] = 120;
   _jumpMap[289][SignedFloat] = 119;
   _jumpMap[289][SignedInt] = 118;
   _jumpMap[289][Attribute] = 117;
   _jumpMap[289][ExpressionList] = 457;
   _jumpMap[289][Function] = 116;
   _jumpMap[289][CasePrepare] = 115;
   _jumpMap[289][CaseClause] = 114;
   _jumpMap[289][Factor] = 113;
   _jumpMap[289][Term] = 112;
   _jumpMap[289][Expr] = 448;
   _actionMap[290][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[290][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[290][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[290][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[290][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[290][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[290][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[290][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[290][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[290][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[290][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[290][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[290][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[290][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[290][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[290][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[290][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[290][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[290][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[290][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[290][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[290][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[290][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[290][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[290][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[290][RANDSTR] = ActionEntry(SHIFT, 160);
}
void Cego::loadParser211()
{
   _actionMap[290][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[290][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[290][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[290][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[290][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[290][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[290][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[290][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[290][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[290][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[290][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[290][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[290][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[290][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[290][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[290][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[290][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[290][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[290][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[290][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[290][LB] = ActionEntry(SHIFT, 177);
   _actionMap[290][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[290][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[290][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[290][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[290][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[290][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[290][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[290][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[290][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[290][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[290][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[290][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[290][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[290][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[290][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[290][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[290][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[290][ObjSpec] = 121;
   _jumpMap[290][Constant] = 120;
   _jumpMap[290][SignedFloat] = 119;
   _jumpMap[290][SignedInt] = 118;
   _jumpMap[290][Attribute] = 117;
   _jumpMap[290][ExpressionList] = 458;
   _jumpMap[290][Function] = 116;
   _jumpMap[290][CasePrepare] = 115;
   _jumpMap[290][CaseClause] = 114;
   _jumpMap[290][Factor] = 113;
   _jumpMap[290][Term] = 112;
   _jumpMap[290][Expr] = 448;
}
void Cego::loadParser212()
{
   _actionMap[291][INTVAL] = ActionEntry(SHIFT, 459);
   _actionMap[292][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[292][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[292][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[292][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[292][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[292][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[292][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[292][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[292][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[292][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[292][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[292][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[292][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[292][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[292][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[292][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[292][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[292][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[292][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[292][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[292][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[292][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[292][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[292][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[292][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[292][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[292][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[292][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[292][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[292][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[292][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[292][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[292][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[292][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[292][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[292][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[292][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[292][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[292][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[292][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[292][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[292][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[292][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[292][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[292][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[292][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[292][LB] = ActionEntry(SHIFT, 177);
   _actionMap[292][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[292][DATE] = ActionEntry(SHIFT, 137);
}
void Cego::loadParser213()
{
   _actionMap[292][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[292][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[292][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[292][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[292][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[292][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[292][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[292][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[292][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[292][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[292][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[292][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[292][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[292][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[292][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[292][ObjSpec] = 121;
   _jumpMap[292][Constant] = 120;
   _jumpMap[292][SignedFloat] = 119;
   _jumpMap[292][SignedInt] = 118;
   _jumpMap[292][Attribute] = 117;
   _jumpMap[292][ExpressionList] = 460;
   _jumpMap[292][Function] = 116;
   _jumpMap[292][CasePrepare] = 115;
   _jumpMap[292][CaseClause] = 114;
   _jumpMap[292][Factor] = 113;
   _jumpMap[292][Term] = 112;
   _jumpMap[292][Expr] = 448;
   _actionMap[293][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[293][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[293][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[293][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[293][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[293][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[293][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[293][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[293][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[293][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[293][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[293][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[293][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[293][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[293][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[293][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[293][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[293][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[293][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[293][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[293][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[293][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[293][STR2INT] = ActionEntry(SHIFT, 170);
}
void Cego::loadParser214()
{
   _actionMap[293][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[293][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[293][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[293][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[293][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[293][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[293][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[293][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[293][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[293][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[293][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[293][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[293][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[293][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[293][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[293][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[293][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[293][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[293][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[293][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[293][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[293][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[293][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[293][LB] = ActionEntry(SHIFT, 177);
   _actionMap[293][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[293][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[293][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[293][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[293][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[293][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[293][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[293][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[293][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[293][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[293][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[293][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[293][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[293][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[293][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[293][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[293][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[293][ObjSpec] = 121;
   _jumpMap[293][Constant] = 120;
   _jumpMap[293][SignedFloat] = 119;
   _jumpMap[293][SignedInt] = 118;
   _jumpMap[293][Attribute] = 117;
   _jumpMap[293][ExpressionList] = 461;
   _jumpMap[293][Function] = 116;
   _jumpMap[293][CasePrepare] = 115;
   _jumpMap[293][CaseClause] = 114;
}
void Cego::loadParser215()
{
   _jumpMap[293][Factor] = 113;
   _jumpMap[293][Term] = 112;
   _jumpMap[293][Expr] = 448;
   _actionMap[294][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[294][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[294][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[294][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[294][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[294][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[294][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[294][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[294][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[294][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[294][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[294][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[294][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[294][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[294][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[294][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[294][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[294][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[294][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[294][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[294][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[294][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[294][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[294][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[294][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[294][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[294][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[294][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[294][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[294][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[294][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[294][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[294][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[294][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[294][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[294][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[294][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[294][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[294][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[294][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[294][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[294][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[294][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[294][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[294][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[294][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[294][LB] = ActionEntry(SHIFT, 177);
}
void Cego::loadParser216()
{
   _actionMap[294][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[294][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[294][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[294][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[294][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[294][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[294][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[294][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[294][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[294][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[294][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[294][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[294][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[294][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[294][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[294][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[294][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[294][ObjSpec] = 121;
   _jumpMap[294][Constant] = 120;
   _jumpMap[294][SignedFloat] = 119;
   _jumpMap[294][SignedInt] = 118;
   _jumpMap[294][Attribute] = 117;
   _jumpMap[294][ExpressionList] = 462;
   _jumpMap[294][Function] = 116;
   _jumpMap[294][CasePrepare] = 115;
   _jumpMap[294][CaseClause] = 114;
   _jumpMap[294][Factor] = 113;
   _jumpMap[294][Term] = 112;
   _jumpMap[294][Expr] = 448;
   _actionMap[295][STAR] = ActionEntry(SHIFT, 464);
   _actionMap[295][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[295][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[295][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[295][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[295][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[295][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[295][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[295][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[295][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[295][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[295][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[295][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[295][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[295][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[295][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[295][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[295][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[295][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[295][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[295][REPLACE] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser217()
{
   _actionMap[295][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[295][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[295][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[295][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[295][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[295][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[295][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[295][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[295][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[295][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[295][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[295][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[295][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[295][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[295][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[295][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[295][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[295][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[295][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[295][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[295][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[295][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[295][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[295][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[295][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[295][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[295][LB] = ActionEntry(SHIFT, 177);
   _actionMap[295][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[295][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[295][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[295][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[295][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[295][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[295][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[295][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[295][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[295][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[295][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[295][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[295][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[295][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[295][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[295][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[295][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[295][ObjSpec] = 121;
   _jumpMap[295][Constant] = 120;
   _jumpMap[295][SignedFloat] = 119;
   _jumpMap[295][SignedInt] = 118;
   _jumpMap[295][Attribute] = 117;
   _jumpMap[295][Function] = 116;
}
void Cego::loadParser218()
{
   _jumpMap[295][CasePrepare] = 115;
   _jumpMap[295][CaseClause] = 114;
   _jumpMap[295][Factor] = 113;
   _jumpMap[295][Term] = 112;
   _jumpMap[295][Expr] = 463;
   _actionMap[296][STRINGVAL] = ActionEntry(SHIFT, 466);
   _jumpMap[296][DateFormat] = 465;
   _actionMap[297][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[297][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[297][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[297][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[297][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[297][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[297][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[297][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[297][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[297][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[297][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[297][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[297][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[297][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[297][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[297][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[297][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[297][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[297][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[297][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[297][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[297][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[297][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[297][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[297][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[297][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[297][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[297][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[297][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[297][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[297][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[297][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[297][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[297][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[297][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[297][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[297][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[297][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[297][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[297][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[297][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[297][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[297][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser219()
{
   _actionMap[297][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[297][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[297][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[297][LB] = ActionEntry(SHIFT, 177);
   _actionMap[297][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[297][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[297][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[297][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[297][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[297][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[297][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[297][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[297][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[297][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[297][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[297][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[297][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[297][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[297][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[297][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[297][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[297][ObjSpec] = 121;
   _jumpMap[297][Constant] = 120;
   _jumpMap[297][SignedFloat] = 119;
   _jumpMap[297][SignedInt] = 118;
   _jumpMap[297][Attribute] = 117;
   _jumpMap[297][ExpressionList] = 467;
   _jumpMap[297][Function] = 116;
   _jumpMap[297][CasePrepare] = 115;
   _jumpMap[297][CaseClause] = 114;
   _jumpMap[297][Factor] = 113;
   _jumpMap[297][Term] = 112;
   _jumpMap[297][Expr] = 448;
   _actionMap[298][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[298][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[298][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[298][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[298][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[298][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[298][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[298][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[298][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[298][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[298][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[298][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[298][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[298][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[298][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[298][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[298][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser220()
{
   _actionMap[298][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[298][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[298][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[298][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[298][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[298][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[298][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[298][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[298][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[298][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[298][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[298][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[298][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[298][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[298][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[298][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[298][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[298][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[298][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[298][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[298][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[298][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[298][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[298][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[298][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[298][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[298][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[298][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[298][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[298][LB] = ActionEntry(SHIFT, 177);
   _actionMap[298][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[298][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[298][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[298][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[298][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[298][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[298][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[298][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[298][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[298][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[298][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[298][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[298][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[298][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[298][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[298][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[298][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[298][ObjSpec] = 121;
   _jumpMap[298][Constant] = 120;
   _jumpMap[298][SignedFloat] = 119;
}
void Cego::loadParser221()
{
   _jumpMap[298][SignedInt] = 118;
   _jumpMap[298][Attribute] = 117;
   _jumpMap[298][ExpressionList] = 468;
   _jumpMap[298][Function] = 116;
   _jumpMap[298][CasePrepare] = 115;
   _jumpMap[298][CaseClause] = 114;
   _jumpMap[298][Factor] = 113;
   _jumpMap[298][Term] = 112;
   _jumpMap[298][Expr] = 448;
   _actionMap[299][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[299][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[299][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[299][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[299][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[299][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[299][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[299][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[299][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[299][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[299][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[299][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[299][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[299][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[299][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[299][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[299][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[299][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[299][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[299][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[299][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[299][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[299][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[299][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[299][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[299][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[299][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[299][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[299][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[299][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[299][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[299][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[299][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[299][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[299][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[299][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[299][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[299][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[299][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[299][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[299][NEXTCOUNT] = ActionEntry(SHIFT, 157);
}
void Cego::loadParser222()
{
   _actionMap[299][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[299][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[299][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[299][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[299][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[299][LB] = ActionEntry(SHIFT, 177);
   _actionMap[299][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[299][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[299][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[299][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[299][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[299][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[299][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[299][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[299][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[299][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[299][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[299][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[299][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[299][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[299][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[299][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[299][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[299][ObjSpec] = 121;
   _jumpMap[299][Constant] = 120;
   _jumpMap[299][SignedFloat] = 119;
   _jumpMap[299][SignedInt] = 118;
   _jumpMap[299][Attribute] = 117;
   _jumpMap[299][ExpressionList] = 469;
   _jumpMap[299][Function] = 116;
   _jumpMap[299][CasePrepare] = 115;
   _jumpMap[299][CaseClause] = 114;
   _jumpMap[299][Factor] = 113;
   _jumpMap[299][Term] = 112;
   _jumpMap[299][Expr] = 448;
   _actionMap[300][INTO] = ActionEntry(SHIFT, 470);
   _actionMap[301][IDENTIFIER] = ActionEntry(SHIFT, 471);
   _actionMap[302][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[302][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[302][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[302][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[302][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[302][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[302][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[302][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[302][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[302][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[302][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[302][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[302][NEWDATE] = ActionEntry(SHIFT, 146);
}
void Cego::loadParser223()
{
   _actionMap[302][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[302][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[302][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[302][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[302][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[302][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[302][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[302][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[302][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[302][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[302][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[302][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[302][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[302][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[302][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[302][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[302][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[302][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[302][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[302][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[302][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[302][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[302][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[302][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[302][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[302][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[302][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[302][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[302][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[302][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[302][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[302][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[302][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[302][LB] = ActionEntry(SHIFT, 177);
   _actionMap[302][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[302][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[302][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[302][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[302][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[302][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[302][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[302][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[302][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[302][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[302][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[302][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[302][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[302][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[302][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[302][MIN] = ActionEntry(SHIFT, 154);
}
void Cego::loadParser224()
{
   _actionMap[302][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[302][ObjSpec] = 121;
   _jumpMap[302][Constant] = 120;
   _jumpMap[302][SignedFloat] = 119;
   _jumpMap[302][SignedInt] = 118;
   _jumpMap[302][Attribute] = 117;
   _jumpMap[302][ExpressionList] = 472;
   _jumpMap[302][Function] = 116;
   _jumpMap[302][CasePrepare] = 115;
   _jumpMap[302][CaseClause] = 114;
   _jumpMap[302][Factor] = 113;
   _jumpMap[302][Term] = 112;
   _jumpMap[302][Expr] = 448;
   _actionMap[303][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[303][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[303][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[303][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[303][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[303][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[303][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[303][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[303][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[303][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[303][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[303][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[303][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[303][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[303][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[303][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[303][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[303][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[303][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[303][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[303][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[303][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[303][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[303][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[303][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[303][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[303][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[303][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[303][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[303][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[303][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[303][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[303][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[303][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[303][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[303][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[303][BLOBREF] = ActionEntry(SHIFT, 130);
}
void Cego::loadParser225()
{
   _actionMap[303][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[303][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[303][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[303][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[303][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[303][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[303][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[303][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[303][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[303][LB] = ActionEntry(SHIFT, 177);
   _actionMap[303][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[303][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[303][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[303][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[303][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[303][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[303][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[303][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[303][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[303][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[303][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[303][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[303][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[303][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[303][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[303][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[303][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[303][ObjSpec] = 121;
   _jumpMap[303][Constant] = 120;
   _jumpMap[303][SignedFloat] = 119;
   _jumpMap[303][SignedInt] = 118;
   _jumpMap[303][Attribute] = 117;
   _jumpMap[303][ExpressionList] = 473;
   _jumpMap[303][Function] = 116;
   _jumpMap[303][CasePrepare] = 115;
   _jumpMap[303][CaseClause] = 114;
   _jumpMap[303][Factor] = 113;
   _jumpMap[303][Term] = 112;
   _jumpMap[303][Expr] = 448;
   _actionMap[304][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[304][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[304][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[304][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[304][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[304][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[304][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[304][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[304][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[304][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[304][DATE2LONG] = ActionEntry(SHIFT, 139);
}
void Cego::loadParser226()
{
   _actionMap[304][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[304][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[304][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[304][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[304][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[304][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[304][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[304][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[304][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[304][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[304][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[304][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[304][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[304][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[304][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[304][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[304][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[304][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[304][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[304][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[304][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[304][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[304][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[304][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[304][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[304][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[304][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[304][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[304][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[304][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[304][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[304][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[304][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[304][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[304][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[304][LB] = ActionEntry(SHIFT, 177);
   _actionMap[304][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[304][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[304][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[304][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[304][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[304][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[304][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[304][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[304][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[304][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[304][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[304][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[304][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[304][SUM] = ActionEntry(SHIFT, 168);
}
void Cego::loadParser227()
{
   _actionMap[304][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[304][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[304][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[304][ObjSpec] = 121;
   _jumpMap[304][Constant] = 120;
   _jumpMap[304][SignedFloat] = 119;
   _jumpMap[304][SignedInt] = 118;
   _jumpMap[304][Attribute] = 117;
   _jumpMap[304][ExpressionList] = 474;
   _jumpMap[304][Function] = 116;
   _jumpMap[304][CasePrepare] = 115;
   _jumpMap[304][CaseClause] = 114;
   _jumpMap[304][Factor] = 113;
   _jumpMap[304][Term] = 112;
   _jumpMap[304][Expr] = 448;
   _actionMap[305][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[305][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[305][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[305][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[305][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[305][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[305][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[305][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[305][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[305][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[305][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[305][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[305][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[305][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[305][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[305][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[305][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[305][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[305][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[305][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[305][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[305][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[305][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[305][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[305][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[305][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[305][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[305][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[305][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[305][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[305][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[305][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[305][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[305][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[305][BITXOR] = ActionEntry(SHIFT, 127);
}
void Cego::loadParser228()
{
   _actionMap[305][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[305][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[305][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[305][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[305][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[305][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[305][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[305][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[305][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[305][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[305][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[305][LB] = ActionEntry(SHIFT, 177);
   _actionMap[305][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[305][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[305][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[305][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[305][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[305][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[305][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[305][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[305][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[305][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[305][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[305][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[305][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[305][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[305][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[305][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[305][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[305][ObjSpec] = 121;
   _jumpMap[305][Constant] = 120;
   _jumpMap[305][SignedFloat] = 119;
   _jumpMap[305][SignedInt] = 118;
   _jumpMap[305][Attribute] = 117;
   _jumpMap[305][ExpressionList] = 475;
   _jumpMap[305][Function] = 116;
   _jumpMap[305][CasePrepare] = 115;
   _jumpMap[305][CaseClause] = 114;
   _jumpMap[305][Factor] = 113;
   _jumpMap[305][Term] = 112;
   _jumpMap[305][Expr] = 448;
   _actionMap[306][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[306][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[306][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[306][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[306][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[306][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[306][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[306][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[306][ROUND] = ActionEntry(SHIFT, 164);
}
void Cego::loadParser229()
{
   _actionMap[306][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[306][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[306][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[306][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[306][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[306][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[306][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[306][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[306][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[306][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[306][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[306][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[306][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[306][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[306][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[306][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[306][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[306][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[306][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[306][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[306][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[306][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[306][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[306][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[306][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[306][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[306][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[306][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[306][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[306][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[306][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[306][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[306][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[306][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[306][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[306][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[306][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[306][LB] = ActionEntry(SHIFT, 177);
   _actionMap[306][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[306][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[306][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[306][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[306][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[306][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[306][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[306][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[306][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[306][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[306][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[306][FETCH] = ActionEntry(SHIFT, 142);
}
void Cego::loadParser230()
{
   _actionMap[306][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[306][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[306][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[306][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[306][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[306][ObjSpec] = 121;
   _jumpMap[306][Constant] = 120;
   _jumpMap[306][SignedFloat] = 119;
   _jumpMap[306][SignedInt] = 118;
   _jumpMap[306][Attribute] = 117;
   _jumpMap[306][ExpressionList] = 476;
   _jumpMap[306][Function] = 116;
   _jumpMap[306][CasePrepare] = 115;
   _jumpMap[306][CaseClause] = 114;
   _jumpMap[306][Factor] = 113;
   _jumpMap[306][Term] = 112;
   _jumpMap[306][Expr] = 448;
   _actionMap[307][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[307][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[307][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[307][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[307][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[307][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[307][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[307][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[307][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[307][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[307][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[307][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[307][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[307][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[307][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[307][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[307][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[307][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[307][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[307][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[307][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[307][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[307][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[307][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[307][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[307][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[307][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[307][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[307][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[307][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[307][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[307][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[307][BITAND] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser231()
{
   _actionMap[307][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[307][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[307][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[307][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[307][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[307][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[307][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[307][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[307][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[307][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[307][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[307][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[307][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[307][LB] = ActionEntry(SHIFT, 177);
   _actionMap[307][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[307][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[307][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[307][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[307][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[307][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[307][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[307][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[307][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[307][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[307][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[307][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[307][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[307][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[307][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[307][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[307][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[307][ObjSpec] = 121;
   _jumpMap[307][Constant] = 120;
   _jumpMap[307][SignedFloat] = 119;
   _jumpMap[307][SignedInt] = 118;
   _jumpMap[307][Attribute] = 117;
   _jumpMap[307][ExpressionList] = 477;
   _jumpMap[307][Function] = 116;
   _jumpMap[307][CasePrepare] = 115;
   _jumpMap[307][CaseClause] = 114;
   _jumpMap[307][Factor] = 113;
   _jumpMap[307][Term] = 112;
   _jumpMap[307][Expr] = 448;
   _actionMap[308][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[308][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[308][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[308][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[308][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[308][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[308][RTRIM] = ActionEntry(SHIFT, 165);
}
void Cego::loadParser232()
{
   _actionMap[308][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[308][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[308][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[308][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[308][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[308][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[308][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[308][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[308][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[308][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[308][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[308][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[308][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[308][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[308][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[308][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[308][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[308][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[308][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[308][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[308][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[308][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[308][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[308][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[308][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[308][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[308][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[308][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[308][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[308][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[308][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[308][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[308][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[308][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[308][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[308][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[308][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[308][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[308][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[308][LB] = ActionEntry(SHIFT, 177);
   _actionMap[308][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[308][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[308][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[308][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[308][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[308][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[308][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[308][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[308][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[308][CASE] = ActionEntry(SHIFT, 131);
}
void Cego::loadParser233()
{
   _actionMap[308][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[308][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[308][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[308][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[308][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[308][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[308][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[308][ObjSpec] = 121;
   _jumpMap[308][Constant] = 120;
   _jumpMap[308][SignedFloat] = 119;
   _jumpMap[308][SignedInt] = 118;
   _jumpMap[308][Attribute] = 117;
   _jumpMap[308][ExpressionList] = 478;
   _jumpMap[308][Function] = 116;
   _jumpMap[308][CasePrepare] = 115;
   _jumpMap[308][CaseClause] = 114;
   _jumpMap[308][Factor] = 113;
   _jumpMap[308][Term] = 112;
   _jumpMap[308][Expr] = 448;
   _actionMap[309][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[309][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[309][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[309][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[309][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[309][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[309][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[309][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[309][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[309][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[309][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[309][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[309][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[309][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[309][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[309][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[309][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[309][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[309][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[309][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[309][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[309][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[309][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[309][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[309][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[309][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[309][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[309][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[309][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[309][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[309][LDIV] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser234()
{
   _actionMap[309][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[309][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[309][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[309][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[309][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[309][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[309][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[309][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[309][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[309][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[309][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[309][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[309][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[309][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[309][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[309][LB] = ActionEntry(SHIFT, 177);
   _actionMap[309][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[309][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[309][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[309][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[309][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[309][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[309][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[309][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[309][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[309][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[309][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[309][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[309][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[309][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[309][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[309][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[309][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[309][ObjSpec] = 121;
   _jumpMap[309][Constant] = 120;
   _jumpMap[309][SignedFloat] = 119;
   _jumpMap[309][SignedInt] = 118;
   _jumpMap[309][Attribute] = 117;
   _jumpMap[309][ExpressionList] = 479;
   _jumpMap[309][Function] = 116;
   _jumpMap[309][CasePrepare] = 115;
   _jumpMap[309][CaseClause] = 114;
   _jumpMap[309][Factor] = 113;
   _jumpMap[309][Term] = 112;
   _jumpMap[309][Expr] = 448;
   _actionMap[310][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[310][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[310][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[310][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[310][ASC2INT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser235()
{
   _actionMap[310][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[310][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[310][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[310][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[310][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[310][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[310][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[310][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[310][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[310][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[310][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[310][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[310][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[310][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[310][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[310][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[310][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[310][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[310][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[310][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[310][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[310][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[310][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[310][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[310][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[310][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[310][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[310][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[310][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[310][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[310][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[310][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[310][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[310][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[310][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[310][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[310][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[310][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[310][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[310][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[310][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[310][LB] = ActionEntry(SHIFT, 177);
   _actionMap[310][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[310][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[310][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[310][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[310][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[310][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[310][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[310][CLOB] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser236()
{
   _actionMap[310][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[310][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[310][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[310][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[310][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[310][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[310][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[310][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[310][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[310][ObjSpec] = 121;
   _jumpMap[310][Constant] = 120;
   _jumpMap[310][SignedFloat] = 119;
   _jumpMap[310][SignedInt] = 118;
   _jumpMap[310][Attribute] = 117;
   _jumpMap[310][ExpressionList] = 480;
   _jumpMap[310][Function] = 116;
   _jumpMap[310][CasePrepare] = 115;
   _jumpMap[310][CaseClause] = 114;
   _jumpMap[310][Factor] = 113;
   _jumpMap[310][Term] = 112;
   _jumpMap[310][Expr] = 448;
   _actionMap[311][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[311][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[311][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[311][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[311][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[311][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[311][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[311][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[311][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[311][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[311][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[311][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[311][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[311][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[311][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[311][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[311][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[311][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[311][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[311][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[311][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[311][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[311][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[311][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[311][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[311][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[311][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[311][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[311][DIV] = ActionEntry(SHIFT, 140);
}
void Cego::loadParser237()
{
   _actionMap[311][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[311][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[311][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[311][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[311][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[311][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[311][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[311][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[311][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[311][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[311][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[311][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[311][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[311][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[311][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[311][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[311][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[311][LB] = ActionEntry(SHIFT, 177);
   _actionMap[311][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[311][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[311][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[311][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[311][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[311][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[311][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[311][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[311][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[311][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[311][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[311][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[311][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[311][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[311][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[311][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[311][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[311][ObjSpec] = 121;
   _jumpMap[311][Constant] = 120;
   _jumpMap[311][SignedFloat] = 119;
   _jumpMap[311][SignedInt] = 118;
   _jumpMap[311][Attribute] = 117;
   _jumpMap[311][ExpressionList] = 481;
   _jumpMap[311][Function] = 116;
   _jumpMap[311][CasePrepare] = 115;
   _jumpMap[311][CaseClause] = 114;
   _jumpMap[311][Factor] = 113;
   _jumpMap[311][Term] = 112;
   _jumpMap[311][Expr] = 448;
   _actionMap[312][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[312][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[312][INTVAL] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser238()
{
   _actionMap[312][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[312][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[312][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[312][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[312][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[312][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[312][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[312][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[312][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[312][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[312][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[312][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[312][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[312][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[312][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[312][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[312][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[312][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[312][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[312][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[312][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[312][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[312][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[312][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[312][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[312][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[312][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[312][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[312][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[312][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[312][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[312][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[312][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[312][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[312][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[312][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[312][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[312][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[312][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[312][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[312][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[312][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[312][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[312][LB] = ActionEntry(SHIFT, 177);
   _actionMap[312][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[312][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[312][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[312][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[312][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[312][FALSEVAL] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser239()
{
   _actionMap[312][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[312][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[312][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[312][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[312][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[312][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[312][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[312][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[312][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[312][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[312][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[312][ObjSpec] = 121;
   _jumpMap[312][Constant] = 120;
   _jumpMap[312][SignedFloat] = 119;
   _jumpMap[312][SignedInt] = 118;
   _jumpMap[312][Attribute] = 117;
   _jumpMap[312][Function] = 116;
   _jumpMap[312][CasePrepare] = 115;
   _jumpMap[312][CaseClause] = 114;
   _jumpMap[312][Factor] = 113;
   _jumpMap[312][Term] = 112;
   _jumpMap[312][Expr] = 482;
   _actionMap[313][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[313][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[313][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[313][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[313][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[313][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[313][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[313][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[313][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[313][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[313][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[313][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[313][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[313][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[313][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[313][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[313][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[313][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[313][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[313][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[313][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[313][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[313][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[313][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[313][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[313][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[313][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[313][MOD] = ActionEntry(SHIFT, 156);
}
void Cego::loadParser240()
{
   _actionMap[313][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[313][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[313][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[313][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[313][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[313][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[313][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[313][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[313][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[313][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[313][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[313][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[313][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[313][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[313][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[313][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[313][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[313][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[313][LB] = ActionEntry(SHIFT, 177);
   _actionMap[313][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[313][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[313][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[313][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[313][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[313][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[313][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[313][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[313][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[313][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[313][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[313][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[313][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[313][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[313][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[313][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[313][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[313][ObjSpec] = 121;
   _jumpMap[313][Constant] = 120;
   _jumpMap[313][SignedFloat] = 119;
   _jumpMap[313][SignedInt] = 118;
   _jumpMap[313][Attribute] = 117;
   _jumpMap[313][Function] = 116;
   _jumpMap[313][CasePrepare] = 115;
   _jumpMap[313][CaseClause] = 114;
   _jumpMap[313][Factor] = 113;
   _jumpMap[313][Term] = 112;
   _jumpMap[313][Expr] = 483;
   _actionMap[314][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[314][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[314][INTVAL] = ActionEntry(SHIFT, 179);
}
void Cego::loadParser241()
{
   _actionMap[314][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[314][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[314][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[314][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[314][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[314][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[314][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[314][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[314][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[314][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[314][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[314][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[314][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[314][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[314][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[314][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[314][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[314][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[314][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[314][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[314][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[314][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[314][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[314][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[314][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[314][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[314][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[314][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[314][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[314][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[314][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[314][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[314][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[314][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[314][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[314][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[314][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[314][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[314][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[314][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[314][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[314][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[314][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[314][LB] = ActionEntry(SHIFT, 177);
   _actionMap[314][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[314][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[314][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[314][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[314][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[314][FALSEVAL] = ActionEntry(SHIFT, 141);
}
void Cego::loadParser242()
{
   _actionMap[314][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[314][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[314][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[314][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[314][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[314][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[314][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[314][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[314][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[314][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[314][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[314][ObjSpec] = 121;
   _jumpMap[314][Constant] = 120;
   _jumpMap[314][SignedFloat] = 119;
   _jumpMap[314][SignedInt] = 118;
   _jumpMap[314][Attribute] = 117;
   _jumpMap[314][ExpressionList] = 484;
   _jumpMap[314][Function] = 116;
   _jumpMap[314][CasePrepare] = 115;
   _jumpMap[314][CaseClause] = 114;
   _jumpMap[314][Factor] = 113;
   _jumpMap[314][Term] = 112;
   _jumpMap[314][Expr] = 448;
   _actionMap[315][IDENTIFIER] = ActionEntry(SHIFT, 485);
   _actionMap[316][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[316][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[316][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[316][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[316][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[316][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[316][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[316][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[316][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[316][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[316][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[316][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[316][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[316][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[316][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[316][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[316][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[316][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[316][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[316][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[316][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[316][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[316][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[316][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[316][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[316][RANDSTR] = ActionEntry(SHIFT, 160);
}
void Cego::loadParser243()
{
   _actionMap[316][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[316][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[316][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[316][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[316][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[316][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[316][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[316][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[316][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[316][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[316][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[316][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[316][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[316][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[316][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[316][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[316][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[316][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[316][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[316][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[316][LB] = ActionEntry(SHIFT, 177);
   _actionMap[316][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[316][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[316][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[316][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[316][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[316][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[316][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[316][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[316][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[316][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[316][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[316][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[316][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[316][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[316][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[316][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[316][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[316][ObjSpec] = 121;
   _jumpMap[316][Constant] = 120;
   _jumpMap[316][SignedFloat] = 119;
   _jumpMap[316][SignedInt] = 118;
   _jumpMap[316][Attribute] = 117;
   _jumpMap[316][ExpressionList] = 486;
   _jumpMap[316][Function] = 116;
   _jumpMap[316][CasePrepare] = 115;
   _jumpMap[316][CaseClause] = 114;
   _jumpMap[316][Factor] = 113;
   _jumpMap[316][Term] = 112;
   _jumpMap[316][Expr] = 448;
}
void Cego::loadParser244()
{
   _actionMap[317][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[317][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[317][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[317][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[317][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[317][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[317][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[317][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[317][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[317][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[317][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[317][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[317][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[317][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[317][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[317][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[317][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[317][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[317][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[317][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[317][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[317][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[317][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[317][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[317][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[317][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[317][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[317][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[317][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[317][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[317][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[317][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[317][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[317][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[317][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[317][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[317][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[317][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[317][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[317][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[317][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[317][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[317][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[317][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[317][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[317][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[317][LB] = ActionEntry(SHIFT, 177);
   _actionMap[317][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[317][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[317][SYSDATE] = ActionEntry(SHIFT, 169);
}
void Cego::loadParser245()
{
   _actionMap[317][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[317][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[317][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[317][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[317][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[317][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[317][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[317][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[317][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[317][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[317][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[317][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[317][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[317][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[317][ObjSpec] = 121;
   _jumpMap[317][Constant] = 120;
   _jumpMap[317][SignedFloat] = 119;
   _jumpMap[317][SignedInt] = 118;
   _jumpMap[317][Attribute] = 117;
   _jumpMap[317][ExpressionList] = 487;
   _jumpMap[317][Function] = 116;
   _jumpMap[317][CasePrepare] = 115;
   _jumpMap[317][CaseClause] = 114;
   _jumpMap[317][Factor] = 113;
   _jumpMap[317][Term] = 112;
   _jumpMap[317][Expr] = 448;
   _actionMap[318][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[318][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[318][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[318][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[318][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[318][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[318][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[318][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[318][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[318][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[318][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[318][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[318][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[318][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[318][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[318][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[318][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[318][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[318][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[318][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[318][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[318][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[318][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[318][STR2LONG] = ActionEntry(SHIFT, 171);
}
void Cego::loadParser246()
{
   _actionMap[318][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[318][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[318][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[318][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[318][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[318][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[318][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[318][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[318][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[318][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[318][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[318][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[318][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[318][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[318][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[318][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[318][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[318][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[318][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[318][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[318][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[318][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[318][LB] = ActionEntry(SHIFT, 177);
   _actionMap[318][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[318][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[318][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[318][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[318][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[318][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[318][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[318][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[318][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[318][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[318][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[318][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[318][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[318][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[318][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[318][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[318][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[318][ObjSpec] = 121;
   _jumpMap[318][Constant] = 120;
   _jumpMap[318][SignedFloat] = 119;
   _jumpMap[318][SignedInt] = 118;
   _jumpMap[318][Attribute] = 117;
   _jumpMap[318][ExpressionList] = 488;
   _jumpMap[318][Function] = 116;
   _jumpMap[318][CasePrepare] = 115;
   _jumpMap[318][CaseClause] = 114;
   _jumpMap[318][Factor] = 113;
}
void Cego::loadParser247()
{
   _jumpMap[318][Term] = 112;
   _jumpMap[318][Expr] = 448;
   _actionMap[319][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[319][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[319][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[319][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[319][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[319][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[319][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[319][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[319][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[319][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[319][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[319][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[319][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[319][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[319][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[319][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[319][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[319][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[319][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[319][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[319][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[319][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[319][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[319][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[319][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[319][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[319][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[319][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[319][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[319][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[319][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[319][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[319][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[319][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[319][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[319][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[319][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[319][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[319][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[319][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[319][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[319][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[319][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[319][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[319][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[319][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[319][LB] = ActionEntry(SHIFT, 177);
   _actionMap[319][STRINGVAL] = ActionEntry(SHIFT, 122);
}
void Cego::loadParser248()
{
   _actionMap[319][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[319][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[319][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[319][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[319][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[319][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[319][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[319][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[319][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[319][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[319][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[319][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[319][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[319][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[319][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[319][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[319][ObjSpec] = 121;
   _jumpMap[319][Constant] = 120;
   _jumpMap[319][SignedFloat] = 119;
   _jumpMap[319][SignedInt] = 118;
   _jumpMap[319][Attribute] = 117;
   _jumpMap[319][ExpressionList] = 489;
   _jumpMap[319][Function] = 116;
   _jumpMap[319][CasePrepare] = 115;
   _jumpMap[319][CaseClause] = 114;
   _jumpMap[319][Factor] = 113;
   _jumpMap[319][Term] = 112;
   _jumpMap[319][Expr] = 448;
   _actionMap[320][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[320][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[320][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[320][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[320][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[320][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[320][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[320][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[320][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[320][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[320][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[320][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[320][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[320][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[320][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[320][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[320][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[320][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[320][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[320][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[320][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[320][TRUNC] = ActionEntry(SHIFT, 175);
}
void Cego::loadParser249()
{
   _actionMap[320][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[320][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[320][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[320][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[320][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[320][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[320][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[320][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[320][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[320][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[320][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[320][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[320][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[320][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[320][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[320][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[320][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[320][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[320][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[320][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[320][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[320][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[320][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[320][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[320][LB] = ActionEntry(SHIFT, 177);
   _actionMap[320][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[320][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[320][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[320][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[320][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[320][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[320][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[320][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[320][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[320][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[320][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[320][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[320][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[320][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[320][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[320][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[320][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[320][ObjSpec] = 121;
   _jumpMap[320][Constant] = 120;
   _jumpMap[320][SignedFloat] = 119;
   _jumpMap[320][SignedInt] = 118;
   _jumpMap[320][Attribute] = 117;
   _jumpMap[320][ExpressionList] = 490;
   _jumpMap[320][Function] = 116;
   _jumpMap[320][CasePrepare] = 115;
}
void Cego::loadParser250()
{
   _jumpMap[320][CaseClause] = 114;
   _jumpMap[320][Factor] = 113;
   _jumpMap[320][Term] = 112;
   _jumpMap[320][Expr] = 448;
   _actionMap[321][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[321][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[321][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[321][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[321][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[321][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[321][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[321][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[321][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[321][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[321][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[321][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[321][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[321][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[321][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[321][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[321][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[321][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[321][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[321][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[321][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[321][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[321][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[321][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[321][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[321][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[321][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[321][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[321][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[321][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[321][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[321][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[321][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[321][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[321][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[321][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[321][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[321][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[321][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[321][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[321][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[321][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[321][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[321][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[321][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[321][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
}
void Cego::loadParser251()
{
   _actionMap[321][LB] = ActionEntry(SHIFT, 177);
   _actionMap[321][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[321][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[321][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[321][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[321][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[321][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[321][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[321][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[321][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[321][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[321][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[321][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[321][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[321][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[321][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[321][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[321][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[321][ObjSpec] = 121;
   _jumpMap[321][Constant] = 120;
   _jumpMap[321][SignedFloat] = 119;
   _jumpMap[321][SignedInt] = 118;
   _jumpMap[321][Attribute] = 117;
   _jumpMap[321][ExpressionList] = 491;
   _jumpMap[321][Function] = 116;
   _jumpMap[321][CasePrepare] = 115;
   _jumpMap[321][CaseClause] = 114;
   _jumpMap[321][Factor] = 113;
   _jumpMap[321][Term] = 112;
   _jumpMap[321][Expr] = 448;
   _actionMap[322][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[322][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[322][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[322][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[322][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[322][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[322][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[322][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[322][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[322][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[322][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[322][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[322][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[322][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[322][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[322][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[322][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[322][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[322][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[322][REPLACE] = ActionEntry(SHIFT, 162);
}
void Cego::loadParser252()
{
   _actionMap[322][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[322][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[322][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[322][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[322][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[322][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[322][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[322][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[322][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[322][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[322][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[322][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[322][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[322][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[322][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[322][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[322][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[322][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[322][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[322][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[322][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[322][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[322][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[322][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[322][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[322][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[322][LB] = ActionEntry(SHIFT, 177);
   _actionMap[322][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[322][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[322][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[322][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[322][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[322][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[322][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[322][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[322][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[322][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[322][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[322][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[322][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[322][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[322][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[322][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[322][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[322][ObjSpec] = 121;
   _jumpMap[322][Constant] = 120;
   _jumpMap[322][SignedFloat] = 119;
   _jumpMap[322][SignedInt] = 118;
   _jumpMap[322][Attribute] = 117;
   _jumpMap[322][ExpressionList] = 492;
}
void Cego::loadParser253()
{
   _jumpMap[322][Function] = 116;
   _jumpMap[322][CasePrepare] = 115;
   _jumpMap[322][CaseClause] = 114;
   _jumpMap[322][Factor] = 113;
   _jumpMap[322][Term] = 112;
   _jumpMap[322][Expr] = 448;
   _actionMap[323][IDENTIFIER] = ActionEntry(SHIFT, 493);
   _actionMap[324][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[324][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[324][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[324][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[324][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[324][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[324][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[324][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[324][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[324][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[324][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[324][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[324][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[324][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[324][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[324][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[324][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[324][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[324][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[324][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[324][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[324][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[324][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[324][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[324][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[324][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[324][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[324][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[324][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[324][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[324][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[324][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[324][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[324][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[324][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[324][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[324][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[324][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[324][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[324][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[324][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[324][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[324][GETCOUNT] = ActionEntry(SHIFT, 143);
}
void Cego::loadParser254()
{
   _actionMap[324][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[324][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[324][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[324][LB] = ActionEntry(SHIFT, 177);
   _actionMap[324][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[324][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[324][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[324][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[324][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[324][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[324][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[324][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[324][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[324][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[324][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[324][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[324][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[324][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[324][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[324][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[324][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[324][ObjSpec] = 121;
   _jumpMap[324][Constant] = 120;
   _jumpMap[324][SignedFloat] = 119;
   _jumpMap[324][SignedInt] = 118;
   _jumpMap[324][Attribute] = 117;
   _jumpMap[324][ExpressionList] = 494;
   _jumpMap[324][Function] = 116;
   _jumpMap[324][CasePrepare] = 115;
   _jumpMap[324][CaseClause] = 114;
   _jumpMap[324][Factor] = 113;
   _jumpMap[324][Term] = 112;
   _jumpMap[324][Expr] = 448;
   _actionMap[325][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[325][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[325][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[325][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[325][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[325][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[325][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[325][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[325][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[325][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[325][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[325][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[325][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[325][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[325][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[325][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[325][RIGHT] = ActionEntry(SHIFT, 163);
}
void Cego::loadParser255()
{
   _actionMap[325][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[325][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[325][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[325][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[325][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[325][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[325][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[325][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[325][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[325][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[325][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[325][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[325][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[325][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[325][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[325][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[325][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[325][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[325][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[325][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[325][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[325][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[325][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[325][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[325][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[325][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[325][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[325][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[325][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[325][LB] = ActionEntry(SHIFT, 177);
   _actionMap[325][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[325][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[325][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[325][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[325][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[325][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[325][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[325][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[325][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[325][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[325][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[325][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[325][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[325][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[325][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[325][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[325][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[325][ObjSpec] = 121;
   _jumpMap[325][Constant] = 120;
   _jumpMap[325][SignedFloat] = 119;
}
void Cego::loadParser256()
{
   _jumpMap[325][SignedInt] = 118;
   _jumpMap[325][Attribute] = 117;
   _jumpMap[325][Function] = 116;
   _jumpMap[325][CasePrepare] = 115;
   _jumpMap[325][CaseClause] = 114;
   _jumpMap[325][Factor] = 113;
   _jumpMap[325][Term] = 112;
   _jumpMap[325][Expr] = 495;
   _actionMap[326][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[326][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[326][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[326][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[326][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[326][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[326][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[326][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[326][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[326][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[326][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[326][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[326][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[326][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[326][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[326][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[326][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[326][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[326][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[326][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[326][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[326][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[326][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[326][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[326][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[326][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[326][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[326][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[326][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[326][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[326][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[326][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[326][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[326][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[326][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[326][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[326][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[326][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[326][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[326][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[326][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[326][SETCOUNT] = ActionEntry(SHIFT, 166);
}
void Cego::loadParser257()
{
   _actionMap[326][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[326][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[326][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[326][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[326][LB] = ActionEntry(SHIFT, 177);
   _actionMap[326][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[326][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[326][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[326][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[326][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[326][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[326][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[326][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[326][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[326][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[326][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[326][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[326][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[326][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[326][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[326][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[326][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[326][ObjSpec] = 121;
   _jumpMap[326][Constant] = 120;
   _jumpMap[326][SignedFloat] = 119;
   _jumpMap[326][SignedInt] = 118;
   _jumpMap[326][Attribute] = 117;
   _jumpMap[326][ExpressionList] = 496;
   _jumpMap[326][Function] = 116;
   _jumpMap[326][CasePrepare] = 115;
   _jumpMap[326][CaseClause] = 114;
   _jumpMap[326][Factor] = 113;
   _jumpMap[326][Term] = 112;
   _jumpMap[326][Expr] = 448;
   _actionMap[327][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[327][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[327][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[327][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[327][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[327][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[327][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[327][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[327][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[327][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[327][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[327][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[327][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[327][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[327][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[327][LEFT] = ActionEntry(SHIFT, 148);
}
void Cego::loadParser258()
{
   _actionMap[327][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[327][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[327][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[327][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[327][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[327][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[327][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[327][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[327][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[327][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[327][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[327][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[327][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[327][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[327][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[327][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[327][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[327][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[327][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[327][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[327][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[327][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[327][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[327][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[327][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[327][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[327][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[327][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[327][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[327][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[327][LB] = ActionEntry(SHIFT, 177);
   _actionMap[327][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[327][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[327][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[327][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[327][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[327][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[327][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[327][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[327][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[327][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[327][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[327][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[327][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[327][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[327][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[327][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[327][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[327][ObjSpec] = 121;
   _jumpMap[327][Constant] = 120;
}
void Cego::loadParser259()
{
   _jumpMap[327][SignedFloat] = 119;
   _jumpMap[327][SignedInt] = 118;
   _jumpMap[327][Attribute] = 117;
   _jumpMap[327][ExpressionList] = 497;
   _jumpMap[327][Function] = 116;
   _jumpMap[327][CasePrepare] = 115;
   _jumpMap[327][CaseClause] = 114;
   _jumpMap[327][Factor] = 113;
   _jumpMap[327][Term] = 112;
   _jumpMap[327][Expr] = 448;
   _actionMap[328][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[328][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[328][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[328][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[328][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[328][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[328][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[328][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[328][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[328][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[328][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[328][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[328][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[328][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[328][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[328][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[328][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[328][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[328][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[328][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[328][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[328][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[328][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[328][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[328][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[328][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[328][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[328][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[328][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[328][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[328][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[328][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[328][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[328][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[328][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[328][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[328][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[328][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[328][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[328][CLOB2STR] = ActionEntry(SHIFT, 135);
}
void Cego::loadParser260()
{
   _actionMap[328][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[328][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[328][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[328][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[328][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[328][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[328][LB] = ActionEntry(SHIFT, 177);
   _actionMap[328][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[328][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[328][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[328][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[328][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[328][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[328][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[328][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[328][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[328][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[328][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[328][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[328][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[328][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[328][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[328][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[328][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[328][ObjSpec] = 121;
   _jumpMap[328][Constant] = 120;
   _jumpMap[328][SignedFloat] = 119;
   _jumpMap[328][SignedInt] = 118;
   _jumpMap[328][Attribute] = 117;
   _jumpMap[328][ExpressionList] = 498;
   _jumpMap[328][Function] = 116;
   _jumpMap[328][CasePrepare] = 115;
   _jumpMap[328][CaseClause] = 114;
   _jumpMap[328][Factor] = 113;
   _jumpMap[328][Term] = 112;
   _jumpMap[328][Expr] = 448;
   _actionMap[329][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[329][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[329][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[329][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[329][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[329][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[329][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[329][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[329][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[329][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[329][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[329][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[329][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[329][LOWER] = ActionEntry(SHIFT, 152);
}
void Cego::loadParser261()
{
   _actionMap[329][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[329][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[329][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[329][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[329][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[329][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[329][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[329][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[329][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[329][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[329][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[329][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[329][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[329][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[329][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[329][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[329][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[329][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[329][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[329][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[329][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[329][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[329][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[329][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[329][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[329][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[329][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[329][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[329][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[329][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[329][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[329][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[329][LB] = ActionEntry(SHIFT, 177);
   _actionMap[329][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[329][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[329][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[329][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[329][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[329][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[329][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[329][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[329][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[329][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[329][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[329][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[329][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[329][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[329][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[329][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[329][MAX] = ActionEntry(SHIFT, 155);
}
void Cego::loadParser262()
{
   _jumpMap[329][ObjSpec] = 121;
   _jumpMap[329][Constant] = 120;
   _jumpMap[329][SignedFloat] = 119;
   _jumpMap[329][SignedInt] = 118;
   _jumpMap[329][Attribute] = 117;
   _jumpMap[329][ExpressionList] = 499;
   _jumpMap[329][Function] = 116;
   _jumpMap[329][CasePrepare] = 115;
   _jumpMap[329][CaseClause] = 114;
   _jumpMap[329][Factor] = 113;
   _jumpMap[329][Term] = 112;
   _jumpMap[329][Expr] = 448;
   _actionMap[330][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[330][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[330][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[330][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[330][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[330][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[330][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[330][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[330][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[330][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[330][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[330][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[330][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[330][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[330][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[330][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[330][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[330][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[330][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[330][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[330][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[330][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[330][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[330][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[330][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[330][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[330][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[330][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[330][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[330][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[330][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[330][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[330][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[330][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[330][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[330][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[330][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[330][CLOBSIZE] = ActionEntry(SHIFT, 133);
}
void Cego::loadParser263()
{
   _actionMap[330][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[330][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[330][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[330][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[330][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[330][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[330][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[330][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[330][LB] = ActionEntry(SHIFT, 177);
   _actionMap[330][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[330][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[330][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[330][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[330][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[330][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[330][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[330][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[330][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[330][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[330][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[330][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[330][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[330][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[330][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[330][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[330][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[330][ObjSpec] = 121;
   _jumpMap[330][Constant] = 120;
   _jumpMap[330][SignedFloat] = 119;
   _jumpMap[330][SignedInt] = 118;
   _jumpMap[330][Attribute] = 117;
   _jumpMap[330][ExpressionList] = 500;
   _jumpMap[330][Function] = 116;
   _jumpMap[330][CasePrepare] = 115;
   _jumpMap[330][CaseClause] = 114;
   _jumpMap[330][Factor] = 113;
   _jumpMap[330][Term] = 112;
   _jumpMap[330][Expr] = 448;
   _actionMap[331][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[331][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[331][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[331][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[331][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[331][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[331][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[331][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[331][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[331][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[331][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[331][LONG2DATE] = ActionEntry(SHIFT, 145);
}
void Cego::loadParser264()
{
   _actionMap[331][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[331][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[331][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[331][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[331][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[331][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[331][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[331][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[331][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[331][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[331][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[331][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[331][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[331][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[331][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[331][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[331][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[331][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[331][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[331][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[331][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[331][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[331][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[331][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[331][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[331][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[331][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[331][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[331][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[331][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[331][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[331][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[331][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[331][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[331][LB] = ActionEntry(SHIFT, 177);
   _actionMap[331][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[331][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[331][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[331][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[331][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[331][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[331][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[331][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[331][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[331][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[331][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[331][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[331][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[331][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[331][AVG] = ActionEntry(SHIFT, 124);
}
void Cego::loadParser265()
{
   _actionMap[331][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[331][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[331][ObjSpec] = 121;
   _jumpMap[331][Constant] = 120;
   _jumpMap[331][SignedFloat] = 119;
   _jumpMap[331][SignedInt] = 118;
   _jumpMap[331][Attribute] = 117;
   _jumpMap[331][ExpressionList] = 501;
   _jumpMap[331][Function] = 116;
   _jumpMap[331][CasePrepare] = 115;
   _jumpMap[331][CaseClause] = 114;
   _jumpMap[331][Factor] = 113;
   _jumpMap[331][Term] = 112;
   _jumpMap[331][Expr] = 448;
   _actionMap[332][RB] = ActionEntry(SHIFT, 502);
   _actionMap[332][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[332][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[332][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[333][RB] = ActionEntry(SHIFT, 503);
   _actionMap[334][RB] = ActionEntry(SHIFT, 504);
   _actionMap[335][RB] = ActionEntry(SHIFT, 505);
   _actionMap[336][RB] = ActionEntry(SHIFT, 506);
   _actionMap[337][RB] = ActionEntry(SHIFT, 507);
   _actionMap[338][RB] = ActionEntry(SHIFT, 508);
   _actionMap[339][RB] = ActionEntry(SHIFT, 509);
   _actionMap[340][RB] = ActionEntry(SHIFT, 510);
   _actionMap[341][WHEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][ELSE] = ActionEntry(REDUCE, 407);
   _actionMap[341][LEFT] = ActionEntry(REDUCE, 407);
   _actionMap[341][RIGHT] = ActionEntry(REDUCE, 407);
   _actionMap[341][INNER] = ActionEntry(REDUCE, 407);
   _actionMap[341][JOIN] = ActionEntry(REDUCE, 407);
   _actionMap[341][RETURNTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][ORDER] = ActionEntry(REDUCE, 407);
   _actionMap[341][GROUP] = ActionEntry(REDUCE, 407);
   _actionMap[341][WHERE] = ActionEntry(REDUCE, 407);
   _actionMap[341][AS] = ActionEntry(REDUCE, 407);
   _actionMap[341][FROM] = ActionEntry(REDUCE, 407);
   _actionMap[341][END_TOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][BEGIN] = ActionEntry(REDUCE, 407);
   _actionMap[341][THEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][OR] = ActionEntry(REDUCE, 407);
   _actionMap[341][AND] = ActionEntry(REDUCE, 407);
   _actionMap[341][NULLTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][LIKE] = ActionEntry(REDUCE, 407);
   _actionMap[341][IS] = ActionEntry(REDUCE, 407);
   _actionMap[341][BETWEEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][NOT] = ActionEntry(REDUCE, 407);
   _actionMap[341][INTOK] = ActionEntry(REDUCE, 407);
   _actionMap[341][EQU] = ActionEntry(REDUCE, 407);
}
void Cego::loadParser266()
{
   _actionMap[341][NEGATION] = ActionEntry(REDUCE, 407);
   _actionMap[341][LT] = ActionEntry(REDUCE, 407);
   _actionMap[341][MT] = ActionEntry(REDUCE, 407);
   _actionMap[341][DESC] = ActionEntry(REDUCE, 407);
   _actionMap[341][ASC] = ActionEntry(REDUCE, 407);
   _actionMap[341][KSEP] = ActionEntry(REDUCE, 407);
   _actionMap[341][ROWLIMIT] = ActionEntry(REDUCE, 407);
   _actionMap[341][UNION] = ActionEntry(REDUCE, 407);
   _actionMap[341][ENDTOKEN] = ActionEntry(REDUCE, 407);
   _actionMap[341][RB] = ActionEntry(REDUCE, 407);
   _actionMap[341][SEMICOLON] = ActionEntry(REDUCE, 407);
   _actionMap[341][CONCAT] = ActionEntry(REDUCE, 407);
   _actionMap[341][STAR] = ActionEntry(REDUCE, 407);
   _actionMap[341][DIVISION] = ActionEntry(REDUCE, 407);
   _actionMap[341][MINUS] = ActionEntry(REDUCE, 407);
   _actionMap[341][PLUS] = ActionEntry(REDUCE, 407);
   _actionMap[342][WHEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][ELSE] = ActionEntry(REDUCE, 409);
   _actionMap[342][LEFT] = ActionEntry(REDUCE, 409);
   _actionMap[342][RIGHT] = ActionEntry(REDUCE, 409);
   _actionMap[342][INNER] = ActionEntry(REDUCE, 409);
   _actionMap[342][JOIN] = ActionEntry(REDUCE, 409);
   _actionMap[342][RETURNTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][ORDER] = ActionEntry(REDUCE, 409);
   _actionMap[342][GROUP] = ActionEntry(REDUCE, 409);
   _actionMap[342][WHERE] = ActionEntry(REDUCE, 409);
   _actionMap[342][AS] = ActionEntry(REDUCE, 409);
   _actionMap[342][FROM] = ActionEntry(REDUCE, 409);
   _actionMap[342][END_TOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][BEGIN] = ActionEntry(REDUCE, 409);
   _actionMap[342][THEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][OR] = ActionEntry(REDUCE, 409);
   _actionMap[342][AND] = ActionEntry(REDUCE, 409);
   _actionMap[342][NULLTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][LIKE] = ActionEntry(REDUCE, 409);
   _actionMap[342][IS] = ActionEntry(REDUCE, 409);
   _actionMap[342][BETWEEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][NOT] = ActionEntry(REDUCE, 409);
   _actionMap[342][INTOK] = ActionEntry(REDUCE, 409);
   _actionMap[342][EQU] = ActionEntry(REDUCE, 409);
   _actionMap[342][NEGATION] = ActionEntry(REDUCE, 409);
   _actionMap[342][LT] = ActionEntry(REDUCE, 409);
   _actionMap[342][MT] = ActionEntry(REDUCE, 409);
   _actionMap[342][DESC] = ActionEntry(REDUCE, 409);
   _actionMap[342][ASC] = ActionEntry(REDUCE, 409);
   _actionMap[342][KSEP] = ActionEntry(REDUCE, 409);
   _actionMap[342][ROWLIMIT] = ActionEntry(REDUCE, 409);
   _actionMap[342][UNION] = ActionEntry(REDUCE, 409);
   _actionMap[342][ENDTOKEN] = ActionEntry(REDUCE, 409);
   _actionMap[342][RB] = ActionEntry(REDUCE, 409);
}
void Cego::loadParser267()
{
   _actionMap[342][SEMICOLON] = ActionEntry(REDUCE, 409);
   _actionMap[342][CONCAT] = ActionEntry(REDUCE, 409);
   _actionMap[342][STAR] = ActionEntry(REDUCE, 409);
   _actionMap[342][DIVISION] = ActionEntry(REDUCE, 409);
   _actionMap[342][MINUS] = ActionEntry(REDUCE, 409);
   _actionMap[342][PLUS] = ActionEntry(REDUCE, 409);
   _actionMap[343][WHEN] = ActionEntry(REDUCE, 405);
   _actionMap[343][ELSE] = ActionEntry(REDUCE, 405);
   _actionMap[343][LEFT] = ActionEntry(REDUCE, 405);
   _actionMap[343][RIGHT] = ActionEntry(REDUCE, 405);
   _actionMap[343][INNER] = ActionEntry(REDUCE, 405);
   _actionMap[343][JOIN] = ActionEntry(REDUCE, 405);
   _actionMap[343][RETURNTOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[343][GROUP] = ActionEntry(REDUCE, 405);
   _actionMap[343][WHERE] = ActionEntry(REDUCE, 405);
   _actionMap[343][FROM] = ActionEntry(REDUCE, 405);
   _actionMap[343][AS] = ActionEntry(REDUCE, 405);
   _actionMap[343][END_TOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[343][BEGIN] = ActionEntry(REDUCE, 405);
   _actionMap[343][THEN] = ActionEntry(REDUCE, 405);
   _actionMap[343][OR] = ActionEntry(REDUCE, 405);
   _actionMap[343][AND] = ActionEntry(REDUCE, 405);
   _actionMap[343][INTOK] = ActionEntry(REDUCE, 405);
   _actionMap[343][NOT] = ActionEntry(REDUCE, 405);
   _actionMap[343][BETWEEN] = ActionEntry(REDUCE, 405);
   _actionMap[343][IS] = ActionEntry(REDUCE, 405);
   _actionMap[343][LIKE] = ActionEntry(REDUCE, 405);
   _actionMap[343][HAVING] = ActionEntry(REDUCE, 405);
   _actionMap[343][ORDER] = ActionEntry(REDUCE, 405);
   _actionMap[343][MT] = ActionEntry(REDUCE, 405);
   _actionMap[343][LT] = ActionEntry(REDUCE, 405);
   _actionMap[343][NEGATION] = ActionEntry(REDUCE, 405);
   _actionMap[343][EQU] = ActionEntry(REDUCE, 405);
   _actionMap[343][RB] = ActionEntry(REDUCE, 405);
   _actionMap[343][ENDTOKEN] = ActionEntry(REDUCE, 405);
   _actionMap[343][UNION] = ActionEntry(REDUCE, 405);
   _actionMap[343][ROWLIMIT] = ActionEntry(REDUCE, 405);
   _actionMap[343][KSEP] = ActionEntry(REDUCE, 405);
   _actionMap[343][ASC] = ActionEntry(REDUCE, 405);
   _actionMap[343][DESC] = ActionEntry(REDUCE, 405);
   _actionMap[343][SEMICOLON] = ActionEntry(REDUCE, 405);
   _actionMap[343][PLUS] = ActionEntry(REDUCE, 405);
   _actionMap[343][MINUS] = ActionEntry(REDUCE, 405);
   _actionMap[343][DIVISION] = ActionEntry(REDUCE, 405);
   _actionMap[343][STAR] = ActionEntry(REDUCE, 405);
   _actionMap[343][CONCAT] = ActionEntry(REDUCE, 405);
   _actionMap[344][TO] = ActionEntry(SHIFT, 511);
   _actionMap[345][TO] = ActionEntry(SHIFT, 512);
   _actionMap[346][TO] = ActionEntry(SHIFT, 513);
   _actionMap[347][TO] = ActionEntry(SHIFT, 514);
}
void Cego::loadParser268()
{
   _actionMap[348][TO] = ActionEntry(SHIFT, 515);
   _actionMap[349][TO] = ActionEntry(SHIFT, 516);
   _actionMap[350][TO] = ActionEntry(SHIFT, 517);
   _actionMap[351][TO] = ActionEntry(SHIFT, 518);
   _actionMap[352][SEMICOLON] = ActionEntry(REDUCE, 48);
   _actionMap[353][SEMICOLON] = ActionEntry(REDUCE, 47);
   _actionMap[354][SEMICOLON] = ActionEntry(REDUCE, 236);
   _actionMap[354][RB] = ActionEntry(REDUCE, 236);
   _actionMap[355][SEMICOLON] = ActionEntry(REDUCE, 238);
   _actionMap[355][RB] = ActionEntry(REDUCE, 238);
   _actionMap[356][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[356][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[356][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[356][ObjSpec] = 523;
   _jumpMap[356][Table] = 522;
   _jumpMap[356][TableList] = 521;
   _jumpMap[356][JoinSpecList] = 520;
   _jumpMap[356][TableSource] = 519;
   _actionMap[357][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[357][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[357][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[357][FROM] = ActionEntry(REDUCE, 264);
   _actionMap[357][AS] = ActionEntry(SHIFT, 526);
   _actionMap[357][RB] = ActionEntry(REDUCE, 264);
   _actionMap[357][SEMICOLON] = ActionEntry(REDUCE, 264);
   _actionMap[357][ENDTOKEN] = ActionEntry(REDUCE, 264);
   _actionMap[357][KSEP] = ActionEntry(REDUCE, 264);
   _jumpMap[357][NoAliasOpt] = 525;
   _jumpMap[357][AliasOpt] = 524;
   _actionMap[358][KSEP] = ActionEntry(SHIFT, 527);
   _actionMap[358][FROM] = ActionEntry(REDUCE, 240);
   _actionMap[358][RB] = ActionEntry(REDUCE, 240);
   _actionMap[358][SEMICOLON] = ActionEntry(REDUCE, 240);
   _actionMap[358][ENDTOKEN] = ActionEntry(REDUCE, 240);
   _actionMap[359][FROM] = ActionEntry(REDUCE, 243);
   _actionMap[359][RB] = ActionEntry(REDUCE, 243);
   _actionMap[359][SEMICOLON] = ActionEntry(REDUCE, 243);
   _actionMap[359][ENDTOKEN] = ActionEntry(REDUCE, 243);
   _actionMap[359][KSEP] = ActionEntry(REDUCE, 243);
   _actionMap[360][SEMICOLON] = ActionEntry(REDUCE, 43);
   _actionMap[361][SEMICOLON] = ActionEntry(REDUCE, 42);
   _actionMap[362][SEMICOLON] = ActionEntry(REDUCE, 45);
   _actionMap[363][SEMICOLON] = ActionEntry(REDUCE, 44);
   _actionMap[364][TO] = ActionEntry(SHIFT, 528);
   _actionMap[365][SEMICOLON] = ActionEntry(REDUCE, 46);
   _actionMap[366][SEMICOLON] = ActionEntry(REDUCE, 35);
   _actionMap[367][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[367][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[367][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[367][INT2ASC] = ActionEntry(SHIFT, 147);
}
void Cego::loadParser269()
{
   _actionMap[367][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[367][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[367][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[367][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[367][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[367][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[367][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[367][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[367][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[367][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[367][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[367][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[367][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[367][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[367][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[367][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[367][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[367][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[367][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[367][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[367][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[367][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[367][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[367][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[367][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[367][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[367][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[367][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[367][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[367][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[367][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[367][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[367][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[367][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[367][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[367][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[367][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[367][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[367][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[367][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[367][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[367][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[367][LB] = ActionEntry(SHIFT, 177);
   _actionMap[367][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[367][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[367][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[367][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[367][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[367][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[367][BLOB] = ActionEntry(SHIFT, 128);
}
void Cego::loadParser270()
{
   _actionMap[367][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[367][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[367][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[367][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[367][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[367][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[367][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[367][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[367][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[367][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[367][ObjSpec] = 121;
   _jumpMap[367][Constant] = 120;
   _jumpMap[367][SignedFloat] = 119;
   _jumpMap[367][SignedInt] = 118;
   _jumpMap[367][Attribute] = 117;
   _jumpMap[367][Function] = 116;
   _jumpMap[367][CasePrepare] = 115;
   _jumpMap[367][CaseClause] = 114;
   _jumpMap[367][Factor] = 113;
   _jumpMap[367][Term] = 112;
   _jumpMap[367][Expr] = 529;
   _actionMap[368][SEMICOLON] = ActionEntry(REDUCE, 33);
   _actionMap[369][SEMICOLON] = ActionEntry(REDUCE, 31);
   _actionMap[370][SEMICOLON] = ActionEntry(REDUCE, 34);
   _actionMap[371][SEMICOLON] = ActionEntry(REDUCE, 32);
   _actionMap[372][SEMICOLON] = ActionEntry(REDUCE, 73);
   _actionMap[373][SET] = ActionEntry(SHIFT, 374);
   _actionMap[374][IDENTIFIER] = ActionEntry(SHIFT, 532);
   _jumpMap[374][Assignment] = 531;
   _jumpMap[374][UpdateList] = 530;
   _actionMap[375][SET] = ActionEntry(REDUCE, 300);
   _actionMap[375][WHERE] = ActionEntry(REDUCE, 300);
   _actionMap[375][GROUP] = ActionEntry(REDUCE, 300);
   _actionMap[375][ORDER] = ActionEntry(REDUCE, 300);
   _actionMap[375][ROWLIMIT] = ActionEntry(REDUCE, 300);
   _actionMap[375][UNION] = ActionEntry(REDUCE, 300);
   _actionMap[375][ENDTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[375][RB] = ActionEntry(REDUCE, 300);
   _actionMap[375][SEMICOLON] = ActionEntry(REDUCE, 300);
   _actionMap[375][RETURNTOKEN] = ActionEntry(REDUCE, 300);
   _actionMap[376][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[376][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[376][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[376][ObjSpec] = 533;
   _actionMap[46][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[46][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[46][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[46][ObjSpec] = 219;
   _actionMap[47][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[47][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
}
void Cego::loadParser271()
{
   _actionMap[47][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[47][ObjSpec] = 220;
   _actionMap[48][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[48][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[48][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[48][ObjSpec] = 221;
   _actionMap[49][FOR] = ActionEntry(REDUCE, 217);
   _actionMap[49][SEMICOLON] = ActionEntry(REDUCE, 217);
   _actionMap[49][QUALIFIEDOBJ] = ActionEntry(REDUCE, 217);
   _actionMap[49][QUALIFIEDTS] = ActionEntry(REDUCE, 217);
   _actionMap[49][ON] = ActionEntry(REDUCE, 217);
   _actionMap[49][IDENTIFIER] = ActionEntry(REDUCE, 217);
   _actionMap[50][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[50][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[50][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[50][ObjSpec] = 222;
   _actionMap[51][IDENTIFIER] = ActionEntry(SHIFT, 224);
   _jumpMap[51][CounterId] = 223;
   _actionMap[52][KEY] = ActionEntry(SHIFT, 225);
   _actionMap[53][FOR] = ActionEntry(REDUCE, 218);
   _actionMap[53][SEMICOLON] = ActionEntry(REDUCE, 218);
   _actionMap[53][QUALIFIEDOBJ] = ActionEntry(REDUCE, 218);
   _actionMap[53][QUALIFIEDTS] = ActionEntry(REDUCE, 218);
   _actionMap[53][ON] = ActionEntry(REDUCE, 218);
   _actionMap[53][IDENTIFIER] = ActionEntry(REDUCE, 218);
   _actionMap[54][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[54][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[54][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[54][ObjSpec] = 226;
   _actionMap[55][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[55][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[55][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[55][ObjSpec] = 227;
   _actionMap[56][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[56][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[56][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[56][ObjSpec] = 228;
   _actionMap[57][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[57][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[57][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[57][ObjSpec] = 229;
   _actionMap[58][ENDTOKEN] = ActionEntry(ACCEPT, 0);
   _actionMap[59][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[59][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[59][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[59][ObjSpec] = 230;
   _actionMap[60][IDENTIFIED] = ActionEntry(SHIFT, 231);
   _actionMap[61][LB] = ActionEntry(SHIFT, 232);
   _actionMap[62][BEGIN] = ActionEntry(REDUCE, 429);
   _actionMap[62][TO] = ActionEntry(REDUCE, 429);
}
void Cego::loadParser272()
{
   _actionMap[62][VALUES] = ActionEntry(REDUCE, 429);
   _actionMap[62][SELECT] = ActionEntry(REDUCE, 429);
   _actionMap[62][SET] = ActionEntry(REDUCE, 429);
   _actionMap[62][AS] = ActionEntry(REDUCE, 429);
   _actionMap[62][BEFORE] = ActionEntry(REDUCE, 429);
   _actionMap[62][AFTER] = ActionEntry(REDUCE, 429);
   _actionMap[62][DROP] = ActionEntry(REDUCE, 429);
   _actionMap[62][MODIFY] = ActionEntry(REDUCE, 429);
   _actionMap[62][RENAME] = ActionEntry(REDUCE, 429);
   _actionMap[62][ADD] = ActionEntry(REDUCE, 429);
   _actionMap[62][KSEP] = ActionEntry(REDUCE, 429);
   _actionMap[62][LEFT] = ActionEntry(REDUCE, 429);
   _actionMap[62][RIGHT] = ActionEntry(REDUCE, 429);
   _actionMap[62][INNER] = ActionEntry(REDUCE, 429);
   _actionMap[62][JOIN] = ActionEntry(REDUCE, 429);
   _actionMap[62][RETURNTOKEN] = ActionEntry(REDUCE, 429);
   _actionMap[62][SEMICOLON] = ActionEntry(REDUCE, 429);
   _actionMap[62][RB] = ActionEntry(REDUCE, 429);
   _actionMap[62][ENDTOKEN] = ActionEntry(REDUCE, 429);
   _actionMap[62][UNION] = ActionEntry(REDUCE, 429);
   _actionMap[62][ROWLIMIT] = ActionEntry(REDUCE, 429);
   _actionMap[62][ORDER] = ActionEntry(REDUCE, 429);
   _actionMap[62][GROUP] = ActionEntry(REDUCE, 429);
   _actionMap[62][WHERE] = ActionEntry(REDUCE, 429);
   _actionMap[62][LB] = ActionEntry(REDUCE, 429);
   _actionMap[62][ON] = ActionEntry(REDUCE, 429);
   _actionMap[62][IDENTIFIER] = ActionEntry(REDUCE, 429);
   _actionMap[63][BEGIN] = ActionEntry(REDUCE, 430);
   _actionMap[63][TO] = ActionEntry(REDUCE, 430);
   _actionMap[63][VALUES] = ActionEntry(REDUCE, 430);
   _actionMap[63][SELECT] = ActionEntry(REDUCE, 430);
   _actionMap[63][SET] = ActionEntry(REDUCE, 430);
   _actionMap[63][AS] = ActionEntry(REDUCE, 430);
   _actionMap[63][BEFORE] = ActionEntry(REDUCE, 430);
   _actionMap[63][AFTER] = ActionEntry(REDUCE, 430);
   _actionMap[63][DROP] = ActionEntry(REDUCE, 430);
   _actionMap[63][MODIFY] = ActionEntry(REDUCE, 430);
   _actionMap[63][RENAME] = ActionEntry(REDUCE, 430);
   _actionMap[63][ADD] = ActionEntry(REDUCE, 430);
   _actionMap[63][KSEP] = ActionEntry(REDUCE, 430);
   _actionMap[63][LEFT] = ActionEntry(REDUCE, 430);
   _actionMap[63][RIGHT] = ActionEntry(REDUCE, 430);
   _actionMap[63][INNER] = ActionEntry(REDUCE, 430);
   _actionMap[63][JOIN] = ActionEntry(REDUCE, 430);
   _actionMap[63][RETURNTOKEN] = ActionEntry(REDUCE, 430);
   _actionMap[63][SEMICOLON] = ActionEntry(REDUCE, 430);
   _actionMap[63][RB] = ActionEntry(REDUCE, 430);
   _actionMap[63][ENDTOKEN] = ActionEntry(REDUCE, 430);
   _actionMap[63][UNION] = ActionEntry(REDUCE, 430);
   _actionMap[63][ROWLIMIT] = ActionEntry(REDUCE, 430);
}
void Cego::loadParser273()
{
   _actionMap[63][ORDER] = ActionEntry(REDUCE, 430);
   _actionMap[63][GROUP] = ActionEntry(REDUCE, 430);
   _actionMap[63][WHERE] = ActionEntry(REDUCE, 430);
   _actionMap[63][LB] = ActionEntry(REDUCE, 430);
   _actionMap[63][ON] = ActionEntry(REDUCE, 430);
   _actionMap[63][IDENTIFIER] = ActionEntry(REDUCE, 430);
   _actionMap[64][BEGIN] = ActionEntry(REDUCE, 431);
   _actionMap[64][TO] = ActionEntry(REDUCE, 431);
   _actionMap[64][VALUES] = ActionEntry(REDUCE, 431);
   _actionMap[64][SELECT] = ActionEntry(REDUCE, 431);
   _actionMap[64][SET] = ActionEntry(REDUCE, 431);
   _actionMap[64][AS] = ActionEntry(REDUCE, 431);
   _actionMap[64][BEFORE] = ActionEntry(REDUCE, 431);
   _actionMap[64][AFTER] = ActionEntry(REDUCE, 431);
   _actionMap[64][DROP] = ActionEntry(REDUCE, 431);
   _actionMap[64][MODIFY] = ActionEntry(REDUCE, 431);
   _actionMap[64][RENAME] = ActionEntry(REDUCE, 431);
   _actionMap[64][ADD] = ActionEntry(REDUCE, 431);
   _actionMap[64][KSEP] = ActionEntry(REDUCE, 431);
   _actionMap[64][LEFT] = ActionEntry(REDUCE, 431);
   _actionMap[64][RIGHT] = ActionEntry(REDUCE, 431);
   _actionMap[64][INNER] = ActionEntry(REDUCE, 431);
   _actionMap[64][JOIN] = ActionEntry(REDUCE, 431);
   _actionMap[64][RETURNTOKEN] = ActionEntry(REDUCE, 431);
   _actionMap[64][SEMICOLON] = ActionEntry(REDUCE, 431);
   _actionMap[64][RB] = ActionEntry(REDUCE, 431);
   _actionMap[64][ENDTOKEN] = ActionEntry(REDUCE, 431);
   _actionMap[64][UNION] = ActionEntry(REDUCE, 431);
   _actionMap[64][ROWLIMIT] = ActionEntry(REDUCE, 431);
   _actionMap[64][ORDER] = ActionEntry(REDUCE, 431);
   _actionMap[64][GROUP] = ActionEntry(REDUCE, 431);
   _actionMap[64][WHERE] = ActionEntry(REDUCE, 431);
   _actionMap[64][ON] = ActionEntry(REDUCE, 431);
   _actionMap[64][IDENTIFIER] = ActionEntry(REDUCE, 431);
   _actionMap[64][LB] = ActionEntry(REDUCE, 431);
   _actionMap[65][IDENTIFIER] = ActionEntry(SHIFT, 233);
   _actionMap[66][SEMICOLON] = ActionEntry(REDUCE, 71);
   _actionMap[67][BEGIN] = ActionEntry(SHIFT, 234);
   _actionMap[68][BEGIN] = ActionEntry(SHIFT, 235);
   _actionMap[69][SEMICOLON] = ActionEntry(REDUCE, 58);
   _actionMap[70][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[70][INDEX] = ActionEntry(SHIFT, 53);
   _actionMap[70][AVLTREE] = ActionEntry(SHIFT, 238);
   _jumpMap[70][BtreeType] = 237;
   _jumpMap[70][IndexType] = 236;
   _actionMap[71][IDENTIFIER] = ActionEntry(SHIFT, 239);
   _actionMap[72][IDENTIFIER] = ActionEntry(SHIFT, 224);
   _jumpMap[72][CounterId] = 240;
   _actionMap[73][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[73][INDEX] = ActionEntry(SHIFT, 53);
}
void Cego::loadParser274()
{
   _actionMap[73][AVLTREE] = ActionEntry(SHIFT, 238);
   _jumpMap[73][BtreeType] = 237;
   _jumpMap[73][IndexType] = 241;
   _actionMap[74][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[74][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[74][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[74][ObjSpec] = 242;
   _actionMap[75][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[75][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[75][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[75][ObjSpec] = 243;
   _actionMap[76][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[76][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[76][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[76][ObjSpec] = 244;
   _actionMap[77][AVLTREE] = ActionEntry(REDUCE, 213);
   _actionMap[77][BTREE] = ActionEntry(REDUCE, 213);
   _actionMap[77][INDEX] = ActionEntry(REDUCE, 213);
   _actionMap[78][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[78][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[78][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[78][ObjSpec] = 245;
   _actionMap[79][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[79][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[79][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[79][ObjSpec] = 246;
   _actionMap[80][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[80][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[80][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[80][ObjSpec] = 247;
   _actionMap[81][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[81][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[81][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[81][ObjSpec] = 248;
   _actionMap[82][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[82][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[82][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[82][ObjSpec] = 249;
   _actionMap[83][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[83][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[83][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[83][ObjSpec] = 250;
   _actionMap[84][KEY] = ActionEntry(SHIFT, 251);
   _actionMap[85][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[85][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[85][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[85][ObjSpec] = 252;
   _actionMap[86][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[86][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[86][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
}
void Cego::loadParser275()
{
   _jumpMap[86][ObjSpec] = 253;
   _actionMap[87][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[87][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[87][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[87][ObjSpec] = 254;
   _actionMap[88][EXISTS] = ActionEntry(SHIFT, 255);
   _actionMap[89][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[89][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[89][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[89][ObjSpec] = 256;
   _actionMap[90][IDENTIFIER] = ActionEntry(SHIFT, 257);
   _actionMap[90][SEMICOLON] = ActionEntry(REDUCE, 94);
   _actionMap[91][IDENTIFIER] = ActionEntry(REDUCE, 96);
   _actionMap[91][SEMICOLON] = ActionEntry(REDUCE, 96);
   _actionMap[92][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[92][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[92][TableSetOpt] = 258;
   _actionMap[93][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[93][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[93][TableSetOpt] = 260;
   _actionMap[94][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[94][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[94][TableSetOpt] = 261;
   _actionMap[95][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[95][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[95][TableSetOpt] = 262;
   _actionMap[96][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[96][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[96][TableSetOpt] = 263;
   _actionMap[97][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[97][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[97][TableSetOpt] = 264;
   _actionMap[98][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[98][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[98][TableSetOpt] = 265;
   _actionMap[99][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[99][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[99][TableSetOpt] = 266;
   _actionMap[100][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[100][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[100][TableSetOpt] = 267;
   _actionMap[101][SEMICOLON] = ActionEntry(REDUCE, 2);
   _actionMap[102][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[102][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[102][TableSetOpt] = 268;
   _actionMap[103][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[103][SEMICOLON] = ActionEntry(REDUCE, 16);
   _jumpMap[103][TableSetOpt] = 269;
   _actionMap[104][FOR] = ActionEntry(SHIFT, 259);
   _actionMap[104][SEMICOLON] = ActionEntry(REDUCE, 16);
}
void Cego::loadParser276()
{
   _jumpMap[104][TableSetOpt] = 270;
   _actionMap[105][SEMICOLON] = ActionEntry(REDUCE, 72);
   _actionMap[106][SEMICOLON] = ActionEntry(REDUCE, 59);
   _actionMap[107][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[107][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[107][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[107][ObjSpec] = 271;
   _actionMap[108][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[108][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[108][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[108][ObjSpec] = 272;
   _actionMap[109][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[109][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[109][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[109][ObjSpec] = 273;
   _actionMap[110][SEMICOLON] = ActionEntry(REDUCE, 50);
   _actionMap[111][PLUS] = ActionEntry(SHIFT, 276);
   _actionMap[111][MINUS] = ActionEntry(SHIFT, 275);
   _actionMap[111][CONCAT] = ActionEntry(SHIFT, 274);
   _actionMap[111][SEMICOLON] = ActionEntry(REDUCE, 88);
   _actionMap[112][STAR] = ActionEntry(SHIFT, 277);
   _actionMap[112][DIVISION] = ActionEntry(SHIFT, 278);
   _actionMap[112][WHEN] = ActionEntry(REDUCE, 172);
   _actionMap[112][ELSE] = ActionEntry(REDUCE, 172);
   _actionMap[112][LEFT] = ActionEntry(REDUCE, 172);
   _actionMap[112][RIGHT] = ActionEntry(REDUCE, 172);
   _actionMap[112][INNER] = ActionEntry(REDUCE, 172);
   _actionMap[112][JOIN] = ActionEntry(REDUCE, 172);
   _actionMap[112][RETURNTOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[112][ORDER] = ActionEntry(REDUCE, 172);
   _actionMap[112][GROUP] = ActionEntry(REDUCE, 172);
   _actionMap[112][WHERE] = ActionEntry(REDUCE, 172);
   _actionMap[112][BEGIN] = ActionEntry(REDUCE, 172);
   _actionMap[112][THEN] = ActionEntry(REDUCE, 172);
   _actionMap[112][OR] = ActionEntry(REDUCE, 172);
   _actionMap[112][AS] = ActionEntry(REDUCE, 172);
   _actionMap[112][FROM] = ActionEntry(REDUCE, 172);
   _actionMap[112][END_TOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[112][AND] = ActionEntry(REDUCE, 172);
   _actionMap[112][LIKE] = ActionEntry(REDUCE, 172);
   _actionMap[112][IS] = ActionEntry(REDUCE, 172);
   _actionMap[112][BETWEEN] = ActionEntry(REDUCE, 172);
   _actionMap[112][NOT] = ActionEntry(REDUCE, 172);
   _actionMap[112][INTOK] = ActionEntry(REDUCE, 172);
   _actionMap[112][EQU] = ActionEntry(REDUCE, 172);
   _actionMap[112][NEGATION] = ActionEntry(REDUCE, 172);
   _actionMap[112][LT] = ActionEntry(REDUCE, 172);
   _actionMap[112][MT] = ActionEntry(REDUCE, 172);
   _actionMap[112][DESC] = ActionEntry(REDUCE, 172);
   _actionMap[112][ASC] = ActionEntry(REDUCE, 172);
}
void Cego::loadParser277()
{
   _actionMap[112][KSEP] = ActionEntry(REDUCE, 172);
   _actionMap[112][ROWLIMIT] = ActionEntry(REDUCE, 172);
   _actionMap[112][UNION] = ActionEntry(REDUCE, 172);
   _actionMap[112][ENDTOKEN] = ActionEntry(REDUCE, 172);
   _actionMap[112][RB] = ActionEntry(REDUCE, 172);
   _actionMap[112][SEMICOLON] = ActionEntry(REDUCE, 172);
   _actionMap[112][CONCAT] = ActionEntry(REDUCE, 172);
   _actionMap[112][MINUS] = ActionEntry(REDUCE, 172);
   _actionMap[112][PLUS] = ActionEntry(REDUCE, 172);
   _actionMap[113][WHEN] = ActionEntry(REDUCE, 176);
   _actionMap[113][ELSE] = ActionEntry(REDUCE, 176);
   _actionMap[113][LEFT] = ActionEntry(REDUCE, 176);
   _actionMap[113][RIGHT] = ActionEntry(REDUCE, 176);
   _actionMap[113][INNER] = ActionEntry(REDUCE, 176);
   _actionMap[113][JOIN] = ActionEntry(REDUCE, 176);
   _actionMap[113][RETURNTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[113][ORDER] = ActionEntry(REDUCE, 176);
   _actionMap[113][GROUP] = ActionEntry(REDUCE, 176);
   _actionMap[113][WHERE] = ActionEntry(REDUCE, 176);
   _actionMap[113][BEGIN] = ActionEntry(REDUCE, 176);
   _actionMap[113][THEN] = ActionEntry(REDUCE, 176);
   _actionMap[113][OR] = ActionEntry(REDUCE, 176);
   _actionMap[113][FROM] = ActionEntry(REDUCE, 176);
   _actionMap[113][AS] = ActionEntry(REDUCE, 176);
   _actionMap[113][END_TOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[113][AND] = ActionEntry(REDUCE, 176);
   _actionMap[113][INTOK] = ActionEntry(REDUCE, 176);
   _actionMap[113][NOT] = ActionEntry(REDUCE, 176);
   _actionMap[113][BETWEEN] = ActionEntry(REDUCE, 176);
   _actionMap[113][IS] = ActionEntry(REDUCE, 176);
   _actionMap[113][LIKE] = ActionEntry(REDUCE, 176);
   _actionMap[113][MT] = ActionEntry(REDUCE, 176);
   _actionMap[113][LT] = ActionEntry(REDUCE, 176);
   _actionMap[113][NEGATION] = ActionEntry(REDUCE, 176);
   _actionMap[113][EQU] = ActionEntry(REDUCE, 176);
   _actionMap[113][RB] = ActionEntry(REDUCE, 176);
   _actionMap[113][ENDTOKEN] = ActionEntry(REDUCE, 176);
   _actionMap[113][UNION] = ActionEntry(REDUCE, 176);
   _actionMap[113][ROWLIMIT] = ActionEntry(REDUCE, 176);
   _actionMap[113][KSEP] = ActionEntry(REDUCE, 176);
   _actionMap[113][ASC] = ActionEntry(REDUCE, 176);
   _actionMap[113][DESC] = ActionEntry(REDUCE, 176);
   _actionMap[113][SEMICOLON] = ActionEntry(REDUCE, 176);
   _actionMap[113][PLUS] = ActionEntry(REDUCE, 176);
   _actionMap[113][MINUS] = ActionEntry(REDUCE, 176);
   _actionMap[113][DIVISION] = ActionEntry(REDUCE, 176);
   _actionMap[113][STAR] = ActionEntry(REDUCE, 176);
   _actionMap[113][CONCAT] = ActionEntry(REDUCE, 176);
   _actionMap[114][WHEN] = ActionEntry(REDUCE, 184);
   _actionMap[114][ELSE] = ActionEntry(REDUCE, 184);
}
void Cego::loadParser278()
{
   _actionMap[114][LEFT] = ActionEntry(REDUCE, 184);
   _actionMap[114][RIGHT] = ActionEntry(REDUCE, 184);
   _actionMap[114][INNER] = ActionEntry(REDUCE, 184);
   _actionMap[114][JOIN] = ActionEntry(REDUCE, 184);
   _actionMap[114][RETURNTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[114][ORDER] = ActionEntry(REDUCE, 184);
   _actionMap[114][GROUP] = ActionEntry(REDUCE, 184);
   _actionMap[114][WHERE] = ActionEntry(REDUCE, 184);
   _actionMap[114][BEGIN] = ActionEntry(REDUCE, 184);
   _actionMap[114][THEN] = ActionEntry(REDUCE, 184);
   _actionMap[114][OR] = ActionEntry(REDUCE, 184);
   _actionMap[114][AS] = ActionEntry(REDUCE, 184);
   _actionMap[114][FROM] = ActionEntry(REDUCE, 184);
   _actionMap[114][END_TOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[114][AND] = ActionEntry(REDUCE, 184);
   _actionMap[114][LIKE] = ActionEntry(REDUCE, 184);
   _actionMap[114][IS] = ActionEntry(REDUCE, 184);
   _actionMap[114][BETWEEN] = ActionEntry(REDUCE, 184);
   _actionMap[114][NOT] = ActionEntry(REDUCE, 184);
   _actionMap[114][INTOK] = ActionEntry(REDUCE, 184);
   _actionMap[114][EQU] = ActionEntry(REDUCE, 184);
   _actionMap[114][NEGATION] = ActionEntry(REDUCE, 184);
   _actionMap[114][LT] = ActionEntry(REDUCE, 184);
   _actionMap[114][MT] = ActionEntry(REDUCE, 184);
   _actionMap[114][DESC] = ActionEntry(REDUCE, 184);
   _actionMap[114][ASC] = ActionEntry(REDUCE, 184);
   _actionMap[114][KSEP] = ActionEntry(REDUCE, 184);
   _actionMap[114][ROWLIMIT] = ActionEntry(REDUCE, 184);
   _actionMap[114][UNION] = ActionEntry(REDUCE, 184);
   _actionMap[114][ENDTOKEN] = ActionEntry(REDUCE, 184);
   _actionMap[114][RB] = ActionEntry(REDUCE, 184);
   _actionMap[114][SEMICOLON] = ActionEntry(REDUCE, 184);
   _actionMap[114][CONCAT] = ActionEntry(REDUCE, 184);
   _actionMap[114][STAR] = ActionEntry(REDUCE, 184);
   _actionMap[114][DIVISION] = ActionEntry(REDUCE, 184);
   _actionMap[114][MINUS] = ActionEntry(REDUCE, 184);
   _actionMap[114][PLUS] = ActionEntry(REDUCE, 184);
   _actionMap[115][WHEN] = ActionEntry(SHIFT, 281);
   _jumpMap[115][CaseCondition] = 280;
   _jumpMap[115][CaseConditionList] = 279;
   _actionMap[116][WHEN] = ActionEntry(REDUCE, 181);
   _actionMap[116][ELSE] = ActionEntry(REDUCE, 181);
   _actionMap[116][LEFT] = ActionEntry(REDUCE, 181);
   _actionMap[116][RIGHT] = ActionEntry(REDUCE, 181);
   _actionMap[116][INNER] = ActionEntry(REDUCE, 181);
   _actionMap[116][JOIN] = ActionEntry(REDUCE, 181);
   _actionMap[116][RETURNTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[116][ORDER] = ActionEntry(REDUCE, 181);
   _actionMap[116][GROUP] = ActionEntry(REDUCE, 181);
   _actionMap[116][WHERE] = ActionEntry(REDUCE, 181);
}
void Cego::loadParser279()
{
   _actionMap[116][BEGIN] = ActionEntry(REDUCE, 181);
   _actionMap[116][THEN] = ActionEntry(REDUCE, 181);
   _actionMap[116][OR] = ActionEntry(REDUCE, 181);
   _actionMap[116][AS] = ActionEntry(REDUCE, 181);
   _actionMap[116][FROM] = ActionEntry(REDUCE, 181);
   _actionMap[116][END_TOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[116][AND] = ActionEntry(REDUCE, 181);
   _actionMap[116][LIKE] = ActionEntry(REDUCE, 181);
   _actionMap[116][IS] = ActionEntry(REDUCE, 181);
   _actionMap[116][BETWEEN] = ActionEntry(REDUCE, 181);
   _actionMap[116][NOT] = ActionEntry(REDUCE, 181);
   _actionMap[116][INTOK] = ActionEntry(REDUCE, 181);
   _actionMap[116][EQU] = ActionEntry(REDUCE, 181);
   _actionMap[116][NEGATION] = ActionEntry(REDUCE, 181);
   _actionMap[116][LT] = ActionEntry(REDUCE, 181);
   _actionMap[116][MT] = ActionEntry(REDUCE, 181);
   _actionMap[116][DESC] = ActionEntry(REDUCE, 181);
   _actionMap[116][ASC] = ActionEntry(REDUCE, 181);
   _actionMap[116][KSEP] = ActionEntry(REDUCE, 181);
   _actionMap[116][ROWLIMIT] = ActionEntry(REDUCE, 181);
   _actionMap[116][UNION] = ActionEntry(REDUCE, 181);
   _actionMap[116][ENDTOKEN] = ActionEntry(REDUCE, 181);
   _actionMap[116][RB] = ActionEntry(REDUCE, 181);
   _actionMap[116][SEMICOLON] = ActionEntry(REDUCE, 181);
   _actionMap[116][CONCAT] = ActionEntry(REDUCE, 181);
   _actionMap[116][STAR] = ActionEntry(REDUCE, 181);
   _actionMap[116][DIVISION] = ActionEntry(REDUCE, 181);
   _actionMap[116][MINUS] = ActionEntry(REDUCE, 181);
   _actionMap[116][PLUS] = ActionEntry(REDUCE, 181);
   _actionMap[117][WHEN] = ActionEntry(REDUCE, 180);
   _actionMap[117][ELSE] = ActionEntry(REDUCE, 180);
   _actionMap[117][LEFT] = ActionEntry(REDUCE, 180);
   _actionMap[117][RIGHT] = ActionEntry(REDUCE, 180);
   _actionMap[117][INNER] = ActionEntry(REDUCE, 180);
   _actionMap[117][JOIN] = ActionEntry(REDUCE, 180);
   _actionMap[117][RETURNTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[117][ORDER] = ActionEntry(REDUCE, 180);
   _actionMap[117][GROUP] = ActionEntry(REDUCE, 180);
   _actionMap[117][WHERE] = ActionEntry(REDUCE, 180);
   _actionMap[117][AS] = ActionEntry(REDUCE, 180);
   _actionMap[117][FROM] = ActionEntry(REDUCE, 180);
   _actionMap[117][END_TOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[117][BEGIN] = ActionEntry(REDUCE, 180);
   _actionMap[117][THEN] = ActionEntry(REDUCE, 180);
   _actionMap[117][OR] = ActionEntry(REDUCE, 180);
   _actionMap[117][AND] = ActionEntry(REDUCE, 180);
   _actionMap[117][LIKE] = ActionEntry(REDUCE, 180);
   _actionMap[117][IS] = ActionEntry(REDUCE, 180);
   _actionMap[117][BETWEEN] = ActionEntry(REDUCE, 180);
   _actionMap[117][NOT] = ActionEntry(REDUCE, 180);
}
void Cego::loadParser280()
{
   _actionMap[117][INTOK] = ActionEntry(REDUCE, 180);
   _actionMap[117][EQU] = ActionEntry(REDUCE, 180);
   _actionMap[117][NEGATION] = ActionEntry(REDUCE, 180);
   _actionMap[117][LT] = ActionEntry(REDUCE, 180);
   _actionMap[117][MT] = ActionEntry(REDUCE, 180);
   _actionMap[117][DESC] = ActionEntry(REDUCE, 180);
   _actionMap[117][ASC] = ActionEntry(REDUCE, 180);
   _actionMap[117][KSEP] = ActionEntry(REDUCE, 180);
   _actionMap[117][ROWLIMIT] = ActionEntry(REDUCE, 180);
   _actionMap[117][UNION] = ActionEntry(REDUCE, 180);
   _actionMap[117][ENDTOKEN] = ActionEntry(REDUCE, 180);
   _actionMap[117][RB] = ActionEntry(REDUCE, 180);
   _actionMap[117][SEMICOLON] = ActionEntry(REDUCE, 180);
   _actionMap[117][CONCAT] = ActionEntry(REDUCE, 180);
   _actionMap[117][STAR] = ActionEntry(REDUCE, 180);
   _actionMap[117][DIVISION] = ActionEntry(REDUCE, 180);
   _actionMap[117][MINUS] = ActionEntry(REDUCE, 180);
   _actionMap[117][PLUS] = ActionEntry(REDUCE, 180);
   _actionMap[118][WHEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][ELSE] = ActionEntry(REDUCE, 410);
   _actionMap[118][LEFT] = ActionEntry(REDUCE, 410);
   _actionMap[118][RIGHT] = ActionEntry(REDUCE, 410);
   _actionMap[118][INNER] = ActionEntry(REDUCE, 410);
   _actionMap[118][JOIN] = ActionEntry(REDUCE, 410);
   _actionMap[118][RETURNTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][ORDER] = ActionEntry(REDUCE, 410);
   _actionMap[118][GROUP] = ActionEntry(REDUCE, 410);
   _actionMap[118][WHERE] = ActionEntry(REDUCE, 410);
   _actionMap[118][NULLTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][FROM] = ActionEntry(REDUCE, 410);
   _actionMap[118][AS] = ActionEntry(REDUCE, 410);
   _actionMap[118][END_TOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][BEGIN] = ActionEntry(REDUCE, 410);
   _actionMap[118][THEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][OR] = ActionEntry(REDUCE, 410);
   _actionMap[118][AND] = ActionEntry(REDUCE, 410);
   _actionMap[118][INTOK] = ActionEntry(REDUCE, 410);
   _actionMap[118][NOT] = ActionEntry(REDUCE, 410);
   _actionMap[118][BETWEEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][IS] = ActionEntry(REDUCE, 410);
   _actionMap[118][LIKE] = ActionEntry(REDUCE, 410);
   _actionMap[118][MT] = ActionEntry(REDUCE, 410);
   _actionMap[118][LT] = ActionEntry(REDUCE, 410);
   _actionMap[118][NEGATION] = ActionEntry(REDUCE, 410);
   _actionMap[118][EQU] = ActionEntry(REDUCE, 410);
   _actionMap[118][RB] = ActionEntry(REDUCE, 410);
   _actionMap[118][ENDTOKEN] = ActionEntry(REDUCE, 410);
   _actionMap[118][UNION] = ActionEntry(REDUCE, 410);
   _actionMap[118][ROWLIMIT] = ActionEntry(REDUCE, 410);
   _actionMap[118][KSEP] = ActionEntry(REDUCE, 410);
}
void Cego::loadParser281()
{
   _actionMap[118][ASC] = ActionEntry(REDUCE, 410);
   _actionMap[118][DESC] = ActionEntry(REDUCE, 410);
   _actionMap[118][SEMICOLON] = ActionEntry(REDUCE, 410);
   _actionMap[118][PLUS] = ActionEntry(REDUCE, 410);
   _actionMap[118][MINUS] = ActionEntry(REDUCE, 410);
   _actionMap[118][DIVISION] = ActionEntry(REDUCE, 410);
   _actionMap[118][STAR] = ActionEntry(REDUCE, 410);
   _actionMap[118][CONCAT] = ActionEntry(REDUCE, 410);
   _actionMap[119][WHEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][ELSE] = ActionEntry(REDUCE, 416);
   _actionMap[119][LEFT] = ActionEntry(REDUCE, 416);
   _actionMap[119][RIGHT] = ActionEntry(REDUCE, 416);
   _actionMap[119][INNER] = ActionEntry(REDUCE, 416);
   _actionMap[119][JOIN] = ActionEntry(REDUCE, 416);
   _actionMap[119][RETURNTOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][ORDER] = ActionEntry(REDUCE, 416);
   _actionMap[119][GROUP] = ActionEntry(REDUCE, 416);
   _actionMap[119][WHERE] = ActionEntry(REDUCE, 416);
   _actionMap[119][NULLTOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][FROM] = ActionEntry(REDUCE, 416);
   _actionMap[119][AS] = ActionEntry(REDUCE, 416);
   _actionMap[119][END_TOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][BEGIN] = ActionEntry(REDUCE, 416);
   _actionMap[119][THEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][OR] = ActionEntry(REDUCE, 416);
   _actionMap[119][AND] = ActionEntry(REDUCE, 416);
   _actionMap[119][INTOK] = ActionEntry(REDUCE, 416);
   _actionMap[119][NOT] = ActionEntry(REDUCE, 416);
   _actionMap[119][BETWEEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][IS] = ActionEntry(REDUCE, 416);
   _actionMap[119][LIKE] = ActionEntry(REDUCE, 416);
   _actionMap[119][MT] = ActionEntry(REDUCE, 416);
   _actionMap[119][LT] = ActionEntry(REDUCE, 416);
   _actionMap[119][NEGATION] = ActionEntry(REDUCE, 416);
   _actionMap[119][EQU] = ActionEntry(REDUCE, 416);
   _actionMap[119][RB] = ActionEntry(REDUCE, 416);
   _actionMap[119][ENDTOKEN] = ActionEntry(REDUCE, 416);
   _actionMap[119][UNION] = ActionEntry(REDUCE, 416);
   _actionMap[119][ROWLIMIT] = ActionEntry(REDUCE, 416);
   _actionMap[119][KSEP] = ActionEntry(REDUCE, 416);
   _actionMap[119][ASC] = ActionEntry(REDUCE, 416);
   _actionMap[119][DESC] = ActionEntry(REDUCE, 416);
   _actionMap[119][SEMICOLON] = ActionEntry(REDUCE, 416);
   _actionMap[119][PLUS] = ActionEntry(REDUCE, 416);
   _actionMap[119][MINUS] = ActionEntry(REDUCE, 416);
   _actionMap[119][DIVISION] = ActionEntry(REDUCE, 416);
   _actionMap[119][STAR] = ActionEntry(REDUCE, 416);
   _actionMap[119][CONCAT] = ActionEntry(REDUCE, 416);
   _actionMap[120][WHEN] = ActionEntry(REDUCE, 178);
   _actionMap[120][ELSE] = ActionEntry(REDUCE, 178);
}
void Cego::loadParser282()
{
   _actionMap[120][LEFT] = ActionEntry(REDUCE, 178);
   _actionMap[120][RIGHT] = ActionEntry(REDUCE, 178);
   _actionMap[120][INNER] = ActionEntry(REDUCE, 178);
   _actionMap[120][JOIN] = ActionEntry(REDUCE, 178);
   _actionMap[120][RETURNTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[120][ORDER] = ActionEntry(REDUCE, 178);
   _actionMap[120][GROUP] = ActionEntry(REDUCE, 178);
   _actionMap[120][WHERE] = ActionEntry(REDUCE, 178);
   _actionMap[120][AS] = ActionEntry(REDUCE, 178);
   _actionMap[120][FROM] = ActionEntry(REDUCE, 178);
   _actionMap[120][END_TOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[120][BEGIN] = ActionEntry(REDUCE, 178);
   _actionMap[120][THEN] = ActionEntry(REDUCE, 178);
   _actionMap[120][OR] = ActionEntry(REDUCE, 178);
   _actionMap[120][AND] = ActionEntry(REDUCE, 178);
   _actionMap[120][LIKE] = ActionEntry(REDUCE, 178);
   _actionMap[120][IS] = ActionEntry(REDUCE, 178);
   _actionMap[120][BETWEEN] = ActionEntry(REDUCE, 178);
   _actionMap[120][NOT] = ActionEntry(REDUCE, 178);
   _actionMap[120][INTOK] = ActionEntry(REDUCE, 178);
   _actionMap[120][EQU] = ActionEntry(REDUCE, 178);
   _actionMap[120][NEGATION] = ActionEntry(REDUCE, 178);
   _actionMap[120][LT] = ActionEntry(REDUCE, 178);
   _actionMap[120][MT] = ActionEntry(REDUCE, 178);
   _actionMap[120][DESC] = ActionEntry(REDUCE, 178);
   _actionMap[120][ASC] = ActionEntry(REDUCE, 178);
   _actionMap[120][KSEP] = ActionEntry(REDUCE, 178);
   _actionMap[120][ROWLIMIT] = ActionEntry(REDUCE, 178);
   _actionMap[120][UNION] = ActionEntry(REDUCE, 178);
   _actionMap[120][ENDTOKEN] = ActionEntry(REDUCE, 178);
   _actionMap[120][RB] = ActionEntry(REDUCE, 178);
   _actionMap[120][SEMICOLON] = ActionEntry(REDUCE, 178);
   _actionMap[120][CONCAT] = ActionEntry(REDUCE, 178);
   _actionMap[120][STAR] = ActionEntry(REDUCE, 178);
   _actionMap[120][DIVISION] = ActionEntry(REDUCE, 178);
   _actionMap[120][MINUS] = ActionEntry(REDUCE, 178);
   _actionMap[120][PLUS] = ActionEntry(REDUCE, 178);
   _actionMap[121][LB] = ActionEntry(SHIFT, 282);
   _actionMap[122][WHEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][ELSE] = ActionEntry(REDUCE, 415);
   _actionMap[122][LEFT] = ActionEntry(REDUCE, 415);
   _actionMap[122][RIGHT] = ActionEntry(REDUCE, 415);
   _actionMap[122][INNER] = ActionEntry(REDUCE, 415);
   _actionMap[122][JOIN] = ActionEntry(REDUCE, 415);
   _actionMap[122][RETURNTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][ORDER] = ActionEntry(REDUCE, 415);
   _actionMap[122][GROUP] = ActionEntry(REDUCE, 415);
   _actionMap[122][WHERE] = ActionEntry(REDUCE, 415);
   _actionMap[122][NULLTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][FROM] = ActionEntry(REDUCE, 415);
}
void Cego::loadParser283()
{
   _actionMap[122][AS] = ActionEntry(REDUCE, 415);
   _actionMap[122][END_TOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][BEGIN] = ActionEntry(REDUCE, 415);
   _actionMap[122][THEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][OR] = ActionEntry(REDUCE, 415);
   _actionMap[122][AND] = ActionEntry(REDUCE, 415);
   _actionMap[122][INTOK] = ActionEntry(REDUCE, 415);
   _actionMap[122][NOT] = ActionEntry(REDUCE, 415);
   _actionMap[122][BETWEEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][IS] = ActionEntry(REDUCE, 415);
   _actionMap[122][LIKE] = ActionEntry(REDUCE, 415);
   _actionMap[122][MT] = ActionEntry(REDUCE, 415);
   _actionMap[122][LT] = ActionEntry(REDUCE, 415);
   _actionMap[122][NEGATION] = ActionEntry(REDUCE, 415);
   _actionMap[122][EQU] = ActionEntry(REDUCE, 415);
   _actionMap[122][RB] = ActionEntry(REDUCE, 415);
   _actionMap[122][ENDTOKEN] = ActionEntry(REDUCE, 415);
   _actionMap[122][UNION] = ActionEntry(REDUCE, 415);
   _actionMap[122][ROWLIMIT] = ActionEntry(REDUCE, 415);
   _actionMap[122][KSEP] = ActionEntry(REDUCE, 415);
   _actionMap[122][ASC] = ActionEntry(REDUCE, 415);
   _actionMap[122][DESC] = ActionEntry(REDUCE, 415);
   _actionMap[122][SEMICOLON] = ActionEntry(REDUCE, 415);
   _actionMap[122][PLUS] = ActionEntry(REDUCE, 415);
   _actionMap[122][MINUS] = ActionEntry(REDUCE, 415);
   _actionMap[122][DIVISION] = ActionEntry(REDUCE, 415);
   _actionMap[122][STAR] = ActionEntry(REDUCE, 415);
   _actionMap[122][CONCAT] = ActionEntry(REDUCE, 415);
   _actionMap[123][LB] = ActionEntry(SHIFT, 283);
   _actionMap[124][LB] = ActionEntry(SHIFT, 284);
   _actionMap[125][LB] = ActionEntry(SHIFT, 285);
   _actionMap[126][LB] = ActionEntry(SHIFT, 286);
   _actionMap[127][LB] = ActionEntry(SHIFT, 287);
   _actionMap[128][LAB] = ActionEntry(SHIFT, 288);
   _actionMap[129][LB] = ActionEntry(SHIFT, 289);
   _actionMap[130][LB] = ActionEntry(SHIFT, 290);
   _actionMap[131][WHEN] = ActionEntry(REDUCE, 195);
   _actionMap[132][LAB] = ActionEntry(SHIFT, 291);
   _actionMap[133][LB] = ActionEntry(SHIFT, 292);
   _actionMap[134][LB] = ActionEntry(SHIFT, 293);
   _actionMap[135][LB] = ActionEntry(SHIFT, 294);
   _actionMap[136][LB] = ActionEntry(SHIFT, 295);
   _actionMap[137][LB] = ActionEntry(SHIFT, 296);
   _actionMap[138][LB] = ActionEntry(SHIFT, 297);
   _actionMap[139][LB] = ActionEntry(SHIFT, 298);
   _actionMap[140][LB] = ActionEntry(SHIFT, 299);
   _actionMap[141][WHEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][ELSE] = ActionEntry(REDUCE, 424);
   _actionMap[141][LEFT] = ActionEntry(REDUCE, 424);
   _actionMap[141][RIGHT] = ActionEntry(REDUCE, 424);
}
void Cego::loadParser284()
{
   _actionMap[141][INNER] = ActionEntry(REDUCE, 424);
   _actionMap[141][JOIN] = ActionEntry(REDUCE, 424);
   _actionMap[141][RETURNTOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][ORDER] = ActionEntry(REDUCE, 424);
   _actionMap[141][GROUP] = ActionEntry(REDUCE, 424);
   _actionMap[141][WHERE] = ActionEntry(REDUCE, 424);
   _actionMap[141][FROM] = ActionEntry(REDUCE, 424);
   _actionMap[141][AS] = ActionEntry(REDUCE, 424);
   _actionMap[141][END_TOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][BEGIN] = ActionEntry(REDUCE, 424);
   _actionMap[141][THEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][OR] = ActionEntry(REDUCE, 424);
   _actionMap[141][AND] = ActionEntry(REDUCE, 424);
   _actionMap[141][NULLTOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][INTOK] = ActionEntry(REDUCE, 424);
   _actionMap[141][NOT] = ActionEntry(REDUCE, 424);
   _actionMap[141][BETWEEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][IS] = ActionEntry(REDUCE, 424);
   _actionMap[141][LIKE] = ActionEntry(REDUCE, 424);
   _actionMap[141][MT] = ActionEntry(REDUCE, 424);
   _actionMap[141][LT] = ActionEntry(REDUCE, 424);
   _actionMap[141][NEGATION] = ActionEntry(REDUCE, 424);
   _actionMap[141][EQU] = ActionEntry(REDUCE, 424);
   _actionMap[141][RB] = ActionEntry(REDUCE, 424);
   _actionMap[141][ENDTOKEN] = ActionEntry(REDUCE, 424);
   _actionMap[141][UNION] = ActionEntry(REDUCE, 424);
   _actionMap[141][ROWLIMIT] = ActionEntry(REDUCE, 424);
   _actionMap[141][KSEP] = ActionEntry(REDUCE, 424);
   _actionMap[141][ASC] = ActionEntry(REDUCE, 424);
   _actionMap[141][DESC] = ActionEntry(REDUCE, 424);
   _actionMap[141][SEMICOLON] = ActionEntry(REDUCE, 424);
   _actionMap[141][PLUS] = ActionEntry(REDUCE, 424);
   _actionMap[141][MINUS] = ActionEntry(REDUCE, 424);
   _actionMap[141][DIVISION] = ActionEntry(REDUCE, 424);
   _actionMap[141][STAR] = ActionEntry(REDUCE, 424);
   _actionMap[141][CONCAT] = ActionEntry(REDUCE, 424);
   _actionMap[142][IDENTIFIER] = ActionEntry(SHIFT, 300);
   _actionMap[143][LB] = ActionEntry(SHIFT, 301);
   _actionMap[144][LB] = ActionEntry(SHIFT, 302);
   _actionMap[145][LB] = ActionEntry(SHIFT, 303);
   _actionMap[146][LB] = ActionEntry(SHIFT, 304);
   _actionMap[147][LB] = ActionEntry(SHIFT, 305);
   _actionMap[148][LB] = ActionEntry(SHIFT, 306);
   _actionMap[149][LB] = ActionEntry(SHIFT, 307);
   _actionMap[150][LB] = ActionEntry(SHIFT, 308);
   _actionMap[151][LB] = ActionEntry(SHIFT, 309);
   _actionMap[152][LB] = ActionEntry(SHIFT, 310);
   _actionMap[153][LB] = ActionEntry(SHIFT, 311);
   _actionMap[154][LB] = ActionEntry(SHIFT, 312);
   _actionMap[155][LB] = ActionEntry(SHIFT, 313);
}
void Cego::loadParser285()
{
   _actionMap[156][LB] = ActionEntry(SHIFT, 314);
   _actionMap[157][LB] = ActionEntry(SHIFT, 315);
   _actionMap[158][WHEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][ELSE] = ActionEntry(REDUCE, 422);
   _actionMap[158][LEFT] = ActionEntry(REDUCE, 422);
   _actionMap[158][RIGHT] = ActionEntry(REDUCE, 422);
   _actionMap[158][INNER] = ActionEntry(REDUCE, 422);
   _actionMap[158][JOIN] = ActionEntry(REDUCE, 422);
   _actionMap[158][RETURNTOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][ORDER] = ActionEntry(REDUCE, 422);
   _actionMap[158][GROUP] = ActionEntry(REDUCE, 422);
   _actionMap[158][WHERE] = ActionEntry(REDUCE, 422);
   _actionMap[158][FROM] = ActionEntry(REDUCE, 422);
   _actionMap[158][AS] = ActionEntry(REDUCE, 422);
   _actionMap[158][END_TOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][BEGIN] = ActionEntry(REDUCE, 422);
   _actionMap[158][THEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][OR] = ActionEntry(REDUCE, 422);
   _actionMap[158][AND] = ActionEntry(REDUCE, 422);
   _actionMap[158][NULLTOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][INTOK] = ActionEntry(REDUCE, 422);
   _actionMap[158][NOT] = ActionEntry(REDUCE, 422);
   _actionMap[158][BETWEEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][IS] = ActionEntry(REDUCE, 422);
   _actionMap[158][LIKE] = ActionEntry(REDUCE, 422);
   _actionMap[158][MT] = ActionEntry(REDUCE, 422);
   _actionMap[158][LT] = ActionEntry(REDUCE, 422);
   _actionMap[158][NEGATION] = ActionEntry(REDUCE, 422);
   _actionMap[158][EQU] = ActionEntry(REDUCE, 422);
   _actionMap[158][RB] = ActionEntry(REDUCE, 422);
   _actionMap[158][ENDTOKEN] = ActionEntry(REDUCE, 422);
   _actionMap[158][UNION] = ActionEntry(REDUCE, 422);
   _actionMap[158][ROWLIMIT] = ActionEntry(REDUCE, 422);
   _actionMap[158][KSEP] = ActionEntry(REDUCE, 422);
   _actionMap[158][ASC] = ActionEntry(REDUCE, 422);
   _actionMap[158][DESC] = ActionEntry(REDUCE, 422);
   _actionMap[158][SEMICOLON] = ActionEntry(REDUCE, 422);
   _actionMap[158][PLUS] = ActionEntry(REDUCE, 422);
   _actionMap[158][MINUS] = ActionEntry(REDUCE, 422);
   _actionMap[158][DIVISION] = ActionEntry(REDUCE, 422);
   _actionMap[158][STAR] = ActionEntry(REDUCE, 422);
   _actionMap[158][CONCAT] = ActionEntry(REDUCE, 422);
   _actionMap[159][LB] = ActionEntry(SHIFT, 316);
   _actionMap[160][LB] = ActionEntry(SHIFT, 317);
   _actionMap[161][LB] = ActionEntry(SHIFT, 318);
   _actionMap[162][LB] = ActionEntry(SHIFT, 319);
   _actionMap[163][LB] = ActionEntry(SHIFT, 320);
   _actionMap[164][LB] = ActionEntry(SHIFT, 321);
   _actionMap[165][LB] = ActionEntry(SHIFT, 322);
   _actionMap[166][LB] = ActionEntry(SHIFT, 323);
}
void Cego::loadParser286()
{
   _actionMap[167][LB] = ActionEntry(SHIFT, 324);
   _actionMap[168][LB] = ActionEntry(SHIFT, 325);
   _actionMap[169][WHEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][ELSE] = ActionEntry(REDUCE, 421);
   _actionMap[169][LEFT] = ActionEntry(REDUCE, 421);
   _actionMap[169][RIGHT] = ActionEntry(REDUCE, 421);
   _actionMap[169][INNER] = ActionEntry(REDUCE, 421);
   _actionMap[169][JOIN] = ActionEntry(REDUCE, 421);
   _actionMap[169][RETURNTOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][ORDER] = ActionEntry(REDUCE, 421);
   _actionMap[169][GROUP] = ActionEntry(REDUCE, 421);
   _actionMap[169][WHERE] = ActionEntry(REDUCE, 421);
   _actionMap[169][FROM] = ActionEntry(REDUCE, 421);
   _actionMap[169][AS] = ActionEntry(REDUCE, 421);
   _actionMap[169][END_TOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][BEGIN] = ActionEntry(REDUCE, 421);
   _actionMap[169][THEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][OR] = ActionEntry(REDUCE, 421);
   _actionMap[169][AND] = ActionEntry(REDUCE, 421);
   _actionMap[169][NULLTOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][INTOK] = ActionEntry(REDUCE, 421);
   _actionMap[169][NOT] = ActionEntry(REDUCE, 421);
   _actionMap[169][BETWEEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][IS] = ActionEntry(REDUCE, 421);
   _actionMap[169][LIKE] = ActionEntry(REDUCE, 421);
   _actionMap[169][MT] = ActionEntry(REDUCE, 421);
   _actionMap[169][LT] = ActionEntry(REDUCE, 421);
   _actionMap[169][NEGATION] = ActionEntry(REDUCE, 421);
   _actionMap[169][EQU] = ActionEntry(REDUCE, 421);
   _actionMap[169][RB] = ActionEntry(REDUCE, 421);
   _actionMap[169][ENDTOKEN] = ActionEntry(REDUCE, 421);
   _actionMap[169][UNION] = ActionEntry(REDUCE, 421);
   _actionMap[169][ROWLIMIT] = ActionEntry(REDUCE, 421);
   _actionMap[169][KSEP] = ActionEntry(REDUCE, 421);
   _actionMap[169][ASC] = ActionEntry(REDUCE, 421);
   _actionMap[169][DESC] = ActionEntry(REDUCE, 421);
   _actionMap[169][SEMICOLON] = ActionEntry(REDUCE, 421);
   _actionMap[169][PLUS] = ActionEntry(REDUCE, 421);
   _actionMap[169][MINUS] = ActionEntry(REDUCE, 421);
   _actionMap[169][DIVISION] = ActionEntry(REDUCE, 421);
   _actionMap[169][STAR] = ActionEntry(REDUCE, 421);
   _actionMap[169][CONCAT] = ActionEntry(REDUCE, 421);
   _actionMap[170][LB] = ActionEntry(SHIFT, 326);
   _actionMap[171][LB] = ActionEntry(SHIFT, 327);
   _actionMap[172][LB] = ActionEntry(SHIFT, 328);
   _actionMap[173][LB] = ActionEntry(SHIFT, 329);
   _actionMap[174][WHEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][ELSE] = ActionEntry(REDUCE, 423);
   _actionMap[174][LEFT] = ActionEntry(REDUCE, 423);
   _actionMap[174][RIGHT] = ActionEntry(REDUCE, 423);
}
void Cego::loadParser287()
{
   _actionMap[174][INNER] = ActionEntry(REDUCE, 423);
   _actionMap[174][JOIN] = ActionEntry(REDUCE, 423);
   _actionMap[174][RETURNTOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][ORDER] = ActionEntry(REDUCE, 423);
   _actionMap[174][GROUP] = ActionEntry(REDUCE, 423);
   _actionMap[174][WHERE] = ActionEntry(REDUCE, 423);
   _actionMap[174][FROM] = ActionEntry(REDUCE, 423);
   _actionMap[174][AS] = ActionEntry(REDUCE, 423);
   _actionMap[174][END_TOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][BEGIN] = ActionEntry(REDUCE, 423);
   _actionMap[174][THEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][OR] = ActionEntry(REDUCE, 423);
   _actionMap[174][AND] = ActionEntry(REDUCE, 423);
   _actionMap[174][NULLTOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][INTOK] = ActionEntry(REDUCE, 423);
   _actionMap[174][NOT] = ActionEntry(REDUCE, 423);
   _actionMap[174][BETWEEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][IS] = ActionEntry(REDUCE, 423);
   _actionMap[174][LIKE] = ActionEntry(REDUCE, 423);
   _actionMap[174][MT] = ActionEntry(REDUCE, 423);
   _actionMap[174][LT] = ActionEntry(REDUCE, 423);
   _actionMap[174][NEGATION] = ActionEntry(REDUCE, 423);
   _actionMap[174][EQU] = ActionEntry(REDUCE, 423);
   _actionMap[174][RB] = ActionEntry(REDUCE, 423);
   _actionMap[174][ENDTOKEN] = ActionEntry(REDUCE, 423);
   _actionMap[174][UNION] = ActionEntry(REDUCE, 423);
   _actionMap[174][ROWLIMIT] = ActionEntry(REDUCE, 423);
   _actionMap[174][KSEP] = ActionEntry(REDUCE, 423);
   _actionMap[174][ASC] = ActionEntry(REDUCE, 423);
   _actionMap[174][DESC] = ActionEntry(REDUCE, 423);
   _actionMap[174][SEMICOLON] = ActionEntry(REDUCE, 423);
   _actionMap[174][PLUS] = ActionEntry(REDUCE, 423);
   _actionMap[174][MINUS] = ActionEntry(REDUCE, 423);
   _actionMap[174][DIVISION] = ActionEntry(REDUCE, 423);
   _actionMap[174][STAR] = ActionEntry(REDUCE, 423);
   _actionMap[174][CONCAT] = ActionEntry(REDUCE, 423);
   _actionMap[175][LB] = ActionEntry(SHIFT, 330);
   _actionMap[176][LB] = ActionEntry(SHIFT, 331);
   _actionMap[177][LONG] = ActionEntry(SHIFT, 338);
   _actionMap[177][BIGINT] = ActionEntry(SHIFT, 334);
   _actionMap[177][SMALLINT] = ActionEntry(SHIFT, 339);
   _actionMap[177][TINYINT] = ActionEntry(SHIFT, 340);
   _actionMap[177][DOUBLE] = ActionEntry(SHIFT, 336);
   _actionMap[177][DECIMAL] = ActionEntry(SHIFT, 335);
   _actionMap[177][FIXED] = ActionEntry(SHIFT, 337);
   _actionMap[177][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[177][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[177][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[177][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[177][ASC2INT] = ActionEntry(SHIFT, 123);
}
void Cego::loadParser288()
{
   _actionMap[177][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[177][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[177][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[177][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[177][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[177][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[177][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[177][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[177][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[177][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[177][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[177][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[177][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[177][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[177][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[177][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[177][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[177][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[177][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[177][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[177][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[177][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[177][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[177][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[177][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[177][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[177][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[177][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[177][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[177][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[177][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[177][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[177][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[177][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[177][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[177][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[177][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[177][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[177][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[177][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[177][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[177][LB] = ActionEntry(SHIFT, 177);
   _actionMap[177][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[177][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[177][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[177][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[177][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[177][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[177][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[177][CLOB] = ActionEntry(SHIFT, 132);
}
void Cego::loadParser289()
{
   _actionMap[177][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[177][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[177][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[177][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[177][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[177][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[177][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[177][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[177][MAX] = ActionEntry(SHIFT, 155);
   _actionMap[177][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[177][ObjSpec] = 121;
   _jumpMap[177][Constant] = 120;
   _jumpMap[177][SignedFloat] = 119;
   _jumpMap[177][SignedInt] = 118;
   _jumpMap[177][Attribute] = 117;
   _jumpMap[177][Function] = 116;
   _jumpMap[177][SelectStatement] = 333;
   _jumpMap[177][CasePrepare] = 115;
   _jumpMap[177][CaseClause] = 114;
   _jumpMap[177][Factor] = 113;
   _jumpMap[177][Term] = 112;
   _jumpMap[177][Expr] = 332;
   _actionMap[178][FLOATVAL] = ActionEntry(SHIFT, 342);
   _actionMap[178][INTVAL] = ActionEntry(SHIFT, 341);
   _actionMap[179][WHEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][ELSE] = ActionEntry(REDUCE, 406);
   _actionMap[179][LEFT] = ActionEntry(REDUCE, 406);
   _actionMap[179][RIGHT] = ActionEntry(REDUCE, 406);
   _actionMap[179][INNER] = ActionEntry(REDUCE, 406);
   _actionMap[179][JOIN] = ActionEntry(REDUCE, 406);
   _actionMap[179][RETURNTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][ORDER] = ActionEntry(REDUCE, 406);
   _actionMap[179][GROUP] = ActionEntry(REDUCE, 406);
   _actionMap[179][WHERE] = ActionEntry(REDUCE, 406);
   _actionMap[179][AS] = ActionEntry(REDUCE, 406);
   _actionMap[179][FROM] = ActionEntry(REDUCE, 406);
   _actionMap[179][END_TOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][BEGIN] = ActionEntry(REDUCE, 406);
   _actionMap[179][THEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][OR] = ActionEntry(REDUCE, 406);
   _actionMap[179][AND] = ActionEntry(REDUCE, 406);
   _actionMap[179][NULLTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][LIKE] = ActionEntry(REDUCE, 406);
   _actionMap[179][IS] = ActionEntry(REDUCE, 406);
   _actionMap[179][BETWEEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][NOT] = ActionEntry(REDUCE, 406);
   _actionMap[179][INTOK] = ActionEntry(REDUCE, 406);
   _actionMap[179][EQU] = ActionEntry(REDUCE, 406);
   _actionMap[179][NEGATION] = ActionEntry(REDUCE, 406);
   _actionMap[179][LT] = ActionEntry(REDUCE, 406);
}
void Cego::loadParser290()
{
   _actionMap[179][MT] = ActionEntry(REDUCE, 406);
   _actionMap[179][DESC] = ActionEntry(REDUCE, 406);
   _actionMap[179][ASC] = ActionEntry(REDUCE, 406);
   _actionMap[179][KSEP] = ActionEntry(REDUCE, 406);
   _actionMap[179][ROWLIMIT] = ActionEntry(REDUCE, 406);
   _actionMap[179][UNION] = ActionEntry(REDUCE, 406);
   _actionMap[179][ENDTOKEN] = ActionEntry(REDUCE, 406);
   _actionMap[179][RB] = ActionEntry(REDUCE, 406);
   _actionMap[179][SEMICOLON] = ActionEntry(REDUCE, 406);
   _actionMap[179][CONCAT] = ActionEntry(REDUCE, 406);
   _actionMap[179][STAR] = ActionEntry(REDUCE, 406);
   _actionMap[179][DIVISION] = ActionEntry(REDUCE, 406);
   _actionMap[179][MINUS] = ActionEntry(REDUCE, 406);
   _actionMap[179][PLUS] = ActionEntry(REDUCE, 406);
   _actionMap[180][WHEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][ELSE] = ActionEntry(REDUCE, 408);
   _actionMap[180][LEFT] = ActionEntry(REDUCE, 408);
   _actionMap[180][RIGHT] = ActionEntry(REDUCE, 408);
   _actionMap[180][INNER] = ActionEntry(REDUCE, 408);
   _actionMap[180][JOIN] = ActionEntry(REDUCE, 408);
   _actionMap[180][RETURNTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][ORDER] = ActionEntry(REDUCE, 408);
   _actionMap[180][GROUP] = ActionEntry(REDUCE, 408);
   _actionMap[180][WHERE] = ActionEntry(REDUCE, 408);
   _actionMap[180][AS] = ActionEntry(REDUCE, 408);
   _actionMap[180][FROM] = ActionEntry(REDUCE, 408);
   _actionMap[180][END_TOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][BEGIN] = ActionEntry(REDUCE, 408);
   _actionMap[180][THEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][OR] = ActionEntry(REDUCE, 408);
   _actionMap[180][AND] = ActionEntry(REDUCE, 408);
   _actionMap[180][NULLTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][LIKE] = ActionEntry(REDUCE, 408);
   _actionMap[180][IS] = ActionEntry(REDUCE, 408);
   _actionMap[180][BETWEEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][NOT] = ActionEntry(REDUCE, 408);
   _actionMap[180][INTOK] = ActionEntry(REDUCE, 408);
   _actionMap[180][EQU] = ActionEntry(REDUCE, 408);
   _actionMap[180][NEGATION] = ActionEntry(REDUCE, 408);
   _actionMap[180][LT] = ActionEntry(REDUCE, 408);
   _actionMap[180][MT] = ActionEntry(REDUCE, 408);
   _actionMap[180][DESC] = ActionEntry(REDUCE, 408);
   _actionMap[180][ASC] = ActionEntry(REDUCE, 408);
   _actionMap[180][KSEP] = ActionEntry(REDUCE, 408);
   _actionMap[180][ROWLIMIT] = ActionEntry(REDUCE, 408);
   _actionMap[180][UNION] = ActionEntry(REDUCE, 408);
   _actionMap[180][ENDTOKEN] = ActionEntry(REDUCE, 408);
   _actionMap[180][RB] = ActionEntry(REDUCE, 408);
   _actionMap[180][SEMICOLON] = ActionEntry(REDUCE, 408);
   _actionMap[180][CONCAT] = ActionEntry(REDUCE, 408);
}
void Cego::loadParser291()
{
   _actionMap[180][STAR] = ActionEntry(REDUCE, 408);
   _actionMap[180][DIVISION] = ActionEntry(REDUCE, 408);
   _actionMap[180][MINUS] = ActionEntry(REDUCE, 408);
   _actionMap[180][PLUS] = ActionEntry(REDUCE, 408);
   _actionMap[181][WHEN] = ActionEntry(REDUCE, 403);
   _actionMap[181][ELSE] = ActionEntry(REDUCE, 403);
   _actionMap[181][LEFT] = ActionEntry(REDUCE, 403);
   _actionMap[181][RIGHT] = ActionEntry(REDUCE, 403);
   _actionMap[181][INNER] = ActionEntry(REDUCE, 403);
   _actionMap[181][JOIN] = ActionEntry(REDUCE, 403);
   _actionMap[181][RETURNTOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[181][ORDER] = ActionEntry(REDUCE, 403);
   _actionMap[181][GROUP] = ActionEntry(REDUCE, 403);
   _actionMap[181][WHERE] = ActionEntry(REDUCE, 403);
   _actionMap[181][FROM] = ActionEntry(REDUCE, 403);
   _actionMap[181][AS] = ActionEntry(REDUCE, 403);
   _actionMap[181][END_TOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[181][BEGIN] = ActionEntry(REDUCE, 403);
   _actionMap[181][THEN] = ActionEntry(REDUCE, 403);
   _actionMap[181][OR] = ActionEntry(REDUCE, 403);
   _actionMap[181][AND] = ActionEntry(REDUCE, 403);
   _actionMap[181][INTOK] = ActionEntry(REDUCE, 403);
   _actionMap[181][NOT] = ActionEntry(REDUCE, 403);
   _actionMap[181][BETWEEN] = ActionEntry(REDUCE, 403);
   _actionMap[181][IS] = ActionEntry(REDUCE, 403);
   _actionMap[181][LIKE] = ActionEntry(REDUCE, 403);
   _actionMap[181][MT] = ActionEntry(REDUCE, 403);
   _actionMap[181][LT] = ActionEntry(REDUCE, 403);
   _actionMap[181][NEGATION] = ActionEntry(REDUCE, 403);
   _actionMap[181][EQU] = ActionEntry(REDUCE, 403);
   _actionMap[181][RB] = ActionEntry(REDUCE, 403);
   _actionMap[181][ENDTOKEN] = ActionEntry(REDUCE, 403);
   _actionMap[181][UNION] = ActionEntry(REDUCE, 403);
   _actionMap[181][ROWLIMIT] = ActionEntry(REDUCE, 403);
   _actionMap[181][KSEP] = ActionEntry(REDUCE, 403);
   _actionMap[181][ASC] = ActionEntry(REDUCE, 403);
   _actionMap[181][DESC] = ActionEntry(REDUCE, 403);
   _actionMap[181][SEMICOLON] = ActionEntry(REDUCE, 403);
   _actionMap[181][PLUS] = ActionEntry(REDUCE, 403);
   _actionMap[181][MINUS] = ActionEntry(REDUCE, 403);
   _actionMap[181][LB] = ActionEntry(REDUCE, 429);
   _actionMap[181][DIVISION] = ActionEntry(REDUCE, 403);
   _actionMap[181][STAR] = ActionEntry(REDUCE, 403);
   _actionMap[181][CONCAT] = ActionEntry(REDUCE, 403);
   _actionMap[182][WHEN] = ActionEntry(REDUCE, 177);
   _actionMap[182][ELSE] = ActionEntry(REDUCE, 177);
   _actionMap[182][LEFT] = ActionEntry(REDUCE, 177);
   _actionMap[182][RIGHT] = ActionEntry(REDUCE, 177);
   _actionMap[182][INNER] = ActionEntry(REDUCE, 177);
   _actionMap[182][JOIN] = ActionEntry(REDUCE, 177);
}
void Cego::loadParser292()
{
   _actionMap[182][RETURNTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[182][ORDER] = ActionEntry(REDUCE, 177);
   _actionMap[182][GROUP] = ActionEntry(REDUCE, 177);
   _actionMap[182][WHERE] = ActionEntry(REDUCE, 177);
   _actionMap[182][AS] = ActionEntry(REDUCE, 177);
   _actionMap[182][FROM] = ActionEntry(REDUCE, 177);
   _actionMap[182][END_TOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[182][BEGIN] = ActionEntry(REDUCE, 177);
   _actionMap[182][THEN] = ActionEntry(REDUCE, 177);
   _actionMap[182][OR] = ActionEntry(REDUCE, 177);
   _actionMap[182][AND] = ActionEntry(REDUCE, 177);
   _actionMap[182][LIKE] = ActionEntry(REDUCE, 177);
   _actionMap[182][IS] = ActionEntry(REDUCE, 177);
   _actionMap[182][BETWEEN] = ActionEntry(REDUCE, 177);
   _actionMap[182][NOT] = ActionEntry(REDUCE, 177);
   _actionMap[182][INTOK] = ActionEntry(REDUCE, 177);
   _actionMap[182][EQU] = ActionEntry(REDUCE, 177);
   _actionMap[182][NEGATION] = ActionEntry(REDUCE, 177);
   _actionMap[182][LT] = ActionEntry(REDUCE, 177);
   _actionMap[182][MT] = ActionEntry(REDUCE, 177);
   _actionMap[182][DESC] = ActionEntry(REDUCE, 177);
   _actionMap[182][ASC] = ActionEntry(REDUCE, 177);
   _actionMap[182][KSEP] = ActionEntry(REDUCE, 177);
   _actionMap[182][ROWLIMIT] = ActionEntry(REDUCE, 177);
   _actionMap[182][UNION] = ActionEntry(REDUCE, 177);
   _actionMap[182][ENDTOKEN] = ActionEntry(REDUCE, 177);
   _actionMap[182][RB] = ActionEntry(REDUCE, 177);
   _actionMap[182][SEMICOLON] = ActionEntry(REDUCE, 177);
   _actionMap[182][CONCAT] = ActionEntry(REDUCE, 177);
   _actionMap[182][STAR] = ActionEntry(REDUCE, 177);
   _actionMap[182][DIVISION] = ActionEntry(REDUCE, 177);
   _actionMap[182][MINUS] = ActionEntry(REDUCE, 177);
   _actionMap[182][PLUS] = ActionEntry(REDUCE, 177);
   _actionMap[183][WHEN] = ActionEntry(REDUCE, 404);
   _actionMap[183][ELSE] = ActionEntry(REDUCE, 404);
   _actionMap[183][LEFT] = ActionEntry(REDUCE, 404);
   _actionMap[183][RIGHT] = ActionEntry(REDUCE, 404);
   _actionMap[183][INNER] = ActionEntry(REDUCE, 404);
   _actionMap[183][JOIN] = ActionEntry(REDUCE, 404);
   _actionMap[183][RETURNTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[183][ORDER] = ActionEntry(REDUCE, 404);
   _actionMap[183][GROUP] = ActionEntry(REDUCE, 404);
   _actionMap[183][WHERE] = ActionEntry(REDUCE, 404);
   _actionMap[183][FROM] = ActionEntry(REDUCE, 404);
   _actionMap[183][AS] = ActionEntry(REDUCE, 404);
   _actionMap[183][END_TOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[183][BEGIN] = ActionEntry(REDUCE, 404);
   _actionMap[183][THEN] = ActionEntry(REDUCE, 404);
   _actionMap[183][OR] = ActionEntry(REDUCE, 404);
   _actionMap[183][AND] = ActionEntry(REDUCE, 404);
}
void Cego::loadParser293()
{
   _actionMap[183][INTOK] = ActionEntry(REDUCE, 404);
   _actionMap[183][NOT] = ActionEntry(REDUCE, 404);
   _actionMap[183][BETWEEN] = ActionEntry(REDUCE, 404);
   _actionMap[183][IS] = ActionEntry(REDUCE, 404);
   _actionMap[183][LIKE] = ActionEntry(REDUCE, 404);
   _actionMap[183][MT] = ActionEntry(REDUCE, 404);
   _actionMap[183][LT] = ActionEntry(REDUCE, 404);
   _actionMap[183][NEGATION] = ActionEntry(REDUCE, 404);
   _actionMap[183][EQU] = ActionEntry(REDUCE, 404);
   _actionMap[183][RB] = ActionEntry(REDUCE, 404);
   _actionMap[183][ENDTOKEN] = ActionEntry(REDUCE, 404);
   _actionMap[183][UNION] = ActionEntry(REDUCE, 404);
   _actionMap[183][ROWLIMIT] = ActionEntry(REDUCE, 404);
   _actionMap[183][KSEP] = ActionEntry(REDUCE, 404);
   _actionMap[183][ASC] = ActionEntry(REDUCE, 404);
   _actionMap[183][DESC] = ActionEntry(REDUCE, 404);
   _actionMap[183][SEMICOLON] = ActionEntry(REDUCE, 404);
   _actionMap[183][PLUS] = ActionEntry(REDUCE, 404);
   _actionMap[183][MINUS] = ActionEntry(REDUCE, 404);
   _actionMap[183][LB] = ActionEntry(REDUCE, 430);
   _actionMap[183][DIVISION] = ActionEntry(REDUCE, 404);
   _actionMap[183][STAR] = ActionEntry(REDUCE, 404);
   _actionMap[183][CONCAT] = ActionEntry(REDUCE, 404);
   _actionMap[184][STAR] = ActionEntry(SHIFT, 343);
   _actionMap[185][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[185][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[185][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[185][ObjSpec] = 344;
   _actionMap[186][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[186][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[186][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[186][ObjSpec] = 345;
   _actionMap[187][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[187][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[187][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[187][ObjSpec] = 346;
   _actionMap[188][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[188][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[188][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[188][ObjSpec] = 347;
   _actionMap[189][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[189][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[189][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[189][ObjSpec] = 348;
   _actionMap[190][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[190][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[190][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[190][ObjSpec] = 349;
   _actionMap[191][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[191][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
}
void Cego::loadParser294()
{
   _actionMap[191][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[191][ObjSpec] = 350;
   _actionMap[192][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[192][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[192][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[192][ObjSpec] = 351;
   _actionMap[193][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[193][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[193][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[193][ObjSpec] = 352;
   _actionMap[194][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[194][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[194][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[194][ObjSpec] = 353;
   _actionMap[195][SEMICOLON] = ActionEntry(REDUCE, 239);
   _actionMap[195][FROM] = ActionEntry(SHIFT, 356);
   _actionMap[195][RB] = ActionEntry(REDUCE, 239);
   _jumpMap[195][NoFromOption] = 355;
   _jumpMap[195][FromOption] = 354;
   _actionMap[196][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[196][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[196][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[196][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[196][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[196][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[196][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[196][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[196][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[196][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[196][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[196][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[196][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[196][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[196][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[196][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[196][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[196][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[196][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[196][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[196][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[196][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[196][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[196][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[196][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[196][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[196][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[196][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[196][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[196][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[196][LDIV] = ActionEntry(SHIFT, 150);
}
void Cego::loadParser295()
{
   _actionMap[196][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[196][BITAND] = ActionEntry(SHIFT, 125);
   _actionMap[196][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[196][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[196][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[196][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[196][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[196][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[196][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[196][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[196][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[196][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[196][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[196][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[196][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[196][LB] = ActionEntry(SHIFT, 177);
   _actionMap[196][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[196][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[196][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[196][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[196][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[196][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[196][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[196][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[196][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[196][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[196][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[196][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[196][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[196][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[196][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[196][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[196][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[196][ObjSpec] = 121;
   _jumpMap[196][Constant] = 120;
   _jumpMap[196][SignedFloat] = 119;
   _jumpMap[196][SignedInt] = 118;
   _jumpMap[196][Attribute] = 117;
   _jumpMap[196][Function] = 116;
   _jumpMap[196][SelectItem] = 359;
   _jumpMap[196][SelectionList] = 358;
   _jumpMap[196][CasePrepare] = 115;
   _jumpMap[196][CaseClause] = 114;
   _jumpMap[196][Factor] = 113;
   _jumpMap[196][Term] = 112;
   _jumpMap[196][Expr] = 357;
   _actionMap[197][VARREF] = ActionEntry(REDUCE, 283);
   _actionMap[197][FETCH] = ActionEntry(REDUCE, 283);
   _actionMap[197][LB] = ActionEntry(REDUCE, 283);
   _actionMap[197][COUNT] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser296()
{
   _actionMap[197][SUM] = ActionEntry(REDUCE, 283);
   _actionMap[197][AVG] = ActionEntry(REDUCE, 283);
   _actionMap[197][MIN] = ActionEntry(REDUCE, 283);
   _actionMap[197][MAX] = ActionEntry(REDUCE, 283);
   _actionMap[197][CASE] = ActionEntry(REDUCE, 283);
   _actionMap[197][INT2ASC] = ActionEntry(REDUCE, 283);
   _actionMap[197][ASC2INT] = ActionEntry(REDUCE, 283);
   _actionMap[197][TRIM] = ActionEntry(REDUCE, 283);
   _actionMap[197][RTRIM] = ActionEntry(REDUCE, 283);
   _actionMap[197][LTRIM] = ActionEntry(REDUCE, 283);
   _actionMap[197][ROUND] = ActionEntry(REDUCE, 283);
   _actionMap[197][DATE2STR] = ActionEntry(REDUCE, 283);
   _actionMap[197][DATE2LONG] = ActionEntry(REDUCE, 283);
   _actionMap[197][LONG2DATE] = ActionEntry(REDUCE, 283);
   _actionMap[197][NEWDATE] = ActionEntry(REDUCE, 283);
   _actionMap[197][LOWER] = ActionEntry(REDUCE, 283);
   _actionMap[197][UPPER] = ActionEntry(REDUCE, 283);
   _actionMap[197][LEFT] = ActionEntry(REDUCE, 283);
   _actionMap[197][RIGHT] = ActionEntry(REDUCE, 283);
   _actionMap[197][GETPOS] = ActionEntry(REDUCE, 283);
   _actionMap[197][SUBSTR] = ActionEntry(REDUCE, 283);
   _actionMap[197][REPLACE] = ActionEntry(REDUCE, 283);
   _actionMap[197][LENGTH] = ActionEntry(REDUCE, 283);
   _actionMap[197][TRUNC] = ActionEntry(REDUCE, 283);
   _actionMap[197][STR2INT] = ActionEntry(REDUCE, 283);
   _actionMap[197][STR2LONG] = ActionEntry(REDUCE, 283);
   _actionMap[197][STR2DATE] = ActionEntry(REDUCE, 283);
   _actionMap[197][RANDSTR] = ActionEntry(REDUCE, 283);
   _actionMap[197][RANDINT] = ActionEntry(REDUCE, 283);
   _actionMap[197][MOD] = ActionEntry(REDUCE, 283);
   _actionMap[197][DIV] = ActionEntry(REDUCE, 283);
   _actionMap[197][LMOD] = ActionEntry(REDUCE, 283);
   _actionMap[197][LDIV] = ActionEntry(REDUCE, 283);
   _actionMap[197][POWER] = ActionEntry(REDUCE, 283);
   _actionMap[197][BITAND] = ActionEntry(REDUCE, 283);
   _actionMap[197][BITOR] = ActionEntry(REDUCE, 283);
   _actionMap[197][BITXOR] = ActionEntry(REDUCE, 283);
   _actionMap[197][BLOBSIZE] = ActionEntry(REDUCE, 283);
   _actionMap[197][BLOBREF] = ActionEntry(REDUCE, 283);
   _actionMap[197][CLOBSIZE] = ActionEntry(REDUCE, 283);
   _actionMap[197][CLOBREF] = ActionEntry(REDUCE, 283);
   _actionMap[197][CLOB2STR] = ActionEntry(REDUCE, 283);
   _actionMap[197][NEXTCOUNT] = ActionEntry(REDUCE, 283);
   _actionMap[197][SETCOUNT] = ActionEntry(REDUCE, 283);
   _actionMap[197][GETCOUNT] = ActionEntry(REDUCE, 283);
   _actionMap[197][IDENTIFIER] = ActionEntry(REDUCE, 283);
   _actionMap[197][QUALIFIEDOBJ] = ActionEntry(REDUCE, 283);
   _actionMap[197][QUALIFIEDTS] = ActionEntry(REDUCE, 283);
   _actionMap[197][QUALIFIEDPRE] = ActionEntry(REDUCE, 283);
   _actionMap[197][STRINGVAL] = ActionEntry(REDUCE, 283);
}
void Cego::loadParser297()
{
   _actionMap[197][DATE] = ActionEntry(REDUCE, 283);
   _actionMap[197][SYSDATE] = ActionEntry(REDUCE, 283);
   _actionMap[197][NULLTOKEN] = ActionEntry(REDUCE, 283);
   _actionMap[197][TRUEVAL] = ActionEntry(REDUCE, 283);
   _actionMap[197][FALSEVAL] = ActionEntry(REDUCE, 283);
   _actionMap[197][BLOB] = ActionEntry(REDUCE, 283);
   _actionMap[197][CLOB] = ActionEntry(REDUCE, 283);
   _actionMap[197][FLOATVAL] = ActionEntry(REDUCE, 283);
   _actionMap[197][MINUS] = ActionEntry(REDUCE, 283);
   _actionMap[197][INTVAL] = ActionEntry(REDUCE, 283);
   _actionMap[198][VARREF] = ActionEntry(REDUCE, 282);
   _actionMap[198][FETCH] = ActionEntry(REDUCE, 282);
   _actionMap[198][LB] = ActionEntry(REDUCE, 282);
   _actionMap[198][COUNT] = ActionEntry(REDUCE, 282);
   _actionMap[198][SUM] = ActionEntry(REDUCE, 282);
   _actionMap[198][AVG] = ActionEntry(REDUCE, 282);
   _actionMap[198][MIN] = ActionEntry(REDUCE, 282);
   _actionMap[198][MAX] = ActionEntry(REDUCE, 282);
   _actionMap[198][CASE] = ActionEntry(REDUCE, 282);
   _actionMap[198][INT2ASC] = ActionEntry(REDUCE, 282);
   _actionMap[198][ASC2INT] = ActionEntry(REDUCE, 282);
   _actionMap[198][TRIM] = ActionEntry(REDUCE, 282);
   _actionMap[198][RTRIM] = ActionEntry(REDUCE, 282);
   _actionMap[198][LTRIM] = ActionEntry(REDUCE, 282);
   _actionMap[198][ROUND] = ActionEntry(REDUCE, 282);
   _actionMap[198][DATE2STR] = ActionEntry(REDUCE, 282);
   _actionMap[198][DATE2LONG] = ActionEntry(REDUCE, 282);
   _actionMap[198][LONG2DATE] = ActionEntry(REDUCE, 282);
   _actionMap[198][NEWDATE] = ActionEntry(REDUCE, 282);
   _actionMap[198][LOWER] = ActionEntry(REDUCE, 282);
   _actionMap[198][UPPER] = ActionEntry(REDUCE, 282);
   _actionMap[198][LEFT] = ActionEntry(REDUCE, 282);
   _actionMap[198][RIGHT] = ActionEntry(REDUCE, 282);
   _actionMap[198][GETPOS] = ActionEntry(REDUCE, 282);
   _actionMap[198][SUBSTR] = ActionEntry(REDUCE, 282);
   _actionMap[198][REPLACE] = ActionEntry(REDUCE, 282);
   _actionMap[198][LENGTH] = ActionEntry(REDUCE, 282);
   _actionMap[198][TRUNC] = ActionEntry(REDUCE, 282);
   _actionMap[198][STR2INT] = ActionEntry(REDUCE, 282);
   _actionMap[198][STR2LONG] = ActionEntry(REDUCE, 282);
   _actionMap[198][STR2DATE] = ActionEntry(REDUCE, 282);
   _actionMap[198][RANDSTR] = ActionEntry(REDUCE, 282);
   _actionMap[198][RANDINT] = ActionEntry(REDUCE, 282);
   _actionMap[198][MOD] = ActionEntry(REDUCE, 282);
   _actionMap[198][DIV] = ActionEntry(REDUCE, 282);
   _actionMap[198][LMOD] = ActionEntry(REDUCE, 282);
   _actionMap[198][LDIV] = ActionEntry(REDUCE, 282);
   _actionMap[198][POWER] = ActionEntry(REDUCE, 282);
   _actionMap[198][BITAND] = ActionEntry(REDUCE, 282);
   _actionMap[198][BITOR] = ActionEntry(REDUCE, 282);
}
void Cego::loadParser298()
{
   _actionMap[198][BITXOR] = ActionEntry(REDUCE, 282);
   _actionMap[198][BLOBSIZE] = ActionEntry(REDUCE, 282);
   _actionMap[198][BLOBREF] = ActionEntry(REDUCE, 282);
   _actionMap[198][CLOBSIZE] = ActionEntry(REDUCE, 282);
   _actionMap[198][CLOBREF] = ActionEntry(REDUCE, 282);
   _actionMap[198][CLOB2STR] = ActionEntry(REDUCE, 282);
   _actionMap[198][NEXTCOUNT] = ActionEntry(REDUCE, 282);
   _actionMap[198][SETCOUNT] = ActionEntry(REDUCE, 282);
   _actionMap[198][GETCOUNT] = ActionEntry(REDUCE, 282);
   _actionMap[198][IDENTIFIER] = ActionEntry(REDUCE, 282);
   _actionMap[198][QUALIFIEDOBJ] = ActionEntry(REDUCE, 282);
   _actionMap[198][QUALIFIEDTS] = ActionEntry(REDUCE, 282);
   _actionMap[198][QUALIFIEDPRE] = ActionEntry(REDUCE, 282);
   _actionMap[198][STRINGVAL] = ActionEntry(REDUCE, 282);
   _actionMap[198][DATE] = ActionEntry(REDUCE, 282);
   _actionMap[198][SYSDATE] = ActionEntry(REDUCE, 282);
   _actionMap[198][NULLTOKEN] = ActionEntry(REDUCE, 282);
   _actionMap[198][TRUEVAL] = ActionEntry(REDUCE, 282);
   _actionMap[198][FALSEVAL] = ActionEntry(REDUCE, 282);
   _actionMap[198][BLOB] = ActionEntry(REDUCE, 282);
   _actionMap[198][CLOB] = ActionEntry(REDUCE, 282);
   _actionMap[198][FLOATVAL] = ActionEntry(REDUCE, 282);
   _actionMap[198][MINUS] = ActionEntry(REDUCE, 282);
   _actionMap[198][INTVAL] = ActionEntry(REDUCE, 282);
   _actionMap[199][FROM] = ActionEntry(REDUCE, 241);
   _actionMap[199][RB] = ActionEntry(REDUCE, 241);
   _actionMap[199][SEMICOLON] = ActionEntry(REDUCE, 241);
   _actionMap[199][ENDTOKEN] = ActionEntry(REDUCE, 241);
   _actionMap[200][OFF] = ActionEntry(SHIFT, 360);
   _actionMap[200][ON] = ActionEntry(SHIFT, 361);
   _actionMap[201][OFF] = ActionEntry(SHIFT, 362);
   _actionMap[201][ON] = ActionEntry(SHIFT, 363);
   _actionMap[202][IDENTIFIER] = ActionEntry(SHIFT, 224);
   _jumpMap[202][CounterId] = 364;
   _actionMap[203][IDENTIFIER] = ActionEntry(SHIFT, 365);
   _actionMap[204][IDENTIFIER] = ActionEntry(SHIFT, 366);
   _actionMap[205][EQU] = ActionEntry(SHIFT, 367);
   _actionMap[206][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[206][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[206][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[206][ObjSpec] = 368;
   _actionMap[207][SEMICOLON] = ActionEntry(REDUCE, 21);
   _actionMap[208][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[208][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[208][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[208][ObjSpec] = 369;
   _actionMap[209][SEMICOLON] = ActionEntry(REDUCE, 22);
   _actionMap[210][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[210][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[210][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
}
void Cego::loadParser299()
{
   _jumpMap[210][ObjSpec] = 370;
   _actionMap[211][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[211][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[211][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[211][ObjSpec] = 371;
   _actionMap[212][SEMICOLON] = ActionEntry(REDUCE, 219);
   _actionMap[213][SEMICOLON] = ActionEntry(REDUCE, 17);
   _actionMap[214][SEMICOLON] = ActionEntry(REDUCE, 18);
   _actionMap[215][SEMICOLON] = ActionEntry(REDUCE, 19);
   _actionMap[216][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[216][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[216][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[216][ObjSpec] = 372;
   _actionMap[217][IDENTIFIER] = ActionEntry(SHIFT, 375);
   _actionMap[217][SET] = ActionEntry(REDUCE, 301);
   _jumpMap[217][UpdDelAlias] = 373;
   _actionMap[218][CALL] = ActionEntry(SHIFT, 376);
   _actionMap[1][TABLE] = ActionEntry(SHIFT, 55);
   _actionMap[1][AVLTREE] = ActionEntry(SHIFT, 48);
   _actionMap[1][VIEW] = ActionEntry(SHIFT, 57);
   _actionMap[1][PROCEDURE] = ActionEntry(SHIFT, 54);
   _actionMap[1][FOREIGN] = ActionEntry(SHIFT, 52);
   _actionMap[1][CHECK] = ActionEntry(SHIFT, 50);
   _actionMap[1][TRIGGER] = ActionEntry(SHIFT, 56);
   _actionMap[1][ALIAS] = ActionEntry(SHIFT, 47);
   _actionMap[1][COUNTER] = ActionEntry(SHIFT, 51);
   _actionMap[1][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[1][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[1][BtreeType] = 46;
   _actionMap[2][SEMICOLON] = ActionEntry(SHIFT, 58);
   _actionMap[3][SEMICOLON] = ActionEntry(REDUCE, 37);
   _actionMap[4][SEMICOLON] = ActionEntry(REDUCE, 38);
   _actionMap[5][SEMICOLON] = ActionEntry(REDUCE, 39);
   _actionMap[6][SEMICOLON] = ActionEntry(REDUCE, 40);
   _actionMap[7][SEMICOLON] = ActionEntry(REDUCE, 41);
   _actionMap[8][SEMICOLON] = ActionEntry(REDUCE, 51);
   _actionMap[9][SEMICOLON] = ActionEntry(REDUCE, 49);
   _actionMap[10][SEMICOLON] = ActionEntry(REDUCE, 53);
   _actionMap[11][SEMICOLON] = ActionEntry(REDUCE, 52);
   _actionMap[12][SEMICOLON] = ActionEntry(REDUCE, 54);
   _actionMap[13][SEMICOLON] = ActionEntry(REDUCE, 55);
   _actionMap[14][TABLE] = ActionEntry(SHIFT, 59);
   _actionMap[15][IDENTIFIER] = ActionEntry(SHIFT, 60);
   _actionMap[16][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[16][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[16][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[16][ObjSpec] = 61;
   _actionMap[17][AVLTREE] = ActionEntry(SHIFT, 65);
   _actionMap[18][SEMICOLON] = ActionEntry(REDUCE, 220);
   _actionMap[19][VIEW] = ActionEntry(SHIFT, 78);
}
void Cego::loadParser300()
{
   _actionMap[19][TABLE] = ActionEntry(SHIFT, 75);
   _actionMap[19][PRIMARY] = ActionEntry(SHIFT, 73);
   _actionMap[19][ALIAS] = ActionEntry(SHIFT, 71);
   _actionMap[19][COUNTER] = ActionEntry(SHIFT, 72);
   _actionMap[19][PROCEDURE] = ActionEntry(SHIFT, 74);
   _actionMap[19][UNIQUE] = ActionEntry(SHIFT, 77);
   _actionMap[19][AVLTREE] = ActionEntry(REDUCE, 214);
   _actionMap[19][BTREE] = ActionEntry(REDUCE, 214);
   _actionMap[19][INDEX] = ActionEntry(REDUCE, 214);
   _actionMap[19][TRIGGER] = ActionEntry(SHIFT, 76);
   _jumpMap[19][IndexOption] = 70;
   _jumpMap[19][ProcDef] = 69;
   _jumpMap[19][ProcHead] = 68;
   _jumpMap[19][TriggerHead] = 67;
   _jumpMap[19][TriggerDef] = 66;
   _actionMap[20][FROM] = ActionEntry(SHIFT, 79);
   _actionMap[21][TABLE] = ActionEntry(SHIFT, 86);
   _actionMap[21][AVLTREE] = ActionEntry(SHIFT, 82);
   _actionMap[21][VIEW] = ActionEntry(SHIFT, 87);
   _actionMap[21][FOREIGN] = ActionEntry(SHIFT, 84);
   _actionMap[21][CHECK] = ActionEntry(SHIFT, 83);
   _actionMap[21][ALIAS] = ActionEntry(SHIFT, 81);
   _actionMap[21][PROCEDURE] = ActionEntry(SHIFT, 85);
   _actionMap[21][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[21][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[21][BtreeType] = 80;
   _actionMap[22][COUNTER] = ActionEntry(REDUCE, 83);
   _actionMap[22][IF] = ActionEntry(SHIFT, 88);
   _actionMap[22][ALIAS] = ActionEntry(REDUCE, 83);
   _actionMap[22][BTREE] = ActionEntry(REDUCE, 83);
   _actionMap[22][INDEX] = ActionEntry(REDUCE, 83);
   _actionMap[22][TRIGGER] = ActionEntry(REDUCE, 83);
   _actionMap[22][CHECK] = ActionEntry(REDUCE, 83);
   _actionMap[22][FOREIGN] = ActionEntry(REDUCE, 83);
   _actionMap[22][PROCEDURE] = ActionEntry(REDUCE, 83);
   _actionMap[22][VIEW] = ActionEntry(REDUCE, 83);
   _actionMap[22][AVLTREE] = ActionEntry(REDUCE, 83);
   _actionMap[22][TABLE] = ActionEntry(REDUCE, 83);
   _actionMap[23][INTO] = ActionEntry(SHIFT, 89);
   _actionMap[24][IDENTIFIER] = ActionEntry(SHIFT, 91);
   _jumpMap[24][JdbcArgList] = 90;
   _actionMap[25][TABLESET] = ActionEntry(SHIFT, 101);
   _actionMap[25][TABLE] = ActionEntry(SHIFT, 100);
   _actionMap[25][PROCEDURE] = ActionEntry(SHIFT, 98);
   _actionMap[25][VIEW] = ActionEntry(SHIFT, 104);
   _actionMap[25][AVLTREE] = ActionEntry(SHIFT, 94);
   _actionMap[25][KEY] = ActionEntry(SHIFT, 97);
   _actionMap[25][COUNTER] = ActionEntry(SHIFT, 96);
   _actionMap[25][SYSOBJ] = ActionEntry(SHIFT, 99);
   _actionMap[25][TMPOBJ] = ActionEntry(SHIFT, 102);
}
void Cego::loadParser301()
{
   _actionMap[25][CHECK] = ActionEntry(SHIFT, 95);
   _actionMap[25][TRIGGER] = ActionEntry(SHIFT, 103);
   _actionMap[25][ALIAS] = ActionEntry(SHIFT, 93);
   _actionMap[25][BTREE] = ActionEntry(SHIFT, 49);
   _actionMap[25][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[25][BtreeType] = 92;
   _actionMap[26][VIEW] = ActionEntry(SHIFT, 107);
   _actionMap[26][PROCEDURE] = ActionEntry(SHIFT, 74);
   _actionMap[26][TRIGGER] = ActionEntry(SHIFT, 76);
   _jumpMap[26][ProcDef] = 106;
   _jumpMap[26][ProcHead] = 68;
   _jumpMap[26][TriggerHead] = 67;
   _jumpMap[26][TriggerDef] = 105;
   _actionMap[27][TABLE] = ActionEntry(SHIFT, 108);
   _actionMap[28][TABLE] = ActionEntry(SHIFT, 109);
   _actionMap[29][SELECT] = ActionEntry(SHIFT, 34);
   _jumpMap[29][SelectStatement] = 110;
   _actionMap[30][FLOATVAL] = ActionEntry(SHIFT, 180);
   _actionMap[30][MINUS] = ActionEntry(SHIFT, 178);
   _actionMap[30][INTVAL] = ActionEntry(SHIFT, 179);
   _actionMap[30][INT2ASC] = ActionEntry(SHIFT, 147);
   _actionMap[30][ASC2INT] = ActionEntry(SHIFT, 123);
   _actionMap[30][TRIM] = ActionEntry(SHIFT, 173);
   _actionMap[30][RTRIM] = ActionEntry(SHIFT, 165);
   _actionMap[30][LTRIM] = ActionEntry(SHIFT, 153);
   _actionMap[30][ROUND] = ActionEntry(SHIFT, 164);
   _actionMap[30][DATE2STR] = ActionEntry(SHIFT, 138);
   _actionMap[30][DATE2LONG] = ActionEntry(SHIFT, 139);
   _actionMap[30][LONG2DATE] = ActionEntry(SHIFT, 145);
   _actionMap[30][NEWDATE] = ActionEntry(SHIFT, 146);
   _actionMap[30][LOWER] = ActionEntry(SHIFT, 152);
   _actionMap[30][UPPER] = ActionEntry(SHIFT, 176);
   _actionMap[30][LEFT] = ActionEntry(SHIFT, 148);
   _actionMap[30][RIGHT] = ActionEntry(SHIFT, 163);
   _actionMap[30][GETPOS] = ActionEntry(SHIFT, 144);
   _actionMap[30][SUBSTR] = ActionEntry(SHIFT, 167);
   _actionMap[30][REPLACE] = ActionEntry(SHIFT, 162);
   _actionMap[30][LENGTH] = ActionEntry(SHIFT, 149);
   _actionMap[30][TRUNC] = ActionEntry(SHIFT, 175);
   _actionMap[30][STR2INT] = ActionEntry(SHIFT, 170);
   _actionMap[30][STR2LONG] = ActionEntry(SHIFT, 171);
   _actionMap[30][STR2DATE] = ActionEntry(SHIFT, 172);
   _actionMap[30][RANDSTR] = ActionEntry(SHIFT, 160);
   _actionMap[30][RANDINT] = ActionEntry(SHIFT, 161);
   _actionMap[30][MOD] = ActionEntry(SHIFT, 156);
   _actionMap[30][DIV] = ActionEntry(SHIFT, 140);
   _actionMap[30][LMOD] = ActionEntry(SHIFT, 151);
   _actionMap[30][LDIV] = ActionEntry(SHIFT, 150);
   _actionMap[30][POWER] = ActionEntry(SHIFT, 159);
   _actionMap[30][BITAND] = ActionEntry(SHIFT, 125);
}
void Cego::loadParser302()
{
   _actionMap[30][BITOR] = ActionEntry(SHIFT, 126);
   _actionMap[30][BITXOR] = ActionEntry(SHIFT, 127);
   _actionMap[30][BLOBSIZE] = ActionEntry(SHIFT, 129);
   _actionMap[30][BLOBREF] = ActionEntry(SHIFT, 130);
   _actionMap[30][CLOBSIZE] = ActionEntry(SHIFT, 133);
   _actionMap[30][CLOBREF] = ActionEntry(SHIFT, 134);
   _actionMap[30][CLOB2STR] = ActionEntry(SHIFT, 135);
   _actionMap[30][NEXTCOUNT] = ActionEntry(SHIFT, 157);
   _actionMap[30][SETCOUNT] = ActionEntry(SHIFT, 166);
   _actionMap[30][GETCOUNT] = ActionEntry(SHIFT, 143);
   _actionMap[30][IDENTIFIER] = ActionEntry(SHIFT, 181);
   _actionMap[30][QUALIFIEDOBJ] = ActionEntry(SHIFT, 183);
   _actionMap[30][QUALIFIEDPRE] = ActionEntry(SHIFT, 184);
   _actionMap[30][LB] = ActionEntry(SHIFT, 177);
   _actionMap[30][STRINGVAL] = ActionEntry(SHIFT, 122);
   _actionMap[30][DATE] = ActionEntry(SHIFT, 137);
   _actionMap[30][SYSDATE] = ActionEntry(SHIFT, 169);
   _actionMap[30][NULLTOKEN] = ActionEntry(SHIFT, 158);
   _actionMap[30][TRUEVAL] = ActionEntry(SHIFT, 174);
   _actionMap[30][FALSEVAL] = ActionEntry(SHIFT, 141);
   _actionMap[30][BLOB] = ActionEntry(SHIFT, 128);
   _actionMap[30][CLOB] = ActionEntry(SHIFT, 132);
   _actionMap[30][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _actionMap[30][CASE] = ActionEntry(SHIFT, 131);
   _actionMap[30][VARREF] = ActionEntry(SHIFT, 182);
   _actionMap[30][FETCH] = ActionEntry(SHIFT, 142);
   _actionMap[30][COUNT] = ActionEntry(SHIFT, 136);
   _actionMap[30][SUM] = ActionEntry(SHIFT, 168);
   _actionMap[30][AVG] = ActionEntry(SHIFT, 124);
   _actionMap[30][MIN] = ActionEntry(SHIFT, 154);
   _actionMap[30][MAX] = ActionEntry(SHIFT, 155);
   _jumpMap[30][ObjSpec] = 121;
   _jumpMap[30][Constant] = 120;
   _jumpMap[30][SignedFloat] = 119;
   _jumpMap[30][SignedInt] = 118;
   _jumpMap[30][Attribute] = 117;
   _jumpMap[30][Function] = 116;
   _jumpMap[30][CasePrepare] = 115;
   _jumpMap[30][CaseClause] = 114;
   _jumpMap[30][Factor] = 113;
   _jumpMap[30][Term] = 112;
   _jumpMap[30][Expr] = 111;
   _actionMap[31][TABLE] = ActionEntry(SHIFT, 190);
   _actionMap[31][AVLTREE] = ActionEntry(SHIFT, 186);
   _actionMap[31][KEY] = ActionEntry(SHIFT, 188);
   _actionMap[31][PROCEDURE] = ActionEntry(SHIFT, 189);
   _actionMap[31][VIEW] = ActionEntry(SHIFT, 192);
   _actionMap[31][CHECK] = ActionEntry(SHIFT, 187);
   _actionMap[31][TRIGGER] = ActionEntry(SHIFT, 191);
   _actionMap[31][BTREE] = ActionEntry(SHIFT, 49);
}
void Cego::loadParser303()
{
   _actionMap[31][INDEX] = ActionEntry(SHIFT, 53);
   _jumpMap[31][BtreeType] = 185;
   _actionMap[32][TABLE] = ActionEntry(SHIFT, 194);
   _actionMap[32][AVLTREE] = ActionEntry(SHIFT, 193);
   _actionMap[33][SEMICOLON] = ActionEntry(REDUCE, 221);
   _actionMap[34][INTVAL] = ActionEntry(REDUCE, 284);
   _actionMap[34][MINUS] = ActionEntry(REDUCE, 284);
   _actionMap[34][FLOATVAL] = ActionEntry(REDUCE, 284);
   _actionMap[34][CLOB] = ActionEntry(REDUCE, 284);
   _actionMap[34][BLOB] = ActionEntry(REDUCE, 284);
   _actionMap[34][FALSEVAL] = ActionEntry(REDUCE, 284);
   _actionMap[34][TRUEVAL] = ActionEntry(REDUCE, 284);
   _actionMap[34][NULLTOKEN] = ActionEntry(REDUCE, 284);
   _actionMap[34][SYSDATE] = ActionEntry(REDUCE, 284);
   _actionMap[34][DATE] = ActionEntry(REDUCE, 284);
   _actionMap[34][STRINGVAL] = ActionEntry(REDUCE, 284);
   _actionMap[34][QUALIFIEDPRE] = ActionEntry(REDUCE, 284);
   _actionMap[34][QUALIFIEDTS] = ActionEntry(REDUCE, 284);
   _actionMap[34][QUALIFIEDOBJ] = ActionEntry(REDUCE, 284);
   _actionMap[34][IDENTIFIER] = ActionEntry(REDUCE, 284);
   _actionMap[34][GETCOUNT] = ActionEntry(REDUCE, 284);
   _actionMap[34][SETCOUNT] = ActionEntry(REDUCE, 284);
   _actionMap[34][NEXTCOUNT] = ActionEntry(REDUCE, 284);
   _actionMap[34][CLOB2STR] = ActionEntry(REDUCE, 284);
   _actionMap[34][CLOBREF] = ActionEntry(REDUCE, 284);
   _actionMap[34][CLOBSIZE] = ActionEntry(REDUCE, 284);
   _actionMap[34][BLOBREF] = ActionEntry(REDUCE, 284);
   _actionMap[34][BLOBSIZE] = ActionEntry(REDUCE, 284);
   _actionMap[34][BITXOR] = ActionEntry(REDUCE, 284);
   _actionMap[34][BITOR] = ActionEntry(REDUCE, 284);
   _actionMap[34][BITAND] = ActionEntry(REDUCE, 284);
   _actionMap[34][POWER] = ActionEntry(REDUCE, 284);
   _actionMap[34][LDIV] = ActionEntry(REDUCE, 284);
   _actionMap[34][LMOD] = ActionEntry(REDUCE, 284);
   _actionMap[34][DIV] = ActionEntry(REDUCE, 284);
   _actionMap[34][MOD] = ActionEntry(REDUCE, 284);
   _actionMap[34][RANDINT] = ActionEntry(REDUCE, 284);
   _actionMap[34][RANDSTR] = ActionEntry(REDUCE, 284);
   _actionMap[34][STR2DATE] = ActionEntry(REDUCE, 284);
   _actionMap[34][STR2LONG] = ActionEntry(REDUCE, 284);
   _actionMap[34][STR2INT] = ActionEntry(REDUCE, 284);
   _actionMap[34][TRUNC] = ActionEntry(REDUCE, 284);
   _actionMap[34][LENGTH] = ActionEntry(REDUCE, 284);
   _actionMap[34][REPLACE] = ActionEntry(REDUCE, 284);
   _actionMap[34][SUBSTR] = ActionEntry(REDUCE, 284);
   _actionMap[34][GETPOS] = ActionEntry(REDUCE, 284);
   _actionMap[34][RIGHT] = ActionEntry(REDUCE, 284);
   _actionMap[34][LEFT] = ActionEntry(REDUCE, 284);
   _actionMap[34][UPPER] = ActionEntry(REDUCE, 284);
   _actionMap[34][LOWER] = ActionEntry(REDUCE, 284);
}
void Cego::loadParser304()
{
   _actionMap[34][NEWDATE] = ActionEntry(REDUCE, 284);
   _actionMap[34][LONG2DATE] = ActionEntry(REDUCE, 284);
   _actionMap[34][DATE2LONG] = ActionEntry(REDUCE, 284);
   _actionMap[34][DATE2STR] = ActionEntry(REDUCE, 284);
   _actionMap[34][ROUND] = ActionEntry(REDUCE, 284);
   _actionMap[34][LTRIM] = ActionEntry(REDUCE, 284);
   _actionMap[34][RTRIM] = ActionEntry(REDUCE, 284);
   _actionMap[34][TRIM] = ActionEntry(REDUCE, 284);
   _actionMap[34][ASC2INT] = ActionEntry(REDUCE, 284);
   _actionMap[34][INT2ASC] = ActionEntry(REDUCE, 284);
   _actionMap[34][CASE] = ActionEntry(REDUCE, 284);
   _actionMap[34][MAX] = ActionEntry(REDUCE, 284);
   _actionMap[34][MIN] = ActionEntry(REDUCE, 284);
   _actionMap[34][AVG] = ActionEntry(REDUCE, 284);
   _actionMap[34][SUM] = ActionEntry(REDUCE, 284);
   _actionMap[34][COUNT] = ActionEntry(REDUCE, 284);
   _actionMap[34][LB] = ActionEntry(REDUCE, 284);
   _actionMap[34][FETCH] = ActionEntry(REDUCE, 284);
   _actionMap[34][VARREF] = ActionEntry(REDUCE, 284);
   _actionMap[34][DISTINCT] = ActionEntry(SHIFT, 198);
   _actionMap[34][STAR] = ActionEntry(SHIFT, 199);
   _jumpMap[34][NoDistinctOpt] = 197;
   _jumpMap[34][DistinctOpt] = 196;
   _jumpMap[34][Selection] = 195;
   _actionMap[35][TABLESET] = ActionEntry(SHIFT, 204);
   _actionMap[35][APPEND] = ActionEntry(SHIFT, 200);
   _actionMap[35][AUTOCOMMIT] = ActionEntry(SHIFT, 201);
   _actionMap[35][ISOLATION] = ActionEntry(SHIFT, 203);
   _actionMap[35][IDENTIFIER] = ActionEntry(SHIFT, 205);
   _actionMap[35][COUNTER] = ActionEntry(SHIFT, 202);
   _actionMap[36][POOL] = ActionEntry(SHIFT, 207);
   _actionMap[36][SYSTEMSPACE] = ActionEntry(SHIFT, 209);
   _actionMap[36][PROCEDURE] = ActionEntry(SHIFT, 208);
   _actionMap[36][VIEW] = ActionEntry(SHIFT, 211);
   _actionMap[36][CHECK] = ActionEntry(SHIFT, 206);
   _actionMap[36][TRIGGER] = ActionEntry(SHIFT, 210);
   _actionMap[37][TRANSACTION] = ActionEntry(SHIFT, 212);
   _actionMap[38][SEMICOLON] = ActionEntry(REDUCE, 1);
   _actionMap[39][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[39][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[39][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[39][ObjSpec] = 213;
   _actionMap[40][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[40][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[40][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[40][ObjSpec] = 214;
   _actionMap[41][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[41][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[41][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[41][ObjSpec] = 215;
}
void Cego::loadParser305()
{
   _actionMap[42][TABLE] = ActionEntry(SHIFT, 216);
   _actionMap[43][IDENTIFIER] = ActionEntry(SHIFT, 62);
   _actionMap[43][QUALIFIEDOBJ] = ActionEntry(SHIFT, 63);
   _actionMap[43][QUALIFIEDTS] = ActionEntry(SHIFT, 64);
   _jumpMap[43][ObjSpec] = 217;
   _actionMap[44][SEMICOLON] = ActionEntry(REDUCE, 20);
   _actionMap[45][EQU] = ActionEntry(SHIFT, 218);
   _actionMap[0][DROP] = ActionEntry(SHIFT, 22);
   _actionMap[0][RENAME] = ActionEntry(SHIFT, 31);
   _actionMap[0][ALTER] = ActionEntry(SHIFT, 14);
   _actionMap[0][UPDATE] = ActionEntry(SHIFT, 43);
   _actionMap[0][DELETETOK] = ActionEntry(SHIFT, 20);
   _actionMap[0][INSERT] = ActionEntry(SHIFT, 23);
   _actionMap[0][SELECT] = ActionEntry(SHIFT, 34);
   _actionMap[0][UNLOCK] = ActionEntry(SHIFT, 28);
   _actionMap[0][LOCK] = ActionEntry(SHIFT, 27);
   _actionMap[0][ROLLBACK] = ActionEntry(SHIFT, 33);
   _actionMap[0][COMMIT] = ActionEntry(SHIFT, 18);
   _actionMap[0][START_TOKEN] = ActionEntry(SHIFT, 37);
   _actionMap[0][SYNC] = ActionEntry(SHIFT, 38);
   _actionMap[0][LIST] = ActionEntry(SHIFT, 25);
   _actionMap[0][TABLEINFO] = ActionEntry(SHIFT, 39);
   _actionMap[0][TABLESIZE] = ActionEntry(SHIFT, 40);
   _actionMap[0][TUPLEINFO] = ActionEntry(SHIFT, 41);
   _actionMap[0][UPTIME] = ActionEntry(SHIFT, 44);
   _actionMap[0][SHOW] = ActionEntry(SHIFT, 36);
   _actionMap[0][DESC] = ActionEntry(SHIFT, 21);
   _actionMap[0][SET] = ActionEntry(SHIFT, 35);
   _actionMap[0][AUTHORIZE] = ActionEntry(SHIFT, 15);
   _actionMap[0][REORGANIZE] = ActionEntry(SHIFT, 32);
   _actionMap[0][PLAN] = ActionEntry(SHIFT, 29);
   _actionMap[0][CREATE] = ActionEntry(SHIFT, 19);
   _actionMap[0][LOAD] = ActionEntry(SHIFT, 26);
   _actionMap[0][CALL] = ActionEntry(SHIFT, 16);
   _actionMap[0][VARREF] = ActionEntry(SHIFT, 45);
   _actionMap[0][TRUNCATE] = ActionEntry(SHIFT, 42);
   _actionMap[0][PRINT] = ActionEntry(SHIFT, 30);
   _actionMap[0][CHECK] = ActionEntry(SHIFT, 17);
   _actionMap[0][JDBC] = ActionEntry(SHIFT, 24);
   _jumpMap[0][RenameStatement] = 13;
   _jumpMap[0][AlterStatement] = 12;
   _jumpMap[0][DeleteStatement] = 11;
   _jumpMap[0][UpdateStatement] = 10;
   _jumpMap[0][SelectStatement] = 9;
   _jumpMap[0][InsertStatement] = 8;
   _jumpMap[0][UnlockStatement] = 7;
   _jumpMap[0][LockStatement] = 6;
   _jumpMap[0][RollbackStatement] = 5;
   _jumpMap[0][CommitStatement] = 4;
   _jumpMap[0][StartStatement] = 3;
}
void Cego::loadParser306()
{
   _jumpMap[0][Statement] = 2;
   _jumpMap[0][DropOpt] = 1;
}
void Cego::loadParser307()
{
   _prodInfo.Insert(ProdEntry(431, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(430, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(429, ObjSpec, 1));
   _prodInfo.Insert(ProdEntry(428, DateValue, 1));
   _prodInfo.Insert(ProdEntry(427, DateFormat, 1));
   _prodInfo.Insert(ProdEntry(426, Constant, 4));
   _prodInfo.Insert(ProdEntry(425, Constant, 4));
   _prodInfo.Insert(ProdEntry(424, Constant, 1));
   _prodInfo.Insert(ProdEntry(423, Constant, 1));
   _prodInfo.Insert(ProdEntry(422, Constant, 1));
   _prodInfo.Insert(ProdEntry(421, Constant, 1));
   _prodInfo.Insert(ProdEntry(420, Constant, 6));
   _prodInfo.Insert(ProdEntry(419, Constant, 4));
   _prodInfo.Insert(ProdEntry(418, Constant, 4));
   _prodInfo.Insert(ProdEntry(417, Constant, 4));
   _prodInfo.Insert(ProdEntry(416, Constant, 1));
   _prodInfo.Insert(ProdEntry(415, Constant, 1));
   _prodInfo.Insert(ProdEntry(414, Constant, 4));
   _prodInfo.Insert(ProdEntry(413, Constant, 4));
   _prodInfo.Insert(ProdEntry(412, Constant, 4));
   _prodInfo.Insert(ProdEntry(411, Constant, 4));
   _prodInfo.Insert(ProdEntry(410, Constant, 1));
   _prodInfo.Insert(ProdEntry(409, SignedFloat, 2));
   _prodInfo.Insert(ProdEntry(408, SignedFloat, 1));
   _prodInfo.Insert(ProdEntry(407, SignedInt, 2));
   _prodInfo.Insert(ProdEntry(406, SignedInt, 1));
   _prodInfo.Insert(ProdEntry(405, Attribute, 2));
   _prodInfo.Insert(ProdEntry(404, Attribute, 1));
   _prodInfo.Insert(ProdEntry(403, Attribute, 1));
   _prodInfo.Insert(ProdEntry(402, Comparison, 2));
   _prodInfo.Insert(ProdEntry(401, Comparison, 2));
   _prodInfo.Insert(ProdEntry(400, Comparison, 1));
   _prodInfo.Insert(ProdEntry(399, Comparison, 1));
   _prodInfo.Insert(ProdEntry(398, Comparison, 2));
   _prodInfo.Insert(ProdEntry(397, Comparison, 1));
   _prodInfo.Insert(ProdEntry(396, DecimalDim, 3));
   _prodInfo.Insert(ProdEntry(395, DecimalDim, 1));
   _prodInfo.Insert(ProdEntry(394, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(393, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(392, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(391, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(390, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(389, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(388, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(387, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(386, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(385, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(384, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(383, DataTypeProd, 4));
   _prodInfo.Insert(ProdEntry(382, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(381, DataTypeProd, 1));
   _prodInfo.Insert(ProdEntry(380, QueryPredicate, 2));
   _prodInfo.Insert(ProdEntry(379, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(378, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(377, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(376, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(375, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(374, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(373, QueryPredicate, 3));
   _prodInfo.Insert(ProdEntry(372, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(371, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(370, QueryPredicate, 6));
   _prodInfo.Insert(ProdEntry(369, QueryPredicate, 5));
   _prodInfo.Insert(ProdEntry(368, QueryPredicate, 4));
   _prodInfo.Insert(ProdEntry(367, QueryCondition, 1));
   _prodInfo.Insert(ProdEntry(366, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(365, QueryCondition, 3));
   _prodInfo.Insert(ProdEntry(364, NoWhere, 0));
   _prodInfo.Insert(ProdEntry(363, WhereClause, 1));
   _prodInfo.Insert(ProdEntry(362, WhereClause, 2));
   _prodInfo.Insert(ProdEntry(361, ExpressionList, 1));
   _prodInfo.Insert(ProdEntry(360, ExpressionList, 3));
   _prodInfo.Insert(ProdEntry(359, Function, 3));
   _prodInfo.Insert(ProdEntry(358, Function, 4));
   _prodInfo.Insert(ProdEntry(357, Function, 4));
   _prodInfo.Insert(ProdEntry(356, Function, 6));
   _prodInfo.Insert(ProdEntry(355, Function, 4));
   _prodInfo.Insert(ProdEntry(354, Function, 4));
   _prodInfo.Insert(ProdEntry(353, Function, 4));
   _prodInfo.Insert(ProdEntry(352, Function, 4));
   _prodInfo.Insert(ProdEntry(351, Function, 4));
   _prodInfo.Insert(ProdEntry(350, Function, 4));
   _prodInfo.Insert(ProdEntry(349, Function, 4));
   _prodInfo.Insert(ProdEntry(348, Function, 4));
   _prodInfo.Insert(ProdEntry(347, Function, 4));
   _prodInfo.Insert(ProdEntry(346, Function, 4));
   _prodInfo.Insert(ProdEntry(345, Function, 4));
   _prodInfo.Insert(ProdEntry(344, Function, 4));
   _prodInfo.Insert(ProdEntry(343, Function, 4));
   _prodInfo.Insert(ProdEntry(342, Function, 4));
   _prodInfo.Insert(ProdEntry(341, Function, 4));
   _prodInfo.Insert(ProdEntry(340, Function, 4));
   _prodInfo.Insert(ProdEntry(339, Function, 4));
   _prodInfo.Insert(ProdEntry(338, Function, 4));
   _prodInfo.Insert(ProdEntry(337, Function, 4));
   _prodInfo.Insert(ProdEntry(336, Function, 4));
   _prodInfo.Insert(ProdEntry(335, Function, 4));
   _prodInfo.Insert(ProdEntry(334, Function, 4));
   _prodInfo.Insert(ProdEntry(333, Function, 4));
   _prodInfo.Insert(ProdEntry(332, Function, 4));
   _prodInfo.Insert(ProdEntry(331, Function, 4));
   _prodInfo.Insert(ProdEntry(330, Function, 4));
   _prodInfo.Insert(ProdEntry(329, Function, 4));
   _prodInfo.Insert(ProdEntry(328, Function, 4));
   _prodInfo.Insert(ProdEntry(327, Function, 4));
   _prodInfo.Insert(ProdEntry(326, Function, 4));
   _prodInfo.Insert(ProdEntry(325, Function, 4));
   _prodInfo.Insert(ProdEntry(324, Function, 4));
   _prodInfo.Insert(ProdEntry(323, Function, 4));
   _prodInfo.Insert(ProdEntry(322, Function, 4));
   _prodInfo.Insert(ProdEntry(321, Function, 4));
   _prodInfo.Insert(ProdEntry(320, Function, 4));
   _prodInfo.Insert(ProdEntry(319, Function, 4));
   _prodInfo.Insert(ProdEntry(318, Function, 4));
   _prodInfo.Insert(ProdEntry(317, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(316, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(315, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(314, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(313, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(312, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(311, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(310, RenameStatement, 5));
   _prodInfo.Insert(ProdEntry(309, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(308, AlterOption, 5));
   _prodInfo.Insert(ProdEntry(307, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(306, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(305, AlterOption, 3));
   _prodInfo.Insert(ProdEntry(304, AlterList, 1));
   _prodInfo.Insert(ProdEntry(303, AlterList, 3));
   _prodInfo.Insert(ProdEntry(302, AlterStatement, 4));
   _prodInfo.Insert(ProdEntry(301, UpdDelAlias, 0));
   _prodInfo.Insert(ProdEntry(300, UpdDelAlias, 1));
   _prodInfo.Insert(ProdEntry(299, DeleteStatement, 5));
   _prodInfo.Insert(ProdEntry(298, ReturnVar, 3));
   _prodInfo.Insert(ProdEntry(297, ReturnVarList, 1));
   _prodInfo.Insert(ProdEntry(296, ReturnVarList, 3));
   _prodInfo.Insert(ProdEntry(295, NoUpdateReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(294, UpdReturnOpt, 1));
   _prodInfo.Insert(ProdEntry(293, UpdReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(292, UpdReturnOpt, 4));
   _prodInfo.Insert(ProdEntry(291, Assignment, 3));
   _prodInfo.Insert(ProdEntry(290, UpdateList, 1));
   _prodInfo.Insert(ProdEntry(289, UpdateList, 3));
   _prodInfo.Insert(ProdEntry(288, UpdateStatement, 7));
   _prodInfo.Insert(ProdEntry(287, NoLimit, 0));
   _prodInfo.Insert(ProdEntry(286, LimitOpt, 1));
   _prodInfo.Insert(ProdEntry(285, LimitOpt, 2));
   _prodInfo.Insert(ProdEntry(284, NoDistinctOpt, 0));
   _prodInfo.Insert(ProdEntry(283, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(282, DistinctOpt, 1));
   _prodInfo.Insert(ProdEntry(281, DefaultOrderOpt, 0));
   _prodInfo.Insert(ProdEntry(280, DefaultOrderOpt, 1));
   _prodInfo.Insert(ProdEntry(279, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(278, OrderingOpt, 1));
   _prodInfo.Insert(ProdEntry(277, OrderingList, 2));
   _prodInfo.Insert(ProdEntry(276, OrderingList, 4));
   _prodInfo.Insert(ProdEntry(275, NoOrdering, 0));
   _prodInfo.Insert(ProdEntry(274, OrderingClause, 1));
   _prodInfo.Insert(ProdEntry(273, OrderingClause, 3));
   _prodInfo.Insert(ProdEntry(272, NoHaving, 0));
   _prodInfo.Insert(ProdEntry(271, HavingClause, 1));
   _prodInfo.Insert(ProdEntry(270, HavingClause, 4));
   _prodInfo.Insert(ProdEntry(269, GroupList, 1));
   _prodInfo.Insert(ProdEntry(268, GroupList, 3));
   _prodInfo.Insert(ProdEntry(267, NoGroup, 0));
   _prodInfo.Insert(ProdEntry(266, GroupClause, 1));
   _prodInfo.Insert(ProdEntry(265, GroupClause, 4));
   _prodInfo.Insert(ProdEntry(264, NoAliasOpt, 0));
   _prodInfo.Insert(ProdEntry(263, AliasOpt, 1));
   _prodInfo.Insert(ProdEntry(262, AliasOpt, 2));
   _prodInfo.Insert(ProdEntry(261, JoinTable, 1));
   _prodInfo.Insert(ProdEntry(260, Table, 2));
   _prodInfo.Insert(ProdEntry(259, Table, 1));
   _prodInfo.Insert(ProdEntry(258, TableList, 1));
   _prodInfo.Insert(ProdEntry(257, TableList, 3));
   _prodInfo.Insert(ProdEntry(256, InnerJoin, 1));
   _prodInfo.Insert(ProdEntry(255, InnerJoin, 2));
   _prodInfo.Insert(ProdEntry(254, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(253, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(252, JoinSpec, 6));
   _prodInfo.Insert(ProdEntry(251, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(250, JoinSpec, 4));
   _prodInfo.Insert(ProdEntry(249, JoinSpec, 2));
   _prodInfo.Insert(ProdEntry(248, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(247, JoinSpecList, 2));
   _prodInfo.Insert(ProdEntry(246, TableSource, 1));
   _prodInfo.Insert(ProdEntry(245, TableSource, 1));
   _prodInfo.Insert(ProdEntry(244, SelectItem, 2));
   _prodInfo.Insert(ProdEntry(243, SelectionList, 1));
   _prodInfo.Insert(ProdEntry(242, SelectionList, 3));
   _prodInfo.Insert(ProdEntry(241, Selection, 1));
   _prodInfo.Insert(ProdEntry(240, Selection, 2));
   _prodInfo.Insert(ProdEntry(239, NoFromOption, 0));
   _prodInfo.Insert(ProdEntry(238, FromOption, 1));
   _prodInfo.Insert(ProdEntry(237, FromOption, 7));
   _prodInfo.Insert(ProdEntry(236, SelectStatement, 3));
   _prodInfo.Insert(ProdEntry(235, InsertValueList, 1));
   _prodInfo.Insert(ProdEntry(234, InsertValueList, 3));
   _prodInfo.Insert(ProdEntry(233, InsertArgList, 1));
   _prodInfo.Insert(ProdEntry(232, InsertArgList, 3));
   _prodInfo.Insert(ProdEntry(231, InsertValueSpec, 3));
   _prodInfo.Insert(ProdEntry(230, InsertValueSpecList, 1));
   _prodInfo.Insert(ProdEntry(229, InsertValueSpecList, 3));
   _prodInfo.Insert(ProdEntry(228, InsertPrepare, 1));
   _prodInfo.Insert(ProdEntry(227, InsertArgSpec, 0));
   _prodInfo.Insert(ProdEntry(226, InsertArgSpec, 3));
   _prodInfo.Insert(ProdEntry(225, InsertStatement, 5));
   _prodInfo.Insert(ProdEntry(224, InsertStatement, 6));
   _prodInfo.Insert(ProdEntry(223, UnlockStatement, 3));
   _prodInfo.Insert(ProdEntry(222, LockStatement, 3));
   _prodInfo.Insert(ProdEntry(221, RollbackStatement, 1));
   _prodInfo.Insert(ProdEntry(220, CommitStatement, 1));
   _prodInfo.Insert(ProdEntry(219, StartStatement, 2));
   _prodInfo.Insert(ProdEntry(218, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(217, BtreeType, 1));
   _prodInfo.Insert(ProdEntry(216, IndexType, 1));
   _prodInfo.Insert(ProdEntry(215, IndexType, 1));
   _prodInfo.Insert(ProdEntry(214, IndexOption, 0));
   _prodInfo.Insert(ProdEntry(213, IndexOption, 1));
   _prodInfo.Insert(ProdEntry(212, SimpleAttr, 1));
   _prodInfo.Insert(ProdEntry(211, SimpleAttrList, 1));
   _prodInfo.Insert(ProdEntry(210, SimpleAttrList, 3));
   _prodInfo.Insert(ProdEntry(209, DefaultDefOpt, 0));
   _prodInfo.Insert(ProdEntry(208, DefaultOpt, 1));
   _prodInfo.Insert(ProdEntry(207, DefaultOpt, 2));
   _prodInfo.Insert(ProdEntry(206, DefaultNullOpt, 0));
   _prodInfo.Insert(ProdEntry(205, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(204, NullOpt, 2));
   _prodInfo.Insert(ProdEntry(203, NullOpt, 1));
   _prodInfo.Insert(ProdEntry(202, ColumnDesc, 4));
   _prodInfo.Insert(ProdEntry(201, KeyColumn, 1));
   _prodInfo.Insert(ProdEntry(200, KeyColumn, 2));
   _prodInfo.Insert(ProdEntry(199, ColumnList, 1));
   _prodInfo.Insert(ProdEntry(198, ColumnList, 3));
   _prodInfo.Insert(ProdEntry(197, FetchArgList, 1));
   _prodInfo.Insert(ProdEntry(196, FetchArgList, 3));
   _prodInfo.Insert(ProdEntry(195, CasePrepare, 1));
   _prodInfo.Insert(ProdEntry(194, CaseCondition, 4));
   _prodInfo.Insert(ProdEntry(193, CaseConditionList, 1));
   _prodInfo.Insert(ProdEntry(192, CaseConditionList, 2));
   _prodInfo.Insert(ProdEntry(191, CaseClause, 5));
   _prodInfo.Insert(ProdEntry(190, Factor, 4));
   _prodInfo.Insert(ProdEntry(189, Factor, 4));
   _prodInfo.Insert(ProdEntry(188, Factor, 4));
   _prodInfo.Insert(ProdEntry(187, Factor, 4));
   _prodInfo.Insert(ProdEntry(186, Factor, 4));
   _prodInfo.Insert(ProdEntry(185, Factor, 4));
   _prodInfo.Insert(ProdEntry(184, Factor, 1));
   _prodInfo.Insert(ProdEntry(183, Factor, 3));
   _prodInfo.Insert(ProdEntry(182, Factor, 3));
   _prodInfo.Insert(ProdEntry(181, Factor, 1));
   _prodInfo.Insert(ProdEntry(180, Factor, 1));
   _prodInfo.Insert(ProdEntry(179, Factor, 6));
   _prodInfo.Insert(ProdEntry(178, Factor, 1));
   _prodInfo.Insert(ProdEntry(177, Factor, 1));
   _prodInfo.Insert(ProdEntry(176, Term, 1));
   _prodInfo.Insert(ProdEntry(175, Term, 3));
   _prodInfo.Insert(ProdEntry(174, Term, 3));
   _prodInfo.Insert(ProdEntry(173, Expr, 3));
   _prodInfo.Insert(ProdEntry(172, Expr, 1));
   _prodInfo.Insert(ProdEntry(171, Expr, 3));
   _prodInfo.Insert(ProdEntry(170, Expr, 3));
   _prodInfo.Insert(ProdEntry(169, ProcPredicate, 4));
   _prodInfo.Insert(ProdEntry(168, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(167, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(166, ProcPredicate, 3));
   _prodInfo.Insert(ProdEntry(165, ProcCondition, 1));
   _prodInfo.Insert(ProdEntry(164, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(163, ProcCondition, 3));
   _prodInfo.Insert(ProdEntry(162, ProcWhileCondition, 1));
   _prodInfo.Insert(ProdEntry(161, ProcStatement, 5));
   _prodInfo.Insert(ProdEntry(160, ProcElsIfCondition, 1));
   _prodInfo.Insert(ProdEntry(159, ProcIfCondition, 1));
   _prodInfo.Insert(ProdEntry(158, ProcElsePart, 1));
   _prodInfo.Insert(ProdEntry(157, ProcElseOpt, 0));
   _prodInfo.Insert(ProdEntry(156, ProcElseOpt, 2));
   _prodInfo.Insert(ProdEntry(155, ProcElsIfOpt, 4));
   _prodInfo.Insert(ProdEntry(154, ProcElsIfList, 0));
   _prodInfo.Insert(ProdEntry(153, ProcElsIfList, 2));
   _prodInfo.Insert(ProdEntry(152, ProcIfPart, 4));
   _prodInfo.Insert(ProdEntry(151, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(150, ProcExceptionType, 1));
   _prodInfo.Insert(ProdEntry(149, ProcValueList, 1));
   _prodInfo.Insert(ProdEntry(148, ProcValueList, 3));
   _prodInfo.Insert(ProdEntry(147, ProcValueListOpt, 0));
   _prodInfo.Insert(ProdEntry(146, ProcValueListOpt, 1));
   _prodInfo.Insert(ProdEntry(145, ProcExceptionStmt, 5));
   _prodInfo.Insert(ProdEntry(144, ProcExceptionList, 0));
   _prodInfo.Insert(ProdEntry(143, ProcExceptionList, 2));
   _prodInfo.Insert(ProdEntry(142, ProcBlockStart, 1));
   _prodInfo.Insert(ProdEntry(141, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(140, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(139, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(138, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(137, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(136, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(135, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(134, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(133, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(132, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(131, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(130, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(129, ProcNoAssignment, 0));
   _prodInfo.Insert(ProdEntry(128, ProcInitialAssignment, 1));
   _prodInfo.Insert(ProdEntry(127, ProcInitialAssignment, 2));
   _prodInfo.Insert(ProdEntry(126, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(125, ProcStatement, 1));
   _prodInfo.Insert(ProdEntry(124, ProcStatement, 3));
   _prodInfo.Insert(ProdEntry(123, ProcStatement, 2));
   _prodInfo.Insert(ProdEntry(122, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(121, ProcStatement, 4));
   _prodInfo.Insert(ProdEntry(120, ProcStatementList, 2));
   _prodInfo.Insert(ProdEntry(119, ProcStatementList, 3));
   _prodInfo.Insert(ProdEntry(118, ProcStmtBlock, 2));
   _prodInfo.Insert(ProdEntry(117, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(116, ProcArg, 3));
   _prodInfo.Insert(ProdEntry(115, ProcArgList, 1));
   _prodInfo.Insert(ProdEntry(114, ProcArgList, 3));
   _prodInfo.Insert(ProdEntry(113, ProcArgOpt, 0));
   _prodInfo.Insert(ProdEntry(112, ProcArgOpt, 1));
   _prodInfo.Insert(ProdEntry(111, ReturnOpt, 0));
   _prodInfo.Insert(ProdEntry(110, ReturnOpt, 2));
   _prodInfo.Insert(ProdEntry(109, ProcDef, 4));
   _prodInfo.Insert(ProdEntry(108, ProcHead, 6));
   _prodInfo.Insert(ProdEntry(107, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(106, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(105, TriggerOp, 1));
   _prodInfo.Insert(ProdEntry(104, TriggerCondition, 1));
   _prodInfo.Insert(ProdEntry(103, TriggerCondition, 3));
   _prodInfo.Insert(ProdEntry(102, TriggerEvent, 1));
   _prodInfo.Insert(ProdEntry(101, TriggerEvent, 1));
   _prodInfo.Insert(ProdEntry(100, TriggerHead, 6));
   _prodInfo.Insert(ProdEntry(99, TriggerDef, 4));
   _prodInfo.Insert(ProdEntry(98, UnionAllOpt, 0));
   _prodInfo.Insert(ProdEntry(97, UnionAllOpt, 3));
   _prodInfo.Insert(ProdEntry(96, JdbcArgList, 1));
   _prodInfo.Insert(ProdEntry(95, JdbcArgList, 2));
   _prodInfo.Insert(ProdEntry(94, Statement, 2));
   _prodInfo.Insert(ProdEntry(93, CounterId, 1));
   _prodInfo.Insert(ProdEntry(92, Statement, 5));
   _prodInfo.Insert(ProdEntry(91, Statement, 3));
   _prodInfo.Insert(ProdEntry(90, Statement, 3));
   _prodInfo.Insert(ProdEntry(89, Statement, 3));
   _prodInfo.Insert(ProdEntry(88, Statement, 2));
   _prodInfo.Insert(ProdEntry(87, Statement, 4));
   _prodInfo.Insert(ProdEntry(86, Statement, 8));
   _prodInfo.Insert(ProdEntry(85, Statement, 15));
   _prodInfo.Insert(ProdEntry(84, DropOpt, 3));
   _prodInfo.Insert(ProdEntry(83, DropOpt, 1));
   _prodInfo.Insert(ProdEntry(82, Statement, 3));
   _prodInfo.Insert(ProdEntry(81, Statement, 3));
   _prodInfo.Insert(ProdEntry(80, Statement, 3));
   _prodInfo.Insert(ProdEntry(79, Statement, 3));
   _prodInfo.Insert(ProdEntry(78, Statement, 4));
   _prodInfo.Insert(ProdEntry(77, Statement, 3));
   _prodInfo.Insert(ProdEntry(76, Statement, 3));
   _prodInfo.Insert(ProdEntry(75, Statement, 3));
   _prodInfo.Insert(ProdEntry(74, Statement, 3));
   _prodInfo.Insert(ProdEntry(73, Statement, 3));
   _prodInfo.Insert(ProdEntry(72, Statement, 2));
   _prodInfo.Insert(ProdEntry(71, Statement, 2));
   _prodInfo.Insert(ProdEntry(70, AliasAttr, 3));
   _prodInfo.Insert(ProdEntry(69, AliasAttrList, 1));
   _prodInfo.Insert(ProdEntry(68, AliasAttrList, 3));
   _prodInfo.Insert(ProdEntry(67, Statement, 8));
   _prodInfo.Insert(ProdEntry(66, CachedOpt, 0));
   _prodInfo.Insert(ProdEntry(65, CachedOpt, 1));
   _prodInfo.Insert(ProdEntry(64, Statement, 10));
   _prodInfo.Insert(ProdEntry(63, Statement, 9));
   _prodInfo.Insert(ProdEntry(62, Statement, 6));
   _prodInfo.Insert(ProdEntry(61, Statement, 7));
   _prodInfo.Insert(ProdEntry(60, Statement, 5));
   _prodInfo.Insert(ProdEntry(59, Statement, 2));
   _prodInfo.Insert(ProdEntry(58, Statement, 2));
   _prodInfo.Insert(ProdEntry(57, Statement, 5));
   _prodInfo.Insert(ProdEntry(56, Statement, 5));
   _prodInfo.Insert(ProdEntry(55, Statement, 1));
   _prodInfo.Insert(ProdEntry(54, Statement, 1));
   _prodInfo.Insert(ProdEntry(53, Statement, 1));
   _prodInfo.Insert(ProdEntry(52, Statement, 1));
   _prodInfo.Insert(ProdEntry(51, Statement, 1));
   _prodInfo.Insert(ProdEntry(50, Statement, 2));
   _prodInfo.Insert(ProdEntry(49, Statement, 1));
   _prodInfo.Insert(ProdEntry(48, Statement, 3));
   _prodInfo.Insert(ProdEntry(47, Statement, 3));
   _prodInfo.Insert(ProdEntry(46, Statement, 3));
   _prodInfo.Insert(ProdEntry(45, Statement, 3));
   _prodInfo.Insert(ProdEntry(44, Statement, 3));
   _prodInfo.Insert(ProdEntry(43, Statement, 3));
   _prodInfo.Insert(ProdEntry(42, Statement, 3));
   _prodInfo.Insert(ProdEntry(41, Statement, 1));
   _prodInfo.Insert(ProdEntry(40, Statement, 1));
   _prodInfo.Insert(ProdEntry(39, Statement, 1));
   _prodInfo.Insert(ProdEntry(38, Statement, 1));
   _prodInfo.Insert(ProdEntry(37, Statement, 1));
   _prodInfo.Insert(ProdEntry(36, Statement, 7));
   _prodInfo.Insert(ProdEntry(35, Statement, 3));
   _prodInfo.Insert(ProdEntry(34, Statement, 3));
   _prodInfo.Insert(ProdEntry(33, Statement, 3));
   _prodInfo.Insert(ProdEntry(32, Statement, 3));
   _prodInfo.Insert(ProdEntry(31, Statement, 3));
   _prodInfo.Insert(ProdEntry(30, Statement, 3));
   _prodInfo.Insert(ProdEntry(29, Statement, 3));
   _prodInfo.Insert(ProdEntry(28, Statement, 3));
   _prodInfo.Insert(ProdEntry(27, Statement, 4));
   _prodInfo.Insert(ProdEntry(26, Statement, 3));
   _prodInfo.Insert(ProdEntry(25, Statement, 3));
   _prodInfo.Insert(ProdEntry(24, Statement, 3));
   _prodInfo.Insert(ProdEntry(23, Statement, 3));
   _prodInfo.Insert(ProdEntry(22, Statement, 2));
   _prodInfo.Insert(ProdEntry(21, Statement, 2));
   _prodInfo.Insert(ProdEntry(20, Statement, 1));
   _prodInfo.Insert(ProdEntry(19, Statement, 2));
   _prodInfo.Insert(ProdEntry(18, Statement, 2));
   _prodInfo.Insert(ProdEntry(17, Statement, 2));
   _prodInfo.Insert(ProdEntry(16, TableSetOpt, 0));
   _prodInfo.Insert(ProdEntry(15, TableSetOpt, 2));
   _prodInfo.Insert(ProdEntry(14, Statement, 3));
   _prodInfo.Insert(ProdEntry(13, Statement, 3));
   _prodInfo.Insert(ProdEntry(12, Statement, 3));
   _prodInfo.Insert(ProdEntry(11, Statement, 3));
   _prodInfo.Insert(ProdEntry(10, Statement, 3));
   _prodInfo.Insert(ProdEntry(9, Statement, 3));
   _prodInfo.Insert(ProdEntry(8, Statement, 3));
   _prodInfo.Insert(ProdEntry(7, Statement, 3));
   _prodInfo.Insert(ProdEntry(6, Statement, 3));
   _prodInfo.Insert(ProdEntry(5, Statement, 3));
   _prodInfo.Insert(ProdEntry(4, Statement, 3));
   _prodInfo.Insert(ProdEntry(3, Statement, 3));
   _prodInfo.Insert(ProdEntry(2, Statement, 2));
   _prodInfo.Insert(ProdEntry(1, Statement, 1));
   _prodInfo.Insert(ProdEntry(0, Start, 2));
}

Cego::Cego()
{
   loadScanner();
   for ( int i=0; i < 970; i++)
   {
      int j;
      for ( j = 0; j < 202; j++)
         _actionMap[i][j] = ActionEntry();
      for ( j = 0; j < 133; j++)
         _jumpMap[i][j] = -1;
   }
   loadParser0();
   loadParser1();
   loadParser2();
   loadParser3();
   loadParser4();
   loadParser5();
   loadParser6();
   loadParser7();
   loadParser8();
   loadParser9();
   loadParser10();
   loadParser11();
   loadParser12();
   loadParser13();
   loadParser14();
   loadParser15();
   loadParser16();
   loadParser17();
   loadParser18();
   loadParser19();
   loadParser20();
   loadParser21();
   loadParser22();
   loadParser23();
   loadParser24();
   loadParser25();
   loadParser26();
   loadParser27();
   loadParser28();
   loadParser29();
   loadParser30();
   loadParser31();
   loadParser32();
   loadParser33();
   loadParser34();
   loadParser35();
   loadParser36();
   loadParser37();
   loadParser38();
   loadParser39();
   loadParser40();
   loadParser41();
   loadParser42();
   loadParser43();
   loadParser44();
   loadParser45();
   loadParser46();
   loadParser47();
   loadParser48();
   loadParser49();
   loadParser50();
   loadParser51();
   loadParser52();
   loadParser53();
   loadParser54();
   loadParser55();
   loadParser56();
   loadParser57();
   loadParser58();
   loadParser59();
   loadParser60();
   loadParser61();
   loadParser62();
   loadParser63();
   loadParser64();
   loadParser65();
   loadParser66();
   loadParser67();
   loadParser68();
   loadParser69();
   loadParser70();
   loadParser71();
   loadParser72();
   loadParser73();
   loadParser74();
   loadParser75();
   loadParser76();
   loadParser77();
   loadParser78();
   loadParser79();
   loadParser80();
   loadParser81();
   loadParser82();
   loadParser83();
   loadParser84();
   loadParser85();
   loadParser86();
   loadParser87();
   loadParser88();
   loadParser89();
   loadParser90();
   loadParser91();
   loadParser92();
   loadParser93();
   loadParser94();
   loadParser95();
   loadParser96();
   loadParser97();
   loadParser98();
   loadParser99();
   loadParser100();
   loadParser101();
   loadParser102();
   loadParser103();
   loadParser104();
   loadParser105();
   loadParser106();
   loadParser107();
   loadParser108();
   loadParser109();
   loadParser110();
   loadParser111();
   loadParser112();
   loadParser113();
   loadParser114();
   loadParser115();
   loadParser116();
   loadParser117();
   loadParser118();
   loadParser119();
   loadParser120();
   loadParser121();
   loadParser122();
   loadParser123();
   loadParser124();
   loadParser125();
   loadParser126();
   loadParser127();
   loadParser128();
   loadParser129();
   loadParser130();
   loadParser131();
   loadParser132();
   loadParser133();
   loadParser134();
   loadParser135();
   loadParser136();
   loadParser137();
   loadParser138();
   loadParser139();
   loadParser140();
   loadParser141();
   loadParser142();
   loadParser143();
   loadParser144();
   loadParser145();
   loadParser146();
   loadParser147();
   loadParser148();
   loadParser149();
   loadParser150();
   loadParser151();
   loadParser152();
   loadParser153();
   loadParser154();
   loadParser155();
   loadParser156();
   loadParser157();
   loadParser158();
   loadParser159();
   loadParser160();
   loadParser161();
   loadParser162();
   loadParser163();
   loadParser164();
   loadParser165();
   loadParser166();
   loadParser167();
   loadParser168();
   loadParser169();
   loadParser170();
   loadParser171();
   loadParser172();
   loadParser173();
   loadParser174();
   loadParser175();
   loadParser176();
   loadParser177();
   loadParser178();
   loadParser179();
   loadParser180();
   loadParser181();
   loadParser182();
   loadParser183();
   loadParser184();
   loadParser185();
   loadParser186();
   loadParser187();
   loadParser188();
   loadParser189();
   loadParser190();
   loadParser191();
   loadParser192();
   loadParser193();
   loadParser194();
   loadParser195();
   loadParser196();
   loadParser197();
   loadParser198();
   loadParser199();
   loadParser200();
   loadParser201();
   loadParser202();
   loadParser203();
   loadParser204();
   loadParser205();
   loadParser206();
   loadParser207();
   loadParser208();
   loadParser209();
   loadParser210();
   loadParser211();
   loadParser212();
   loadParser213();
   loadParser214();
   loadParser215();
   loadParser216();
   loadParser217();
   loadParser218();
   loadParser219();
   loadParser220();
   loadParser221();
   loadParser222();
   loadParser223();
   loadParser224();
   loadParser225();
   loadParser226();
   loadParser227();
   loadParser228();
   loadParser229();
   loadParser230();
   loadParser231();
   loadParser232();
   loadParser233();
   loadParser234();
   loadParser235();
   loadParser236();
   loadParser237();
   loadParser238();
   loadParser239();
   loadParser240();
   loadParser241();
   loadParser242();
   loadParser243();
   loadParser244();
   loadParser245();
   loadParser246();
   loadParser247();
   loadParser248();
   loadParser249();
   loadParser250();
   loadParser251();
   loadParser252();
   loadParser253();
   loadParser254();
   loadParser255();
   loadParser256();
   loadParser257();
   loadParser258();
   loadParser259();
   loadParser260();
   loadParser261();
   loadParser262();
   loadParser263();
   loadParser264();
   loadParser265();
   loadParser266();
   loadParser267();
   loadParser268();
   loadParser269();
   loadParser270();
   loadParser271();
   loadParser272();
   loadParser273();
   loadParser274();
   loadParser275();
   loadParser276();
   loadParser277();
   loadParser278();
   loadParser279();
   loadParser280();
   loadParser281();
   loadParser282();
   loadParser283();
   loadParser284();
   loadParser285();
   loadParser286();
   loadParser287();
   loadParser288();
   loadParser289();
   loadParser290();
   loadParser291();
   loadParser292();
   loadParser293();
   loadParser294();
   loadParser295();
   loadParser296();
   loadParser297();
   loadParser298();
   loadParser299();
   loadParser300();
   loadParser301();
   loadParser302();
   loadParser303();
   loadParser304();
   loadParser305();
   loadParser306();
   loadParser307();
   _isReserved = false;
}

Cego::~Cego()
{
}

void Cego::parse()
{
   StackT<StackEntry> s;
   StackEntry se(NONE, 0, 0);
   s.Push(se);
   _isReserved = false;
   if ( shiftToken() == false )
   {
      Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
      throw Exception(EXLOC, msg);
   }
   while ( true )
   {
      Action a;
      int num;
      if ( getAction(s.getTop()->getState(), _token, a, num) )
      {
         switch (a)
         {
            case SHIFT:
            {
               StackEntry se(TOKEN, _token, num, _tokenVal);
               s.Push(se);
               if ( shiftToken() == false )
               {
                  Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               break;
            }
            case REDUCE:
            {
               _tokenList.Empty();
               ProdEntry* pPE = _prodInfo.Find(num);
               for (int i=0; i<pPE->getNumSymbol();i++)
               {
                  StackEntry se;
                  s.Pop(se);
                  if (se.getSymbol() == TOKEN)
                     _tokenList.Insert(se.getTval());
               }
               int fstate;
               if (getJump(s.getTop()->getState(), pPE->getProd(), fstate))
               {
                  StackEntry se(PROD, pPE->getId(), fstate, _tokenVal);
                  s.Push(se);
               }
               else
               {
                  Chain msg = "Cannot reduce after token <" + Chain(_tokenVal) + ">.";
                  throw Exception(EXLOC, msg);
               }
               switch (num)
               {
                  case 431:
                     setObject3();
                     break;
                  case 430:
                     setObject2();
                     break;
                  case 429:
                     setObject1();
                     break;
                  case 428:
                     miscDateValue();
                     break;
                  case 427:
                     miscDateFormat();
                     break;
                  case 426:
                     miscClobRef();
                     break;
                  case 425:
                     miscBlobRef();
                     break;
                  case 424:
                     miscFalseValue();
                     break;
                  case 423:
                     miscTrueValue();
                     break;
                  case 422:
                     miscNull();
                     break;
                  case 421:
                     miscSysDate();
                     break;
                  case 420:
                     miscFormatDate();
                     break;
                  case 419:
                     miscFixedValue();
                     break;
                  case 418:
                     miscDecimalValue();
                     break;
                  case 417:
                     miscDoubleValue();
                     break;
                  case 416:
                     miscFloatValue();
                     break;
                  case 415:
                     miscStringValue();
                     break;
                  case 414:
                     miscTinyIntValue();
                     break;
                  case 413:
                     miscSmallIntValue();
                     break;
                  case 412:
                     miscBigIntValue();
                     break;
                  case 411:
                     miscLongValue();
                     break;
                  case 410:
                     miscIntValue();
                     break;
                  case 409:
                     miscNegatedFloatString();
                     break;
                  case 408:
                     miscFloatString();
                     break;
                  case 407:
                     miscNegatedIntString();
                     break;
                  case 406:
                     miscIntString();
                     break;
                  case 405:
                     miscAttribute3();
                     break;
                  case 404:
                     miscAttribute2();
                     break;
                  case 403:
                     miscAttribute1();
                     break;
                  case 402:
                     miscMoreEqualComp();
                     break;
                  case 401:
                     miscLessEqualComp();
                     break;
                  case 400:
                     miscMoreComp();
                     break;
                  case 399:
                     miscLessComp();
                     break;
                  case 398:
                     miscNotEqualComp();
                     break;
                  case 397:
                     miscEqualComp();
                     break;
                  case 396:
                     miscDecimalDim2();
                     break;
                  case 395:
                     miscDecimalDim1();
                     break;
                  case 394:
                     miscClobType();
                     break;
                  case 393:
                     miscBlobType();
                     break;
                  case 392:
                     miscFixedType();
                     break;
                  case 391:
                     miscDecimalType();
                     break;
                  case 390:
                     miscTinyIntType();
                     break;
                  case 389:
                     miscSmallIntType();
                     break;
                  case 388:
                     miscDoubleType();
                     break;
                  case 387:
                     miscFloatType();
                     break;
                  case 386:
                     miscBigIntType();
                     break;
                  case 385:
                     miscBoolType();
                     break;
                  case 384:
                     miscDateTimeType();
                     break;
                  case 383:
                     miscStringType();
                     break;
                  case 382:
                     miscLongType();
                     break;
                  case 381:
                     miscIntType();
                     break;
                  case 380:
                     wcPredicateNotPredicate();
                     break;
                  case 379:
                     wcPredicateCondition();
                     break;
                  case 378:
                     wcPredicateNotLikeComp();
                     break;
                  case 377:
                     wcPredicateLikeComp();
                     break;
                  case 376:
                     wcPredicateNotNullComp();
                     break;
                  case 375:
                     wcPredicateNullComp();
                     break;
                  case 374:
                     wcPredicateBetween();
                     break;
                  case 373:
                     wcPredicateExprComp();
                     break;
                  case 372:
                     wcPredicateQueryNotIn();
                     break;
                  case 371:
                     wcPredicateQueryIn();
                     break;
                  case 370:
                     wcPredicateNotIn();
                     break;
                  case 369:
                     wcPredicateIn();
                     break;
                  case 368:
                     wcPredicateQueryExists();
                     break;
                  case 367:
                     wcConditionPredicate();
                     break;
                  case 366:
                     wcConditionOr();
                     break;
                  case 365:
                     wcConditionAnd();
                     break;
                  case 363:
                     wcEmptyClause();
                     break;
                  case 362:
                     wcWhereClause();
                     break;
                  case 361:
                     storeExprList2();
                     break;
                  case 360:
                     storeExprList1();
                     break;
                  case 359:
                     functionUserDef2();
                     break;
                  case 358:
                     functionUserDef1();
                     break;
                  case 357:
                     functionGetCount();
                     break;
                  case 356:
                     functionSetCount();
                     break;
                  case 355:
                     functionNextCount();
                     break;
                  case 354:
                     functionNative();
                     break;
                  case 353:
                     functionNative();
                     break;
                  case 352:
                     functionNative();
                     break;
                  case 351:
                     functionNative();
                     break;
                  case 350:
                     functionNative();
                     break;
                  case 349:
                     functionNative();
                     break;
                  case 348:
                     functionNative();
                     break;
                  case 347:
                     functionNative();
                     break;
                  case 346:
                     functionNative();
                     break;
                  case 345:
                     functionNative();
                     break;
                  case 344:
                     functionNative();
                     break;
                  case 343:
                     functionNative();
                     break;
                  case 342:
                     functionNative();
                     break;
                  case 341:
                     functionNative();
                     break;
                  case 340:
                     functionNative();
                     break;
                  case 339:
                     functionNative();
                     break;
                  case 338:
                     functionNative();
                     break;
                  case 337:
                     functionNative();
                     break;
                  case 336:
                     functionNative();
                     break;
                  case 335:
                     functionNative();
                     break;
                  case 334:
                     functionNative();
                     break;
                  case 333:
                     functionNative();
                     break;
                  case 332:
                     functionNative();
                     break;
                  case 331:
                     functionNative();
                     break;
                  case 330:
                     functionNative();
                     break;
                  case 329:
                     functionNative();
                     break;
                  case 328:
                     functionNative();
                     break;
                  case 327:
                     functionNative();
                     break;
                  case 326:
                     functionNative();
                     break;
                  case 325:
                     functionNative();
                     break;
                  case 324:
                     functionNative();
                     break;
                  case 323:
                     functionNative();
                     break;
                  case 322:
                     functionNative();
                     break;
                  case 321:
                     functionNative();
                     break;
                  case 320:
                     functionNative();
                     break;
                  case 319:
                     functionNative();
                     break;
                  case 318:
                     functionNative();
                     break;
                  case 317:
                     renameTrigger();
                     break;
                  case 316:
                     renameCheck();
                     break;
                  case 315:
                     renameView();
                     break;
                  case 314:
                     renameProcedure();
                     break;
                  case 313:
                     renameKey();
                     break;
                  case 312:
                     renameBTree();
                     break;
                  case 311:
                     renameIndex();
                     break;
                  case 310:
                     renameTable();
                     break;
                  case 309:
                     alterRenameCol();
                     break;
                  case 308:
                     alterModDefault();
                     break;
                  case 307:
                     alterModCol();
                     break;
                  case 306:
                     alterAddCol();
                     break;
                  case 305:
                     alterDropCol();
                     break;
                  case 302:
                     alterStore();
                     break;
                  case 300:
                     setUpdDelAlias();
                     break;
                  case 299:
                     deleteStore();
                     break;
                  case 298:
                     returnVarAssignment();
                     break;
                  case 294:
                     returnOnFirstFalse();
                     break;
                  case 293:
                     returnOnFirstFalse();
                     break;
                  case 292:
                     returnOnFirstTrue();
                     break;
                  case 291:
                     updateAssignment();
                     break;
                  case 288:
                     updateStore();
                     break;
                  case 286:
                     selectLimitOpt2();
                     break;
                  case 285:
                     selectLimitOpt1();
                     break;
                  case 283:
                     selectNoDistinctOpt();
                     break;
                  case 282:
                     selectDistinctOpt();
                     break;
                  case 279:
                     selectOrderingDesc();
                     break;
                  case 278:
                     selectOrderingAsc();
                     break;
                  case 277:
                     selectOrderingList2();
                     break;
                  case 276:
                     selectOrderingList1();
                     break;
                  case 274:
                     selectEmptyOrderingClause();
                     break;
                  case 273:
                     selectOrderingClause();
                     break;
                  case 271:
                     selectEmptyHavingClause();
                     break;
                  case 270:
                     selectHavingClause();
                     break;
                  case 269:
                     selectGroupList2();
                     break;
                  case 268:
                     selectGroupList1();
                     break;
                  case 266:
                     selectEmptyGroupClause();
                     break;
                  case 265:
                     selectGroupClause();
                     break;
                  case 263:
                     noAliasOpt();
                     break;
                  case 262:
                     aliasOpt();
                     break;
                  case 261:
                     selectStackJoinTable();
                     break;
                  case 260:
                     selectTable2();
                     break;
                  case 259:
                     selectTable1();
                     break;
                  case 254:
                     selectRightOuterJoinStore2();
                     break;
                  case 253:
                     selectRightOuterJoinStore1();
                     break;
                  case 252:
                     selectLeftOuterJoinStore2();
                     break;
                  case 251:
                     selectLeftOuterJoinStore1();
                     break;
                  case 250:
                     selectInnerJoinStore2();
                     break;
                  case 249:
                     selectInnerJoinStore1();
                     break;
                  case 246:
                     selectJoinSpecStore();
                     break;
                  case 245:
                     selectTableListStore();
                     break;
                  case 244:
                     selectItem();
                     break;
                  case 243:
                     selectionList2();
                     break;
                  case 242:
                     selectionList1();
                     break;
                  case 241:
                     selectSelectionStore2();
                     break;
                  case 240:
                     selectSelectionStore1();
                     break;
                  case 238:
                     noFromOption();
                     break;
                  case 236:
                     selectStore();
                     break;
                  case 235:
                     insertExprValue();
                     break;
                  case 234:
                     insertExprValue();
                     break;
                  case 233:
                     insertArg();
                     break;
                  case 232:
                     insertArg();
                     break;
                  case 231:
                     insertValueSpecStore();
                     break;
                  case 228:
                     insertPrepare();
                     break;
                  case 225:
                     insertBySelectStore();
                     break;
                  case 224:
                     insertStore();
                     break;
                  case 223:
                     unlockStore();
                     break;
                  case 222:
                     lockStore();
                     break;
                  case 221:
                     rollbackStore();
                     break;
                  case 220:
                     commitStore();
                     break;
                  case 219:
                     startStore();
                     break;
                  case 216:
                     setBTreeIndex();
                     break;
                  case 215:
                     setAVLIndex();
                     break;
                  case 213:
                     setUniqueIndex();
                     break;
                  case 212:
                     createSimpleAttr();
                     break;
                  case 211:
                     createSimpleAttrList();
                     break;
                  case 208:
                     defaultNullOpt();
                     break;
                  case 207:
                     defaultOpt();
                     break;
                  case 205:
                     setNullOpt();
                     break;
                  case 204:
                     setNotNullOpt();
                     break;
                  case 203:
                     setNullOpt();
                     break;
                  case 202:
                     setColumnDesc();
                     break;
                  case 201:
                     setOrdinaryColumn();
                     break;
                  case 200:
                     setPrimaryColumn();
                     break;
                  case 197:
                     procStoreFetchArg2();
                     break;
                  case 196:
                     procStoreFetchArg1();
                     break;
                  case 195:
                     casePrepare();
                     break;
                  case 194:
                     caseCondition();
                     break;
                  case 193:
                     caseConditionList2();
                     break;
                  case 192:
                     caseConditionList1();
                     break;
                  case 191:
                     caseClause();
                     break;
                  case 190:
                     procFactor14();
                     break;
                  case 189:
                     procFactor13();
                     break;
                  case 188:
                     procFactor12();
                     break;
                  case 187:
                     procFactor11();
                     break;
                  case 186:
                     procFactor10();
                     break;
                  case 185:
                     procFactor9();
                     break;
                  case 184:
                     procFactor8();
                     break;
                  case 183:
                     procFactor7();
                     break;
                  case 182:
                     procFactor6();
                     break;
                  case 181:
                     procFactor5();
                     break;
                  case 180:
                     procFactor4();
                     break;
                  case 179:
                     procFactor3();
                     break;
                  case 178:
                     procFactor2();
                     break;
                  case 177:
                     procFactor1();
                     break;
                  case 176:
                     procTerm3();
                     break;
                  case 175:
                     procTerm2();
                     break;
                  case 174:
                     procTerm1();
                     break;
                  case 173:
                     procExpr4();
                     break;
                  case 172:
                     procExpr3();
                     break;
                  case 171:
                     procExpr2();
                     break;
                  case 170:
                     procExpr1();
                     break;
                  case 169:
                     procPredicate4();
                     break;
                  case 168:
                     procPredicate3();
                     break;
                  case 167:
                     procPredicate2();
                     break;
                  case 166:
                     procPredicate1();
                     break;
                  case 165:
                     procCondition3();
                     break;
                  case 164:
                     procCondition2();
                     break;
                  case 163:
                     procCondition1();
                     break;
                  case 162:
                     procWhileCondition();
                     break;
                  case 161:
                     procWhileStatement();
                     break;
                  case 160:
                     procElsIfCondition();
                     break;
                  case 159:
                     procIfCondition();
                     break;
                  case 158:
                     procElsePart();
                     break;
                  case 156:
                     procStoreElseBlock();
                     break;
                  case 155:
                     procStoreIfBlock();
                     break;
                  case 152:
                     procStoreIfBlock();
                     break;
                  case 151:
                     procIfStatement();
                     break;
                  case 150:
                     procExceptionCondition();
                     break;
                  case 149:
                     procExprValue();
                     break;
                  case 148:
                     procExprValue();
                     break;
                  case 146:
                     procValueSpec();
                     break;
                  case 145:
                     procExceptionStatement();
                     break;
                  case 142:
                     procBlockStart();
                     break;
                  case 141:
                     procBlockStatement();
                     break;
                  case 140:
                     procReturnStatement2();
                     break;
                  case 139:
                     procReturnStatement1();
                     break;
                  case 138:
                     procQueryStatement();
                     break;
                  case 137:
                     procQueryStatement();
                     break;
                  case 136:
                     procQueryStatement();
                     break;
                  case 135:
                     procQueryStatement();
                     break;
                  case 134:
                     procQueryStatement();
                     break;
                  case 133:
                     procQueryStatement();
                     break;
                  case 132:
                     procQueryStatement();
                     break;
                  case 131:
                     procQueryStatement();
                     break;
                  case 130:
                     procThrowStatement();
                     break;
                  case 128:
                     procInitialAssignment2();
                     break;
                  case 127:
                     procInitialAssignment1();
                     break;
                  case 126:
                     procNoopStatement();
                     break;
                  case 125:
                     procAssign2NullStatement();
                     break;
                  case 124:
                     procAssignStatement();
                     break;
                  case 123:
                     procCursorCloseStatement();
                     break;
                  case 122:
                     procCursorCreateStatement();
                     break;
                  case 121:
                     procVarStatement();
                     break;
                  case 120:
                     procStoreBlock();
                     break;
                  case 117:
                     procArg2();
                     break;
                  case 116:
                     procArg1();
                     break;
                  case 110:
                     procReturnOpt();
                     break;
                  case 109:
                     procStore();
                     break;
                  case 108:
                     procHead();
                     break;
                  case 107:
                     addDeleteTrigger();
                     break;
                  case 106:
                     addUpdateTrigger();
                     break;
                  case 105:
                     addInsertTrigger();
                     break;
                  case 102:
                     setTriggerAfter();
                     break;
                  case 101:
                     setTriggerBefore();
                     break;
                  case 100:
                     triggerHead();
                     break;
                  case 99:
                     triggerStore();
                     break;
                  case 97:
                     unionAllStore();
                     break;
                  case 96:
                     jdbcArg2();
                     break;
                  case 95:
                     jdbcArg1();
                     break;
                  case 94:
                     setJDBCInfoMethod();
                     break;
                  case 93:
                     setCounterId();
                     break;
                  case 92:
                     setSetCounterMethod();
                     break;
                  case 91:
                     setDropCounterMethod();
                     break;
                  case 90:
                     setCreateCounterMethod();
                     break;
                  case 89:
                     setIndexCheckMethod();
                     break;
                  case 88:
                     setPrintMethod();
                     break;
                  case 87:
                     setAssignStatementMethod();
                     break;
                  case 86:
                     setCheckCreateMethod();
                     break;
                  case 85:
                     setForeignKeyCreateMethod();
                     break;
                  case 84:
                     dropOpt2();
                     break;
                  case 83:
                     dropOpt1();
                     break;
                  case 82:
                     setAliasDropMethod();
                     break;
                  case 81:
                     setBTreeDropMethod();
                     break;
                  case 80:
                     setTriggerDropMethod();
                     break;
                  case 79:
                     setCheckDropMethod();
                     break;
                  case 78:
                     setFKeyDropMethod();
                     break;
                  case 77:
                     setProcDropMethod();
                     break;
                  case 76:
                     setViewDropMethod();
                     break;
                  case 75:
                     setIndexDropMethod();
                     break;
                  case 74:
                     setTableDropMethod();
                     break;
                  case 73:
                     setTableTruncateMethod();
                     break;
                  case 72:
                     setTriggerLoadMethod();
                     break;
                  case 71:
                     setTriggerCreateMethod();
                     break;
                  case 70:
                     setAliasAttr();
                     break;
                  case 67:
                     setAliasCreateMethod();
                     break;
                  case 65:
                     setCachedOption();
                     break;
                  case 64:
                     setIndexCreateMethod();
                     break;
                  case 63:
                     setPrimaryIndexCreateMethod();
                     break;
                  case 62:
                     setUserTableCreateMethod();
                     break;
                  case 61:
                     setFuncCallMethod();
                     break;
                  case 60:
                     setProcCallMethod();
                     break;
                  case 59:
                     setProcLoadMethod();
                     break;
                  case 58:
                     setProcCreateMethod();
                     break;
                  case 57:
                     setViewLoadMethod();
                     break;
                  case 56:
                     setViewCreateMethod();
                     break;
                  case 55:
                     setQueryMethod();
                     break;
                  case 54:
                     setQueryMethod();
                     break;
                  case 53:
                     setQueryMethod();
                     break;
                  case 52:
                     setQueryMethod();
                     break;
                  case 51:
                     setQueryMethod();
                     break;
                  case 50:
                     setSelectPlanMethod();
                     break;
                  case 49:
                     setSelectMethod();
                     break;
                  case 48:
                     setIndexReorganizeMethod();
                     break;
                  case 47:
                     setTableReorganizeMethod();
                     break;
                  case 46:
                     setSetIsolationMethod();
                     break;
                  case 45:
                     setDisableAutoCommitMethod();
                     break;
                  case 44:
                     setEnableAutoCommitMethod();
                     break;
                  case 43:
                     setDisableAppendModeMethod();
                     break;
                  case 42:
                     setEnableAppendModeMethod();
                     break;
                  case 41:
                     setQueryMethod();
                     break;
                  case 40:
                     setQueryMethod();
                     break;
                  case 39:
                     setQueryMethod();
                     break;
                  case 38:
                     setQueryMethod();
                     break;
                  case 37:
                     setQueryMethod();
                     break;
                  case 36:
                     setAuthUserMethod();
                     break;
                  case 35:
                     setSetTableSetMethod();
                     break;
                  case 34:
                     setTriggerShowMethod();
                     break;
                  case 33:
                     setCheckShowMethod();
                     break;
                  case 32:
                     setViewShowMethod();
                     break;
                  case 31:
                     setProcShowMethod();
                     break;
                  case 30:
                     setProcDescMethod();
                     break;
                  case 29:
                     setAliasDescMethod();
                     break;
                  case 28:
                     setCheckDescMethod();
                     break;
                  case 27:
                     setKeyDescMethod();
                     break;
                  case 26:
                     setViewDescMethod();
                     break;
                  case 25:
                     setBTreeDescMethod();
                     break;
                  case 24:
                     setIndexDescMethod();
                     break;
                  case 23:
                     setTableDescMethod();
                     break;
                  case 22:
                     setShowSystemSpaceMethod();
                     break;
                  case 21:
                     setShowPoolMethod();
                     break;
                  case 20:
                     setShowUptimeMethod();
                     break;
                  case 19:
                     setTupleInfoMethod();
                     break;
                  case 18:
                     setTableSizeMethod();
                     break;
                  case 17:
                     setTableInfoMethod();
                     break;
                  case 15:
                     setTableSetOpt();
                     break;
                  case 14:
                     setListAliasMethod();
                     break;
                  case 13:
                     setListTriggerMethod();
                     break;
                  case 12:
                     setListCheckMethod();
                     break;
                  case 11:
                     setListTmpObjMethod();
                     break;
                  case 10:
                     setListSysObjMethod();
                     break;
                  case 9:
                     setListCounterMethod();
                     break;
                  case 8:
                     setListKeyMethod();
                     break;
                  case 7:
                     setListBTreeMethod();
                     break;
                  case 6:
                     setListIndexMethod();
                     break;
                  case 5:
                     setListViewMethod();
                     break;
                  case 4:
                     setListProcMethod();
                     break;
                  case 3:
                     setListTableMethod();
                     break;
                  case 2:
                     setListTableSetMethod();
                     break;
                  case 1:
                     setSyncMethod();
                     break;
               }
               break;
            }
            case ACCEPT:
            {
               return;
            }
            case NULLACTION:
               break;
         }
      }
      else
      {
         Chain msg = "Parse error at token <" + Chain(_tokenVal) + ">.";
         throw Exception(EXLOC, msg);
      }
   }
}


bool Cego::getAction(int state, Cego::Token token, Cego::Action& a, int& num)
{
    if (_actionMap[state][token].getAction() != NULLACTION )
    {
	a = _actionMap[state][token].getAction();
	num = _actionMap[state][token].getNum();
	return true;
    }
    else
    {
	return false;
    }
}

bool Cego::getJump(int state, Production prod, int& fstate)
{
    if ( _jumpMap[state][prod] > 0 )
    {
       fstate = _jumpMap[state][prod];
	    return true;
    }
    else
    {
	    return false;
    }
}

bool Cego::isSepSign(char c)
{
   if (c == ';') return true;
   if (c == ',') return true;
   if (c == '=') return true;
   if (c == '<') return true;
   if (c == '>') return true;
   if (c == ')') return true;
   if (c == '(') return true;
   if (c == '[') return true;
   if (c == ']') return true;
   if (c == '/') return true;
   if (c == '+') return true;
   if (c == '-') return true;
   if (c == '|') return true;
   if (c == '!') return true;
   if (c == '*') return true;
   return false;
}
bool Cego::isSepIgnore(char c)
{
   if (c == '\t') return true;
   if (c == ' ') return true;
   if (c == '\n') return true;
   return false;
}
bool Cego::shiftToken()
{
   unsigned long i=0;
   char c;
   while ( isSepIgnore(c = nextChar()) && ! _isReserved );
   if ( _isReserved )
   {
      _token = _reservedToken;
      _isReserved = false;
      return true;
   }
   if (c == 0)
   {
      _token = ENDTOKEN;
      return true;
   }
   if (isSepSign(c))
   {
      _tokenVal[i]=c;
       i++;
   }
   else
   {
      while (c && ! isSepIgnore(c) && ! ( isSepSign(c) && i>0 ) )
      {
         _tokenVal[i]=c;
         i++;
         if ( i >= MAXTOKENVAL )
         {
            throw Exception(EXLOC, Chain("Token length exceeded"));
         }
         c = nextChar();
      }
      if (isSepSign(c)) backChar();
   }
   _tokenVal[i]=0;
   Scanner* pS = _scannerList.First();
   while (pS)
   {
      if (pS->checkPattern(_tokenVal))
      {
         _token = pS->getToken();
         return true;
      }
      pS=_scannerList.Next();
   }
   return false;
}
void Cego::setReserved(Token t)
{
   _reservedToken = t;
   _isReserved = true;
}
